*-------------------------------------------------------------------------*
 |                                                                         
 |                    SAS SETUP FILE FOR ICPSR 03404
 |       DRUG ABUSE TREATMENT OUTCOME STUDY--ADOLESCENT (DATOS-A),
 |                       1993-1995: [UNITED STATES]
 |               (DATASET 0004:  3-MONTH INTREATMENT DATA)
 |
 |
 | SAS setup sections are provided for the ASCII version of this data
 | collection.  These sections are listed below:
 |
 | PROC FORMAT:  creates user-defined formats for the variables. Formats
 | replace original value codes with value code descriptions. Only
 | variables with user-defined formats are included in this section.
 |
 | DATA:  begins a SAS data step and names an output SAS data set.
 |
 | INFILE:  identifies the input file to be read with the input statement.
 | Users must replace the "data-filename" with a filename specifying the
 | directory on the user's computer system in which the downloaded and
 | unzipped data file is physically located (e.g.,
 | "c:\temp\03404-0004-data.txt").
 |
 | INPUT:  assigns the name, type, decimal specification (if any), and
 | specifies the beginning and ending column locations for each variable
 | in the data file.
 |
 | LABEL:  assigns descriptive labels to all variables. Variable labels
 | and variable names may be identical for some variables.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | FORMAT:  associates the formats created by the PROC FORMAT step with
 | the variables named in the INPUT statement.
 |
 | NOTE:  Users should modify this setup file to suit their specific needs.
 | Sections for PROC FORMAT, FORMAT, and MISSING VALUE RECODES have been
 | commented out (i.e., '/*'). To include these sections in the final SAS
 | setup, users should remove the SAS comment indicators from the desired
 | section(s).
 |
 *------------------------------------------------------------------------;

* SAS PROC FORMAT;

/*
PROC FORMAT;
  VALUE caseid    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gdc_m     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE gdc_y     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gt_l_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gtime1_h  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gtime1_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gam_pm_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) AM' 2='(2) PM' ;
  VALUE ga3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ga3_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PUERTO RICAN' 2='(2) MEXICAN' 3='(3) CUBAN' 4='(4) CARIBBEAN'
                  5='(5) CENTRAL AMERICAN' 6='(6) SOUTH AMERICAN'
                  7='(7) OTHER/ETHNIC BACKGROUND' 15='(15) MIXED' ;
  VALUE ga3_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  4='(4) BLACK/AFRICAN AMERICAN' 5='(5) WHITE/CAUCASIAN' 6='(6) OTHER' ;
  VALUE ga4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  4='(4) BLACK/AFRICAN AMERICAN' 5='(5) WHITE/CAUCASIAN' 6='(6) OTHER' ;
  VALUE ga4_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CHINESE'
                  2='(2) JAPANESE' 3='(3) KOREAN' 4='(4) PACIFIC ISLANDER'
                  5='(5) SOUTHEAST ASIAN' 6='(6) OTHER ASIAN' 7='(7) OTHER' 15='(15) MIXED' ;
  VALUE ga5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ONE FAMILY HOUSE/DUPLEX/CONDO' 2='(2) A MOBILE HOME/TRAILER'
                  3='(3) APARTMENT/MULTIPLE FAMILY BUILDING'
                  4='(4) HOTEL/ROOMING HOUSE/BOARDING HOUSE'
                  5='(5) HOSPITAL/MEDICAL INSTITUTION'
                  6='(6) JAIL/PRISON/JUVENILE DETENTION HOME'
                  7='(7) RESIDENTIAL DRUG TREAT CTR'
                  8='(8) OTHER GROUP RESIDENCE/HALFWAY HOUSE'
                  9='(9) IN A HOMELESS SHELTER'
                  10='(10) ON THE STREET/NO REGULAR PLACE' 11='(11) OTHER' ;
  VALUE ga6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ga7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MARRIED'
                  2='(2) SEPARATED' 3='(3) DIVORCED' 4='(4) WIDOWED'
                  5='(5) LIVE/W/SOMEONE AS MARRIED' 6='(6) NEVER MARRIED' ;
  VALUE ga8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) HAS BEEN VERY MUCH OPPOSED'
                  2='(2) HAS BEEN SOMEWHAT OPPOSED'
                  3='(3) HAS NOT CARED ONE WAY/OTHER'
                  4='(4) APPROVED OF YOUR USE OF DRUGS'
                  5='(5) HAS NOT AWARE OF YOUR DRUG USE'
                  6='(6) NOT IN CONTACT WITH PARTNER' ;
  VALUE ga8_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY IMPORTANT' ;
  VALUE ga8_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ga8_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ga8_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ga8_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ga9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE ga10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITH SPOUSE/SEXUAL PARTNER/CHILDREN'
                  2='(2) WITH SPOUSE/SEXUAL PARTNER ONLY' 3='(3) WITH CHILDREN ONLY'
                  4='(4) WITH BOTH PARENTS' 5='(5) WITH MOTHER ONLY'
                  6='(6) WITH FATHER ONLY' 7='(7) WITH PARENT(S) AND OWN CHILDREN'
                  8='(8) WITH OTHER FAMILY/ANY COMB 01 - 07'
                  9='(9) WITH FOSTER PARENTS'
                  10='(10) W/FAMILY/FRIENDS/BOARDERS/ROOMMATES'
                  11='(11) W/FRIENDS/ROOMMATES ONLY' 12='(12) ALONE'
                  13='(13) INSTITUTION/CLOSED FACILITY/HOSP'
                  14='(14) NO STABLE ARRANGEMENTS' 15='(15) OTHER' ;
  VALUE ga11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) VERY DISSATISFIED' 2='(2) SOMEWHAT DISSATISFIED'
                  3='(3) SOMEWHAT SATISFIED' 4='(4) VERY SATISFIED' ;
  VALUE ga12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) 6+' ;
  VALUE ga13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) 6+' ;
  VALUE ga13a_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ga13a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ga13a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE ga13a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE ga13a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE ga14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ga14a_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ga14a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ga14a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE ga14a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE ga14a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE ga15_00f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE ga15_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE ga15_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ga15_03f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ga16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) SOMEWHAT/MAYBE' ;
  VALUE ga17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) POOR'
                  2='(2) FAIR' 3='(3) WELL' ;
  VALUE ga18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY DIFFICULT' ;
  VALUE ga19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ga19_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE ga19_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ga20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE ga21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) SOME' 2='(2) A LOT' 93='(93) IF VOL: NO FAMILY/FRIENDS' ;
  VALUE ga22ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) POOR'
                  2='(2) FAIR' 3='(3) WELL' ;
  VALUE ga23_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) LESS ONCE A WEEK' 3='(3) AT LEAST ONCE A WEEK'
                  4='(4) ALMOST DAILY' ;
  VALUE ga23_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) LESS ONCE A WEEK' 3='(3) AT LEAST ONCE A WEEK'
                  4='(4) ALMOST DAILY' ;
  VALUE ga23_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) LESS ONCE A WEEK' 3='(3) AT LEAST ONCE A WEEK'
                  4='(4) ALMOST DAILY' ;
  VALUE ga24_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) ONE OR A FEW' 3='(3) MANY' ;
  VALUE ga24_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) ONE OR A FEW' 3='(3) MANY' ;
  VALUE ga24_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) ONE OR A FEW' 3='(3) MANY' ;
  VALUE ga24_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) ONE OR A FEW' 3='(3) MANY' ;
  VALUE ga24_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) ONE OR A FEW' 3='(3) MANY' ;
  VALUE ga24_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) ONE OR A FEW' 3='(3) MANY' ;
  VALUE ga25ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) VERY UNHAPPY' 2='(2) SOMEWHAT UNHAPPY' 3='(3) SOMEWHAT HAPPY'
                  4='(4) VERY HAPPY' ;
  VALUE ga26ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) WORSE'
                  2='(2) BETTER' ;
  VALUE ga27ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ga27a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE gb1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gb1_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gb1_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gb1_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MIDDLE SCHOOL (JUNIOR HIGH)' 2='(2) HIGH SCHOOL'
                  3='(3) JUNIOR (2-YEAR) COLLEGE'
                  4='(4) 4-YEAR COLLEGE OR UNIVERSITY'
                  5='(5) TECHNICAL/TRADE/VOCATIONAL SCHOOL' 6='(6) JOB CORPS PROGRAM'
                  7='(7) SPECIAL EDUCATION PROGRAM' 8='(8) OTHER' ;
  VALUE gb1_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BETTER THAN AVERAGE' 2='(2) AVERAGE' 3='(3) NOT SO GOOD' ;
  VALUE gb1_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) DID AS WELL AS COULD' 2='(2) COULD HAVE DONE MUCH BETTER' ;
  VALUE gb1_f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gb1_g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gb2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gb2_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) DIPLOMA'
                  2='(2) GED' ;
  VALUE gb3_0fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE gb3_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gb3_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gb3_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gb3_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gb3_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gb3_6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gb4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gb4_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) EXPIRED'
                  2='(2) SUSPENDED' 3='(3) REVOKED' 4='(4) IF VOL: NEVER HAD ONE' ;
  VALUE gb5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NONE OF THE TIME' 1='(1) SOME OF THE TIME'
                  2='(2) ALL OF THE TIME' ;
  VALUE gc1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gc1_a_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gc1_a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gc1_a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gc1_a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gc1_a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gc1_a_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gc1_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) OWN NAME'
                  2='(2) OTHER FAMILY MEMBER' ;
  VALUE gc1_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) PROGRAM CHARGES NO FEES' ;
  VALUE gc1_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) LESS THAN HALF' 2='(2) HALF OR MORE' 3='(3) ALL'
                  4='(4) PROG CHARGES NO FEES' ;
  VALUE gc1_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF PAY'
                  2='(2) FAMILY/RELATIVES' 3='(3) WORKER''S COMPENSATION' 4='(4) OTHER' ;
  VALUE gc2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LIVING AT PROGRAM' 1='(1) WALK' 2='(2) DRIVE'
                  3='(3) PUBLIC TRANSPORTATION' 4='(4) RIDE FROM FAMILY/FRIEND'
                  5='(5) TAXI CAB' 6='(6) PROG PROVIDED TRANSPORTATION' 7='(7) OTHER' ;
  VALUE gc3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) EASY'
                  2='(2) DIFFICULT' ;
  VALUE gc3_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SOMEWHAT EASY' 2='(2) VERY EASY' ;
  VALUE gc3_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SOMEWHAT DIFFICULT' 2='(2) VERY DIFFICULT' ;
  VALUE gc4_00ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE gc4_01ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gc4_02ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gc4_03ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gc4_04ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gc4_05ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gc4_06ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gc4_07ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gc4_08ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gc4_09ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE gc5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) UNCERTAIN' ;
  VALUE gc5_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gc6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gc6_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) REQUIRED, STIPULATED' 2='(2) SUGGESTED, ENCOURAGED' ;
  VALUE gc7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gc7_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) REGULAR'
                  2='(2) RANDOM' 3='(3) BOTH' ;
  VALUE gc7_b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gc7_b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PER WEEK'
                  2='(2) PER MONTH' 3='(3) TOTAL/ALTOGETHER' ;
  VALUE gd1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd1_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gd1_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE gd1_b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gd1_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd2_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd2_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gd2_c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE gd2_c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gd2_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd3_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd4_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd5_a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE gd5_a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gd5_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd6_a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE gd6_a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gd6_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd7_a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE gd7_a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gd7_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd8_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd10_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gd11_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE gd12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY TROUBLED' ;
  VALUE gd13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gd14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gd15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gd16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gd17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gd18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gd19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE ge1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY TROUBLED' ;
  VALUE ge8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE ge9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY POOR'
                  2='(2) FAIR' 3='(3) VERY GOOD' ;
  VALUE ge10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY DIFFICULT' ;
  VALUE ge11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY POOR'
                  2='(2) FAIR' 3='(3) VERY GOOD' ;
  VALUE ge12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge12_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 1/2 PACK A DAY' 2='(2) ABOUT 1/2 PACK A DAY'
                  3='(3) ABOUT A PACK A DAY' 4='(4) ABOUT 1-1/2 PACKS A DAY'
                  5='(5) ABOUT 2 PACKS OR MORE A DAY' ;
  VALUE ge13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge13_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE ge13_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ge13_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ge14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge14_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE ge14_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge14_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE ge14_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge14_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge15_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE ge15_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge15_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE ge15_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge15_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE ge15_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge15_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT USED'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge16_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE ge16_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge16_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE ge16_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge16_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE ge16_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge16_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT USED'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge16_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE ge17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge17_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge17_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DARVON' 2='(2) DOLENE' 3='(3) SK-65' 4='(4) WYGESIC'
                  5='(5) LEVO-DROMORAN' 6='(6) PERCODAN' 7='(7) DEMEROL' 8='(8) DILAUDID'
                  9='(9) TYLENOL WITH CODEINE' 10='(10) PHENAPHEN WITH CODEINE'
                  11='(11) TALWIN' 12='(12) TALWIN NX' 13='(13) TALACEN' 14='(14) PROPOXYPHENE'
                  15='(15) CODEINE' 16='(16) ANILERIDINE' 17='(17) MORPHINE' 18='(18) METHADONE'
                  19='(19) STADOL' 20='(20) DARVOCET' 21='(21) LOMOTIL' 22='(22) PARGGORIC' ;
  VALUE ge17_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DARVON' 2='(2) DOLENE' 3='(3) SK-65' 4='(4) WYGESIC'
                  5='(5) LEVO-DROMORAN' 6='(6) PERCODAN' 7='(7) DEMEROL' 8='(8) DILAUDID'
                  9='(9) TYLENOL WITH CODEINE' 10='(10) PHENAPHEN WITH CODEINE'
                  11='(11) TALWIN' 12='(12) TALWIN NX' 13='(13) TALACEN' 14='(14) PROPOXYPHENE'
                  15='(15) CODEINE' 16='(16) ANILERIDINE' 17='(17) MORPHINE' 18='(18) METHADONE'
                  19='(19) STADOL' 20='(20) DARVOCET' 21='(21) LOMOTIL' 22='(22) PARGGORIC' ;
  VALUE ge17_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DARVON' 2='(2) DOLENE' 3='(3) SK-65' 4='(4) WYGESIC'
                  5='(5) LEVO-DROMORAN' 6='(6) PERCODAN' 7='(7) DEMEROL' 8='(8) DILAUDID'
                  9='(9) TYLENOL WITH CODEINE' 10='(10) PHENAPHEN WITH CODEINE'
                  11='(11) TALWIN' 12='(12) TALWIN NX' 13='(13) TALACEN' 14='(14) PROPOXYPHENE'
                  15='(15) CODEINE' 16='(16) ANILERIDINE' 17='(17) MORPHINE' 18='(18) METHADONE'
                  19='(19) STADOL' 20='(20) DARVOCET' 21='(21) LOMOTIL' 22='(22) PARGGORIC' ;
  VALUE ge17_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge18_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE ge18_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge18_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE ge18_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge18_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE ge18_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge18_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT USED'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge19_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge19b1_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) BUTISOL' 2='(2) BUTICAPS' 3='(3) AMYTAL' 4='(4) MEBARAL'
                  5='(5) PLACIDYL' 6='(6) DORIDEN' 7='(7) NOLUDAR' 8='(8) NEMBUTAL'
                  9='(9) SECONAL' 10='(10) TUINAL' 11='(11) DALMANE' 12='(12) RESTORIL'
                  13='(13) HALCION' 14='(14) AMOBARBITAL' 15='(15) PHENOBARBITAL'
                  16='(16) METHAQUALONE (INCL. SOPR, QUAALUDE)'
                  17='(17) CHLORAL HYDRATE' 18='(18) PENTOBARBITAL' 19='(19) SECOBARBITAL'
                  20='(20) FLURAZEPAN' 21='(21) NOCTEC' ;
  VALUE ge19b10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) BUTISOL' 2='(2) BUTICAPS' 3='(3) AMYTAL' 4='(4) MEBARAL'
                  5='(5) PLACIDYL' 6='(6) DORIDEN' 7='(7) NOLUDAR' 8='(8) NEMBUTAL'
                  9='(9) SECONAL' 10='(10) TUINAL' 11='(11) DALMANE' 12='(12) RESTORIL'
                  13='(13) HALCION' 14='(14) AMOBARBITAL' 15='(15) PHENOBARBITAL'
                  16='(16) METHAQUALONE (INCL. SOPR, QUAALUDE)'
                  17='(17) CHLORAL HYDRATE' 18='(18) PENTOBARBITAL' 19='(19) SECOBARBITAL'
                  20='(20) FLURAZEPAN' 21='(21) NOCTEC' ;
  VALUE ge19b2_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) VALIUM' 2='(2) LIBRIUM' 3='(3) LIMBITROL' 4='(4) MENRIUM' 5='(5) SERAX'
                  6='(6) TRANXENE' 7='(7) ATIVAN' 8='(8) CENTRAX' 9='(9) XANAX' 10='(10) PAXIPAM'
                  11='(11) BUSPAR' 12='(12) MILTOWN' 13='(13) EQUANIL' 14='(14) DEPROL'
                  15='(15) VISTARIL' 16='(16) ATARAX' 17='(17) DURRAX' 18='(18) DIAZEPAM'
                  19='(19) SK-LYGEN' 20='(20) MEPROBAMATE' 21='(21) HYDROXYZINE'
                  22='(22) BENADRYL' 23='(23) CLONAZEPAN' 24='(24) KLONOPIN' ;
  VALUE ge19b20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) VALIUM' 2='(2) LIBRIUM' 3='(3) LIMBITROL' 4='(4) MENRIUM' 5='(5) SERAX'
                  6='(6) TRANXENE' 7='(7) ATIVAN' 8='(8) CENTRAX' 9='(9) XANAX' 10='(10) PAXIPAM'
                  11='(11) BUSPAR' 12='(12) MILTOWN' 13='(13) EQUANIL' 14='(14) DEPROL'
                  15='(15) VISTARIL' 16='(16) ATARAX' 17='(17) DURRAX' 18='(18) DIAZEPAM'
                  19='(19) SK-LYGEN' 20='(20) MEPROBAMATE' 21='(21) HYDROXYZINE'
                  22='(22) BENADRYL' 23='(23) CLONAZEPAN' 24='(24) KLONOPIN' ;
  VALUE ge19_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge20_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE ge20_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge20_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE ge20_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge20_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE ge20_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge20_e_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE ge20_e0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ge20_e1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ge20_e2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE ge20_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SEDATIVES AND SLEEPING PILLS' 2='(2) BARBITURATES'
                  3='(3) BENZODIAZEPINE, SUCH AS XANAX, VALIUM, OR LIBRIUM'
                  4='(4) OTHER TRANQUILIZERS' ;
  VALUE ge21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge21_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge21_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DEXEDRINE' 2='(2) DEXAMYL' 3='(3) ESKATROL' 4='(4) BENZEDRINE'
                  5='(5) BIPHETAMINE' 6='(6) DESOXYN' 7='(7) TENUATE' 8='(8) TEPANIL'
                  9='(9) DIDREX' 10='(10) PLGGINE' 11='(11) PRELUDIN' 12='(12) IONAMIN'
                  13='(13) FASTIN' 14='(14) PONDIMIN' 15='(15) VORANIL' 16='(16) SANOREX'
                  17='(17) MAZANOR' 18='(18) RITALIN' 19='(19) CYLERT' 20='(20) DEXTROAMPHETAMIN'
                  21='(21) METHEDRINE'
                  22='(22) METHAMPHETAMINE (''SPEED'' OR ''CRANK'')'
                  23='(23) OBEDRIN-L.A.' ;
  VALUE ge21_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DEXEDRINE' 2='(2) DEXAMYL' 3='(3) ESKATROL' 4='(4) BENZEDRINE'
                  5='(5) BIPHETAMINE' 6='(6) DESOXYN' 7='(7) TENUATE' 8='(8) TEPANIL'
                  9='(9) DIDREX' 10='(10) PLGGINE' 11='(11) PRELUDIN' 12='(12) IONAMIN'
                  13='(13) FASTIN' 14='(14) PONDIMIN' 15='(15) VORANIL' 16='(16) SANOREX'
                  17='(17) MAZANOR' 18='(18) RITALIN' 19='(19) CYLERT' 20='(20) DEXTROAMPHETAMIN'
                  21='(21) METHEDRINE'
                  22='(22) METHAMPHETAMINE (''SPEED'' OR ''CRANK'')'
                  23='(23) OBEDRIN-L.A.' ;
  VALUE ge21_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DEXEDRINE' 2='(2) DEXAMYL' 3='(3) ESKATROL' 4='(4) BENZEDRINE'
                  5='(5) BIPHETAMINE' 6='(6) DESOXYN' 7='(7) TENUATE' 8='(8) TEPANIL'
                  9='(9) DIDREX' 10='(10) PLGGINE' 11='(11) PRELUDIN' 12='(12) IONAMIN'
                  13='(13) FASTIN' 14='(14) PONDIMIN' 15='(15) VORANIL' 16='(16) SANOREX'
                  17='(17) MAZANOR' 18='(18) RITALIN' 19='(19) CYLERT' 20='(20) DEXTROAMPHETAMIN'
                  21='(21) METHEDRINE'
                  22='(22) METHAMPHETAMINE (''SPEED'' OR ''CRANK'')'
                  23='(23) OBEDRIN-L.A.' ;
  VALUE ge21_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge22ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge22_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE ge22_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge22_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE ge22_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge22_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE ge22_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge22_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT USED'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge23ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEITHER'
                  1='(1) MAJOR TRANQUILIZERS' 2='(2) MAJOR ANTIDEPRESSANTS' 3='(3) BOTH' ;
  VALUE ge23_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEITHER'
                  1='(1) MAJOR TRANQUILIZERS' 2='(2) MAJOR ANTIDEPRESSANTS' 3='(3) BOTH' ;
  VALUE ge24ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge24_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE ge24_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge24_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE ge24_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge24_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE ge24_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge24_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT USED'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge25ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge25_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE ge25_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge25_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE ge25_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge25_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge26ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO PROB DRUG' 10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE ge26_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE ge26_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge26_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE ge26_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge26_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE ge26_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge27ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge27_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO PROB DRUG' 10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE ge27_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE ge27_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge27_c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE ge27_c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge27_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE ge27_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge28ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge28_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO PROB DRUG' 10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE ge28_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE ge28_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge28_c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE ge28_c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge28_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE ge28_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ge29ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge30ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge30_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge31ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge31a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge31a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge31a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge31a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge31a_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge31a_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ge32ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge33_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE ge33_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE ge33_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE ge33_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE ge33_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE ge33_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE ge34ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE ge35ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE ge36ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE ge37ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE ge38ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY TEMPTED' ;
  VALUE ge39_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_g    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_l    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_n    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_o    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_p    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_q    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_r    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_s    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge39_t    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge40ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ge40_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge40_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge40_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge41_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge41_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE ge42ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY DIFFICULT' ;
  VALUE ge43ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY POOR'
                  2='(2) FAIR' 3='(3) VERY GOOD' ;
  VALUE ge44ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE ge45ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY DIFFICULT' ;
  VALUE ge46ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY POOR'
                  2='(2) FAIR' 3='(3) VERY GOOD' ;
  VALUE ge47ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE ge48_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE ge48_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE ge48_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE ge48_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE ge48_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE ge48_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE ge48_g    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE ge48_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE ge48_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE ge48_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE ge48_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE ge48_l    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gf1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER HAD VAGINAL SEX WITH A FEMALE' 1='(1) NONE'
                  2='(2) 1 FEMALE' 3='(3) 2 TO 4 FEMALES' 4='(4) 5 TO 9 FEMALES'
                  5='(5) 10 TO 20 FEMALES' 6='(6) 21 TO 99 FEMALES'
                  7='(7) 100 OR MORE FEMALES' ;
  VALUE gf1_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE gf2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) 1 FEMALE' 3='(3) 2 TO 4 FEMALES' 4='(4) 5 TO 9 FEMALES'
                  5='(5) 10 TO 20 FEMALES' 6='(6) 21 TO 99 FEMALES'
                  7='(7) 100 OR MORE FEMALES' ;
  VALUE gf2_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE gf3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gf4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gf5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER HAD SEX WITH A MALE' 1='(1) NONE' 2='(2) 1 MALE'
                  3='(3) 2 TO 4 MALES' 4='(4) 5 TO 9 MALES' 5='(5) 10 TO 20 MALES'
                  6='(6) 21 TO 99 MALES' 7='(7) 100 OR MORE MALES' ;
  VALUE gf5_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE gf6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gf7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gf8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gf9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gf9_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) 1 PERSON'
                  2='(2) 2 TO 4 PEOPLE' 3='(3) 5 OR MORE PEOPLE' ;
  VALUE gf10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER HAD VAGINAL INTERCOURSE W/MALE' 1='(1) NONE'
                  2='(2) 1 MALE' 3='(3) 2 TO 4 MALES' 4='(4) 5 TO 9 MALES'
                  5='(5) 10 TO 20 MALES' 6='(6) 21 TO 99 MALES' 7='(7) 100 OR MORE MALES' ;
  VALUE gf10_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE gf11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER HAD ANAL SEX WITH A MAN' 1='(1) NONE' 2='(2) 1 MALE'
                  3='(3) 2 TO 4 MALES' 4='(4) 5 TO 9 MALES' 5='(5) 10 TO 20 MALES'
                  6='(6) 21 TO 99 MALES' 7='(7) 100 OR MORE MALES' ;
  VALUE gf11_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE gf12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gf13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gf14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gf15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gf16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gf16_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) 1 MALE'
                  2='(2) 2 TO 4 MALES' 3='(3) 5 OR MORE MALES' ;
  VALUE gf17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gf17_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gf17_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gf17_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gf17_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gf17_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) AT THIS PROGRAM' 2='(2) SOME OTHER PLACE' 3='(3) BOTH' ;
  VALUE gf17_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gf17d_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gf17d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gf17d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 14='(14) CIRCLED' ;
  VALUE gf17d_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gf17d_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE gf17d_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE gf17d_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 61='(61) CIRCLED' ;
  VALUE gf17d_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 62='(62) CIRCLED' ;
  VALUE gf17d_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gf17_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gf18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gg1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) EXCELLENT'
                  2='(2) GOOD' 3='(3) FAIR' 4='(4) POOR' ;
  VALUE gg2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MUCH BETTER'
                  2='(2) BETTER' 3='(3) THE SAME' 4='(4) WORSE' 5='(5) MUCH WORSE' ;
  VALUE gg3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MUCH BETTER'
                  2='(2) BETTER' 3='(3) THE SAME' 4='(4) WORSE' 5='(5) MUCH WORSE' ;
  VALUE gg4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gg4_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gg4_b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gg4_b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gg4_b_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gg4_b_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gg4_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) 1-3 MOS'
                  6='(6) 3-6 MOS' 9='(9) 7-9 MOS' ;
  VALUE gg4_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) VERY MILD' 2='(2) MILD' 3='(3) MODERATE' 4='(4) SEVERE' ;
  VALUE gg4_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gg4f_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gg4f_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gg4f_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gg4f_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gg4f_5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gg4f_6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gg4g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gg5_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gg5_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gg5_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gg5_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gg5_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gg5_f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gg7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gg7_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gg8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gg9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gg10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gg11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gg12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gg12a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gg12a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gg12a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gg12a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gg12b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO DIAGNOSIS' 1='(1) SUBSTANCE-RELATED CONDITIONS'
                  2='(2) MENTAL HEALTH CONDITIONS' 3='(3) ALL OTHER CONDITIONS' ;
  VALUE gg12b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO DIAGNOSIS' 1='(1) SUBSTANCE-RELATED CONDITIONS'
                  2='(2) MENTAL HEALTH CONDITIONS' 3='(3) ALL OTHER CONDITIONS' ;
  VALUE gg12b_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO DIAGNOSIS' 1='(1) SUBSTANCE-RELATED CONDITIONS'
                  2='(2) MENTAL HEALTH CONDITIONS' 3='(3) ALL OTHER CONDITIONS' ;
  VALUE gg13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gg14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE gg15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gg15_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE gh1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh1_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gh2_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh3_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gh2_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh3_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gh2_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh3_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gh2_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh3_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gh2_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh3_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gh2_f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh3_f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gh2_g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh3_g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gh2_h     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh3_h     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gh2_i     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh3_i     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gh2_j     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh3_j     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gh2_k     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh3_k     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gh2_l     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh3_l     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gh4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gh5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) 1 OR 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 OR MORE TIMES' ;
  VALUE gh6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh6_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) NOT AT ALL SERIOUS' 2='(2) SOMEWHAT SERIOUS'
                  3='(3) VERY SERIOUS' ;
  VALUE gh7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY TROUBLED' ;
  VALUE gh8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh8_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gh9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY TROUBLED' ;
  VALUE gj1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WORKING LEGITIMATE JOB/YOURSELF'
                  2='(2) HAD A JOB BUT WAS NOT WORKING' 3='(3) LOOKING FOR WORK'
                  4='(4) HOMEMAKER' 5='(5) GOING TO SCHOOL/TRAINING PROG'
                  6='(6) UNABLE TO WORK, DISABLE' 7='(7) RETIRED'
                  8='(8) IN JAIL/RESI TREAT PROG/OTHER INSTI'
                  9='(9) INVOLVED IN DRUG RELATED ACTIVITY'
                  10='(10) INVOLVED IN OTHER ILLEGAL ACTIVITY'
                  11='(11) NOT WORKING/NOT INTEREST WORKING' 12='(12) OTHER' ;
  VALUE gj2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gj2_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) DID NOT EARN MONEY LEGALLY' 2='(2) DID EARN MONEY LEGALLY' ;
  VALUE gj2_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gj2_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gj2_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gj2_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SLACK WORK, LAYOFFS, STRIKE' 2='(2) SEASONAL WORKER'
                  3='(3) JOB TERMINATED' 4='(4) NEW JOB STARTED DURING WEEK'
                  5='(5) COULD ONLY FINE PART-TIME WORK'
                  6='(6) DRUG OR ALCOHOL PROBLEM' 7='(7) ILLNESS' 8='(8) VACATION'
                  9='(9) BUSY WITH OTHER ACTIVITIES'
                  10='(10) DID NOT WANT/NEED FULL-TIME WORK'
                  11='(11) WORKWEEK USUALLY UNDER 35 HOURS' 12='(12) UNABLE TO WORK'
                  13='(13) RETIRED' 14='(14) IN JAIL, RESIDENTIAL TREATMENT PROGRAM'
                  15='(15) INVOLVED IN ILLEGAL ACTIVITIES' 16='(16) OTHERS' ;
  VALUE gj2_f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gj2_g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SLACK WORK, LAYOFFS, STRIKE' 2='(2) SEASONAL WORKER'
                  3='(3) JOB TERMINATED' 4='(4) NEW JOB STARTED DURING WEEK'
                  5='(5) COULD ONLY FINE PART-TIME WORK'
                  6='(6) DRUG OR ALCOHOL PROBLEM' 7='(7) ILLNESS' 8='(8) VACATION'
                  9='(9) BUSY WITH OTHER ACTIVITIES'
                  10='(10) DID NOT WANT/NEED FULL-TIME WORK'
                  11='(11) WORKWEEK USUALLY UNDER 35 HOURS' 12='(12) UNABLE TO WORK'
                  13='(13) RETIRED' 14='(14) IN JAIL, RESIDENTIAL TREATMENT PROGRAM'
                  15='(15) INVOLVED IN ILLEGAL ACTIVITIES' 16='(16) OTHERS' ;
  VALUE gj3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gj3_a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gj3_a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gj3_a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gj3_a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gj3_a_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gj3_a_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gj3_a_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gj3_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gj3_c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gj3_c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gj3_c_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gj3_c_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gj3_c_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gj3_c_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gj3_c_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gj3_c_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gj3_c_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE gj3_c_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 10='(10) CIRCLED' ;
  VALUE gj3_c10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gj4_0fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE gj4_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gj4_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gj4_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gj4_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gj4_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gj4_6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gj4_7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gj4_8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gj4_9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE gj4_10ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 10='(10) CIRCLED' ;
  VALUE gj4_11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gj4_12ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gj4_13ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gj4_14ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 14='(14) CIRCLED' ;
  VALUE gj4_15ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 15='(15) CIRCLED' ;
  VALUE gj4_16ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 16='(16) CIRCLED' ;
  VALUE gj5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gj6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gj7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gj8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gj9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PROFESSIONAL AND TECHNICAL'
                  2='(2) MANAGER AND ADMINISTRATOR' 3='(3) SALES'
                  4='(4) CLERICAL OR OFFICE WORKER' 5='(5) CRAFT AND KINDRED'
                  6='(6) OPERATIVES' 7='(7) TRANSPORTATION EQUIPMENT OPERATIVES'
                  8='(8) LABORERS (FARM & NONFARM)' 10='(10) SERVICE WORKER'
                  86='(86) OTHER' ;
  VALUE gj9_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) AGRICULTURE/FORESTRY/FISHERIES' 2='(2) CONSTRUCTION'
                  3='(3) MANUFACTURING'
                  4='(4) TRANSPORT./COMMUNIC./OTHER PUB UTILITIES'
                  5='(5) WHOLESALE TRADE' 6='(6) RETAIL TRADE'
                  7='(7) FINANCE/INSUR./REAL ESTATE' 8='(8) BUSINESS/REPAIR SERVICES'
                  9='(9) PERSONAL SERVICES' 10='(10) ENTERTAINMENT/REC. SVCS'
                  11='(11) PROF./RELATED SVCS' 12='(12) PUBLIC ADMIN.'
                  13='(13) INDUSTRY NOT REPORTED' ;
  VALUE gj9_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gj9_c_oc  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PROFESSIONAL AND TECHNICAL'
                  2='(2) MANAGER AND ADMINISTRATOR' 3='(3) SALES'
                  4='(4) CLERICAL OR OFFICE WORKER' 5='(5) CRAFT AND KINDRED'
                  6='(6) OPERATIVES' 7='(7) TRANSPORTATION EQUIPMENT OPERATIVES'
                  8='(8) LABORERS (FARM & NONFARM)' 10='(10) SERVICE WORKER'
                  86='(86) OTHER' ;
  VALUE gj9_c     -9.0000='LEGITIMATE NONRESPONSE' -8.0000='MISSING'
                  -7.0000='REFUSAL' -6.0000='MULTIPLE RESPONSE'
                  -5.0000='BAD DATA' -4.0000='DON''T KNOW'
                  -3.0000='NOT APPLICABLE' -2.0000='RESPONSE ILLEGIBLE' ;
  VALUE gj9_cod   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) HOUR'
                  2='(2) WEEK' 3='(3) 2 WEEKS' 4='(4) MONTH' 5='(5) YEAR' 6='(6) OTHER' ;
  VALUE gj10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gj11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE gj12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gj12_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE gk1_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gk2_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gk1_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gk2_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gk1_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gk2_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gk1_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gk2_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gk1_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gk2_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gk1_f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gk2_f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gk2_g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gk3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gk4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gk4_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gk5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gk6_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gk6_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gk6_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gk6_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gk7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gk7_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE gk8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gk9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE gl1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gl1_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl2_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl2_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) YOU WERE SICK' 2='(2) FRIEND/FAMILY MEMBER SICK'
                  9='(9) OTHER ILLNESS RELATED' 10='(10) CHILD CARE ARRANGE PROBLEM'
                  11='(11) FAMILY MEMBER OBJECTED'
                  12='(12) FAMILY MEMBER DID NOT ATTEND W/YOU'
                  13='(13) FRIENDS PUT YOU DOWN TO SEEK HELP'
                  14='(14) STIGMA/COME TO PROG/DISCOURAGED YOU'
                  15='(15) FEAR OF DRUG TEST/BY EMPLOYER' 16='(16) YOU WERE IN SCHOOL'
                  19='(19) OTHER PRESSURES' 20='(20) DIFFICULTY W/TRANSPORTATION'
                  21='(21) DAILY SCHEDULE PREVENTED YOU'
                  22='(22) YOU WERE INCARCERATED'
                  23='(23) OTHER ACTIVITY KEPT FROM ATTENDING'
                  24='(24) COULD NOT ATTEND DURING PROG HRS'
                  25='(25) YOU DID NOT CARE FOR LOCATION'
                  26='(26) DISTANCE TO PROG WAS TOO FAR' 29='(29) OTHER ACCESS RELATED'
                  30='(30) TREATMENT/WAS NOT YOU EXPECTED'
                  31='(31) FELT/GET BETTER HELP ELSEWHERE'
                  32='(32) NOT TREATED IN A PROF MANNER' 33='(33) TOO MUCH PAPERWORK'
                  34='(34) TOO HIGH FEES' 35='(35) HAD TO WAIT TOO LONG'
                  36='(36) NOT FEEL COMFORTABLE W/COUNSELOR'
                  37='(37) YOU SOUGHT OTHER HELP' 38='(38) RESENTMENT OVER DRUG TEST'
                  39='(39) OTHER DISSATISFACTION REASON'
                  40='(40) PROBLEM IMPROVED ON ITS OWN'
                  41='(41) IMMEDIATE CRISIS WAS RESOLVED'
                  42='(42) DID NOT THINK YOU NEED TREATMENT'
                  49='(49) TREATMENT NOT HELPFUL' 50='(50) YOU FORGOT APPOINTMENT'
                  51='(51) YOU WERE DRUNK/HIGH' 52='(52) FELT OVERWHELMED'
                  53='(53) COUNSELOR CANCELLED APPOINTMENT'
                  54='(54) AFRAID OF BAD DRUG TEST RESULT' 59='(59) OTHER' ;
  VALUE gl2_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl2_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) YOU WERE SICK' 2='(2) FRIEND/FAMILY MEMBER SICK'
                  9='(9) OTHER ILLNESS RELATED' 10='(10) CHILD CARE ARRANGE PROBLEM'
                  11='(11) FAMILY MEMBER OBJECTED'
                  12='(12) FAMILY MEMBER DID NOT ATTEND W/YOU'
                  13='(13) FRIENDS PUT YOU DOWN TO SEEK HELP'
                  14='(14) STIGMA/COME TO PROG/DISCOURAGED YOU'
                  15='(15) FEAR OF DRUG TEST/BY EMPLOYER' 16='(16) YOU WERE IN SCHOOL'
                  19='(19) OTHER PRESSURES' 20='(20) DIFFICULTY W/TRANSPORTATION'
                  21='(21) DAILY SCHEDULE PREVENTED YOU'
                  22='(22) YOU WERE INCARCERATED'
                  23='(23) OTHER ACTIVITY KEPT FROM ATTENDING'
                  24='(24) COULD NOT ATTEND DURING PROG HRS'
                  25='(25) YOU DID NOT CARE FOR LOCATION'
                  26='(26) DISTANCE TO PROG WAS TOO FAR' 29='(29) OTHER ACCESS RELATED'
                  30='(30) TREATMENT/WAS NOT YOU EXPECTED'
                  31='(31) FELT/GET BETTER HELP ELSEWHERE'
                  32='(32) NOT TREATED IN A PROF MANNER' 33='(33) TOO MUCH PAPERWORK'
                  34='(34) TOO HIGH FEES' 35='(35) HAD TO WAIT TOO LONG'
                  36='(36) NOT FEEL COMFORTABLE W/COUNSELOR'
                  37='(37) YOU SOUGHT OTHER HELP' 38='(38) RESENTMENT OVER DRUG TEST'
                  39='(39) OTHER DISSATISFACTION REASON'
                  40='(40) PROBLEM IMPROVED ON ITS OWN'
                  41='(41) IMMEDIATE CRISIS WAS RESOLVED'
                  42='(42) DID NOT THINK YOU NEED TREATMENT'
                  49='(49) TREATMENT NOT HELPFUL' 50='(50) YOU FORGOT APPOINTMENT'
                  51='(51) YOU WERE DRUNK/HIGH' 52='(52) FELT OVERWHELMED'
                  53='(53) COUNSELOR CANCELLED APPOINTMENT'
                  54='(54) AFRAID OF BAD DRUG TEST RESULT' 59='(59) OTHER' ;
  VALUE gl2_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl2_f_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) YOU WERE SICK' 2='(2) FRIEND/FAMILY MEMBER SICK'
                  9='(9) OTHER ILLNESS RELATED' 10='(10) CHILD CARE ARRANGE PROBLEM'
                  11='(11) FAMILY MEMBER OBJECTED'
                  12='(12) FAMILY MEMBER DID NOT ATTEND W/YOU'
                  13='(13) FRIENDS PUT YOU DOWN TO SEEK HELP'
                  14='(14) STIGMA/COME TO PROG/DISCOURAGED YOU'
                  15='(15) FEAR OF DRUG TEST/BY EMPLOYER' 16='(16) YOU WERE IN SCHOOL'
                  19='(19) OTHER PRESSURES' 20='(20) DIFFICULTY W/TRANSPORTATION'
                  21='(21) DAILY SCHEDULE PREVENTED YOU'
                  22='(22) YOU WERE INCARCERATED'
                  23='(23) OTHER ACTIVITY KEPT FROM ATTENDING'
                  24='(24) COULD NOT ATTEND DURING PROG HRS'
                  25='(25) YOU DID NOT CARE FOR LOCATION'
                  26='(26) DISTANCE TO PROG WAS TOO FAR' 29='(29) OTHER ACCESS RELATED'
                  30='(30) TREATMENT/WAS NOT YOU EXPECTED'
                  31='(31) FELT/GET BETTER HELP ELSEWHERE'
                  32='(32) NOT TREATED IN A PROF MANNER' 33='(33) TOO MUCH PAPERWORK'
                  34='(34) TOO HIGH FEES' 35='(35) HAD TO WAIT TOO LONG'
                  36='(36) NOT FEEL COMFORTABLE W/COUNSELOR'
                  37='(37) YOU SOUGHT OTHER HELP' 38='(38) RESENTMENT OVER DRUG TEST'
                  39='(39) OTHER DISSATISFACTION REASON'
                  40='(40) PROBLEM IMPROVED ON ITS OWN'
                  41='(41) IMMEDIATE CRISIS WAS RESOLVED'
                  42='(42) DID NOT THINK YOU NEED TREATMENT'
                  49='(49) TREATMENT NOT HELPFUL' 50='(50) YOU FORGOT APPOINTMENT'
                  51='(51) YOU WERE DRUNK/HIGH' 52='(52) FELT OVERWHELMED'
                  53='(53) COUNSELOR CANCELLED APPOINTMENT'
                  54='(54) AFRAID OF BAD DRUG TEST RESULT' 59='(59) OTHER' ;
  VALUE gl2_f_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl2_f_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl3_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl5_a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl5_a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl5_a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl5_a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl5_b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl5_b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl5_b_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl5_b_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl5_b_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl5_b_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl5_b_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl5_b_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl5_b_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 31='(31) CIRCLED' ;
  VALUE gl5_b_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl5_b10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl5_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gl5_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gl6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl6_a_a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl6_a_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl6_a_c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl6_a_d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl6_a_e   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl6_a_f   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl6_a_g   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl6_a_h   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl6_a_i   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE gl6_a_j   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 10='(10) CIRCLED' ;
  VALUE gl6_b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMMUNITY MENTAL HEALTH PROG'
                  2='(2) ALC REHABILITATION CENTER'
                  3='(3) 28-DAY/OTHER SHORT TERM TRTMNT'
                  4='(4) THERAPEUTIC COMMUNITY' 5='(5) HALFWAY HOUSE'
                  6='(6) DETOXIFICATION TREATMENT UNIT'
                  7='(7) EMERGENCY ROOM/CRISIS CENTER' 8='(8) PRIVATE THERAPIST'
                  9='(9) OTHER OUTPATIENT TREATMENT'
                  10='(10) OTHER INPATIENT TREATMENT' ;
  VALUE gl6_c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl6_d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE gl6_e_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl6_b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMMUNITY MENTAL HEALTH PROG'
                  2='(2) ALC REHABILITATION CENTER'
                  3='(3) 28-DAY/OTHER SHORT TERM TRTMNT'
                  4='(4) THERAPEUTIC COMMUNITY' 5='(5) HALFWAY HOUSE'
                  6='(6) DETOXIFICATION TREATMENT UNIT'
                  7='(7) EMERGENCY ROOM/CRISIS CENTER' 8='(8) PRIVATE THERAPIST'
                  9='(9) OTHER OUTPATIENT TREATMENT'
                  10='(10) OTHER INPATIENT TREATMENT' ;
  VALUE gl6_c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl6_d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE gl6_e_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl6_b_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMMUNITY MENTAL HEALTH PROG'
                  2='(2) ALC REHABILITATION CENTER'
                  3='(3) 28-DAY/OTHER SHORT TERM TRTMNT'
                  4='(4) THERAPEUTIC COMMUNITY' 5='(5) HALFWAY HOUSE'
                  6='(6) DETOXIFICATION TREATMENT UNIT'
                  7='(7) EMERGENCY ROOM/CRISIS CENTER' 8='(8) PRIVATE THERAPIST'
                  9='(9) OTHER OUTPATIENT TREATMENT'
                  10='(10) OTHER INPATIENT TREATMENT' ;
  VALUE gl6_c_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl6_d_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE gl6_e_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl6_b_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMMUNITY MENTAL HEALTH PROG'
                  2='(2) ALC REHABILITATION CENTER'
                  3='(3) 28-DAY/OTHER SHORT TERM TRTMNT'
                  4='(4) THERAPEUTIC COMMUNITY' 5='(5) HALFWAY HOUSE'
                  6='(6) DETOXIFICATION TREATMENT UNIT'
                  7='(7) EMERGENCY ROOM/CRISIS CENTER' 8='(8) PRIVATE THERAPIST'
                  9='(9) OTHER OUTPATIENT TREATMENT'
                  10='(10) OTHER INPATIENT TREATMENT' ;
  VALUE gl6_c_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl6_d_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE gl6_e_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl7_a_a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl7_a_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl7_a_c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl7_a_d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl7_a_e   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl7_a_f   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl7_a_g   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl7_a_h   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl7_a_i   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE gl7_b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIVATE PHYSICIAN/PSYCHI/PSYCHO'
                  2='(2) 28-DAY/OTHER SHORT TERM TREATMENT'
                  3='(3) THERAPEUTIC COMMUNITY' 4='(4) HALFWAY HOUSE'
                  5='(5) METHADONE TREAT PROG' 6='(6) NON-METHADONE'
                  7='(7) DETOXIFICATION TREATMENT UNIT'
                  8='(8) OTHER OUTPATIENT DRUG TREATMENT'
                  9='(9) OTHER INPATIENT DRUG TREATMENT' ;
  VALUE gl7_c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl7_d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE gl7_e_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl7_b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIVATE PHYSICIAN/PSYCHI/PSYCHO'
                  2='(2) 28-DAY/OTHER SHORT TERM TREATMENT'
                  3='(3) THERAPEUTIC COMMUNITY' 4='(4) HALFWAY HOUSE'
                  5='(5) METHADONE TREAT PROG' 6='(6) NON-METHADONE'
                  7='(7) DETOXIFICATION TREATMENT UNIT'
                  8='(8) OTHER OUTPATIENT DRUG TREATMENT'
                  9='(9) OTHER INPATIENT DRUG TREATMENT' ;
  VALUE gl7_c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl7_d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE gl7_e_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl7_b_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIVATE PHYSICIAN/PSYCHI/PSYCHO'
                  2='(2) 28-DAY/OTHER SHORT TERM TREATMENT'
                  3='(3) THERAPEUTIC COMMUNITY' 4='(4) HALFWAY HOUSE'
                  5='(5) METHADONE TREAT PROG' 6='(6) NON-METHADONE'
                  7='(7) DETOXIFICATION TREATMENT UNIT'
                  8='(8) OTHER OUTPATIENT DRUG TREATMENT'
                  9='(9) OTHER INPATIENT DRUG TREATMENT' ;
  VALUE gl7_c_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl7_d_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE gl7_e_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl7_b_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIVATE PHYSICIAN/PSYCHI/PSYCHO'
                  2='(2) 28-DAY/OTHER SHORT TERM TREATMENT'
                  3='(3) THERAPEUTIC COMMUNITY' 4='(4) HALFWAY HOUSE'
                  5='(5) METHADONE TREAT PROG' 6='(6) NON-METHADONE'
                  7='(7) DETOXIFICATION TREATMENT UNIT'
                  8='(8) OTHER OUTPATIENT DRUG TREATMENT'
                  9='(9) OTHER INPATIENT DRUG TREATMENT' ;
  VALUE gl7_c_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl7_d_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE gl7_e_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl8_0fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE gl8_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl8_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl8_11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl8_12ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl8_13ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl8_21ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl8_22ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl8_71ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl8_91ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl8_a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO ONE'
                  1='(1) PRIMARY/RGG COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl8_a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO ONE'
                  1='(1) PRIMARY/RGG COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gl9_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) A LOT' ;
  VALUE gl12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) POOR'
                  2='(2) FAIR' 3='(3) GOOD' 4='(4) EXCELLENT' ;
  VALUE gl13_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl13_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl13_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl13_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl13_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl13_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl13_g    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl13_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl13_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl13_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl13_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl13_k_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl13_k0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl13_k1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl13_k2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl14_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gl14_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gl15_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE gl15_y    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl16_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) A LOT' ;
  VALUE gl19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) POOR'
                  2='(2) FAIR' 3='(3) GOOD' 4='(4) EXCELLENT' ;
  VALUE gl20_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl20_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl20_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl20_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl20_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl20_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl20_g    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl20_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl20_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl20_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl20_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl20_k_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl20_k0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl20_k1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl20_k2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl21_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gl21_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gl22_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE gl22_y    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl23ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl24ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl25ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 71='(71) STAFF FROM OTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl26_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE gl26_y    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl27ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) DON''T KNOW' ;
  VALUE gl28ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl28a_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE gl28a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl28a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl28a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl28a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl28a_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl28a_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl28a_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl28a_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl28a_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE gl28a10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE gl28a11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE gl28a12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl28a13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl28b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) SELF'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 24='(24) VOCATIONAL COUNSELOR' 25='(25) PHYSICIAN'
                  26='(26) PHYSICIANS ASSISTANT' 71='(71) STAFF FROM ANOTHER AGENCY'
                  91='(91) OTHER' ;
  VALUE gl29ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29_b_a  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29_b_b  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29_b_c  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29_b_d  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29_b_e  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29_b_g  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29_b_h  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29_b_i  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29_b_j  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29_b_k  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29b_kf  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29b_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl29_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE gl29_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl30ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl30_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl30_b_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE gl30c_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE gl30c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl30c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl30c_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl30c_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl30c_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl30c_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl30c_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl30c_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl30c_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE gl30c10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE gl30c11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE gl30c12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE gl30c13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl30c14f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl30_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE gl31ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl32ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gl33ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) DIFFICULT'
                  2='(2) EASY' ;
  VALUE gl33_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) VERY DIFFICULT' 2='(2) SOMEWHAT DIFFICULT' ;
  VALUE gl33_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY EASY'
                  2='(2) SOMEWHAT EASY' ;
  VALUE gl34ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY CLOSELY' ;
  VALUE gl35ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO PROB DRUG' 10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE gl35_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl36ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ABSTAIN/NEVER USE AGAIN' 2='(2) REDUCE YOUR LEVEL OF USE'
                  3='(3) QUIT FOR A WHILE BUT USE LATER'
                  4='(4) CONTINUE TO USE/BEFORE ENTER PROG' 5='(5) IF VOL: OTHER' ;
  VALUE gl37ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE gl38ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SAME'
                  2='(2) DIFFERENT' ;
  VALUE gl39ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl39_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl39_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY MUCH' ;
  VALUE gl40ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER DRINK'
                  2='(2) DRINK OCCASIONALLY' 3='(3) DRINK REGULARLY' ;
  VALUE gl41ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl41_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) QUIT FOR A WHILE/START LATER'
                  2='(2) QUIT/EVEN THOUGHT YOU SLIP FEW TIME'
                  3='(3) QUIT/NEVER DRINK ALC AGAIN' ;
  VALUE gl42ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) CONTINUE TO DRINK LIKE BEFORE'
                  2='(2) DRINK MORE ALC THAN BEFORE'
                  3='(3) CUT BACK ON DRINKING/>CONTROLLED'
                  4='(4) QUIT FOR A WHILE/START LATER' 5='(5) IF VOL: OTHER' ;
  VALUE gl43ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE gl44_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gl44_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gl45_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gl45_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gl45_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gl45_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gl45_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gl45_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gl45_g    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gl45_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gl45_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gl45_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gl45_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gl45_l    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE gl46ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl47_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl47_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl47_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl47_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl47_13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl47_21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl47_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl47_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl47_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl47_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl48_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl48_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl48_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl48_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl48_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl48_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl48_g    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl48_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl48_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl48_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl48_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl48_k_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl48_k0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl48_k1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl48_k2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl49_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gl49_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gl50ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gl50_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl51ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE gl52ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) POOR'
                  2='(2) FAIR' 3='(3) GOOD' 4='(4) EXCELLENT' ;
  VALUE gl55ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl56ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gl57ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE gl58ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl58_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl58_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl58_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl58_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl58_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gl58_c_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE gl58_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) AT THIS PROGRAM' 2='(2) AT SOME OTHER PLACE' 3='(3) BOTH' ;
  VALUE gl59_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gl59_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gl60ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gl63ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl64ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl65_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl65_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl65_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl65_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl65_13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl65_21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl65_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl65_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl65_28f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE gl65_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl65_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl65_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl65_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl66ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) INDIVIDUAL'
                  2='(2) GROUP' 3='(3) BOTH' ;
  VALUE gl66_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl66_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl66_c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl66_c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl66_c1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl66_c2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl66_c3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl66_c4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl66_c5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl66_c6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl66_c7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE gl66_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl66_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl66_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl66_g_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl66_g0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl66_g1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl66_g2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl66_g3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl66_h_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl66_h0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl66_h1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl66_h2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl66_h3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl66_h4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl66_h5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl66_h6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl66_h7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE gl66_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE gl67ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) INDIVIDUAL'
                  2='(2) GROUP' 3='(3) BOTH' ;
  VALUE gl67_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl67_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl67_c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl67_c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl67_c1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl67_c2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl67_c3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl67_c4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl67_c5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl67_c6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl67_c7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE gl67_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl67_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl67_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl67_g_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl67_g0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl67_g1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl67_g2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl67_g3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl67_h_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl67_h0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl67_h1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl67_h2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl67_h3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl67_h4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl67_h5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl67_h6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl67_h7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE gl67_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE gl68ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl68a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl68a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl68a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl68a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl68a_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl68a_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl68b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) A COMMUNITY MENTAL HEALTH SERVICE'
                  2='(2) A PRIVATE PSYCHIATRIC HOSPITAL'
                  3='(3) ANY OTHER HOSPITAL OR FACILITY'
                  4='(4) AN EMERGENCY ROOM OR CRISIS CENTER'
                  5='(5) PRIVATE THERAPIST' 6='(6) OTHER' ;
  VALUE gl68c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE gl68d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gl68e_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl68f1_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl68f10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl68f11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl68f12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl68f13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl68f14f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl68f15f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl68f16f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl68f17f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE gl68f18f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl68f19f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl68g_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl68b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) A COMMUNITY MENTAL HEALTH SERVICE'
                  2='(2) A PRIVATE PSYCHIATRIC HOSPITAL'
                  3='(3) ANY OTHER HOSPITAL OR FACILITY'
                  4='(4) AN EMERGENCY ROOM OR CRISIS CENTER'
                  5='(5) PRIVATE THERAPIST' 6='(6) OTHER' ;
  VALUE gl68c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE gl68d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl68e_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl68f2_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl68f20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl68f21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl68f22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl68f23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl68f24f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl68f25f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl68f26f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl68f27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE gl68f28f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl68f29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl68g_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl69ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl69_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl69_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl69_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl69_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl69_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl69_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl69_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl69_b2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl69_a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl69_b3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl70ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl71ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl72_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl72_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl72_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl72_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl72_24f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE gl72_25f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE gl72_26f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE gl72_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl72_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl72_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  22='(22) PSYCHIATRIST' 23='(23) NURSE' 24='(24) PHYSICIAN'
                  25='(25) PHYSICIANS ASSISTANT' 26='(26) DENTIST'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl72_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  22='(22) PSYCHIATRIST' 23='(23) NURSE' 24='(24) PHYSICIAN'
                  25='(25) PHYSICIANS ASSISTANT' 26='(26) DENTIST'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl73ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl73_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl73_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl73_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl73_b2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl73_b3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl73_b4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl73_b5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl73_b6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl73_b7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl73_b8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE gl73_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE gl74ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl74_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl74_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl74_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl74_b2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl74_b3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl74_b4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl74_b5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl74_b6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl74_b7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl74_b8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE gl74_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE gl75ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl75_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl75_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl75_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl75_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl75_a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl75_a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl75b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIVATE PHYSICIAN OR DENTIST'
                  2='(2) HOSPITAL OR PUBLIC HEALTH CLINIC'
                  3='(3) MILITARY OR VA HOSPITAL OR CLINIC'
                  4='(4) HEALTH COOPERATIVE' 5='(5) OTHER MEDICAL' 6='(6) OTHER' ;
  VALUE gl75c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE gl75d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl75e_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl75f10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl75f11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl75f12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl75f13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl75f14f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE gl75f15f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE gl75f16f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE gl75f17f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl75f19f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl75g_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  22='(22) PSYCHIATRIST' 23='(23) NURSE' 24='(24) PHYSICIAN'
                  25='(25) PHYSICIAN''S ASSISTANT' 26='(26) DENTIST'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl75b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIVATE PHYSICIAN OR DENTIST'
                  2='(2) HOSPITAL OR PUBLIC HEALTH CLINIC'
                  3='(3) MILITARY OR VA HOSPITAL OR CLINIC'
                  4='(4) HEALTH COOPERATIVE' 5='(5) OTHER MEDICAL' 6='(6) OTHER' ;
  VALUE gl75c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE gl75d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl75e_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl75f20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl75f21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl75f22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl75f23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl75f24f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE gl75f25f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE gl75f26f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE gl75f27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl75f29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl75g_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  22='(22) PSYCHIATRIST' 23='(23) NURSE' 24='(24) PHYSICIAN'
                  25='(25) PHYSICIAN''S ASSISTANT' 26='(26) DENTIST'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl76ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl76_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl76_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl76_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl76_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl77ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl77_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl77b_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl77b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl77b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl77b_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl77b_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl77b_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl77b_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl77b_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl77b_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE gl77b_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE gl77b10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE gl77b11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE gl77b12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE gl77b13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl77b14f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl77_c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl77_c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl77_c1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl77_c2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl77_c3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl77_c4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl77_c5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl77_c6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl78ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl79ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl80_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl80_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl80_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl80_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl80_13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl80_21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl80_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl80_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl80_28f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE gl80_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl80_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl80_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl80_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl81_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl81_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl81_03f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl81_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl81_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl81_c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl81_c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl81_c1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl81_c2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl81_c3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl81_c4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl81_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl81_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl81_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl81_g_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl81_g0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl81_g1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl81_g2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl81_g3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl81_h_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl81_h0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl81_h1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl81_h2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl81_h3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl81_h4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl81_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY' ;
  VALUE gl81_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl81_k_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl81_k0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl81_k1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl81_k2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl81_k3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl81_k4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl81_k5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl81_k6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl81_l_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl81_l0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl81_l1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl81_l2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl81_l3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl81_l4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl81_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl82_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl82_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl82_03f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl82_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl82_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl82_c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl82_c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl82_c1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl82_c2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl82_c3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl82_c4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl82_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl82_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl82_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl82_g_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl82_g0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl82_g1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl82_g2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl82_g3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl82_h_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl82_h0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl82_h1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl82_h2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl82_h3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl82_h4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl82_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl82_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl82_k_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl82_k0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl82_k1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl82_k2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl82_k3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl82_k4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl82_k5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl82_k6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl82_l_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl82_l0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl82_l1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl82_l2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl82_l3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl82_l4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl82_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl83ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl83a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl83a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl83a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl83a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl83a_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl83b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SOCIAL SERVICES OR FAMILY SERVICES'
                  2='(2) MENTAL HEALTH CENTER'
                  3='(3) CHURCH OF RELIGIOUS ORGANIZATION'
                  4='(4) PRIVATE MARITAL OR FAMILY COUNSELOR' 5='(5) OTHER' ;
  VALUE gl83c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE gl83d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl83e_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl83f1_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl83f10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl83f11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl83f12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl83f13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl83f14f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl83f15f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl83f16f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl83f17f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE gl83f18f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl83f19f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl83g_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl83b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SOCIAL SERVICES OR FAMILY SERVICES'
                  2='(2) MENTAL HEALTH CENTER'
                  3='(3) CHURCH OF RELIGIOUS ORGANIZATION'
                  4='(4) PRIVATE MARITAL OR FAMILY COUNSELOR' 5='(5) OTHER' ;
  VALUE gl83c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE gl83d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl83e_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl83f2_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl83f20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl83f21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl83f22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl83f23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl83f24f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl83f25f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl83f26f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl83f27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE gl83f28f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl83f29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl83g_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl84ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl85ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl86_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl86_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl86_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl86_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl86_13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl86_21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl86_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl86_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl86_27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE gl86_29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) TEACHER' ;
  VALUE gl86_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl86_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl86_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl86_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl87_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl87_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl87_03f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl87_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl87_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl87_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) DEGREE'
                  2='(2) DIPLOMA' 3='(3) CERTIFICATE' 4='(4) OTHER' ;
  VALUE gl87_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl87_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE gl87_g_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl87_g0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl87_g1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl87_g2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl87_g3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl87_g4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl87_g5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl87_g6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl87_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl87_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl87_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl87_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl87_l_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl87_l0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl87_l1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl87_l2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl87_l3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl87_l4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl87_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ALL INDIVIDUAL' 2='(2) ALL GROUP' 3='(3) BOTH INDIVIDUAL/GROUP' ;
  VALUE gl87_n    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl87_o    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl87_p    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl88_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl88_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl88_03f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl88_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl88_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl88_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl88_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) DEGREE'
                  2='(2) DIPLOMA' 3='(3) CERTIFICATE' 4='(4) OTHER' ;
  VALUE gl88_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl88_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl88_g_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl88_g0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl88_g1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl88_g2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl88_g3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl88_g4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl88_g5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl88_g6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl88_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl88_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl88_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl88_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl88_l_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl88_l0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl88_l1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl88_l2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl88_l3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl88_l4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl88_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ALL INDIVIDUAL' 2='(2) ALL GROUP' 3='(3) BOTH INDIVIDUAL/GROUP' ;
  VALUE gl88_n    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl88_o    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl88_p    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE gl89ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl89_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl89_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl89_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl89_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl89_a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl89_a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl89_a5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl89_a6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl89_a7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE gl89b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STATE OFFICE OF EMPLOYMENT' 2='(2) DVR/OVR/VESID'
                  3='(3) JTPA/PIC' 4='(4) PUBLIC EMPLOYMENT/TRAINING AGENCIES'
                  5='(5) PRIVATE EMPLOYMENT/TRAINING AGENCIES'
                  6='(6) BUSINESS ORGANIZATIONS'
                  7='(7) VOCATIONAL/TECHNICAL/CMMNTY COLLEGE'
                  8='(8) CHARITABLE AGENCIES' 9='(9) OTHER' ;
  VALUE gl89c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE gl89d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl89e_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl89f1_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl89f10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl89f11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl89f12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl89f13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl89f14f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl89f15f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl89f16f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl89f17f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE gl89f18f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE gl89f19f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl89f20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl89g_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl89b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STATE OFFICE OF EMPLOYMENT' 2='(2) DVR/OVR/VESID'
                  3='(3) JTPA/PIC' 4='(4) PUBLIC EMPLOYMENT/TRAINING AGENCIES'
                  5='(5) PRIVATE EMPLOYMENT/TRAINING AGENCIES'
                  6='(6) BUSINESS ORGANIZATIONS'
                  7='(7) VOCATIONAL/TECHNICAL/CMMNTY COLLEGE'
                  8='(8) CHARITABLE AGENCIES' 9='(9) OTHER' ;
  VALUE gl89c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE gl89d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl89e_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl89f2_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl89f21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl89f22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl89f23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl89f24f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl89f25f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl89f26f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl89f27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl89f28f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE gl89f29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE gl89f30f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl89f31f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl89g_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl90ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl91ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl92_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl92_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl92_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl92_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl92_13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl92_21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl92_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl92_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl92_27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE gl92_29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE gl92_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl92_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl92a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl92a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl93ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  999='(999) 999 OR MORE' ;
  VALUE gl93_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl93_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl93_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl93_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl93_b2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl93_b3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl93_b4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl93_b5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl93_b6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl93_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl94ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl94_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl94_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl94_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl94_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl94_b2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl94_b3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl94_b4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl94_b5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE gl94_b6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE gl94_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl95ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl95_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl95_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl95_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl95_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl95_a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl95_a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl95b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PUBLIC SCHOOL SYSTEM' 2='(2) JUNIOR COMMUNITY COLLEGE'
                  3='(3) FOUR YEAR COLLEGE/GRADUATE PROGRAM'
                  4='(4) PRIVATE EDUCATION PROGRAM' 5='(5) PUBLIC AGENCIES' 6='(6) OTHER' ;
  VALUE gl95c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE gl95d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl95e_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE gl95f1_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl95f10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl95f12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE gl95f11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE gl95f17f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl95f19f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl95g_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  27='(27) PROG VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER PROGRAM STAFF' ;
  VALUE gl95b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PUBLIC SCHOOL SYSTEM' 2='(2) JUNIOR COMMUNITY COLLEGE'
                  3='(3) FOUR YEAR COLLEGE/GRADUATE PROGRAM'
                  4='(4) PRIVATE EDUCATION PROGRAM' 5='(5) PUBLIC AGENCIES' 6='(6) OTHER' ;
  VALUE gl95c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE gl95d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl95e_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE gl95f2_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl95f20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl95f22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE gl95f21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE gl95f27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl95f29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl95g_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  27='(27) PROG VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER PROGRAM STAFF' ;
  VALUE gl96ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl97ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl98_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl98_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl98_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl98_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl98_13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl98_21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl98_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl98_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl98_27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE gl98_28f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE gl98_29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE gl98_30f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 30='(30) CIRCLED' ;
  VALUE gl98_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl98_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl98a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR'
                  28='(28) CERTIFIED FAMILY COUNSELOR' 29='(29) TEACHER'
                  30='(30) TASC STAFF' 71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl98a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR'
                  28='(28) CERTIFIED FAMILY COUNSELOR' 29='(29) TEACHER'
                  30='(30) TASC STAFF' 71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl99ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl99_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl99_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl99_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl99_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl99_a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl99_a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl99_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl100fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl100a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl100a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl100a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl100a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl100a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl100a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl100_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl101fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl101a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl101a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl101a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl101a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl101a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl101a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl101b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TASC PROGRAM STAFF' 2='(2) PAROLE OR PROBATION OFFICER'
                  3='(3) PRIVATE LAWYER' 4='(4) LEGAL AID'
                  5='(5) PUBLIC DEFENDER/COURT APPOINTED COUNSEL' 6='(6) OTHER LEGAL' ;
  VALUE gl101c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE gl101d_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl101e_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE gl101b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TASC PROGRAM STAFF' 2='(2) PAROLE OR PROBATION OFFICER'
                  3='(3) PRIVATE LAWYER' 4='(4) LEGAL AID'
                  5='(5) PUBLIC DEFENDER/COURT APPOINTED COUNSEL' 6='(6) OTHER LEGAL' ;
  VALUE gl101c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE gl101d0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl101e0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE gl102fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl103fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl104_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl104_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl104_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl104_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl104_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl104_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl104_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl104_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl104_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE gl104_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE gl10410f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE gl10411f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl10412f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl104a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR'
                  28='(28) CERTIFIED FAMILY COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl104a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR'
                  28='(28) CERTIFIED FAMILY COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE gl105fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl105a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl105a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl105a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl105a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl105a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl105a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl105_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl106fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl106a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl106a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl106a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gl106a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gl106a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gl106a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gl106_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl107fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl107a5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 51='(51) CIRCLED' ;
  VALUE gl107a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 52='(52) CIRCLED' ;
  VALUE gl107a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 53='(53) CIRCLED' ;
  VALUE gl107a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 54='(54) CIRCLED' ;
  VALUE gl107a9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl107b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  51='(51) SOCIAL SERVICES' 52='(52) VOCATIONAL REHABILITATION'
                  53='(53) VETERANS AFFAIRS' 54='(54) SOCIAL SECURITY' 91='(91) OTHER' ;
  VALUE gl107c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE gl107d_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl107e_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl107b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  51='(51) SOCIAL SERVICES' 52='(52) VOCATIONAL REHABILITATION'
                  53='(53) VETERANS AFFAIRS' 54='(54) SOCIAL SECURITY' 91='(91) OTHER' ;
  VALUE gl107c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE gl107d0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl107e0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE gl108fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl108_a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl108_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE gl109fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl110fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl111_a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gl111_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE gl113_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gl113_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gl113_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE gl113_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE gl113_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE gl113_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE gl113_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE gl113_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE gl113_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE gl113_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE gl11310f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE gl11311f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE gl11312f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE gl11313f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE gl11314f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE gl11315f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE gl114_a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl114_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl114_c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl114_d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl114_e   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl114_f   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl114_g   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl114_h   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl114_i   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl114_j   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl114_k   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl114k_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl114k0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl114k1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl114k2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE gl115fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO SERVICES'
                  1='(1) REGULAR ADDICTION GROUP' 2='(2) OTHER GROUP COUNSELING'
                  3='(3) INDIVIDUAL COUNSELING' 4='(4) 12-STEP/SELF-HELP GROUP'
                  5='(5) CRISIS COUNSELING' 6='(6) UNSCHEDULED HELP'
                  7='(7) TALKS/FILMS/DISCUSSIONS' 8='(8) DRUG COUNSELING'
                  9='(9) ALCOHOL COUNSELING' 10='(10) DRUG TESTING'
                  11='(11) PSYCHOLOGICAL/MENTAL HEALTH'
                  12='(12) FAMILY RELATIONSHIP COUNSELING' 13='(13) MEDICATION'
                  14='(14) MEDICAL' 15='(15) LEGAL' 16='(16) EDUCATION/JOB TRAINING'
                  17='(17) HELP FINDING A JOB' 18='(18) OTHER JOB ASSISTANCE'
                  19='(19) FINANCIAL ASSISTANCE' 91='(91) OTHER' ;
  VALUE gl116fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO SERVICES'
                  1='(1) REGULAR ADDICTION GROUP' 2='(2) OTHER GROUP COUNSELING'
                  3='(3) INDIVIDUAL COUNSELING' 4='(4) 12-STEP/SELF-HELP GROUP'
                  5='(5) CRISIS COUNSELING' 6='(6) UNSCHEDULED HELP'
                  7='(7) TALKS/FILMS/DISCUSSIONS' 8='(8) DRUG COUNSELING'
                  9='(9) ALCOHOL COUNSELING' 10='(10) DRUG TESTING'
                  11='(11) PSYCHOLOGICAL/MENTAL HEALTH'
                  12='(12) FAMILY RELATIONSHIP COUNSELING' 13='(13) MEDICATION'
                  14='(14) MEDICAL' 15='(15) LEGAL' 16='(16) EDUCATION/JOB TRAINING'
                  17='(17) HELP FINDING A JOB' 18='(18) OTHER JOB ASSISTANCE'
                  19='(19) FINANCIAL ASSISTANCE' 91='(91) OTHER' ;
  VALUE gl117fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl117_bf  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER' ;
  VALUE gl117_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER' ;
  VALUE gl117_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER' ;
  VALUE gl117_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER' ;
  VALUE gl117_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER' ;
  VALUE gl118fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gl118_a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) A LITTLE'
                  2='(2) A LOT' ;
  VALUE gl119fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE gl120fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY FEW'
                  2='(2) SOME' 3='(3) MOST' ;
  VALUE gl121_a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE gl121_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE gl121_c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE gl121_d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE gl121_e   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE gl121_f   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE gl122fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY LIKELY' ;
  VALUE gl123_w   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gl124fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) VERY MUCH' ;
  VALUE gl125fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) VERY MUCH' ;
  VALUE gl126fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) VERY MUCH' ;
  VALUE gl127fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) VERY MUCH' ;
  VALUE gl128fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) VERY MUCH' ;
  VALUE gldm      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE glth      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gltm      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE glampm    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) AM' 2='(2) PM' ;
  VALUE gm1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gm2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm10a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm10b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm11a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm11b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm11c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm12a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE gm12b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE gm12c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE gm12d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE gm12e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE gm13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO ERROR'
                  1='(1) 1 ERROR' 2='(2) 2 ERRORS' 3='(3) 3 ERRORS' 4='(4) 4 ERRORS'
                  5='(5) 5 ERRORS' ;
  VALUE gm14a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm14b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm14c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE gm15a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE gm15b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE gm16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE gm17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP'
                  7='(7) CAN''T READ ENGLISH' ;
  VALUE gm18a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE gm18b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE gm18c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE gm19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO' 6='(6) HANDICAP' 7='(7) CAN''T WRITE (ENGLISH)' ;
  VALUE gm20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO' 6='(6) HANDICAP' ;
  VALUE gm21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gmdm      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE gmth      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gmtm      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gmampm    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) AM' 2='(2) PM' ;
  VALUE gn1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gn2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gn2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gn3_1_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gn3_1_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE gn3_2_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gn3_2_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE gn3_3_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gn3_3_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE gn3_4_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gn3_4_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE gn4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gn4a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE gn4a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE gn4a3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE gn4a4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE gn4a5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE gn4a6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE gn5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) EAGER'
                  2='(2) RECEPTIVE' 3='(3) NO REACTION' 4='(4) RELUCTANT' 5='(5) REFUSED'
                  6='(6) NOT DISCUSSED' ;
  VALUE gn6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gn6a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gn6a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gia1_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gia1_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gia2_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gia2_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gia3_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gia3_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gia4_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gia4_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gia5_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gia5_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gia6_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gia6_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gia7_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gia7_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gia8_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gia8_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gia9_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gia9_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE gia10_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE gia10_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE gp1a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE gp1b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE gp1c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE gp1d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE gp1e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE gp1f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE gp1g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE gp1h      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE gp1i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE gp1j      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE gp1k      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE gp1l      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE gp1m      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE gp1n      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE gp2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS LIKES WAY LEADING LIFE'
                  2='(2) TEENS DON''T LIKE WAY LEADING LIFE' ;
  VALUE gp3a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE gp2b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS ENJOYABLE TO BE WITH'
                  2='(2) TEENS NOT SURE ENJOYABLE TO BE WITH' ;
  VALUE gp3b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE gp2c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS HAPPY TO BE WAY THEY ARE'
                  2='(2) OTHER TEENS WOULD BE DIFFERENT' ;
  VALUE gp3c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE gp2d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) UNCOMFORTABLE MEETING NEW PEOPLE'
                  2='(2) LIKE TO MEET NEW PEOPLE' ;
  VALUE gp3d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE gp2e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS QUESTION WHETHER WORTHWHILE'
                  2='(2) TEENS FEEL THEY ARE WORTHWHILE' ;
  VALUE gp3e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE gp2f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS DISAPPOINTED WITH SELF'
                  2='(2) TEENS PLEASED WITH SELF' ;
  VALUE gp3f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE gp2g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS FEEL AT EASE WITH OTHER'
                  2='(2) OTHER TEENS ARE QUITE SHY' ;
  VALUE gp3g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE gp2h      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS DISSATISFIED WITH SELF'
                  2='(2) TEENS SATISFIED WITH SELF' ;
  VALUE gp3h      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE gp2i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SOME TEENS ARE NOT SOCIABLE'
                  2='(2) OTHER TEENS ARE SOCIABLE' ;
  VALUE gp3i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE gp2j      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SOME TEENS LIKE THEMSELVES'
                  2='(2) OTHER TEENS WOULD BE SOMEONE ELSE' ;
  VALUE gp3j      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE qu3fffff  0='(0) NO' 1='(1) YES' ;
  VALUE ia3fffff  0='(0) NO' 1='(1) YES' ;
  VALUE su3fffff  0='(0) NO' 1='(1) YES' ;
  VALUE modality  1='(1) RESIDENTIAL' 2='(2) SHORT-TERM INPATIENT'
                  3='(3) METHADONE MAINTENANCE' 4='(4) OUTPATIENT DRUG FREE' ;
  VALUE sex       1='(1) MALE' 2='(2) FEMALE' ;
  VALUE age       -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  12='(12) 12 OR YOUNGER' 18='(18) 18 OR OLDER' ;
  VALUE hlthins   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) PRIVATE /OTHER' 2='(2) PUBLIC' 3='(3) UNKNOWN TYPE' ;
  VALUE ftwork    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1-13 WKS' 2='(2) 14-39 WKS' 3='(3) 40-52 WKS' ;
  VALUE mstat     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MARRIED'
                  2='(2) SEPARATED' 3='(3) DIVORCED OR WIDOWED' 5='(5) LIVING AS MARRIED'
                  6='(6) NEVER MARRIED' ;
  VALUE inschool  0='(0) NO' 1='(1) YES' ;
  VALUE race      1='(1) CAUCASIAN/WHITE' 2='(2) AFRO-AMERICAN/BLACK' 3='(3) HISPANIC'
                  4='(4) OTHER' ;
  VALUE edlev     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) GRADE SCHOOL' 2='(2) MIDDLE SCHOOL' 3='(3) GRADE 9' 4='(4) GRADE 10'
                  5='(5) GRADE 11' 6='(6) GRADE 12' 7='(7) HS GRADUATE/GED' ;
  VALUE racesex   1='(1) CAUCASIAN/WHITE MALE' 2='(2) AFRO-AMERICAN/BLACK MALE'
                  3='(3) HISPANIC MALE' 4='(4) OTHER MALE' 5='(5) CAUCASIAN/WHITE FEMALE'
                  6='(6) AFRO-AMERICAN/BLACK FEMALE' 7='(7) HISPANIC FEMALE'
                  8='(8) OTHER FEMALE' ;
  VALUE hvy_alc   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT A HEAVY USER' 1='(1) HEAVY ALCOHOL USER' ;
  VALUE alcr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mrjr      0='(0) NO USE' 1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE cocr      0='(0) NO USE' 1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE herr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE narr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE sedr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE ampr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE halr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE inhr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE alcwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE mrjwk     0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE cocwk     0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE herwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE narwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE sedwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE ampwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE halwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE inhwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE mrj_ev    0='(0) NO USE' 1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE coc_ev    0='(0) NO USE' 1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE her_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE nar_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE sed_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE amp_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE hal_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE inh_ev    0='(0) NO USE' 1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE cj_stat   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO LEGAL STATUS' 1='(1) IN JAIL/DETENTION' 2='(2) PROBATION'
                  3='(3) PAROLE' 4='(4) CASE PENDING' ;
  VALUE iay_sia   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1-2 ACTS' 2='(2) 3-10 ACTS' 3='(3) 10 OR MORE ACTS' ;
  VALUE majsrc    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO INCOME'
                  1='(1) LEGAL WORK' 2='(2) PUB ASSISTANCE' 3='(3) SOCIAL SECURITY'
                  4='(4) FAMILY, FRIENDS' 5='(5) ILLEGAL SOURCES' 6='(6) OTHER SOURCES' ;
  VALUE refer     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) SELF (ONLY IF NO OTHER PRIMARY OR SECONDARY MENTIONED)'
                  1='(1) MEDICAL SERVICE' 2='(2) COMMUNITY AGENCY' 3='(3) LEGAL SYSTEM'
                  4='(4) FAMILY OR FRIENDS' 5='(5) SCHOOL OR EMPLOYER' 6='(6) OTHER' ;
  VALUE restrict  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO WEEKS RESTRICTED' 1='(1) 1 TO 4 WEEKS RESTRICTED'
                  2='(2) 5 TO 13 WEEKS RESTRICTED' 3='(3) 14 TO 26 WEEKS RESTRICTED'
                  4='(4) 27 TO 39 WEEKS RESTRICTED' 5='(5) 40 TO 50 WEEKS RESTRICTED'
                  6='(6) 51 TO 52 WEEKS RESTRICTED' ;
  VALUE drugtx    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) 4 OR MORE' ;
  VALUE school    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT IN SCHOOL' 1='(1) SPECIAL EDUCATION' 2='(2) MIDDLE SCHOOL'
                  3='(3) HIGH SCHOOL' 4='(4) POST-SECONDARY' 5='(5) OTHER' ;
  VALUE dep_yr    0='(0) NO SIGNS OF DEPRESSION' 1='(1) FELT DEPRESSED'
                  2='(2) SUICIDAL THOUGHTS' 3='(3) SUICIDAL ATTEMPT (S)' ;
  VALUE empstat   1='(1) WORKING' 2='(2) LOOKING FOR WORK/GOING TO SCHOOL'
                  3='(3) KEEPING HOUSE' 4='(4) DISABLED/RETIRED'
                  5='(5) IN JAIL, RESIDENTIAL TX, OTHER INST'
                  6='(6) DRUG RELATED OR ILLEGAL ACTIVITIES' 7='(7) OTHER, MULTIPLE' ;
  VALUE iapy      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE pdt       -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1-2' 2='(2) 3 OR MORE' ;
  VALUE crkr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE crkwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
*/


* SAS DATA, INFILE, INPUT STATEMENTS;

DATA;
INFILE "data-filename" LRECL=3467;
INPUT
        CASEID 1-4              GDC_M 5-6               GDC_Y 7-8
        GT_L_I 9-11             GTIME1_H 12-13          GTIME1_M 14-15
        GAM_PM_1 16-17          GA3 18-19               GA3_A 20-21
        GA3_B 22-23             GA4 24-25               GA4_A 26-27
        GA5 28-29               GA6 30-31               GA7 32-33
        GA8 34-35               GA8_A 36-37             GA8_B 38-39
        GA8_C 40-41             GA8_D 42-43             GA8_E 44-45
        GA9 46-47               GA10 48-49              GA11 50-51
        GA12 52-53              GA13 54-55              GA13A_02 56-57
        GA13A_03 58-59          GA13A_04 60-61          GA13A_05 62-63
        GA13A_06 64-65          GA14 66-67              GA14A_02 68-69
        GA14A_03 70-71          GA14A_04 72-73          GA14A_05 74-75
        GA14A_06 76-77          GA15_00 78-79           GA15_01 80-81
        GA15_02 82-83           GA15_03 84-85           GA16 86-87
        GA17 88-89              GA18 90-91              GA19 92-93
        GA19_A 94-95            GA19_B 96-97            GA20 98-99
        GA21 100-101            GA22 102-103            GA23_A 104-105
        GA23_B 106-107          GA23_C 108-109          GA24_A 110-111
        GA24_B 112-113          GA24_C 114-115          GA24_D 116-117
        GA24_E 118-119          GA24_F 120-121          GA25 122-123
        GA26 124-125            GA27 126-127            GA27A 128-129
        GB1 130-131             GB1_A 132-133           GB1_B 134-135
        GB1_C 136-137           GB1_D 138-139           GB1_E 140-141
        GB1_F 142-143           GB1_G 144-145           GB2 146-147
        GB2_A 148-149           GB3_0 150-151           GB3_1 152-153
        GB3_2 154-155           GB3_3 156-157           GB3_4 158-159
        GB3_5 160-161           GB3_6 162-163           GB4 164-165
        GB4_A 166-167           GB5 168-169             GC1 170-171
        GC1_A_02 172-173        GC1_A_03 174-175        GC1_A_04 176-177
        GC1_A_05 178-179        GC1_A_06 180-181        GC1_A_07 182-183
        GC1_B 184-185           GC1_C 186-187           GC1_D 188-189
        GC1_E 190-191           GC2 192-193             GC3 194-195
        GC3_A 196-197           GC3_B 198-199           GC4_00 200-201
        GC4_01 202-203          GC4_02 204-205          GC4_03 206-207
        GC4_04 208-209          GC4_05 210-211          GC4_06 212-213
        GC4_07 214-215          GC4_08 216-217          GC4_09 218-219
        GC5 220-221             GC5_A 222-223           GC6 224-225
        GC6_A 226-227           GC7 228-229             GC7_A 230-231
        GC7_B_1 232-233         GC7_B_2 234-235         GD1 236-237
        GD1_A 238-239           GD1_B 240-241           GD1_B_2 242-243
        GD1_C 244-245           GD2 246-247             GD2_A 248-249
        GD2_B 250-251           GD2_C_1 252-253         GD2_C_2 254-255
        GD2_D 256-257           GD3 258-259             GD3_A 260-261
        GD4 262-263             GD4_A 264-265           GD5 266-267
        GD5_A_1 268-269         GD5_A_2 270-271         GD5_B 272-273
        GD6 274-275             GD6_A_1 276-277         GD6_A_2 278-279
        GD6_B 280-281           GD7 282-283             GD7_A_1 284-285
        GD7_A_2 286-287         GD7_B 288-289           GD8 290-291
        GD8_A 292-293           GD9 294-295             GD10 296-297
        GD10_A 298-299          GD11 300-301            GD11_A 302-303
        GD12 304-305            GD13 306-307            GD14 308-309
        GD15 310-311            GD16 312-313            GD17 314-315
        GD18 316-317            GD19 318-319            GE1 320-321
        GE2 322-323             GE3 324-325             GE4 326-327
        GE5 328-329             GE6 330-331             GE7 332-333
        GE8 334-335             GE9 336-337             GE10 338-339
        GE11 340-341            GE12 342-343            GE12_A 344-345
        GE13 346-347            GE13_A_1 348-349        GE13_A_2 350-351
        GE13_A_3 352-353        GE14 354-355            GE14_A_1 356-357
        GE14_A_2 358-359        GE14_B_1 360-361        GE14_B_2 362-363
        GE14_C 364-365          GE15 366-367            GE15_A_1 368-369
        GE15_A_2 370-371        GE15_B_1 372-373        GE15_B_2 374-375
        GE15_C 376-377          GE15_D 378-379          GE15_E 380-381
        GE16 382-383            GE16_A_1 384-385        GE16_A_2 386-387
        GE16_B_1 388-389        GE16_B_2 390-391        GE16_C 392-393
        GE16_D 394-395          GE16_E 396-397          GE16_F 398-399
        GE17 400-401            GE17_A 402-403          GE17_B_1 404-405
        GE17_B_2 406-407        GE17_B_3 408-409        GE17_C 410-411
        GE18 412-413            GE18_A_1 414-415        GE18_A_2 416-417
        GE18_B_1 418-419        GE18_B_2 420-421        GE18_C 422-423
        GE18_D 424-425          GE18_E 426-427          GE19 428-429
        GE19_A 430-431          GE19B1_1 432-433        GE19B1_2 434-435
        GE19B2_1 436-437        GE19B2_2 438-439        GE19_C 440-441
        GE20 442-443            GE20_A_1 444-445        GE20_A_2 446-447
        GE20_B_1 448-449        GE20_B_2 450-451        GE20_C 452-453
        GE20_D 454-455          GE20_E_1 456-457        GE20_E_2 458-459
        GE20_E_3 460-461        GE20_E_4 462-463        GE20_F 464-465
        GE21 466-467            GE21_A 468-469          GE21_B_1 470-471
        GE21_B_2 472-473        GE21_B_3 474-475        GE21_C 476-477
        GE22 478-479            GE22_A_1 480-481        GE22_A_2 482-483
        GE22_B_1 484-485        GE22_B_2 486-487        GE22_C 488-489
        GE22_D 490-491          GE22_E 492-493          GE23 494-495
        GE23_A 496-497          GE24 498-499            GE24_A_1 500-501
        GE24_A_2 502-503        GE24_B_1 504-505        GE24_B_2 506-507
        GE24_C 508-509          GE24_D 510-511          GE24_E 512-513
        GE25 514-515            GE25_A_1 516-517        GE25_A_2 518-519
        GE25_B_1 520-521        GE25_B_2 522-523        GE25_C 524-525
        GE26 526-527            GE26_A_1 528-529        GE26_A_2 530-531
        GE26_B_1 532-533        GE26_B_2 534-535        GE26_C 536-537
        GE26_D 538-539          GE27 540-541            GE27_A 542-543
        GE27_B_1 544-545        GE27_B_2 546-547        GE27_C_1 548-549
        GE27_C_2 550-551        GE27_D 552-553          GE27_E 554-555
        GE28 556-557            GE28_A 558-559          GE28_B_1 560-561
        GE28_B_2 562-563        GE28_C_1 564-565        GE28_C_2 566-567
        GE28_D 568-569          GE28_E 570-571          GE29 572-575
        GE30 576-577            GE30_A 578-579          GE31 580-581
        GE31A_1 582-583         GE31A_2 584-585         GE31A_3 586-587
        GE31A_4 588-589         GE31A_5 590-591         GE31A_6 592-593
        GE32 594-595            GE33_A 596-597          GE33_B 598-599
        GE33_C 600-601          GE33_D 602-603          GE33_E 604-605
        GE33_F 606-607          GE34 608-609            GE35 610-611
        GE36 612-613            GE37 614-615            GE38 616-617
        GE39_A 618-619          GE39_B 620-621          GE39_C 622-623
        GE39_D 624-625          GE39_E 626-627          GE39_F 628-629
        GE39_G 630-631          GE39_H 632-633          GE39_I 634-635
        GE39_J 636-637          GE39_K 638-639          GE39_L 640-641
        GE39_M 642-643          GE39_N 644-645          GE39_O 646-647
        GE39_P 648-649          GE39_Q 650-651          GE39_R 652-653
        GE39_S 654-655          GE39_T 656-657          GE40 658-659
        GE40_B_1 660-661        GE40_B_2 662-663        GE40_B_3 664-665
        GE41_A 666-667          GE41_B 668-669          GE42 670-671
        GE43 672-673            GE44 674-675            GE45 676-677
        GE46 678-679            GE47 680-681            GE48_A 682-683
        GE48_B 684-685          GE48_C 686-687          GE48_D 688-689
        GE48_E 690-691          GE48_F 692-693          GE48_G 694-695
        GE48_H 696-697          GE48_I 698-699          GE48_J 700-701
        GE48_K 702-703          GE48_L 704-705          GF1 706-707
        GF1_A 708-709           GF2 710-711             GF2_A 712-713
        GF3 714-715             GF4 716-717             GF5 718-719
        GF5_A 720-721           GF6 722-723             GF7 724-725
        GF8 726-727             GF9 728-729             GF9_A 730-731
        GF10 732-733            GF10_A 734-735          GF11 736-737
        GF11_A 738-739          GF12 740-741            GF13 742-743
        GF14 744-745            GF15 746-747            GF16 748-749
        GF16_A 750-751          GF17 752-753            GF17_A_1 754-755
        GF17_A_2 756-757        GF17_A_3 758-759        GF17_A_4 760-761
        GF17_B 762-763          GF17_C 764-765          GF17D_01 766-767
        GF17D_02 768-769        GF17D_14 770-771        GF17D_23 772-773
        GF17D_24 774-775        GF17D_25 776-777        GF17D_61 778-779
        GF17D_62 780-781        GF17D_91 782-783        GF17_E 784-785
        GF18 786-787            GG1 788-789             GG2 790-791
        GG3 792-793             GG4 794-795             GG4_A 796-797
        GG4_B_1 798-799         GG4_B_2 800-801         GG4_B_3 802-803
        GG4_B_4 804-805         GG4_C 806-807           GG4_D 808-809
        GG4_E 810-811           GG4F_1 812-813          GG4F_2 814-815
        GG4F_3 816-817          GG4F_4 818-819          GG4F_5 820-821
        GG4F_6 822-823          GG4G 824-825            GG5_A 826-827
        GG5_B 828-829           GG5_C 830-831           GG5_D 832-833
        GG5_E 834-835           GG5_F 836-837           GG7 838-839
        GG7_A 840-841           GG8 842-843             GG9 844-845
        GG10 846-847            GG11 848-849            GG12 850-851
        GG12A_1 852-853         GG12A_2 854-855         GG12A_3 856-857
        GG12A_4 858-859         GG12B_1 860-861         GG12B_2 862-863
        GG12B_3 864-865         GG13 866-867            GG14 868-869
        GG15 870-871            GG15_A 872-873          GH1 874-875
        GH1_A 876-877           GH2_A 878-879           GH3_A 880-881
        GH2_B 882-883           GH3_B 884-885           GH2_C 886-887
        GH3_C 888-889           GH2_D 890-891           GH3_D 892-893
        GH2_E 894-895           GH3_E 896-897           GH2_F 898-899
        GH3_F 900-901           GH2_G 902-903           GH3_G 904-905
        GH2_H 906-907           GH3_H 908-909           GH2_I 910-911
        GH3_I 912-913           GH2_J 914-915           GH3_J 916-917
        GH2_K 918-919           GH3_K 920-921           GH2_L 922-923
        GH3_L 924-925           GH4 926-927             GH5 928-929
        GH6 930-931             GH6_A 932-933           GH7 934-935
        GH8 936-937             GH8_A 938-939           GH9 940-941
        GJ1 942-943             GJ2 944-945             GJ2_A 946-947
        GJ2_B 948-949           GJ2_C 950-951           GJ2_D 952-953
        GJ2_E 954-955           GJ2_F 956-957           GJ2_G 958-959
        GJ3 960-961             GJ3_A_1 962-963         GJ3_A_2 964-965
        GJ3_A_3 966-967         GJ3_A_4 968-969         GJ3_A_5 970-971
        GJ3_A_6 972-973         GJ3_A_7 974-975         GJ3_B 976-977
        GJ3_C_1 978-979         GJ3_C_2 980-981         GJ3_C_3 982-983
        GJ3_C_4 984-985         GJ3_C_5 986-987         GJ3_C_6 988-989
        GJ3_C_7 990-991         GJ3_C_8 992-993         GJ3_C_9 994-995
        GJ3_C_10 996-997        GJ3_C_11 998-999        GJ4_0 1000-1001
        GJ4_1 1002-1003         GJ4_2 1004-1005         GJ4_3 1006-1007
        GJ4_4 1008-1009         GJ4_5 1010-1011         GJ4_6 1012-1013
        GJ4_7 1014-1015         GJ4_8 1016-1017         GJ4_9 1018-1019
        GJ4_10 1020-1021        GJ4_11 1022-1023        GJ4_12 1024-1025
        GJ4_13 1026-1027        GJ4_14 1028-1029        GJ4_15 1030-1031
        GJ4_16 1032-1033        GJ5 1034-1035           GJ6 1036-1037
        GJ7 1038-1039           GJ8 1040-1041           GJ9 1042-1043
        GJ9_A 1044-1045         GJ9_B 1046-1047         GJ9_C_OC 1048-1049
        GJ9_C 1050-1058 .4      GJ9_COD 1059-1060       GJ10 1061-1062
        GJ11 1063-1064          GJ12 1065-1066          GJ12_A 1067-1068
        GK1_A 1069-1070         GK2_A 1071-1074         GK1_B 1075-1076
        GK2_B 1077-1080         GK1_C 1081-1082         GK2_C 1083-1086
        GK1_D 1087-1088         GK2_D 1089-1092         GK1_E 1093-1094
        GK2_E 1095-1098         GK1_F 1099-1100         GK2_F 1101-1103
        GK2_G 1104-1107         GK3 1108-1110           GK4 1111-1112
        GK4_A 1113-1114         GK5 1115-1117           GK6_A 1118-1121
        GK6_B 1122-1125         GK6_C 1126-1129         GK6_D 1130-1132
        GK7 1133-1134           GK7_A 1135-1136         GK8 1137-1138
        GK9 1139-1140           GL1 1141-1142           GL1_A 1143-1144
        GL2 1145-1146           GL2_A 1147-1148         GL2_B 1149-1150
        GL2_C 1151-1152         GL2_D 1153-1154         GL2_E 1155-1156
        GL2_F_1 1157-1158       GL2_F_2 1159-1160       GL2_F_3 1161-1162
        GL3 1163-1164           GL3_A 1165-1166         GL4 1167-1168
        GL5 1169-1170           GL5_A_1 1171-1172       GL5_A_2 1173-1174
        GL5_A_3 1175-1176       GL5_A_4 1177-1178       GL5_B_1 1179-1180
        GL5_B_2 1181-1182       GL5_B_11 1183-1184      GL5_B_12 1185-1186
        GL5_B_13 1187-1188      GL5_B_21 1189-1190      GL5_B_22 1191-1192
        GL5_B_23 1193-1194      GL5_B_31 1195-1196      GL5_B_71 1197-1198
        GL5_B_91 1199-1200      GL5_C 1201-1202         GL5_D 1203-1204
        GL6 1205-1206           GL6_A_A 1207-1208       GL6_A_B 1209-1210
        GL6_A_C 1211-1212       GL6_A_D 1213-1214       GL6_A_E 1215-1216
        GL6_A_F 1217-1218       GL6_A_G 1219-1220       GL6_A_H 1221-1222
        GL6_A_I 1223-1224       GL6_A_J 1225-1226       GL6_B_1 1227-1228
        GL6_C_1 1229-1230       GL6_D_1 1231-1232       GL6_E_1 1233-1234
        GL6_B_2 1235-1236       GL6_C_2 1237-1238       GL6_D_2 1239-1240
        GL6_E_2 1241-1242       GL6_B_3 1243-1244       GL6_C_3 1245-1246
        GL6_D_3 1247-1248       GL6_E_3 1249-1250       GL6_B_4 1251-1252
        GL6_C_4 1253-1254       GL6_D_4 1255-1256       GL6_E_4 1257-1258
        GL7 1259-1260           GL7_A_A 1261-1262       GL7_A_B 1263-1264
        GL7_A_C 1265-1266       GL7_A_D 1267-1268       GL7_A_E 1269-1270
        GL7_A_F 1271-1272       GL7_A_G 1273-1274       GL7_A_H 1275-1276
        GL7_A_I 1277-1278       GL7_B_1 1279-1280       GL7_C_1 1281-1282
        GL7_D_1 1283-1284       GL7_E_1 1285-1286       GL7_B_2 1287-1288
        GL7_C_2 1289-1290       GL7_D_2 1291-1292       GL7_E_2 1293-1294
        GL7_B_3 1295-1296       GL7_C_3 1297-1298       GL7_D_3 1299-1300
        GL7_E_3 1301-1302       GL7_B_4 1303-1304       GL7_C_4 1305-1306
        GL7_D_4 1307-1308       GL7_E_4 1309-1310       GL8_0 1311-1312
        GL8_1 1313-1314         GL8_2 1315-1316         GL8_11 1317-1318
        GL8_12 1319-1320        GL8_13 1321-1322        GL8_21 1323-1324
        GL8_22 1325-1326        GL8_71 1327-1328        GL8_91 1329-1330
        GL8_A_1 1331-1332       GL8_A_2 1333-1334       GL9 1335-1336
        GL9_A 1337-1339         GL10 1340-1341          GL11 1342-1343
        GL12 1344-1345          GL13_A 1346-1347        GL13_B 1348-1349
        GL13_C 1350-1351        GL13_D 1352-1353        GL13_E 1354-1355
        GL13_F 1356-1357        GL13_G 1358-1359        GL13_H 1360-1361
        GL13_I 1362-1363        GL13_J 1364-1365        GL13_K 1366-1367
        GL13_K_1 1368-1369      GL13_K_2 1370-1371      GL13_K_3 1372-1373
        GL13_K_4 1374-1375      GL14_A 1376-1377        GL14_B 1378-1379
        GL15_M 1380-1381        GL15_Y 1382-1383        GL16 1384-1385
        GL16_A 1386-1388        GL17 1389-1390          GL18 1391-1392
        GL19 1393-1394          GL20_A 1395-1396        GL20_B 1397-1398
        GL20_C 1399-1400        GL20_D 1401-1402        GL20_E 1403-1404
        GL20_F 1405-1406        GL20_G 1407-1408        GL20_H 1409-1410
        GL20_I 1411-1412        GL20_J 1413-1414        GL20_K 1415-1416
        GL20_K_1 1417-1418      GL20_K_2 1419-1420      GL20_K_3 1421-1422
        GL20_K_4 1423-1424      GL21_A 1425-1426        GL21_B 1427-1428
        GL22_M 1429-1430        GL22_Y 1431-1432        GL23 1433-1434
        GL24 1435-1436          GL25 1437-1438          GL26_M 1439-1440
        GL26_Y 1441-1442        GL27 1443-1444          GL28 1445-1446
        GL28A_00 1447-1448      GL28A_01 1449-1450      GL28A_02 1451-1452
        GL28A_11 1453-1454      GL28A_12 1455-1456      GL28A_13 1457-1458
        GL28A_21 1459-1460      GL28A_22 1461-1462      GL28A_23 1463-1464
        GL28A_24 1465-1466      GL28A_25 1467-1468      GL28A_26 1469-1470
        GL28A_71 1471-1472      GL28A_91 1473-1474      GL28B 1475-1476
        GL29 1477-1478          GL29_A 1479-1480        GL29_B_A 1481-1482
        GL29_B_B 1483-1484      GL29_B_C 1485-1486      GL29_B_D 1487-1488
        GL29_B_E 1489-1490      GL29_B_F 1491-1492      GL29_B_G 1493-1494
        GL29_B_H 1495-1496      GL29_B_I 1497-1498      GL29_B_J 1499-1500
        GL29_B_K 1501-1502      GL29B_K1 1503-1504      GL29B_K2 1505-1506
        GL29B_K3 1507-1508      GL29B_K4 1509-1510      GL29_C 1511-1512
        GL29_D 1513-1514        GL29_E 1515-1516        GL30 1517-1518
        GL30_A 1519-1520        GL30_B_M 1521-1522      GL30C_00 1523-1524
        GL30C_01 1525-1526      GL30C_02 1527-1528      GL30C_11 1529-1530
        GL30C_12 1531-1532      GL30C_13 1533-1534      GL30C_21 1535-1536
        GL30C_22 1537-1538      GL30C_23 1539-1540      GL30C_24 1541-1542
        GL30C_25 1543-1544      GL30C_26 1545-1546      GL30C_27 1547-1548
        GL30C_71 1549-1550      GL30C_91 1551-1552      GL30_D 1553-1554
        GL31 1555-1556          GL32 1557-1558          GL33 1559-1560
        GL33_A 1561-1562        GL33_B 1563-1564        GL34 1565-1566
        GL35 1567-1568          GL35_A 1569-1570        GL36 1571-1572
        GL37 1573-1574          GL38 1575-1576          GL39 1577-1578
        GL39_A 1579-1580        GL39_B 1581-1582        GL40 1583-1584
        GL41 1585-1586          GL41_A 1587-1588        GL42 1589-1590
        GL43 1591-1592          GL44_A 1593-1594        GL44_B 1595-1596
        GL45_A 1597-1598        GL45_B 1599-1600        GL45_C 1601-1602
        GL45_D 1603-1604        GL45_E 1605-1606        GL45_F 1607-1608
        GL45_G 1609-1610        GL45_H 1611-1612        GL45_I 1613-1614
        GL45_J 1615-1616        GL45_K 1617-1618        GL45_L 1619-1620
        GL46 1621-1622          GL47_01 1623-1624       GL47_02 1625-1626
        GL47_11 1627-1628       GL47_12 1629-1630       GL47_13 1631-1632
        GL47_21 1633-1634       GL47_22 1635-1636       GL47_23 1637-1638
        GL47_71 1639-1640       GL47_91 1641-1642       GL48_A 1643-1644
        GL48_B 1645-1646        GL48_C 1647-1648        GL48_D 1649-1650
        GL48_E 1651-1652        GL48_F 1653-1654        GL48_G 1655-1656
        GL48_H 1657-1658        GL48_I 1659-1660        GL48_J 1661-1662
        GL48_K 1663-1664        GL48_K_1 1665-1666      GL48_K_2 1667-1668
        GL48_K_3 1669-1670      GL48_K_4 1671-1672      GL49_A 1673-1674
        GL49_B 1675-1676        GL50 1677-1678          GL50_A 1679-1681
        GL51 1682-1683          GL52 1684-1685          GL55 1686-1687
        GL56 1688-1689          GL57 1690-1691          GL58 1692-1693
        GL58_A_1 1694-1695      GL58_A_2 1696-1697      GL58_A_3 1698-1699
        GL58_A_4 1700-1701      GL58_B 1702-1703        GL58_C_M 1704-1705
        GL58_D 1706-1707        GL59_A 1708-1709        GL59_B 1710-1711
        GL60 1712-1713          GL63 1714-1715          GL64 1716-1717
        GL65_01 1718-1719       GL65_02 1720-1721       GL65_11 1722-1723
        GL65_12 1724-1725       GL65_13 1726-1727       GL65_21 1728-1729
        GL65_22 1730-1731       GL65_23 1732-1733       GL65_28 1734-1735
        GL65_71 1736-1737       GL65_91 1738-1739       GL65_A_1 1740-1741
        GL65_A_2 1742-1743      GL66 1744-1745          GL66_A 1746-1747
        GL66_B 1748-1750        GL66_C_1 1751-1752      GL66_C_2 1753-1754
        GL66_C_3 1755-1756      GL66_C_4 1757-1758      GL66_C_5 1759-1760
        GL66_C_6 1761-1762      GL66_C_7 1763-1764      GL66_C_8 1765-1766
        GL66_C_9 1767-1768      GL66_D 1769-1770        GL66_E 1771-1772
        GL66_F 1773-1775        GL66_G_1 1776-1777      GL66_G_2 1778-1779
        GL66_G_3 1780-1781      GL66_G_4 1782-1783      GL66_G_5 1784-1785
        GL66_H_1 1786-1787      GL66_H_2 1788-1789      GL66_H_3 1790-1791
        GL66_H_4 1792-1793      GL66_H_5 1794-1795      GL66_H_6 1796-1797
        GL66_H_7 1798-1799      GL66_H_8 1800-1801      GL66_H_9 1802-1803
        GL66_I 1804-1805        GL67 1806-1807          GL67_A 1808-1809
        GL67_B 1810-1811        GL67_C_1 1812-1813      GL67_C_2 1814-1815
        GL67_C_3 1816-1817      GL67_C_4 1818-1819      GL67_C_5 1820-1821
        GL67_C_6 1822-1823      GL67_C_7 1824-1825      GL67_C_8 1826-1827
        GL67_C_9 1828-1829      GL67_D 1830-1831        GL67_E 1832-1833
        GL67_F 1834-1835        GL67_G_1 1836-1837      GL67_G_2 1838-1839
        GL67_G_3 1840-1841      GL67_G_4 1842-1843      GL67_G_5 1844-1845
        GL67_H_1 1846-1847      GL67_H_2 1848-1849      GL67_H_3 1850-1851
        GL67_H_4 1852-1853      GL67_H_5 1854-1855      GL67_H_6 1856-1857
        GL67_H_7 1858-1859      GL67_H_8 1860-1861      GL67_H_9 1862-1863
        GL67_I 1864-1865        GL68 1866-1867          GL68A_1 1868-1869
        GL68A_2 1870-1871       GL68A_3 1872-1873       GL68A_4 1874-1875
        GL68A_5 1876-1877       GL68A_6 1878-1879       GL68B_1 1880-1881
        GL68C_1 1882-1883       GL68D_1 1884-1885       GL68E_1 1886-1887
        GL68F1_1 1888-1889      GL68F1_2 1890-1891      GL68F111 1892-1893
        GL68F112 1894-1895      GL68F113 1896-1897      GL68F121 1898-1899
        GL68F122 1900-1901      GL68F123 1902-1903      GL68F128 1904-1905
        GL68F171 1906-1907      GL68F191 1908-1909      GL68G_1 1910-1911
        GL68B_2 1912-1913       GL68C_2 1914-1915       GL68D_2 1916-1917
        GL68E_2 1918-1919       GL68F2_1 1920-1921      GL68F2_2 1922-1923
        GL68F211 1924-1925      GL68F212 1926-1927      GL68F213 1928-1929
        GL68F221 1930-1931      GL68F222 1932-1933      GL68F223 1934-1935
        GL68F228 1936-1937      GL68F271 1938-1939      GL68F291 1940-1941
        GL68G_2 1942-1943       GL69 1944-1945          GL69_A_1 1946-1947
        GL69_B_1 1948-1949      GL69_A_2 1950-1951      GL69_B_2 1952-1953
        GL69_A_3 1954-1955      GL69_B_3 1956-1957      GL69_A_4 1958-1959
        GL69_B_4 1960-1961      GL69_A_5 1962-1963      GL69_B_5 1964-1965
        GL70 1966-1967          GL71 1968-1969          GL72_01 1970-1971
        GL72_02 1972-1973       GL72_22 1974-1975       GL72_23 1976-1977
        GL72_24 1978-1979       GL72_25 1980-1981       GL72_26 1982-1983
        GL72_71 1984-1985       GL72_91 1986-1987       GL72_A1 1988-1989
        GL72_A2 1990-1991       GL73 1992-1993          GL73_A 1994-1996
        GL73_B01 1997-1998      GL73_B02 1999-2000      GL73_B03 2001-2002
        GL73_B04 2003-2004      GL73_B05 2005-2006      GL73_B06 2007-2008
        GL73_B07 2009-2010      GL73_B08 2011-2012      GL73_B09 2013-2014
        GL73_C 2015-2016        GL74 2017-2018          GL74_A 2019-2021
        GL74_B01 2022-2023      GL74_B02 2024-2025      GL74_B03 2026-2027
        GL74_B04 2028-2029      GL74_B05 2030-2031      GL74_B06 2032-2033
        GL74_B07 2034-2035      GL74_B08 2036-2037      GL74_B09 2038-2039
        GL74_C 2040-2041        GL75 2042-2043          GL75_A_1 2044-2045
        GL75_A_2 2046-2047      GL75_A_3 2048-2049      GL75_A_4 2050-2051
        GL75_A_5 2052-2053      GL75_A_6 2054-2055      GL75B_1 2056-2057
        GL75C_1 2058-2059       GL75D_1 2060-2061       GL75E_1 2062-2063
        GL75F101 2064-2065      GL75F102 2066-2067      GL75F122 2068-2069
        GL75F123 2070-2071      GL75F124 2072-2073      GL75F125 2074-2075
        GL75F126 2076-2077      GL75F171 2078-2079      GL75F191 2080-2081
        GL75G_1 2082-2083       GL75B_2 2084-2085       GL75C_2 2086-2087
        GL75D_2 2088-2089       GL75E_2 2090-2091       GL75F201 2092-2093
        GL75F202 2094-2095      GL75F222 2096-2097      GL75F223 2098-2099
        GL75F224 2100-2101      GL75F225 2102-2103      GL75F226 2104-2105
        GL75F271 2106-2107      GL75F291 2108-2109      GL75G_2 2110-2111
        GL76 2112-2113          GL76_A_1 2114-2115      GL76_A_2 2116-2117
        GL76_A_3 2118-2119      GL76_A_4 2120-2121      GL77 2122-2123
        GL77_A 2124-2125        GL77B_01 2126-2127      GL77B_02 2128-2129
        GL77B_11 2130-2131      GL77B_12 2132-2133      GL77B_13 2134-2135
        GL77B_21 2136-2137      GL77B_22 2138-2139      GL77B_23 2140-2141
        GL77B_24 2142-2143      GL77B_25 2144-2145      GL77B_26 2146-2147
        GL77B_27 2148-2149      GL77B_28 2150-2151      GL77B_71 2152-2153
        GL77B_91 2154-2155      GL77_C_1 2156-2157      GL77_C_2 2158-2159
        GL77_C_3 2160-2161      GL77_C_4 2162-2163      GL77_C_5 2164-2165
        GL77_C_6 2166-2167      GL77_C_7 2168-2169      GL77_C_8 2170-2171
        GL78 2172-2173          GL79 2174-2175          GL80_01 2176-2177
        GL80_02 2178-2179       GL80_11 2180-2181       GL80_12 2182-2183
        GL80_13 2184-2185       GL80_21 2186-2187       GL80_22 2188-2189
        GL80_23 2190-2191       GL80_28 2192-2193       GL80_71 2194-2195
        GL80_91 2196-2197       GL80_A1 2198-2199       GL80_A2 2200-2201
        GL81_01 2202-2203       GL81_02 2204-2205       GL81_03 2206-2207
        GL81_A 2208-2209        GL81_B 2210-2211        GL81_C_1 2212-2213
        GL81_C_2 2214-2215      GL81_C_3 2216-2217      GL81_C_4 2218-2219
        GL81_C_5 2220-2221      GL81_C_6 2222-2223      GL81_D 2224-2225
        GL81_E 2226-2227        GL81_F 2228-2230        GL81_G_1 2231-2232
        GL81_G_2 2233-2234      GL81_G_3 2235-2236      GL81_G_4 2237-2238
        GL81_G_5 2239-2240      GL81_H_1 2241-2242      GL81_H_2 2243-2244
        GL81_H_3 2245-2246      GL81_H_4 2247-2248      GL81_H_5 2249-2250
        GL81_H_6 2251-2252      GL81_I 2253-2254        GL81_J 2255-2256
        GL81_K_1 2257-2258      GL81_K_2 2259-2260      GL81_K_3 2261-2262
        GL81_K_4 2263-2264      GL81_K_5 2265-2266      GL81_K_6 2267-2268
        GL81_K_7 2269-2270      GL81_K_8 2271-2272      GL81_L_1 2273-2274
        GL81_L_2 2275-2276      GL81_L_3 2277-2278      GL81_L_4 2279-2280
        GL81_L_5 2281-2282      GL81_L_6 2283-2284      GL81_M 2285-2286
        GL82_01 2287-2288       GL82_02 2289-2290       GL82_03 2291-2292
        GL82_A 2293-2294        GL82_B 2295-2296        GL82_C_1 2297-2298
        GL82_C_2 2299-2300      GL82_C_3 2301-2302      GL82_C_4 2303-2304
        GL82_C_5 2305-2306      GL82_C_6 2307-2308      GL82_D 2309-2310
        GL82_E 2311-2312        GL82_F 2313-2315        GL82_G_1 2316-2317
        GL82_G_2 2318-2319      GL82_G_3 2320-2321      GL82_G_4 2322-2323
        GL82_G_5 2324-2325      GL82_H_1 2326-2327      GL82_H_2 2328-2329
        GL82_H_3 2330-2331      GL82_H_4 2332-2333      GL82_H_5 2334-2335
        GL82_H_6 2336-2337      GL82_I 2338-2339        GL82_J 2340-2341
        GL82_K_1 2342-2343      GL82_K_2 2344-2345      GL82_K_3 2346-2347
        GL82_K_4 2348-2349      GL82_K_5 2350-2351      GL82_K_6 2352-2353
        GL82_K_7 2354-2355      GL82_K_8 2356-2357      GL82_L_1 2358-2359
        GL82_L_2 2360-2361      GL82_L_3 2362-2363      GL82_L_4 2364-2365
        GL82_L_5 2366-2367      GL82_L_6 2368-2369      GL82_M 2370-2371
        GL83 2372-2373          GL83A_1 2374-2375       GL83A_2 2376-2377
        GL83A_3 2378-2379       GL83A_4 2380-2381       GL83A_5 2382-2383
        GL83B_1 2384-2385       GL83C_1 2386-2387       GL83D_1 2388-2389
        GL83E_1 2390-2391       GL83F1_1 2392-2393      GL83F1_2 2394-2395
        GL83F111 2396-2397      GL83F112 2398-2399      GL83F113 2400-2401
        GL83F121 2402-2403      GL83F122 2404-2405      GL83F123 2406-2407
        GL83F128 2408-2409      GL83F171 2410-2411      GL83F191 2412-2413
        GL83G_1 2414-2415       GL83B_2 2416-2417       GL83C_2 2418-2419
        GL83D_2 2420-2421       GL83E_2 2422-2423       GL83F2_1 2424-2425
        GL83F2_2 2426-2427      GL83F211 2428-2429      GL83F212 2430-2431
        GL83F213 2432-2433      GL83F221 2434-2435      GL83F222 2436-2437
        GL83F223 2438-2439      GL83F228 2440-2441      GL83F271 2442-2443
        GL83F291 2444-2445      GL83G_2 2446-2447       GL84 2448-2449
        GL85 2450-2451          GL86_01 2452-2453       GL86_02 2454-2455
        GL86_11 2456-2457       GL86_12 2458-2459       GL86_13 2460-2461
        GL86_21 2462-2463       GL86_22 2464-2465       GL86_23 2466-2467
        GL86_27 2468-2469       GL86_29 2470-2471       GL86_71 2472-2473
        GL86_91 2474-2475       GL86_A1 2476-2477       GL86_A2 2478-2479
        GL87_01 2480-2481       GL87_02 2482-2483       GL87_03 2484-2485
        GL87_B 2486-2487        GL87_C 2488-2489        GL87_D 2490-2491
        GL87_E 2492-2493        GL87_F 2494-2495        GL87_G_1 2496-2497
        GL87_G_2 2498-2499      GL87_G_3 2500-2501      GL87_G_4 2502-2503
        GL87_G_5 2504-2505      GL87_G_6 2506-2507      GL87_G_7 2508-2509
        GL87_G_8 2510-2511      GL87_H 2512-2513        GL87_I 2514-2515
        GL87_J 2516-2517        GL87_K 2518-2519        GL87_L_1 2520-2521
        GL87_L_2 2522-2523      GL87_L_3 2524-2525      GL87_L_4 2526-2527
        GL87_L_5 2528-2529      GL87_L_6 2530-2531      GL87_M 2532-2533
        GL87_N 2534-2535        GL87_O 2536-2537        GL87_P 2538-2539
        GL88_01 2540-2541       GL88_02 2542-2543       GL88_03 2544-2545
        GL88_A 2546-2547        GL88_B 2548-2549        GL88_C 2550-2551
        GL88_D 2552-2553        GL88_E 2554-2555        GL88_F 2556-2557
        GL88_G_1 2558-2559      GL88_G_2 2560-2561      GL88_G_3 2562-2563
        GL88_G_4 2564-2565      GL88_G_5 2566-2567      GL88_G_6 2568-2569
        GL88_G_7 2570-2571      GL88_G_8 2572-2573      GL88_H 2574-2575
        GL88_I 2576-2577        GL88_J 2578-2579        GL88_K 2580-2581
        GL88_L_1 2582-2583      GL88_L_2 2584-2585      GL88_L_3 2586-2587
        GL88_L_4 2588-2589      GL88_L_5 2590-2591      GL88_L_6 2592-2593
        GL88_M 2594-2595        GL88_N 2596-2597        GL88_O 2598-2599
        GL88_P 2600-2601        GL89 2602-2603          GL89_A_1 2604-2605
        GL89_A_2 2606-2607      GL89_A_3 2608-2609      GL89_A_4 2610-2611
        GL89_A_5 2612-2613      GL89_A_6 2614-2615      GL89_A_7 2616-2617
        GL89_A_8 2618-2619      GL89_A_9 2620-2621      GL89B_1 2622-2623
        GL89C_1 2624-2625       GL89D_1 2626-2627       GL89E_1 2628-2629
        GL89F1_1 2630-2631      GL89F1_2 2632-2633      GL89F111 2634-2635
        GL89F112 2636-2637      GL89F113 2638-2639      GL89F121 2640-2641
        GL89F122 2642-2643      GL89F123 2644-2645      GL89F127 2646-2647
        GL89F129 2648-2649      GL89F171 2650-2651      GL89F191 2652-2653
        GL89G_1 2654-2655       GL89B_2 2656-2657       GL89C_2 2658-2659
        GL89D_2 2660-2661       GL89E_2 2662-2663       GL89F2_1 2664-2665
        GL89F2_2 2666-2667      GL89F211 2668-2669      GL89F212 2670-2671
        GL89F213 2672-2673      GL89F221 2674-2675      GL89F222 2676-2677
        GL89F223 2678-2679      GL89F227 2680-2681      GL89F229 2682-2683
        GL89F271 2684-2685      GL89F291 2686-2687      GL89G_2 2688-2689
        GL90 2690-2691          GL91 2692-2693          GL92_01 2694-2695
        GL92_02 2696-2697       GL92_11 2698-2699       GL92_12 2700-2701
        GL92_13 2702-2703       GL92_21 2704-2705       GL92_22 2706-2707
        GL92_23 2708-2709       GL92_27 2710-2711       GL92_29 2712-2713
        GL92_71 2714-2715       GL92_91 2716-2717       GL92A_1 2718-2719
        GL92A_2 2720-2721       GL93 2722-2724          GL93_A 2725-2727
        GL93_B_1 2728-2729      GL93_B_2 2730-2731      GL93_B_3 2732-2733
        GL93_B_4 2734-2735      GL93_B_5 2736-2737      GL93_B_6 2738-2739
        GL93_B_7 2740-2741      GL93_B_8 2742-2743      GL93_C 2744-2745
        GL94 2746-2747          GL94_A 2748-2750        GL94_B_1 2751-2752
        GL94_B_2 2753-2754      GL94_B_3 2755-2756      GL94_B_4 2757-2758
        GL94_B_5 2759-2760      GL94_B_6 2761-2762      GL94_B_7 2763-2764
        GL94_B_8 2765-2766      GL94_C 2767-2768        GL95 2769-2770
        GL95_A_1 2771-2772      GL95_A_2 2773-2774      GL95_A_3 2775-2776
        GL95_A_4 2777-2778      GL95_A_5 2779-2780      GL95_A_6 2781-2782
        GL95B_1 2783-2784       GL95C_1 2785-2786       GL95D_1 2787-2788
        GL95E_1 2789-2790       GL95F1_1 2791-2792      GL95F1_2 2793-2794
        GL95F127 2795-2796      GL95F129 2797-2798      GL95F171 2799-2800
        GL95F191 2801-2802      GL95G_1 2803-2804       GL95B_2 2805-2806
        GL95C_2 2807-2808       GL95D_2 2809-2810       GL95E_2 2811-2812
        GL95F2_1 2813-2814      GL95F2_2 2815-2816      GL95F227 2817-2818
        GL95F229 2819-2820      GL95F271 2821-2822      GL95F291 2823-2824
        GL95G_2 2825-2826       GL96 2827-2828          GL97 2829-2830
        GL98_01 2831-2832       GL98_02 2833-2834       GL98_11 2835-2836
        GL98_12 2837-2838       GL98_13 2839-2840       GL98_21 2841-2842
        GL98_22 2843-2844       GL98_23 2845-2846       GL98_27 2847-2848
        GL98_28 2849-2850       GL98_29 2851-2852       GL98_30 2853-2854
        GL98_71 2855-2856       GL98_91 2857-2858       GL98A_1 2859-2860
        GL98A_2 2861-2862       GL99 2863-2864          GL99_A_1 2865-2866
        GL99_A_2 2867-2868      GL99_A_3 2869-2870      GL99_A_4 2871-2872
        GL99_A_5 2873-2874      GL99_A_6 2875-2876      GL99_B 2877-2878
        GL100 2879-2880         GL100A_1 2881-2882      GL100A_2 2883-2884
        GL100A_3 2885-2886      GL100A_4 2887-2888      GL100A_5 2889-2890
        GL100A_6 2891-2892      GL100_B 2893-2894       GL101 2895-2896
        GL101A_1 2897-2898      GL101A_2 2899-2900      GL101A_3 2901-2902
        GL101A_4 2903-2904      GL101A_5 2905-2906      GL101A_6 2907-2908
        GL101B_1 2909-2910      GL101C_1 2911-2912      GL101D_1 2913-2914
        GL101E_1 2915-2916      GL101B_2 2917-2918      GL101C_2 2919-2920
        GL101D_2 2921-2922      GL101E_2 2923-2924      GL102 2925-2926
        GL103 2927-2928         GL104_01 2929-2930      GL104_02 2931-2932
        GL104_11 2933-2934      GL104_12 2935-2936      GL104_13 2937-2938
        GL104_21 2939-2940      GL104_22 2941-2942      GL104_23 2943-2944
        GL104_27 2945-2946      GL104_28 2947-2948      GL104_29 2949-2950
        GL104_71 2951-2952      GL104_91 2953-2954      GL104A_1 2955-2956
        GL104A_2 2957-2958      GL105 2959-2960         GL105A_1 2961-2962
        GL105A_2 2963-2964      GL105A_3 2965-2966      GL105A_4 2967-2968
        GL105A_5 2969-2970      GL105A_6 2971-2972      GL105_B 2973-2974
        GL106 2975-2976         GL106A_1 2977-2978      GL106A_2 2979-2980
        GL106A_3 2981-2982      GL106A_4 2983-2984      GL106A_5 2985-2986
        GL106A_6 2987-2988      GL106_B 2989-2990       GL107 2991-2992
        GL107A51 2993-2994      GL107A52 2995-2996      GL107A53 2997-2998
        GL107A54 2999-3000      GL107A91 3001-3002      GL107B_1 3003-3004
        GL107C_1 3005-3006      GL107D_1 3007-3008      GL107E_1 3009-3010
        GL107B_2 3011-3012      GL107C_2 3013-3014      GL107D_2 3015-3016
        GL107E_2 3017-3018      GL108 3019-3020         GL108_A 3021-3022
        GL108_B 3023-3024       GL109 3025-3026         GL110 3027-3028
        GL111_A 3029-3030       GL111_B 3031-3032       GL113_01 3033-3034
        GL113_02 3035-3036      GL113_11 3037-3038      GL113_12 3039-3040
        GL113_13 3041-3042      GL113_21 3043-3044      GL113_22 3045-3046
        GL113_23 3047-3048      GL113_24 3049-3050      GL113_25 3051-3052
        GL113_26 3053-3054      GL113_27 3055-3056      GL113_28 3057-3058
        GL113_29 3059-3060      GL113_71 3061-3062      GL113_91 3063-3064
        GL114_A 3065-3066       GL114_B 3067-3068       GL114_C 3069-3070
        GL114_D 3071-3072       GL114_E 3073-3074       GL114_F 3075-3076
        GL114_G 3077-3078       GL114_H 3079-3080       GL114_I 3081-3082
        GL114_J 3083-3084       GL114_K 3085-3086       GL114K_1 3087-3088
        GL114K_2 3089-3090      GL114K_3 3091-3092      GL114K_4 3093-3094
        GL115 3095-3096         GL116 3097-3098         GL117 3099-3100
        GL117_B1 3101-3102      GL117_B2 3103-3104      GL117_B3 3105-3106
        GL117_B4 3107-3108      GL117_B5 3109-3110      GL118 3111-3112
        GL118_A 3113-3114       GL119 3115-3116         GL120 3117-3118
        GL121_A 3119-3120       GL121_B 3121-3122       GL121_C 3123-3124
        GL121_D 3125-3126       GL121_E 3127-3128       GL121_F 3129-3130
        GL122 3131-3132         GL123_W 3133-3134       GL124 3135-3136
        GL125 3137-3138         GL126 3139-3140         GL127 3141-3142
        GL128 3143-3144         GLDM 3145-3146          GLTH 3147-3148
        GLTM 3149-3150          GLAMPM 3151-3152        GM1 3153-3154
        GM2 3155-3156           GM3 3157-3158           GM4 3159-3160
        GM5 3161-3162           GM6 3163-3164           GM7 3165-3166
        GM8 3167-3168           GM9 3169-3170           GM10A 3171-3172
        GM10B 3173-3174         GM11A 3175-3176         GM11B 3177-3178
        GM11C 3179-3180         GM12A 3181-3182         GM12B 3183-3184
        GM12C 3185-3186         GM12D 3187-3188         GM12E 3189-3190
        GM13 3191-3192          GM14A 3193-3194         GM14B 3195-3196
        GM14C 3197-3198         GM15A 3199-3200         GM15B 3201-3202
        GM16 3203-3204          GM17 3205-3206          GM18A 3207-3208
        GM18B 3209-3210         GM18C 3211-3212         GM19 3213-3214
        GM20 3215-3216          GM21 3217-3218          GMDM 3219-3220
        GMTH 3221-3222          GMTM 3223-3224          GMAMPM 3225-3226
        GN1 3227-3228           GN2 3229-3230           GN2A 3231-3232
        GN3_1_1 3233-3234       GN3_1_2 3235-3236       GN3_2_1 3237-3238
        GN3_2_2 3239-3240       GN3_3_1 3241-3242       GN3_3_2 3243-3244
        GN3_4_1 3245-3246       GN3_4_2 3247-3248       GN4 3249-3250
        GN4A1 3251-3252         GN4A2 3253-3254         GN4A3 3255-3256
        GN4A4 3257-3258         GN4A5 3259-3260         GN4A6 3261-3262
        GN5 3263-3264           GN6 3265-3266           GN6A1 3267-3268
        GN6A2 3269-3270         GIA1_1 3271-3272        GIA1_2 3273-3274
        GIA2_1 3275-3276        GIA2_2 3277-3278        GIA3_1 3279-3280
        GIA3_2 3281-3282        GIA4_1 3283-3284        GIA4_2 3285-3286
        GIA5_1 3287-3288        GIA5_2 3289-3290        GIA6_1 3291-3292
        GIA6_2 3293-3294        GIA7_1 3295-3296        GIA7_2 3297-3298
        GIA8_1 3299-3300        GIA8_2 3301-3302        GIA9_1 3303-3304
        GIA9_2 3305-3306        GIA10_1 3307-3308       GIA10_2 3309-3310
        GP1A 3311-3312          GP1B 3313-3314          GP1C 3315-3316
        GP1D 3317-3318          GP1E 3319-3320          GP1F 3321-3322
        GP1G 3323-3324          GP1H 3325-3326          GP1I 3327-3328
        GP1J 3329-3330          GP1K 3331-3332          GP1L 3333-3334
        GP1M 3335-3336          GP1N 3337-3338          GP2A 3339-3340
        GP3A 3341-3342          GP2B 3343-3344          GP3B 3345-3346
        GP2C 3347-3348          GP3C 3349-3350          GP2D 3351-3352
        GP3D 3353-3354          GP2E 3355-3356          GP3E 3357-3358
        GP2F 3359-3360          GP3F 3361-3362          GP2G 3363-3364
        GP3G 3365-3366          GP2H 3367-3368          GP3H 3369-3370
        GP2I 3371-3372          GP3I 3373-3374          GP2J 3375-3376
        GP3J 3377-3378          QU3 3379                IA3 3380
        SU3 3381                MODALITY 3382           SEX 3383
        AGE 3384-3385           HLTHINS 3386-3387       FTWORK 3388-3389
        MSTAT 3390-3391         INSCHOOL 3392           RACE 3393
        EDLEV 3394-3395         RACESEX 3396            HVY_ALC 3397-3398
        ALCR 3399-3400          MRJR 3401               COCR 3402
        HERR 3403-3404          NARR 3405-3406          SEDR 3407-3408
        AMPR 3409-3410          HALR 3411-3412          INHR 3413-3414
        ALCWK 3415-3416         MRJWK 3417              COCWK 3418
        HERWK 3419-3420         NARWK 3421-3422         SEDWK 3423-3424
        AMPWK 3425-3426         HALWK 3427-3428         INHWK 3429-3430
        MRJ_EV 3431             COC_EV 3432             HER_EV 3433-3434
        NAR_EV 3435-3436        SED_EV 3437-3438        AMP_EV 3439-3440
        HAL_EV 3441-3442        INH_EV 3443             CJ_STAT 3444-3445
        IAY_SIA 3446-3447       MAJSRC 3448-3449        REFER 3450-3451
        RESTRICT 3452-3453      DRUGTX 3454-3455        SCHOOL 3456-3457
        DEP_YR 3458             EMPSTAT 3459            IAPY 3460-3461
        PDT 3462-3463           CRKR 3464-3465          CRKWK 3466-3467
        ;


* SAS LABEL STATEMENT;

LABEL
   CASEID  = 'CASE IDENTIFICATION NUMBER'
   GDC_M   = 'MONTH/DATE COMPLETED'
   GDC_Y   = 'YEAR/DATE COMPLETED'
   GT_L_I  = 'MINUTES/TOTAL LENGTH OF INTERVIEW'
   GTIME1_H= 'TIME STARTED/HOURS'
   GTIME1_M= 'TIME STARTED/MINUTES'
   GAM_PM_1= 'TIME STARTED/AM OR PM'
   GA3     = 'ARE YOU HISPANIC/SPANISH ORIGIN/DESCENT?'
   GA3_A   = 'GROUP/DESCRIBES YOUR ETHNIC BACKGROUND'
   GA3_B   = 'NAME OF GROUP/BEST DESCRIBES YOU'
   GA4     = 'NAME OF GROUP/BEST DESCRIBES YOU'
   GA4_A   = 'GROUP/DESCRIBES YOUR ETHNIC BACKGROUND'
   GA5     = 'RESIDENT/PLACE YOU USUALLY LIVED IN'
   GA6     = '#WEEK/YOU LIVED IN PLACE/JAIL/HOSPITAL'
   GA7     = 'YOUR MARITAL STATUS'
   GA8     = 'HOW HUSBAND/WIFE FELT/YOUR USE OF DRUG'
   GA8_A   = 'HOW IMPORTANT/WAY HE/SHE FELT/YOUR DRUG USE'
   GA8_B   = 'SERIOUS PROBLEM W/HUSBAND/WIFE/YOUR DRUG USE'
   GA8_C   = 'HUSBAND/WIFE PRESSURE YOU/STAY IN DRUG TREATMENT'
   GA8_D   = 'HE/SHE/BEEN ABUSING DRUG/NOT ALCO'
   GA8_E   = 'WAS THIS PERSON IN DRUG TREATMENT'
   GA9     = 'HUSBAND/WIFE/HOW CONCERNED OF YOU'
   GA10    = 'WITH WHOM YOU LIVED MOST OF TIME'
   GA11    = 'HOW SATISFIED HAVE YOU BEEN LIVING?'
   GA12    = '#CHILDREN <18 YR OLD/YOU WERE RAISING'
   GA13    = '# <18 CHILDREN LIVED W/YOU SINCE ADMISSION'
   GA13A_02= '<18 YR OLD/LIVED W/SPOUSE/SEXUAL PARTNER'
   GA13A_03= '<18 YR OLD/LIVED W/EX-SPOUSE/EX-SEXUAL PARTNER'
   GA13A_04= '<18 YR OLD/LIVED W/OTHER RELATIVE(S)'
   GA13A_05= '<18 YR OLD/LIVED WITH NON RELATIVE(S)'
   GA13A_06= '<18 YR OLD/LIVED IN AN INSTITUTION'
   GA14    = '# CHILDREN HAVE LEGAL CUSTODY OF'
   GA14A_02= 'LEGAL CUSTODY/CHILD/SPOUSE/SEX PARTNER'
   GA14A_03= 'LEGAL CUSTODY/CHILD/EX-SPOUSE/SEX PARTNER'
   GA14A_04= 'LEGAL CUSTODY OF CHILD/OTHER RELATIVES'
   GA14A_05= 'LEGAL CUSTODY OF CHILD/NON RELATIVES'
   GA14A_06= 'LEGAL CUSTODY/CHILD/INSTITUTION'
   GA15_00 = 'HOW OFTEN SEE YOUR CHILD/NOT AT ALL'
   GA15_01 = 'HOW OFTEN SEE YOUR CHILD/> ONCE A WEEK'
   GA15_02 = 'HOW OFTEN SEE CHILD/AT LEAST ONCE A WEEK'
   GA15_03 = 'HOW OFTEN SEE YOUR CHILD/ALMOST DAILY'
   GA16    = 'DRUG TREATMENT AFFECT CUSTODY OF CHILD'
   GA17    = 'HOW WELL YOU WERE AS A PARENT/GUARDIAN'
   GA18    = 'HOW DIFFICULT FOR YOU TO FIND CHILD CARE'
   GA19    = 'YOU HAD A CLOSE RELATIONSHIP W/SOMEONE'
   GA19_A  = '#PEOPLE/YOU HAD RELATIONSHIP WITH'
   GA19_B  = 'SERIOUS PROBLEM GET ALONG W/FAMILY/FRIEND'
   GA20    = 'HOW IMPORTANT/COUNSELING/GET ALONG PROBLEM W/FAMILY'
   GA21    = 'HOW MUCH CONTACT W/FAMILY/FRIENDS'
   GA22    = 'HOW YOU DOING AS A FAMILY MEMBER/FRIEND'
   GA23_A  = 'DO PHYSICAL EXERCISE/IN A TYPICAL WEEK'
   GA23_B  = 'READ/DO HOBBIES/IN A TYPICAL WEEK'
   GA23_C  = 'ATTEND MEETING OF CLUB/IN A TYPICAL WEEK'
   GA24_A  = 'ANY CLOSE PEOPLE USED DRUG/NOT IN TREATMENT'
   GA24_B  = 'CLOSE PEOPLE DRANK HEAVY/NOT IN TREATMENT'
   GA24_C  = 'CLOSE PEOPLE GOT ARRESTED/NOT IN TREATMENT'
   GA24_D  = 'CLOSE PEOPLE ENTERED JAIL/NOT IN TREATMENT'
   GA24_E  = 'ANY CLOSE PEOPLE ENTERED DRUG TREATMENT'
   GA24_F  = 'CLOSE PEOPLE QUIT USE DRUGS/NOT IN TREATMENT'
   GA25    = 'HOW WAS YOUR LIFE SINCE ADMISSION'
   GA26    = 'THINGS BETTER/WORSE THAN A YEAR BEFORE'
   GA27    = 'PROBLEMS W/FAMILY/FRIENDS DUE DRUG USE'
   GA27A   = 'HOW SERIOUS PROBLEMS DUE DRUGS/ALCOHOL'
   GB1     = 'HIGHEST GRADE/SCHOOL YEAR ATTENDED'
   GB1_A   = 'DID YOU COMPLETE GRADE/YEAR'
   GB1_B   = 'ARE YOU CURRENTLY IN SCHOOL?'
   GB1_C   = 'KIND SCHOOL/TRAINING PROGRAM ATTENDING'
   GB1_D   = 'SINCE ADMISSION HOW HAVE GRADES BEEN'
   GB1_E   = 'TEACHER THOUGHT YOU DID AS WELL AS COULD'
   GB1_F   = 'FREQUENTLY IN TROUBLE W/TEACHERS/PRINCIPAL'
   GB1_G   = '# OF DAYS SKIPPED SCHOOL'
   GB2     = 'RECEIVED A HIGH SCHOOL DIPLOMA/GED'
   GB2_A   = 'DID YOU GET A DIPLOMA/GED'
   GB3_0   = 'RECEIVED NO DEGREE'
   GB3_1   = 'RECEIVED/JR COLLEGE/ASSOCIATE DEGREE'
   GB3_2   = 'RECEIVED/BACHELOR''S DEGREE'
   GB3_3   = 'RECEIVED/MASTER''S/PH.D'
   GB3_4   = 'RECEIVED/CERTIFICATE FROM VOCATIONAL/TRADE SCHOOL'
   GB3_5   = 'RECEIVED/LICENSE TO PRACTICE A TRADE'
   GB3_6   = 'RECEIVED/OTHER DEGREE/LICENSE, ETC.'
   GB4     = 'YOU HAVE CURRENT VALID DRIVER''S LICENSE'
   GB4_A   = 'STATUS OF YOUR DRIVER''S LICENSE'
   GB5     = 'A DEPENDABLE VEHICLE FOR YOU TO USE?'
   GC1     = 'DO YOU HAVE ANY HEALTH INSURANCE/PLAN'
   GC1_A_02= 'TYPE OF INSURANCE/PRIVATE INSURANCE'
   GC1_A_03= 'TYPE OF INSURANCE/HEALTH PLAN/HMO/PPO'
   GC1_A_04= 'TYPE OF INSURANCE/MEDICAID'
   GC1_A_05= 'TYPE OF INSURANCE/MEDICARE'
   GC1_A_06= 'TYPE OF INSURANCE/CHAMPUS/CHAMPVA'
   GC1_A_07= 'TYPE OF INSURANCE/OTHER'
   GC1_B   = 'HEALTH PLAN IN YOUR NAME/FAMILY MEMBER'
   GC1_C   = 'COST/DRUG TREATMENT COVERED BY THIS PLAN'
   GC1_D   = 'COST COVER BY INSURANCE/FOR DRUG TREATMENT'
   GC1_E   = 'PRIMARY FUNDS FOR TREATMENT/EXCLUDE INSURANCE'
   GC2     = 'TRANSPORTATION/GET TO TREATMENT PROGRAM'
   GC3     = 'EASY/DIFFICULT/GET TO PROGRAM/TREATMENT'
   GC3_A   = 'HAS IT BEEN SOMEWHAT EASY/VERY EASY'
   GC3_B   = 'HAS IT BEEN SOMEWHAT/VERY DIFFICULT'
   GC4_00  = 'CRIMINAL CHARGE/NONE'
   GC4_01  = 'CRIMINAL CHARGE/PROBATION'
   GC4_02  = 'CRIMINAL CHARGE/PAROLE'
   GC4_03  = 'CRIMINAL CHARGE/AWAITING TRIAL IN JAIL'
   GC4_04  = 'CRIMINAL CHARGE/AWAITING SENTENCE/JAIL'
   GC4_05  = 'CRIMINAL CHARGE/SERVING A SENTENCE/JAIL'
   GC4_06  = 'CRIMINAL CHARGE/ON BAIL AWAITING TRIAL'
   GC4_07  = 'CRIMINAL CHARGE/ON BAIL AWAITING SENTENCE'
   GC4_08  = 'CRIMINAL CHARGE/RELEASE ON OWN RECOGNIZANCE'
   GC4_09  = 'CRIMINAL CHARGE/OTHER STATUS'
   GC5     = 'CRIMINAL JUSTICE AWARE OF DRUG TREATMENT'
   GC5_A   = 'FELT PRESSURE DRUG TREATMENT/AUTHORITY AWARE'
   GC6     = 'CRIMINAL JUSTICE SUGGEST/REQUIRED DRUG TREATMENT'
   GC6_A   = 'PROGRAM REQUIRED/SUGGESTED'
   GC7     = 'CRIMINAL JUSTICE TESTED YOU FOR DRUG USE'
   GC7_A   = 'YOU BEEN CHECKED FOR DRUG/WHAT BASIS'
   GC7_B_1 = '#TIMES TEST WERE DONE/SINCE ADMISSION'
   GC7_B_2 = 'HOW OFTEN TESTS DONE/SINCE ADMISSION'
   GD1     = 'ANXIOUS/TENSE SINCE ADMISSION'
   GD1_A   = 'PERIODS/4WEEKS OR MORE/TENSE/ANXIOUS'
   GD1_B   = 'WHEN LAST PERIOD ENDED/NERVE PROBLEM'
   GD1_B_2 = '#WEEKS AFTER ADMISSION'
   GD1_C   = 'THAT PERIOD A DIRECT RESULT OF ALCOHOL/DRUG'
   GD2     = 'YOU FELT SAD/BLUE/DEPRESSED FOR 2 WEEKS'
   GD2_A   = 'YOU HAD ANY OTHER PROBLEMS AT SAME TIME'
   GD2_B   = '#PERIODS OF 2 WEEK/MORE/FELT SAD/BLUE'
   GD2_C_1 = 'WHEN LAST PERIOD ENDED/FELT BLUE'
   GD2_C_2 = '#WEEKS AFTER ADMISSION'
   GD2_D   = 'THAT PERIOD A DIRECT RESULT OF ALCOHOL/DRUG'
   GD3     = 'YOU THOUGHT A LOT ABOUT ENDING YOUR LIFE'
   GD3_A   = 'THOUGHTS OF SUICIDE RESULT OF ALCOHOL/DRUG'
   GD4     = 'DID YOU ATTEMPT SUICIDE'
   GD4_A   = 'SUICIDE ATTEMPT RESULT OF ALCOHOL/DRUG USE'
   GD5     = 'HAD TROUBLE CONTROLLING TEMPER'
   GD5_A_1 = 'WHEN LAST PERIOD ENDED/TEMPER PROBLEM'
   GD5_A_2 = '#WEEKS AFTER ADMISSION'
   GD5_B   = 'TEMPER PROBLEM RESULT OF ALCOHOL/DRUG'
   GD6     = 'YOU FELT VERY SUSPICIOUS OF PEOPLE'
   GD6_A_1 = 'WHEN LAST PERIOD ENDED/SUSPICIOUS OF PEOPLE'
   GD6_A_2 = '#WEEKS AFTER ADMISSION'
   GD6_B   = 'SUSPICIOUS OF PEOPLE RESULT OF ALCOHOL/DRUG'
   GD7     = 'YOU HAD HALLUCINATIONS'
   GD7_A_1 = 'WHEN LAST PERIOD ENDED/HALLUCINATION'
   GD7_A_2 = '#WEEKS AFTER ADMISSION'
   GD7_B   = 'HALLUCINATION/RESULT OF ALCOHOL/DRUG USE'
   GD8     = 'HAD TROUBLE CONCENTRATING/REMEMBERING'
   GD8_A   = 'TROUBLE CONCENTRATE/RESULT OF DRUG/ALCOHOL'
   GD9     = 'RECEIVED PAYMENT FOR PSYCHIATRIC DISABILITY'
   GD10    = 'TOOK PRESCRIPTION MEDICINE FOR MENTAL PROBLEM'
   GD10_A  = 'CURRENTLY TAKING MEDICINE FOR MENTAL PROBLEM'
   GD11    = 'HAD MENTAL PROBLEM BECAUSE OF DRUG/ALCOHOL USE'
   GD11_A  = 'HOW SERIOUS PROBLEM/BECAUSE OF DRUG/ALCOHOL USE'
   GD12    = 'HOW TROUBLED ARE YOU NOW/EMOTIONAL PROBLEM'
   GD13    = 'I AM SATISFIED WITH MYSELF'
   GD14    = 'AT TIMES I THINK I AM NO GOOD AT ALL'
   GD15    = 'I FEEL I HAVE A LOT OF GOOD QUALITIES'
   GD16    = 'I FEEL USELESS AT TIMES'
   GD17    = 'I WISH I COULD HAVE > RESPECT FOR MYSELF'
   GD18    = 'I FEEL THAT I AM A FAILURE'
   GD19    = 'IMPORTANCE OF MENTAL HEALTH TREATMENT'
   GE1     = '#DAYS YOU DRANK ANY ALCOHOL'
   GE2     = '#ALCOHOLIC DRINKS YOU HAVE ON EACH DAY'
   GE3     = 'YOU DRANK SEVERAL DAYS IN A ROW/3 MON'
   GE4     = '#DAYS YOU BEEN DRUNK/SINCE ADMISSION'
   GE5     = 'YOU HAD ALCOHOL DELIRIUM TREMENS'
   GE6     = 'EVER HAD ANY PROBLEM BECAUSE OF DRINKING'
   GE7     = 'HOW TROUBLED YOU BEEN BY ALCOHOL PROBLEM'
   GE8     = 'HOW IMPORTANT TO YOU/TREATMENT FOR ALCOHOL PROBLEM'
   GE9     = 'YOUR CHANCES ARE OF NEVER DRINKING ALCO'
   GE10    = 'HOW DIFFICULT/STOP DRINK ALCOHOL COMPLETELY'
   GE11    = 'WHAT CHANCES/REDUCING THE AMT OF ALCO'
   GE12    = 'DO YOU CURRENTLY SMOKE CIGARETTES'
   GE12_A  = 'HOW MUCH CURRENTLY SMOKE CIGARETTES'
   GE13    = 'SMOKE CIGARS/PIPE/SMOKELESS TOBACCO?'
   GE13_A_1= 'DO YOU SMOKE CIGARS'
   GE13_A_2= 'DO YOU SMOKE PIPE'
   GE13_A_3= 'DO YOU USE SMOKELESS TOBACCO/SNUFF'
   GE14    = 'HAVE YOU USED MARIJUANA/HASHISH/THC'
   GE14_A_1= 'HOW LONG AFTER TREATMENT FIRST USE DRUG'
   GE14_A_2= '#WEEKS AFTER ADMISSION USED DRUGS'
   GE14_B_1= 'WHEN DID YOU LAST USE DRUGS'
   GE14_B_2= '#WEEKS AGO USE DRUGS'
   GE14_C  = 'HOW OFTEN USED DRUGS SINCE ADMISSION'
   GE15    = 'HAVE YOU USED COCAINE IN ANY FORM'
   GE15_A_1= 'HOW LONG AFTER TREATMENT FIRST USED COCAINE'
   GE15_A_2= '#WEEKS AFTER ADMISSION USED COCAINE'
   GE15_B_1= 'HOW LONG AGO DID YOU LAST USE COCAINE'
   GE15_B_2= 'HOW MANY WEEKS AGO USE COCAINE'
   GE15_C  = 'HOW DID YOU USUALLY TAKEN COCAINE'
   GE15_D  = 'HOW OFTEN USED COCAINE SINCE ADMISSION'
   GE15_E  = 'HOW OFTEN USED CRACK SINCE ADMISSION'
   GE16    = 'HAVE YOU USED HEROIN/ALONE/COMBINED'
   GE16_A_1= 'HOW LONG AFTER TREATMENT FIRST USED HEROIN'
   GE16_A_2= '#WEEKS AFTER ADMISSION USED HEROIN'
   GE16_B_1= 'HOW LONG AGO DID YOU LAST USE HEROIN'
   GE16_B_2= 'HOW MANY WEEKS AGO USE HEROIN'
   GE16_C  = 'HOW DID YOU USUALLY TAKEN HEROIN'
   GE16_D  = 'HOW OFTEN USED HEROIN SINCE ADMISSION'
   GE16_E  = 'HOW OFTEN USED HEROIN/COCAINE TOGETHER'
   GE16_F  = 'HOW DID YOU USUALLY TAKE COCAINE/HEROIN'
   GE17    = 'DR. PRESCRIBE NARCOTICS FOR MEDICAL PROBLEM'
   GE17_A  = '#PRESCRIPTIONS FOR NARCOTICS'
   GE17_B_1= 'CODE/PRESCRIBED NARCOTICS'
   GE17_B_2= 'CODE/PRESCRIBED NARCOTICS'
   GE17_B_3= 'CODE/PRESCRIBED NARCOTICS'
   GE17_C  = '#WEEKS USED PRESCRIBE NARCOTICS'
   GE18    = 'HAVE YOU USED NARCOTICS W/OUT PRESCRIBE'
   GE18_A_1= 'HOW LONG AFTER TREATMENT FIRST USE NARCOTICS'
   GE18_A_2= '#WEEKS AFTER ADMISSION USED NARCOTICS'
   GE18_B_1= 'HOW LONG AGO DID YOU LAST USE NARCOTICS'
   GE18_B_2= 'HOW MANY WEEKS AGO USED NARCOTICS'
   GE18_C  = 'HOW DID YOU USUALLY TAKE NARCOTICS'
   GE18_D  = 'HOW OFTEN USED NARCOTICS SINCE ADMISSION'
   GE18_E  = 'HOW OFTEN USED ILLEGAL METHADONE'
   GE19    = 'DR. PRESCRIPTION SEDATIVE/TRANQUILIZER FOR MEDICINE PROBLEM'
   GE19_A  = '#PRESCRIPTIONS GOT FOR SEDATIVES'
   GE19B1_1= 'CODE/PRESCRIBED SEDATIVES'
   GE19B1_2= 'CODE/PRESCRIBED SEDATIVES'
   GE19B2_1= 'CODE/PRESCRIBED TRANQUILIZERS'
   GE19B2_2= 'CODE/PRESCRIBED TRANQUILIZERS'
   GE19_C  = '#WEEKS USED PRESCRIPTION SEDATIVE/TRANQUILIZER'
   GE20    = 'USED SEDATIVE/TRANQUILIZER WITHOUT PRESCRIPTION'
   GE20_A_1= 'HOW LONG AFTER TREATMENT FIRST USED SEDATIVE'
   GE20_A_2= '#WEEKS AFTER ADMISSION USED SEDATIVES'
   GE20_B_1= 'HOW LONG AGO DID YOU LAST USE SEDATIVES'
   GE20_B_2= 'HOW MANY WEEKS AGO USED SEDATIVES'
   GE20_C  = 'HOW DID YOU USUALLY TAKE SEDATIVES'
   GE20_D  = 'HOW OFTEN USED SEDATIVES SINCE ADMISSION'
   GE20_E_1= 'TYPE SEDATIVE/TRANQUILIZER/SLEEPING PILL'
   GE20_E_2= 'TYPE SEDATIVE/TRANQUILIZER/BARBITURATES'
   GE20_E_3= 'TYPE SEDATIVE/TRANQUILIZER/BENZODIAZEPINES'
   GE20_E_4= 'TYPE SEDATIVE/TRANQUILIZER/OTHER TRANQUILIZER'
   GE20_F  = 'TYPE SEDATIVE USED MOST/CODE FROM E20E'
   GE21    = 'DR. PRESCRIBED STIMULANTS FOR MEDICINE PROBLEM'
   GE21_A  = '#PRESCRIPTIONS GOT FOR STIMULANTS'
   GE21_B_1= 'CODE/PRESCRIBED STIMULANTS'
   GE21_B_2= 'CODE/PRESCRIBED STIMULANTS'
   GE21_B_3= 'CODE/PRESCRIBED STIMULANTS'
   GE21_C  = '#WEEKS USED PRESCRIBED STIMULANTS'
   GE22    = 'USED AMPHETAMINES W/OUT PRESCRIPTION'
   GE22_A_1= 'HOW LONG AFTER TREATMENT USED AMPHETAMINE'
   GE22_A_2= '#WEEK AFTER ADMISSION USE AMPHETAMINE'
   GE22_B_1= 'HOW LONG AGO YOU LAST USED AMPHETAMINES'
   GE22_B_2= 'HOW MANY WEEKS AGO USE AMPHETAMINES'
   GE22_C  = 'HOW DID YOU USUALLY TAKE AMPHETAMINES'
   GE22_D  = 'HOW OFTEN USE AMPHETAMINES SINCE ADMISSION'
   GE22_E  = 'HOW OFTEN YOU USE METHAMPHETAMINES'
   GE23    = 'DR. EVER PRESCRIPTION MAJOR TRANQUILIZER/ANTIDEPRESSANT'
   GE23_A  = 'USED MAJOR TRANQUILIZER/ANTIDEPRESSANTS'
   GE24    = 'HAVE YOU USED LSD/PCP/HALLUCINOGEN'
   GE24_A_1= 'HOW LONG AFTER TREATMENT USED LSD/PCP/HALLUCINOGEN'
   GE24_A_2= '#WEEK AFTER ADMISSION USE LSD/PCP/HALLUCINOGEN'
   GE24_B_1= 'HOW LONG AGO YOU LAST USE LSD/PCP'
   GE24_B_2= 'HOW MANY WEEKS AGO USE LSD/PCP/HALLUCINOGEN'
   GE24_C  = 'HOW DID YOU TAKE LSD/PCP/HALLUCINOGEN'
   GE24_D  = 'HOW OFTEN YOU USED LSD/PCP/HALLUCINOGEN'
   GE24_E  = 'HOW OFTEN USED PCP SINCE ADMISSION'
   GE25    = 'HAVE YOU USED INHALANTS SINCE ADMISSION'
   GE25_A_1= 'HOW LONG AFTER TREATMENT USE INHALANTS'
   GE25_A_2= '#WEEKS AFTER ADMISSION USE INHALANTS'
   GE25_B_1= 'HOW LONG AGO YOU LAST USED INHALANTS'
   GE25_B_2= 'HOW MANY WEEKS AGO USE INHALANTS'
   GE25_C  = 'HOW OFTEN USE INHALANTS SINCE ADMISSION'
   GE26    = 'WHICH DRUG CAUSED YOU MOST SERIOUS PROBLEM'
   GE26_A_1= 'HOW LONG AFTER TREATMENT USED PRIMARY DRUG'
   GE26_A_2= '#WEEK AFTER ADMISSION USE PRIMARY DRUG'
   GE26_B_1= 'HOW LONG AGO YOU LAST USE PRIMARY DRUG'
   GE26_B_2= 'HOW MANY WEEKS AGO USE PRIMARY DRUG'
   GE26_C  = 'HOW DID YOU TAKE PRIMARY DRUG'
   GE26_D  = 'HOW OFTEN YOU USED PRIMARY DRUG'
   GE27    = 'DRUG OTHER THAN PRIMARY CAUSE PROBLEMS'
   GE27_A  = 'SECOND PROBLEM DRUG'
   GE27_B_1= 'HOW LONG AFTER TREATMENT USED SECOND DRUG'
   GE27_B_2= '#WEEK AFTER ADMISSION USE SECOND DRUG'
   GE27_C_1= 'HOW LONG AGO YOU LAST USE SECOND DRUG'
   GE27_C_2= 'HOW MANY WEEKS AGO USE SECOND DRUG'
   GE27_D  = 'HOW DID YOU TAKE SECOND DRUG'
   GE27_E  = 'HOW OFTEN YOU USED SECOND DRUG'
   GE28    = 'DRUG OTHER THAN PRIMARY/SECONDARY CAUSE PROBLEMS'
   GE28_A  = 'THIRD PROBLEM DRUG'
   GE28_B_1= 'HOW LONG AFTER TREATMENT USED THIRD DRUG'
   GE28_B_2= '#WEEK AFTER ADMISSION USE THIRD DRUG'
   GE28_C_1= 'HOW LONG AGO YOU LAST USE THIRD DRUG'
   GE28_C_2= 'HOW MANY WEEKS AGO USE THIRD DRUG'
   GE28_D  = 'HOW DID YOU TAKE THIRD DRUG'
   GE28_E  = 'HOW OFTEN YOU USED THIRD DRUG'
   GE29    = '#DOLLARS SPENT ON DRUGS FOR OWN USE'
   GE30    = 'HAVE YOU OVERDOSED ON DRUGS'
   GE30_A  = '#TIMES YOU OVERDOSED DRUGS'
   GE31    = 'DID YOU USE DRUG WITH A NEEDLE/SYRINGE'
   GE31A_1 = 'FREQUENCY USE W/NEEDLE AFTER/REGULAR SEX PARTNER'
   GE31A_2 = 'FREQUENCY USE W/NEEDLE AFTER/UNKNOWN PARTNER'
   GE31A_3 = 'FREQUENCY USE W/NEEDLE AFTER/A PROSTITUTE'
   GE31A_4 = 'FREQUENCY USE W/NEEDLE AFTER/AIDS/HIV +'
   GE31A_5 = 'FREQUENCY USE W/NEEDLE AFTER/HOMO/BI/SEXUAL'
   GE31A_6 = 'FREQUENCY USE W/NEEDLE AFTER/STRANGER'
   GE32    = 'CLEAN NEEDLE BEFORE USE/AFTER PEOPLE'
   GE33_A  = 'CLEAN NEEDLE AFTER/W/ALCOHOL/WATER'
   GE33_B  = 'CLEAN NEEDLE AFTER/W/BLEACH & WATER'
   GE33_C  = 'CLEAN NEEDLE AFTER/W/BOIL IN WATER'
   GE33_D  = 'CLEAN NEEDLE AFTER/W/WATER/ONE CLEANED'
   GE33_E  = 'CLEAN NEEDLE AFTER/W/RINSE CLEAN WATER'
   GE33_F  = 'CLEAN NEEDLE AFTER/W/SOME OTHER METHOD'
   GE34    = 'HOW TROUBLED W/YOUR DRUG PROBLEM'
   GE35    = 'HOW IMPORTANT/GET TREATMENT FOR DRUG PROBLEM'
   GE36    = 'YOUR DRUG USE CAUSED PROBLEMS IN LIFE'
   GE37    = 'YOUR DRUG PROBLEM CAUSED BY OTHER PROBLEMS'
   GE38    = 'HOW TEMPTED ARE YOU TO USE DRUGS NOW'
   GE39_A  = 'KEEP FROM USE DRUG/PEOPLE MADE YOU TENSE'
   GE39_B  = 'KEEP FROM USE DRUG/REMEMBERED FEELING'
   GE39_C  = 'KEEP FROM USE DRUG/YOU FELT RELAXED/SURE'
   GE39_D  = 'KEEP FROM USE DRUG/FELT DROWSY/WANT AWAKE'
   GE39_E  = 'KEEP FROM USE DRUG/FOUND SUPPLY OF DRUGS'
   GE39_F  = 'KEEP FROM USE DRUG/PEOPLE DIDN''T LIKE YOU'
   GE39_G  = 'KEEP FROM USE DRUG/NOT ABLE TO GET SLEEP'
   GE39_H  = 'KEEP FROM USE DRUG/FELT NAUSEOUS'
   GE39_I  = 'KEEP FROM USE DRUG/PLACE/PEOPLE USE DRUG'
   GE39_J  = 'KEEP FROM USE DRUG/FELT HAPPY W/SOMETHING'
   GE39_K  = 'KEEP FROM USE DRUG/FELT ANGRY ABOUT THING'
   GE39_L  = 'KEEP FROM USE DRUG/THINK USE JUST ONE TIME'
   GE39_M  = 'KEEP FROM USE DRUG/FELT CONFUSED'
   GE39_N  = 'KEEP FROM USE DRUG/FELT SAD/DEPRESSED'
   GE39_O  = 'KEEP FROM USE DRUG/ENCOURAGED TO USE IT'
   GE39_P  = 'KEEP FROM USE DRUG/USE IT A FEW TIMES'
   GE39_Q  = 'KEEP FROM USE DRUG/PROBLEM W/PEOPLE A/SCHOOL'
   GE39_R  = 'KEEP FROM USE DRUG/PROBLEM W/FAMILY/FRIENDS'
   GE39_S  = 'KEEP FROM USE DRUG/BORED/NOTHING TO DO'
   GE39_T  = 'KEEP FROM USE DRUG/IN PHYSICAL PAIN'
   GE40    = 'OTHER TIME/TEMPTED TO USE DRUGS'
   GE40_B_1= 'CONFIDENCE WHEN TEMPTED TO USE DRUGS/1ST'
   GE40_B_2= 'CONFIDENCE WHEN TEMPTED TO USE DRUGS/2ND'
   GE40_B_3= 'CONFIDENCE WHEN TEMPTED TO USE DRUGS/3RD'
   GE41_A  = 'HOW SURE/KEEP FROM USE DRUG/IN TREATMENT'
   GE41_B  = 'HOW SURE/KEEP FROM USE DRUG/FINISH TREATMENT'
   GE42    = 'HOW DIFFICULT/STOP DRUG/REST OF LIFE'
   GE43    = 'CHANCES/QUIT DRUGS/REST OF YOUR LIFE'
   GE44    = 'TREATMENT HELP/QUIT DRUGS/REST OF LIFE'
   GE45    = 'HOW DIFFICULT/CUT DOWN/REST OF LIFE'
   GE46    = 'CHANCES ARE OF CUTTING DOWN USE OF DRUG'
   GE47    = 'HOW MUCH/DRUG TREATMENT HELP/CUT DOWN'
   GE48_A  = 'I AM DOING SOMETHING ABOUT MY PROBLEM'
   GE48_B  = 'HAVE DIFFICULT PROBLEM/WORKING ON THEM'
   GE48_C  = 'BEING HERE/WASTE OF TIME/I AM NOT CAUSE'
   GE48_D  = 'I AM WORKING ON MY PROBLEMS'
   GE48_E  = 'STRUGGLE W/PROBLEM/THOUGHT TAKEN CARE'
   GE48_F  = 'WISH HAD IDEAS/HOW TO SOLVE MY PROBLEM'
   GE48_G  = 'MAY BE THIS PLACE WILL HELP ME'
   GE48_H  = 'DOING SOMETHING ABOUT CHANGING MYSELF'
   GE48_I  = 'BORING TO TALK ABOUT MY PROBLEMS'
   GE48_J  = 'DOES NOT DO GOOD TO THINK ABOUT PROBLEM'
   GE48_K  = 'LIVE W/MY FAULTS/THAN TRY TO CHANGE'
   GE48_L  = 'TRY TO CHANGE MY PROBLEM/THEY COME BACK'
   GF1     = '#DIFFERENT FEMALES W/HAD VAGINAL INTERCOURSE'
   GF1_A   = 'USED CONDOM/VAGINAL INTERCOURSE W/FEMALES'
   GF2     = '#OF DIFFERENT FEMALES W/HAD ANAL INTERCOURSE'
   GF2_A   = 'USED CONDOM/ANAL INTERCOURSE W/FEMALES'
   GF3     = 'INTERCOURSE W/FEMALES/TOOK $/DRUG FOR SEX'
   GF4     = 'INTERCOURSE W/FEMALE/SHOOT UP DRUG'
   GF5     = '# DIFFERENT MALES W/YOU HAD ANAL INTERCOURSE'
   GF5_A   = 'USED CONDOM/ANAL INTERCOURSE W/MALES'
   GF6     = 'INTERCOURSE W/MALE/TOOK $/DRUG FOR SEX'
   GF7     = 'HAD INTERCOURSE W/MALE/SHOOT UP DRUG'
   GF8     = 'ANYONE GAVE MONEY/DRUG/FOR INTERCOURSE'
   GF9     = 'ANYONE TESTED+/HAD AIDS'
   GF9_A   = 'INTERCOURSE W/#PEOPLE/WHO TEST+/AIDS'
   GF10    = '# DIFFERENT MALES/YOU HAD VAGINAL INTERCO W/'
   GF10_A  = 'USED CONDOM/VAGINAL INTERCOURSE W/MALES'
   GF11    = '# DIFFERENT MALES/YOU HAD ANAL INTERCOURSE W/'
   GF11_A  = 'USED CONDOM/ANAL INTERCOURSE W/MALES'
   GF12    = 'SEX PARTNER HAD INTERCOURSE W/BOTH SEX'
   GF13    = 'MALE SEX PARTNER TOOK MONEY/DRUG FOR SEX'
   GF14    = 'ANY MALE GAVE MONEY/DRUGS FOR INTERCOURSE'
   GF15    = 'MALE SEX PARTNER EVER SHOOT UP DRUGS'
   GF16    = 'MALE SEX PARTNER/TESTED +/HAD AIDS'
   GF16_A  = '#MALES TEST+/HAD AIDS/YOU HAD INTERCO W/'
   GF17    = 'SERVICES/ABOUT HIV INFECTION/AIDS'
   GF17_A_1= 'SERVICES/ABOUT REDUCE RISK/NEEDLE USE'
   GF17_A_2= 'SERVICES/REDUCE RISK/SEXUAL TRANSMISSION'
   GF17_A_3= 'SERVICES/ABOUT HEALTH CARE OPTION/AIDS'
   GF17_A_4= 'SERVICES/KNOWLEDGE/HIV INFECTION/AIDS'
   GF17_B  = 'SERVICES/PROGRAM/OTHER PLACE/BOTH'
   GF17_C  = '#MEETINGS/FOR SERVICES'
   GF17D_01= 'TALKED TO/PRIMARY/REGULAR COUNSELOR'
   GF17D_02= 'TALKED TO/CASE MANAGER'
   GF17D_14= 'TALKED TO/OTHER PROGRAM STAFF'
   GF17D_23= 'TALKED TO/NURSE'
   GF17D_24= 'TALKED TO/PHYSICIAN'
   GF17D_25= 'TALKED TO/SCHOOL STAFF'
   GF17D_61= 'TALKED TO/PUBLIC HEALTH AGENCY'
   GF17D_62= 'TALKED TO/AIDS OUTREACH WORKER'
   GF17D_91= 'TALKED TO/OTHER'
   GF17_E  = 'HOW HELPFUL WAS SERVICE'
   GF18    = 'BLOOD TEST FOR AIDS VIRUS'
   GG1     = 'YOUR HEALTH NOW'
   GG2     = 'HEALTH/COMPARE TO YOUR AGE PEOPLE'
   GG3     = 'YOUR HEALTH/COMPARE TO AT ADMISSION'
   GG4     = 'ARE YOU PREGNANT'
   GG4_A   = 'PREGNANCY HAS BEEN VERIFIED'
   GG4_B_1 = 'PREGNANCY VERIFIED BY/DOCTOR'
   GG4_B_2 = 'PREGNANCY VERIFIED BY/PREGNANCY TEST'
   GG4_B_3 = 'PREGNANCY VERIFIED/HOME PREGNANCY TEST'
   GG4_B_4 = 'PREGNANCY VERIFIED BY/OTHER'
   GG4_C   = '# OF MONTHS PREGNANT'
   GG4_D   = 'PHYSICAL DISCOMFORT DURING PREGNANCY'
   GG4_E   = 'PREGNANCY AFFECT/ENTER DRUG TREATMENT'
   GG4F_1  = 'PREGNANCY/AFFECT OF DRUGS ON BABY'
   GG4F_2  = 'PREGNANCY/CONCERN ABOUT OWN HEALTH'
   GG4F_3  = 'PREGNANCY/COST OF DRUGS'
   GG4F_4  = 'PREGNANCY/PRESSURE FROM OTHERS'
   GG4F_5  = 'PREGNANCY/AFFECT CHILD CUSTODY'
   GG4F_6  = 'PREGNANCY/OTHER'
   GG4G    = '#TIMES SAW DOCTOR ABOUT PREGNANCY'
   GG5_A   = 'LIMIT VIGOROUS ACTIVITY'
   GG5_B   = 'LIMIT MODERATE ACTIVITY'
   GG5_C   = 'LIMIT WALK UP HILL/CLIMB STAIRS'
   GG5_D   = 'PREVENT YOU FROM BENDING/LIFTING'
   GG5_E   = 'LIMIT YOU TO WALK 1 BLOCK'
   GG5_F   = 'LIMIT YOU TO EAT/DRESS'
   GG7     = 'HEALTH KEPT YOU FROM WORK/SCHOOL'
   GG7_A   = '#DAYS/HEALTH KEPT YOU FROM WORK/SCHOOL'
   GG8     = 'STAY OVERNIGHT IN HOSPITAL/HEALTH PROBLEM'
   GG9     = '#HOSPITALIZATION/PHYS HEALTH PROBLEM/NOT DRUG'
   GG10    = '#DAY HOSPITAL FOR PHYSICAL HEALTH PROBLEM/NOT DRUG'
   GG11    = '#DAY/INJURY/ILLNESS KEPT YOU IN BED FOR ALL DAY'
   GG12    = 'DISABILITY PAYMENT/PHYS HEALTH PROBLEM'
   GG12A_1 = 'TYPE OF PENSION/SSDI'
   GG12A_2 = 'TYPE OF PENSION/SSI'
   GG12A_3 = 'TYPE OF PENSION/WORKER''S COMP'
   GG12A_4 = 'TYPE OF PENSION/OTHER'
   GG12B_1 = '1ST TYPE OF DISABILITY - RECODED'
   GG12B_2 = '1ST TYPE OF DISABILITY - RECODED'
   GG12B_3 = '1ST TYPE OF DISABILITY - RECODED'
   GG13    = 'HOW TROUBLED BY MEDICAL PROBLEM'
   GG14    = 'HOW IMPORTANT TREATMENT NOW FOR MEDICINE PROBLEM'
   GG15    = 'HAD PHYSICAL PROBLEM BECAUSE OF DRUG/ALCOHOL USE'
   GG15_A  = 'HOW SERIOUS PROBLEMS DUE DRUG/ALCOHOL USE'
   GH1     = 'SPENT TIME IN DETENTION/JAIL/PRISON'
   GH1_A   = '#DAYS/SPENT IN DETENTION/JAIL/PRISON'
   GH2_A   = 'ARRESTED/USE OF MARIJUANA/NARCOTICS'
   GH3_A   = '#ARRESTS/USE OF MARIJUANA/NARCOTICS'
   GH2_B   = 'ARRESTED FOR/SALE/MANUFACTURE OF DRUGS'
   GH3_B   = '#ARRESTS/SALE/MANUFACTURE OF DRUGS'
   GH2_C   = 'ARRESTED FOR/FORGERY/FRAUD'
   GH3_C   = '#ARRESTS/FORGERY/FRAUD'
   GH2_D   = 'ARRESTED FOR/BURGLARY/BREAKING'
   GH3_D   = '#ARRESTS/BURGLARY/BREAKING'
   GH2_E   = 'ARRESTED FOR/LARCENY-THEFT'
   GH3_E   = '#ARRESTS/LARCENY-THEFT'
   GH2_F   = 'ARRESTED FOR/PIMPING/PROSTITUTION'
   GH3_F   = '#ARRESTS/PIMPING/PROSTITUTION'
   GH2_G   = 'ARRESTED FOR/ROBBERY-BANK/MUGGING'
   GH3_G   = '#ARRESTS/ROBBERY-BANK/MUGGING'
   GH2_H   = 'ARRESTED FOR/ATTACKS ON PERSONS/KIDNAP'
   GH3_H   = '#ARRESTS/ATTACKS ON PERSONS/KIDNAPPING'
   GH2_I   = 'ARRESTED FOR/OTHER OFFENCE/SIMPLE ASSAULT'
   GH3_I   = '#ARRESTS/OTHER OFFENCES/SIMPLE ASSAULT'
   GH2_J   = 'ARRESTED FOR/DRIVING UNDER INFLUENCE'
   GH3_J   = '#ARRESTS/DRIVING UNDER THE INFLUENCE'
   GH2_K   = 'ARRESTED FOR/STATUS OFFENSES'
   GH3_K   = '#ARRESTS/STATUS OFFENSES'
   GH2_L   = 'ARRESTED FOR/OTHER OFFENCES/GAMBLING'
   GH3_L   = '#ARRESTS/OTHER OFFENCES/GAMBLING'
   GH4     = '#TIMES YOU BEEN CONVICTED'
   GH5     = 'HOW OFTEN/INVOLVED IN ILLEGAL ACTIVITY'
   GH6     = 'HAD POLICE/LEGAL PROBLEMS DUE DRUGS/ALCOHOL'
   GH6_A   = 'HOW SERIOUS/LEGAL PROBLEM/USING DRUGS'
   GH7     = 'HOW TROUBLED/LEGAL PROBLEM/NOT CIVIL PROBLEM'
   GH8     = 'DO YOU HAVE LEGAL SERVICES'
   GH8_A   = 'DO YOU NEED LEGAL SERVICES'
   GH9     = 'IMPORTANCE/COUNSELING FOR LEGAL PROBLEM'
   GJ1     = 'WHAT YOU DID MOST TIME LAST WEEK'
   GJ2     = 'WORKED FOR PAY/NO ILLEGAL ACTIVITIES'
   GJ2_A   = 'DID YOU EARN ANY MONEY LEGALLY'
   GJ2_B   = 'LOST/TOOK OFF TIME FOR ANY REASON'
   GJ2_C   = '#HOURS MISSED AT WORK'
   GJ2_D   = '#HOURS WORKED FOR PAY/NO ILLEGAL ACTIVITY'
   GJ2_E   = 'REASON WORKED LESS THAN 35 HOURS A WEEK'
   GJ2_F   = 'REASON 35/>/PAID JOB/NO ILLEGAL ACTIVITY'
   GJ2_G   = 'REASON WORKED LESS THAN 35 HOURS A WEEK'
   GJ3     = 'DID YOU LOOK FOR WORK'
   GJ3_A_1 = 'TO FIND WORK/NO METHODS USED'
   GJ3_A_2 = 'TO FIND WORK/PUB EMPLOYMENT AGENCY'
   GJ3_A_3 = 'TO FIND WORK/PRIVATE EMPLOY AGENCY'
   GJ3_A_4 = 'TO FIND WORK/EMPLOYERS APPROACHED'
   GJ3_A_5 = 'TO FIND WORK/TALK W/FRIEND/RELATIVE'
   GJ3_A_6 = 'TO FIND WORK/PLACED ADS'
   GJ3_A_7 = 'TO FIND WORK/OTHER'
   GJ3_B   = 'PROBLEMS FINDING WORK'
   GJ3_C_1 = 'PROBLEM FIND JOB/NO JOBS AVAILABLE'
   GJ3_C_2 = 'PROBLEM FIND JOB/LACK OF EDUCATION/SKILL/EXPERIENCE'
   GJ3_C_3 = 'PROBLEM FIND JOB/LANGUAGE PROBLEM'
   GJ3_C_4 = 'PROBLEM FIND JOB/TOO YOUNG/TOO OLD'
   GJ3_C_5 = 'PROBLEM FIND JOB/ARREST RECORD'
   GJ3_C_6 = 'PROBLEM FIND JOB/DRUG HISTORY'
   GJ3_C_7 = 'PROBLEM FIND JOB/OTHER PERSONAL HANDICAP'
   GJ3_C_8 = 'PROBLEM FIND JOB/ILL HEALTH'
   GJ3_C_9 = 'PROBLEM FIND JOB/IMMIGRATION STATUS'
   GJ3_C_10= 'PROBLEM FIND JOB/PERCEIVED DISCRIMINATION'
   GJ3_C_11= 'PROBLEM FIND JOB/OTHER'
   GJ4_0   = 'NOT LOOK FOR WORK/NO REASONS'
   GJ4_1   = 'NOT LOOK FOR WORK/SATISFIED W/JOB'
   GJ4_2   = 'NOT LOOK FOR WORK/BELIEVE NO JOB AVAIL'
   GJ4_3   = 'NOT LOOK FOR WORK/COULD NOT FIND WORK'
   GJ4_4   = 'NOT LOOK FOR WORK/LACK SKILL/TRAINING'
   GJ4_5   = 'NOT LOOK FOR WORK/TOO OLD/YOUNG'
   GJ4_6   = 'NOT LOOK FOR WORK/PERSONAL HANDICAP'
   GJ4_7   = 'NOT LOOK FOR WORK/FAMILY RESPONSIBILITY'
   GJ4_8   = 'NOT LOOK FOR WORK/IN SCHOOL/TRAINING'
   GJ4_9   = 'NOT LOOK FOR WORK/ILL HEALTH'
   GJ4_10  = 'NOT LOOK FOR WORK/IN JAIL/INSTITUTION'
   GJ4_11  = 'NOT LOOK FOR WORK/DRUG ACTIVITY'
   GJ4_12  = 'NOT LOOK FOR WORK/ILLEGAL ACTIVITY'
   GJ4_13  = 'NOT LOOK FOR WORK/BEING SUPPORTED'
   GJ4_14  = 'NOT LOOK FOR WORK/LANGUAGE PROBLEM'
   GJ4_15  = 'NOT LOOK FOR WORK/IMMIGRATION STATUS'
   GJ4_16  = 'NOT LOOK FOR WORK/OTHER'
   GJ5     = '#OF DIFFERENT JOBS/EMPLOYERS WORKED'
   GJ6     = '#WEEKS WORK/FULL OR PART TIME'
   GJ7     = '#WEEKS WORK/35 OR MORE HOURS'
   GJ8     = '#WEEKS WORKED/35 OR MORE HOURS'
   GJ9     = 'CODE LIST-OCCUPATION/TYPE OF YOUR JOB'
   GJ9_A   = 'BUSINESS OR INDUSTRY CODE'
   GJ9_B   = 'WAS THIS YOUR USUAL OCCUPATION'
   GJ9_C_OC= 'USUAL OCCUPATION CODE'
   GJ9_C   = 'DOLLARS/SALARY/RATE OF PAY/BEFORE TAXES'
   GJ9_COD = 'CODE FOR THE RATE'
   GJ10    = 'HOW TROUBLED/PROBLEM GET/HOLD JOB'
   GJ11    = 'HOW IMPORTANT/COUNSELING FOR JOB PROBLEM'
   GJ12    = 'JOB PROBLEM/BECAUSE OF DRUG/ALCOHOL USE'
   GJ12_A  = 'HOW SERIOUS PROBLEMS FOR DRUG/ALCOHOL USE'
   GK1_A   = 'INCOME SOURCE/ODD JOBS/NOT ILLEGAL ACTIVITY'
   GK2_A   = 'DOLLARS/RECEIVED BEFORE TAXES'
   GK1_B   = 'INCOME SOURCE/SSI'
   GK2_B   = 'DOLLARS/RECEIVED BEFORE TAXES'
   GK1_C   = 'INCOME SOURCE/SOCIAL SECURITY BENEFITS'
   GK2_C   = 'DOLLARS/RECEIVED BEFORE TAXES'
   GK1_D   = 'INCOME SOURCE/SPOUSE/FAMILY/ALIMONY'
   GK2_D   = 'DOLLARS/RECEIVED BEFORE TAXES'
   GK1_E   = 'INCOME SOURCE/POSSIBLY ILLEGAL'
   GK2_E   = 'DOLLARS/RECEIVED BEFORE TAXES'
   GK1_F   = 'INCOME SOURCE/ANY OTHER SOURCE'
   GK2_F   = 'DOLLARS/RECEIVED BEFORE TAXES'
   GK2_G   = 'TOTAL DOLLARS/COL 2 IN CHART 3'
   GK3     = 'TOTAL DOLLAR INCOME BEFORE TAXES'
   GK4     = 'SHARE INCOME/EXPENSES WITH ONE LIVE WITH'
   GK4_A   = '#PEOPLE YOU SHARE INCOME/EXPENSES W/'
   GK5     = 'TOTAL DOLLAR INCOME BEFORE TAXES/EVERYONE'
   GK6_A   = 'DOLLARS SPENT/HOUSING'
   GK6_B   = 'DOLLARS SPENT/MEDICAL EXPENSES'
   GK6_C   = 'DOLLARS SPENT/FOOD/CLOTHING'
   GK6_D   = 'DOLLARS SPENT/OTHER EXPENSES'
   GK7     = 'MONEY PROBLEM/BECAUSE ALCOHOL/DRUG USE'
   GK7_A   = 'HOW SERIOUS PROBLEMS FOR DRUG/ALCOHOL USE'
   GK8     = 'HOW TROUBLED BY MONEY PROBLEM'
   GK9     = 'HOW IMPORTANT/COUNSELING FOR MONEY PROBLEM'
   GL1     = '#DAYS RECEIVED SERVICES AT THIS PROGRAM'
   GL1_A   = '#DAYS RECEIVED SERVICES/OUTSIDE PROGRAM'
   GL2     = 'MISS SCHEDULED APPOINTMENT FOR SERVICE'
   GL2_A   = '#DAYS MISSED SCHEDULED APPOINTMENT'
   GL2_B   = 'CODE/MOST IMPORTANT REASON/MISS APPOINTMENT'
   GL2_C   = 'ANY REASON/MISS SCHEDULED APPOINTMENT'
   GL2_D   = 'CODE FROM CHART/SECOND IMPORTANT REASON'
   GL2_E   = 'OTHER REASON/MISS SCHEDULED APPOINTMENT'
   GL2_F_1 = 'CODE FROM CHART/OTHER REASON'
   GL2_F_2 = 'CODE FROM CHART/OTHER REASON'
   GL2_F_3 = 'CODE FROM CHART/OTHER REASON'
   GL3     = 'DID YOU DROP OUT FROM THIS PROGRAM'
   GL3_A   = '#DAYS OUT OF THIS PROGRAM'
   GL4     = 'RECEIVED TREATMENT FOR ALCOHOL PROBLEM'
   GL5     = 'RECEIVED THESE SERVICES AT PROGRAM'
   GL5_A_1 = 'SERVICES RECEIVED/INDIVIDUAL COUNSEL'
   GL5_A_2 = 'SERVICES RECEIVED/GROUP COUNSELING'
   GL5_A_3 = 'SERVICES RECEIVED/AA/12 STEP/SELF HELP'
   GL5_A_4 = 'SERVICES RECEIVED/OTHER'
   GL5_B_1 = 'TALKED TO/PRIMARY/REGULAR COUNSELOR'
   GL5_B_2 = 'TALKED TO/CASE MANAGER'
   GL5_B_11= 'TALKED TO/OTHER COUNSELOR'
   GL5_B_12= 'TALKED TO/OTHER CASE MANAGER'
   GL5_B_13= 'TALKED TO/SOCIAL WORKER'
   GL5_B_21= 'TALKED TO/PSYCHOLOGIST'
   GL5_B_22= 'TALKED TO/PSYCHIATRIST'
   GL5_B_23= 'TALKED TO/NURSE'
   GL5_B_31= 'TALKED TO/GROUP - NO LEADER'
   GL5_B_71= 'TALKED TO/STAFF FROM ANOTHER AGENCY'
   GL5_B_91= 'TALKED TO/OTHER'
   GL5_C   = '#DAYS/RECEIVED SERVICES FOR ALCOHOL PROBLEM'
   GL5_D   = 'HOW HELPFUL THE SERVICES'
   GL6     = 'RECEIVED SERVICES AT OTHER PLACE'
   GL6_A_A = 'SERVICE: COMMUNITY MENTAL HEALTH PROGRAM'
   GL6_A_B = 'SERVICE: ALCOHOL REHABILITATION CENTER'
   GL6_A_C = 'SERVICE: 28-DAY/OTHER SHORT TERM TREATMENT'
   GL6_A_D = 'SERVICE: THERAPEUTIC COMMUNITY'
   GL6_A_E = 'SERVICE: HALFWAY HOUSE'
   GL6_A_F = 'SERVICE: DETOXIFICATION TREATMENT UNIT'
   GL6_A_G = 'SERVICE: EMERGENCY ROOM/CRISIS CENTER'
   GL6_A_H = 'SERVICE: PRIVATE THERAPIST'
   GL6_A_I = 'SERVICE: OTHER OUTPATIENT TREATMENT'
   GL6_A_J = 'SERVICE: OTHER INPATIENT TREATMENT'
   GL6_B_1 = 'FIRST TREATMENT LOCATION'
   GL6_C_1 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #1'
   GL6_D_1 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #1'
   GL6_E_1 = 'HOW HELPFUL THESE SERVICES A/LOCATION #1'
   GL6_B_2 = 'SECOND TREATMENT LOCATION'
   GL6_C_2 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #2'
   GL6_D_2 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #2'
   GL6_E_2 = 'HOW HELPFUL THESE SERVICES A/LOCATION #2'
   GL6_B_3 = 'THIRD TREATMENT LOCATION'
   GL6_C_3 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #3'
   GL6_D_3 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #3'
   GL6_E_3 = 'HOW HELPFUL THESE SERVICES A/LOCATION #3'
   GL6_B_4 = 'FOURTH TREATMENT LOCATION'
   GL6_C_4 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #4'
   GL6_D_4 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #4'
   GL6_E_4 = 'HOW HELPFUL THESE SERVICES A/LOCATION #4'
   GL7     = 'RECEIVED SERVICES FOR DRUG ABUSE'
   GL7_A_A = 'SERVICES: PRIVATE PHYSICIAN/PSYCHIATRIST/PSYCHOLOGIST'
   GL7_A_B = 'SERVICES:28-DAY/OTHER SHORT TERM TREATMENT'
   GL7_A_C = 'SERVICES: THERAPEUTIC COMMUNITY'
   GL7_A_D = 'SERVICES: HALFWAY HOUSE'
   GL7_A_E = 'SERVICES: METHADONE TREATMENT PROGRAM'
   GL7_A_F = 'SERVICES: NON-METHADONE'
   GL7_A_G = 'SERVICES: DETOXIFICATION TREATMENT UNIT'
   GL7_A_H = 'SERVICES: OTHER OUTPATIENT DRUG TREATMENT'
   GL7_A_I = 'SERVICES: OTHER INPATIENT DRUG TREATMENT'
   GL7_B_1 = 'FIRST TREATMENT LOCATION'
   GL7_C_1 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #1'
   GL7_D_1 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #1'
   GL7_E_1 = 'HOW HELPFUL THESE SERVICES A/LOCATION #1'
   GL7_B_2 = 'SECOND TREATMENT LOCATION'
   GL7_C_2 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #2'
   GL7_D_2 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #2'
   GL7_E_2 = 'HOW HELPFUL THESE SERVICES A/LOCATION #2'
   GL7_B_3 = 'THIRD TREATMENT LOCATION'
   GL7_C_3 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #3'
   GL7_D_3 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #3'
   GL7_E_3 = 'HOW HELPFUL THESE SERVICES A/LOCATION #3'
   GL7_B_4 = 'FOURTH TREATMENT LOCATION'
   GL7_C_4 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #4'
   GL7_D_4 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #4'
   GL7_E_4 = 'HOW HELPFUL THESE SERVICES A/LOCATION #4'
   GL8_0   = 'INDIVIDUAL COUNSELING/NO ONE'
   GL8_1   = 'INDIVIDUAL SERVICES/PRIMARY/REGULAR COUNSELOR'
   GL8_2   = 'INDIVIDUAL SERVICES/CASE MANAGER'
   GL8_11  = 'INDIVIDUAL SERVICES/OTHER COUNSELOR'
   GL8_12  = 'INDIVIDUAL SERVICES/OTHER CASE MANAGER'
   GL8_13  = 'INDIVIDUAL SERVICES/SOCIAL WORKER'
   GL8_21  = 'INDIVIDUAL SERVICES/PSYCHOLOGIST'
   GL8_22  = 'INDIVIDUAL SERVICES/PSYCHIATRIST'
   GL8_71  = 'INDIVIDUAL SERVICES/STAFF FROM OTHER AGENCY'
   GL8_91  = 'INDIVIDUAL SERVICES/OTHER'
   GL8_A_1 = 'TALKED TO MOST OFTEN/PROVIDER #1'
   GL8_A_2 = 'TALKED TO MOST OFTEN/PROVIDER #2'
   GL9     = '#TIMES/GOT INDIVIDUAL SERVICES (PRO #1)'
   GL9_A   = '#MINUTES/INDIVIDUAL SESSION LAST (PRO #1)'
   GL10    = 'CASELOAD ASSIGN TO THE PERSON (PRO #1)'
   GL11    = 'HOW YOU FEEL/PRO #1 UNDERSTANDS YOU'
   GL12    = 'YOUR RELATIONSHIP W/ PROVIDER #1'
   GL13_A  = 'HOW OFTEN TALK/USE OF ALCOHOL/PRO #1'
   GL13_B  = 'HOW OFTEN TALK/DRUG/CAUSE PROBLEM/PRO #1'
   GL13_C  = 'HOW OFTEN TALK/EMOTIONAL HEALTH/PRO #1'
   GL13_D  = 'HOW OFTEN TALK/RELATION W/FAMILY/PRO #1'
   GL13_E  = 'HOW OFTEN TALK/YOUR PHYS HEALTH/PRO #1'
   GL13_F  = 'HOW OFTEN TALK/YOUR EDUCATION/TRAINING/PRO #1'
   GL13_G  = 'HOW OFTEN TALK/INVOLVE W/COURT/PRO #1'
   GL13_H  = 'HOW OFTEN TALK/YOUR JOB/PRO #1'
   GL13_I  = 'HOW OFTEN TALK/LIVING EXPENSES/PRO #1'
   GL13_J  = 'HOW OFTEN TALK/REDUCE RISK/AIDS/PRO #1'
   GL13_K  = 'TALK/OTHER IMPORTANT ISSUES/PRO #1'
   GL13_K_1= 'HOW OFTEN TALK/SPECIFY 1ST ISSUE/PRO #1'
   GL13_K_2= 'HOW OFTEN TALK/SPECIFY 2ND ISSUE/PRO #1'
   GL13_K_3= 'HOW OFTEN TALK/SPECIFY 3RD ISSUE/PRO #1'
   GL13_K_4= 'HOW OFTEN TALK/SPECIFY 4TH ISSUE/PRO #1'
   GL14_A  = 'SESSIONS HELPED/STOP USE OF DRUG/PRO #1'
   GL14_B  = 'SESSIONS HELPED/OTHER PROBLEM/PRO #1'
   GL15_M  = 'MONTH/LAST SAW/PRO #1/INDIVIDUAL SERVICE'
   GL15_Y  = 'YEAR/LAST SAW/PRO #1/INDIVIDUAL SERVICE'
   GL16    = '#TIMES/GOT INDIVIDUAL SERVICES (PRO #2)'
   GL16_A  = '#MINUTES/INDIVIDUAL SESSION LAST (PRO #2)'
   GL17    = 'CASELOAD ASSIGN TO THE PERSON (PRO #2)'
   GL18    = 'DO YOU FEEL/PRO #2 UNDERSTANDS YOU'
   GL19    = 'RELATIONSHIP W/ PROVIDER #2'
   GL20_A  = 'HOW OFTEN TALK/USE OF ALCOHOL/PRO #2'
   GL20_B  = 'HOW OFTEN TALK/DRUG/CAUSE PROBLEM/PRO #2'
   GL20_C  = 'HOW OFTEN TALK/EMOTIONAL HEALTH/PRO #2'
   GL20_D  = 'HOW OFTEN TALK/RELATION W/FAMILY/PRO #2'
   GL20_E  = 'HOW OFTEN TALK/YOUR PHYS HEALTH/PRO #2'
   GL20_F  = 'HOW OFTEN TALK/YOUR EDUCATION/TRAINING/PRO #2'
   GL20_G  = 'HOW OFTEN TALK/INVOLVE W/COURT/PRO #2'
   GL20_H  = 'HOW OFTEN TALK/YOUR JOB/PRO #2'
   GL20_I  = 'HOW OFTEN TALK/LIVING EXPENSES/PRO #2'
   GL20_J  = 'HOW OFTEN TALK/REDUCE RISK/AIDS/PRO #2'
   GL20_K  = 'TALK/OTHER IMPORTANT ISSUES/PRO #2'
   GL20_K_1= 'HOW OFTEN TALK/SPECIFY 1ST ISSUE/PRO #2'
   GL20_K_2= 'HOW OFTEN TALK/SPECIFY 2ND ISSUE/PRO #2'
   GL20_K_3= 'HOW OFTEN TALK/SPECIFY 3RD ISSUE/PRO #2'
   GL20_K_4= 'HOW OFTEN TALK/SPECIFY 4TH ISSUE/PRO #2'
   GL21_A  = 'SESSIONS HELPED/STOP USE OF DRUG/PRO #2'
   GL21_B  = 'SESSIONS HELPED/OTHER PROBLEM/PRO #2'
   GL22_M  = 'MONTH/LAST SAW PRO #2/INDIVIDUAL SERVICE'
   GL22_Y  = 'YEAR/LAST SAW PRO #2/INDIVIDUAL SERVICE'
   GL23    = 'PERSON YOU SAW MOST/PRO #1/INDIV SERVICE'
   GL24    = 'PERSON YOU SAW MOST/PRO #2/INDIV SERVICE'
   GL25    = 'SAW MOST OFTEN AT PROGRAM/FOR INDIVIDUAL COUNSEL'
   GL26_M  = 'MONTH/LAST SAW PRO L25/INDIV SERVICE'
   GL26_Y  = 'YEAR/LAST SAW PRO L25/INDIV SERVICE'
   GL27    = 'SAW/LIST OF TREATMENT PLAN/ONE WROTE'
   GL28    = 'DO YOU KNOW WHO PREPARED TREATMENT PLAN'
   GL28A_00= 'PREPARED PLAN/SELF'
   GL28A_01= 'PREPARED PLAN/REGULAR COUNSELOR'
   GL28A_02= 'PREPARED PLAN/CASE MANAGER'
   GL28A_11= 'PREPARED PLAN/OTHER COUNSELOR'
   GL28A_12= 'PREPARED PLAN/OTHER CASE MANAGER'
   GL28A_13= 'PREPARED PLAN/SOCIAL WORKER'
   GL28A_21= 'PREPARED PLAN/PSYCHOLOGIST'
   GL28A_22= 'PREPARED PLAN/PSYCHIATRIST'
   GL28A_23= 'PREPARED PLAN/NURSE'
   GL28A_24= 'PREPARED PLAN/VOCATIONAL COUNSELOR'
   GL28A_25= 'PREPARED PLAN/PHYSICIAN'
   GL28A_26= 'PREPARED PLAN/PHYSICIAN''S ASSISTANT'
   GL28A_71= 'PREPARED PLAN/STAFF FROM OTHER AGENCY'
   GL28A_91= 'PREPARED PLAN/OTHER'
   GL28B   = 'PERSON MOST RESPONSIBLE WHO PREPARED PLAN'
   GL29    = 'MET W/ANYONE TO TALK/YOUR TREATMENT PLAN'
   GL29_A  = 'DO YOU KNOW GOALS IN TREATMENT PLAN'
   GL29_B_A= 'GOAL PLAN/YOUR USE OF ALCOHOL'
   GL29_B_B= 'GOAL PLAN/DRUG/CAUSED PROBLEM'
   GL29_B_C= 'GOAL PLAN/EMOTIONAL HEALTH'
   GL29_B_D= 'GOAL PLAN/RELATIONSHIP W/FAMILY'
   GL29_B_E= 'GOAL PLAN/YOUR PHYSICAL HEALTH'
   GL29_B_F= 'GOAL PLAN/YOUR EDUCATION/TRAINING'
   GL29_B_G= 'GOAL PLAN/INVOLVEMENT W/COURT'
   GL29_B_H= 'GOAL PLAN/YOUR JOB'
   GL29_B_I= 'GOAL PLAN/LIVING EXPENSES'
   GL29_B_J= 'GOAL PLAN/REDUCE RISK FOR GETTING AIDS'
   GL29_B_K= 'GOAL PLAN/OTHER IMPORTANT ISSUES'
   GL29B_K1= 'SPECIFY 1ST OTHER IMPORTANT ISSUE'
   GL29B_K2= 'SPECIFY 2ND OTHER IMPORTANT ISSUE'
   GL29B_K3= 'SPECIFY 3RD OTHER IMPORTANT ISSUE'
   GL29B_K4= 'SPECIFY 4TH OTHER IMPORTANT ISSUE'
   GL29_C  = 'AGREE WITH GOALS IN TREATMENT PLAN'
   GL29_D  = 'HOW MUCH/FELT IN DEVELOP YOUR TREATMENT PLAN'
   GL29_E  = 'HOW HELPFUL HAS THE PLAN BEEN'
   GL30    = 'ANY CHANGES IN TREATMENT PLAN'
   GL30_A  = '#TIMES PLAN HAS BEEN CHANGED'
   GL30_B_M= 'MONTH/PLAN MOST RECENTLY CHANGED'
   GL30C_00= 'WHO CHANGED PLAN/SELF'
   GL30C_01= 'WHO CHANGED PLAN/REGULAR COUNSELOR'
   GL30C_02= 'WHO CHANGED PLAN/CASE MANAGER'
   GL30C_11= 'WHO CHANGED PLAN/OTHER COUNSELOR'
   GL30C_12= 'WHO CHANGED PLAN/OTHER CASE MANAGER'
   GL30C_13= 'WHO CHANGED PLAN/SOCIAL WORKER'
   GL30C_21= 'WHO CHANGED PLAN/PSYCHOLOGIST'
   GL30C_22= 'WHO CHANGED PLAN/PSYCHIATRIST'
   GL30C_23= 'WHO CHANGED PLAN/NURSE'
   GL30C_24= 'WHO CHANGED PLAN/PHYSICIAN'
   GL30C_25= 'WHO CHANGED PLAN/PHYSICIAN''S ASSISTANT'
   GL30C_26= 'WHO CHANGED PLAN/DENTIST'
   GL30C_27= 'WHO CHANGED PLAN/VOCATIONAL COUNSELOR'
   GL30C_71= 'WHO CHANGED PLAN/STAFF FROM OTHER AGENCY'
   GL30C_91= 'WHO CHANGED PLAN/OTHER'
   GL30_D  = 'HOW MUCH/YOU HAD IN CHANGING PLAN'
   GL31    = 'PLAN INCLUDE GOALS AFTER TREATMENT'
   GL32    = 'STAFF PERSON AGREE ON DRUG TREATMENT GOALS'
   GL33    = 'EASY/DIFFICULT TO DO/STAFF EXPECTATION'
   GL33_A  = 'HAS BEEN VERY/SOMEWHAT DIFFICULT'
   GL33_B  = 'HAS BEEN VERY/SOMEWHAT EASY'
   GL34    = 'HAVE YOU FOLLOWED INSTRUCTION OF STAFF'
   GL35    = 'WHAT DRUG CAUSED MOST SERIOUS PROBLEMS'
   GL35_A  = 'ANY PERSONAL TREATMENT GOALS/TYPE L35'
   GL36    = 'PERSONAL TREATMENT GOALS'
   GL37    = 'HOW MUCH PROGRAM TREATMENT WILL HELP YOU'
   GL38    = 'GOALS REGARDING DRUG USE/SAME/DIFFERENT'
   GL39    = 'TREATMENT GOALS/REGARDING ALCOHOL USE'
   GL39_A  = 'GOALS WRITTEN IN TREATMENT PLAN'
   GL39_B  = 'YOU/STAFF AGREE ON TREATMENT GOALS/ALCOHOL USE'
   GL40    = 'YOUR FUTURE PLAN ABOUT DRINKING'
   GL41    = 'PLAN TO CONTINUE TO DRINK ALCOHOL IN FUTURE'
   GL41_A  = 'YOUR FUTURE PLAN ABOUT DRINKING'
   GL42    = 'YOUR FUTURE PLAN FOR ALCOHOL USE'
   GL43    = 'HOW MUCH PROGRAM TREATMENT WILL HELP'
   GL44_A  = 'REASON/ABUSE DRUGS/DEPRESS/UNHAPPY'
   GL44_B  = 'REASON/ABUSE DRUGS/FAMILY PROBLEM/GROWING UP'
   GL45_A  = 'AGREE/DISAGREE/CAUSED PROBLEM THEMSELVES'
   GL45_B  = 'AGREE/DISAGREE/USE IN CONTROLLED WAY'
   GL45_C  = 'AGREE/DISAGREE/MUST REMAIN DRUG-FREE'
   GL45_D  = 'AGREE/DISAGREE/FACE/CONFRONT DENIAL'
   GL45_E  = 'AGREE/DISAGREE/TURN OVER TO GOD'
   GL45_F  = 'AGREE/DISAGREE/GET HELP FROM AA/NA/CA'
   GL45_G  = 'AGREE/DISAGREE/NEVER USE DRUGS AGAIN'
   GL45_H  = 'AGREE/DISAGREE/HELP FROM PROFESSIONAL'
   GL45_I  = 'AGREE/DISAGREE/PAST CAUSED DRUG PROBLEM'
   GL45_J  = 'AGREE/DISAGREE/NO CONTROL OVER DRUGS'
   GL45_K  = 'AGREE/DISAGREE/AVOID PEOPLE/ABUSE DRUG'
   GL45_L  = 'AGREE/DISAGREE/DRUG ABUSE IS A DISEASE'
   GL46    = 'ATTENDED A REGULAR TREATMENT GROUP'
   GL47_01 = 'WHO LED MEETINGS/PRIMARY/REGULAR COUNSELOR'
   GL47_02 = 'WHO LED MEETINGS/CASE MANAGER'
   GL47_11 = 'WHO LED MEETINGS/OTHER COUNSELOR'
   GL47_12 = 'WHO LED MEETINGS/OTHER CASE MANAGER'
   GL47_13 = 'WHO LED MEETINGS/SOCIAL WORKER'
   GL47_21 = 'WHO LED MEETINGS/PSYCHOLOGIST'
   GL47_22 = 'WHO LED MEETINGS/PSYCHIATRIST'
   GL47_23 = 'WHO LED MEETINGS/NURSE'
   GL47_71 = 'WHO LED MEETINGS/STAFF FROM OTHER AGENCY'
   GL47_91 = 'WHO LED MEETINGS/OTHER'
   GL48_A  = 'HOW OFTEN DEALT W/USE OF ALCOHOL'
   GL48_B  = 'HOW OFTEN DEALT W/DRUG/CAUSED PROBLEM'
   GL48_C  = 'HOW OFTEN DEALT W/EMOTIONAL HEALTH'
   GL48_D  = 'HOW OFTEN DEALT W/RELATION W/FAMILY'
   GL48_E  = 'HOW OFTEN DEALT W/YOUR PHYS HEALTH'
   GL48_F  = 'HOW OFTEN DEALT W/YOUR EDUCATION/TRAINING'
   GL48_G  = 'HOW OFTEN DEALT W/INVOLVE W/COURT'
   GL48_H  = 'HOW OFTEN DEALT W/YOUR JOB'
   GL48_I  = 'HOW OFTEN DEALT W/LIVING EXPENSES'
   GL48_J  = 'HOW OFTEN DEALT W/REDUCE RISK/AIDS'
   GL48_K  = 'HOW OFTEN DEALT W/OTHER IMPORTANT ISSUES'
   GL48_K_1= 'HOW OFTEN DEALT W/SPECIFY 1ST ISSUE'
   GL48_K_2= 'HOW OFTEN DEALT W/SPECIFY 2ND ISSUE'
   GL48_K_3= 'HOW OFTEN DEALT W/SPECIFY 3RD ISSUE'
   GL48_K_4= 'HOW OFTEN DEALT W/SPECIFY 4TH ISSUE'
   GL49_A  = 'GROUP SESSIONS HELP/STOP USE OF DRUG'
   GL49_B  = 'GROUP SESSIONS HELP/OTHER PROBLEM'
   GL50    = '#TIMES ATTENDED GROUPS AT PROGRAM'
   GL50_A  = '#MINUTES/MEETINGS W/GROUP LAST'
   GL51    = 'HOW YOU FEEL/GROUP UNDERSTANDS YOU'
   GL52    = 'YOUR RELATIONSHIP W/ GROUP'
   GL55    = 'ATTENDED TALKS/FILMS/PART OF TREATMENT'
   GL56    = '#DAYS/ATTEND TALKS/FILM/PART OF TREATMENT'
   GL57    = 'HOW HELPFUL THE SERVICES'
   GL58    = 'ATTEND 12-STEP/SELF-HELP GROUP'
   GL58_A_1= 'GROUP ATTEND/ALCOHOL ANONYMOUS'
   GL58_A_2= 'GROUP ATTEND/NARCOTICS ANONYMOUS'
   GL58_A_3= 'GROUP ATTEND/COCAINE ANONYMOUS'
   GL58_A_4= 'GROUP ATTEND/OTHER'
   GL58_B  = '#TIMES/ATTEND THIS GROUP'
   GL58_C_M= 'MONTH/LAST ATTENDED THIS GROUP'
   GL58_D  = 'HAVE YOU ATTENDED THIS GROUP'
   GL59_A  = 'GROUP MEETING HELP/STOP USE OF DRUG'
   GL59_B  = 'MEETINGS W/GROUP HELPED/OTHER PROBLEM'
   GL60    = 'FEEL YOU NEEDED THIS KIND OF GROUP'
   GL63    = 'RECEIVED SERVICES/MENTAL HEALTH PROBLEM'
   GL64    = 'RECEIVED SERVICES AT THIS PROGRAM'
   GL65_01 = 'TALKED TO/REGULAR COUNSELOR'
   GL65_02 = 'TALKED TO/CASE MANAGER'
   GL65_11 = 'TALKED TO/OTHER COUNSELOR'
   GL65_12 = 'TALKED TO/OTHER CASE MANAGER'
   GL65_13 = 'TALKED TO/SOCIAL WORKER'
   GL65_21 = 'TALKED TO/PSYCHOLOGIST'
   GL65_22 = 'TALKED TO/PSYCHIATRIST'
   GL65_23 = 'TALKED TO/NURSE'
   GL65_28 = 'TALKED TO/CERTIFIED FAMILY COUNSELOR'
   GL65_71 = 'TALKED TO/STAFF FROM OTHER AGENCY'
   GL65_91 = 'TALKED TO/OTHER'
   GL65_A_1= 'TALKED TO MOST OFTEN/PROVIDER #1'
   GL65_A_2= 'TALKED TO MOST OFTEN/PROVIDER #2'
   GL66    = 'KIND OF SESSIONS W/PSYCH PRO #1'
   GL66_A  = '#TIMES/MET INDIVIDUALLY W/PRO #1'
   GL66_B  = '#MINUTES/THIS SESSION LAST'
   GL66_C_1= 'DEALT W/DRUG USE/CAUSED PROBLEM/PRO #1'
   GL66_C_2= 'DEALT W/ALCOHOL USE/PRO #1'
   GL66_C_3= 'DEALT W/EMOTIONAL HEALTH/PRO #1'
   GL66_C_4= 'DEALT W/RELATIONSHIP W/ SPOUSE/PRO #1'
   GL66_C_5= 'DEALT W/OTHER RELATIONSHIP PROBLEM/PRO #1'
   GL66_C_6= 'DEALT W/PSYCHOLOGICAL TEST/PRO #1'
   GL66_C_7= 'DEALT W/MEDICATION/PRO #1'
   GL66_C_8= 'DEALT W/REFERRAL/PRO #1'
   GL66_C_9= 'DEALT W/OTHER/PRO #1'
   GL66_D  = 'HOW HELPFUL THE SERVICES/PRO #1'
   GL66_E  = '#TIMES YOU MET IN GROUP W/ PRO #1'
   GL66_F  = '#MINUTES/SESSIONS LAST'
   GL66_G_1= 'WHO ATTEND MEETING/SPOUSE/PARTNER/PRO #1'
   GL66_G_2= 'WHO ATTEND MEETING/FAMILY MEMBER/PRO #1'
   GL66_G_3= 'WHO ATTEND MEETING/OTHER IN TREATMENT/PRO #1'
   GL66_G_4= 'MEETING/OTHER FAME MEMBER IN TREATMENT/PRO #1'
   GL66_G_5= 'WHO ATTEND MEETING/OTHERS/PRO #1'
   GL66_H_1= 'TALKED/DRUG USE/CAUSED PROBLEM/PRO #1'
   GL66_H_2= 'TALKED/ALCOHOL USE/PRO #1'
   GL66_H_3= 'TALKED/EMOTIONAL HEALTH/PRO #1'
   GL66_H_4= 'TALKED/RELATIONSHIP W/ SPOUSE/PRO #1'
   GL66_H_5= 'TALKED/OTHER RELATIONSHIP PROBLEM/PRO #1'
   GL66_H_6= 'TALKED/PSYCHOLOGICAL TEST/PRO #1'
   GL66_H_7= 'TALKED/MEDICATION/PRO #1'
   GL66_H_8= 'TALKED/REFERRAL/PRO #1'
   GL66_H_9= 'TALKED/OTHER/PRO #1'
   GL66_I  = 'HOW HELPFUL SERVICES/PRO #1'
   GL67    = 'KIND OF SESSIONS W/PSYCH PRO #2'
   GL67_A  = '#TIMES/MET INDIVIDUALLY W/PRO #2'
   GL67_B  = '#MINUTES/THIS SESSION LAST'
   GL67_C_1= 'DEALT W/DRUG USE/CAUSED PROBLEM/PRO #2'
   GL67_C_2= 'DEALT W/ALCOHOL USE/PRO #2'
   GL67_C_3= 'DEALT W/EMOTIONAL HEALTH/PRO #2'
   GL67_C_4= 'DEALT W/RELATIONSHIP W/ SPOUSE/PRO #2'
   GL67_C_5= 'DEALT W/OTHER RELATIONSHIP PROBLEM/PRO #2'
   GL67_C_6= 'DEALT W/PSYCHOLOGICAL TEST/PRO #2'
   GL67_C_7= 'DEALT W/MEDICATION/PRO #2'
   GL67_C_8= 'DEALT W/REFERRAL/PRO #2'
   GL67_C_9= 'DEALT W/OTHER/PRO #2'
   GL67_D  = 'HOW HELPFUL THE SERVICES/PRO #2'
   GL67_E  = '#TIMES YOU MET IN GROUP W/ PRO #2'
   GL67_F  = '#MINUTES/SESSIONS LAST'
   GL67_G_1= 'WHO ATTEND MEETING/SPOUSE/PARTNER/PRO #2'
   GL67_G_2= 'WHO ATTEND MEETING/FAMILY MEMBER/PRO #2'
   GL67_G_3= 'WHO ATTEND MEETING/OTHER IN TREATMENT/PRO #2'
   GL67_G_4= 'MEETING/OTHER FAME MEMBER IN TREATMENT/PRO #2'
   GL67_G_5= 'WHO ATTEND MEETING/OTHERS/PRO #2'
   GL67_H_1= 'TALKED/DRUG USE/CAUSED PROBLEM/PRO #2'
   GL67_H_2= 'TALKED/ALCOHOL USE/PRO #2'
   GL67_H_3= 'TALKED/EMOTIONAL HEALTH/PRO #2'
   GL67_H_4= 'TALKED/RELATIONSHIP W/ SPOUSE/PRO #2'
   GL67_H_5= 'TALKED/OTHER RELATIONSHIP PROBLEM/PRO #2'
   GL67_H_6= 'TALKED/PSYCHOLOGICAL TEST/PRO #2'
   GL67_H_7= 'TALKED/MEDICATION/PRO #2'
   GL67_H_8= 'TALKED/REFERRAL/PRO #2'
   GL67_H_9= 'TALKED/OTHER/PRO #2'
   GL67_I  = 'HOW HELPFUL SERVICES/PRO #2'
   GL68    = 'RECEIVED SERVICES FOR EMOTIONAL PROBLEM'
   GL68A_1 = 'RECEIVE SERVICE/COMMUNITY MENTAL HEALTH CENTER'
   GL68A_2 = 'RECEIVE SERVICE/PRIVATE PSYCHIATRIC HOSP'
   GL68A_3 = 'RECEIVE SERVICE/OTHER HOSPITAL'
   GL68A_4 = 'RECEIVE SERVICE/EMERGENCY ROOM'
   GL68A_5 = 'RECEIVE SERVICE/PRIVATE THERAPIST'
   GL68A_6 = 'RECEIVE SERVICE/OTHER'
   GL68B_1 = 'PSYCHOLOGICAL OTHER PLACE/LOCATION #1'
   GL68C_1 = 'WHO REFERRED YOU TO LOCATION #1'
   GL68D_1 = '#DAYS YOU RECEIVED SERVICES/LOC #1'
   GL68E_1 = 'HOW HELPFUL SERVICES/LOCATION #1'
   GL68F1_1= 'TALKED TO/REGULAR COUNSELOR/LOC #1'
   GL68F1_2= 'TALKED TO/CASE MANAGER/LOC #1'
   GL68F111= 'TALKED TO/OTHER COUNSELOR/LOC #1'
   GL68F112= 'TALKED TO/OTHER CASE MANAGER/LOC #1'
   GL68F113= 'TALKED TO/SOCIAL WORKER/LOC #1'
   GL68F121= 'TALKED TO/PSYCHOLOGIST/LOC #1'
   GL68F122= 'TALKED TO/PSYCHIATRIST/LOC #1'
   GL68F123= 'TALKED TO/NURSE/LOC #1'
   GL68F128= 'TALKED TO/CERTIFIED FAME COUNSELOR/LOC #1'
   GL68F171= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #1'
   GL68F191= 'TALKED TO/OTHER/LOC #1'
   GL68G_1 = 'TALKED TO FOR SERVICES/LOCATION #1'
   GL68B_2 = 'PSYCHOLOGICAL OTHER PLACE/LOCATION #2'
   GL68C_2 = 'WHO REFERRED YOU TO LOCATION #2'
   GL68D_2 = '#DAYS YOU RECEIVED SERVICES/LOC #2'
   GL68E_2 = 'HOW HELPFUL THE SERVICES/LOCATION #2'
   GL68F2_1= 'TALKED TO/REGULAR COUNSELOR/LOC #2'
   GL68F2_2= 'TALKED TO/CASE MANAGER/LOC #2'
   GL68F211= 'TALKED TO/OTHER COUNSELOR/LOC #2'
   GL68F212= 'TALKED TO/OTHER CASE MANAGER/LOC #2'
   GL68F213= 'TALKED TO/SOCIAL WORKER/LOC #2'
   GL68F221= 'TALKED TO/PSYCHOLOGIST/LOC #2'
   GL68F222= 'TALKED TO/PSYCHIATRIST/LOC #2'
   GL68F223= 'TALKED TO/NURSE/LOC #2'
   GL68F228= 'TALKED TO/CERTIFIED FAME COUNSELOR/LOC #2'
   GL68F271= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #2'
   GL68F291= 'TALKED TO/OTHER/LOC #2'
   GL68G_2 = 'TALKED TO FOR SERVICES/LOCATION #2'
   GL69    = 'STAYED OVERNIGHT/EMOTIONAL PROBLEM'
   GL69_A_1= 'FACILITY STAYED/COMMUNITY MENTAL HEALTH CENTER'
   GL69_B_1= '#NIGHTS STAYED/COMMUNITY MENTAL HEALTH CENTER'
   GL69_A_2= 'FACILITY STAYED/PRIVATE PSYCHIATRIC HOSP'
   GL69_B_2= '#NIGHTS STAYED/PRIVATE PSYCHIATRIC HOSP'
   GL69_A_3= 'FACILITY STAYED/ANY OTHER HOSPITAL'
   GL69_B_3= '#NIGHTS STAYED/ANY OTHER HOSPITAL'
   GL69_A_4= 'FACILITY STAYED/EMERGENCY ROOM'
   GL69_B_4= '#NIGHTS STAYED/EMERGENCY ROOM'
   GL69_A_5= 'FACILITY STAYED/ANY OTHER PLACE'
   GL69_B_5= '#NIGHTS STAYED/ANY OTHER PLACE'
   GL70    = 'HAD CHECK-UP FOR MEDICAL PROBLEM'
   GL71    = 'RECEIVED SERVICES AT THIS PROGRAM'
   GL72_01 = 'TALKED TO/REGULAR COUNSELOR'
   GL72_02 = 'TALKED TO/CASE MANAGER'
   GL72_22 = 'TALKED TO/PSYCHIATRIST'
   GL72_23 = 'TALKED TO/NURSE'
   GL72_24 = 'TALKED TO/PHYSICIAN'
   GL72_25 = 'TALKED TO/PHYSICIAN''S ASSISTANT'
   GL72_26 = 'TALKED TO/DENTIST'
   GL72_71 = 'TALKED TO/STAFF FROM OTHER AGENCY'
   GL72_91 = 'TALKED TO/OTHER'
   GL72_A1 = 'TALKED TO MOST OFTEN - PROVIDER #1'
   GL72_A2 = 'TALKED TO MOST OFTEN - PROVIDER #2'
   GL73    = '#TIMES/MET W/ PRO #1'
   GL73_A  = '#MINUTES/SESSIONS LAST'
   GL73_B01= 'DEALT W/PHYSICAL/DENTAL EXAM/PRO #1'
   GL73_B02= 'DEALT W/MEDICAL/DENTAL CARE TREATMENT/PRO #1'
   GL73_B03= 'DEALT W/GLASSES/HEARING AIDS/PRO #1'
   GL73_B04= 'DEALT W/ADMISSION TO HOSP/PRO #1'
   GL73_B05= 'DEALT W/MEDICATION/PRO #1'
   GL73_B06= 'DEALT W/DIET/PRO #1'
   GL73_B07= 'DEALT W/EXERCISE/PRO #1'
   GL73_B08= 'DEALT W/PRENATAL CARE/PRO #1'
   GL73_B09= 'DEALT W/OTHER/PRO #1'
   GL73_C  = 'HOW HELPFUL SERVICES/PRO #1'
   GL74    = '#TIMES/MET WITH PRO #2'
   GL74_A  = '#MINUTES/SESSIONS LAST'
   GL74_B01= 'DEALT W/PHYSICAL/DENTAL EXAM/PRO #2'
   GL74_B02= 'DEALT W/MEDICAL/DENTAL CARE TREATMENT/PRO #2'
   GL74_B03= 'DEALT W/GLASSES/HEARING AIDS/PRO #2'
   GL74_B04= 'DEALT W/ADMISSION TO HOSP/PRO #2'
   GL74_B05= 'DEALT W/MEDICATION/PRO #2'
   GL74_B06= 'DEALT W/DIET/PRO #2'
   GL74_B07= 'DEALT W/EXERCISE/PRO #2'
   GL74_B08= 'DEALT W/PRENATAL CARE/PRO #2'
   GL74_B09= 'DEALT W/OTHER/PRO #2'
   GL74_C  = 'HOW HELPFUL THE SERVICES/PRO #2'
   GL75    = 'RECEIVED SERVICES/MEDICAL PROBLEMS'
   GL75_A_1= 'RECEIVE SERVICE/PRIVATE PHYSICIAN/DENTIST'
   GL75_A_2= 'RECEIVE SERVICE/HOSP/PUB HEALTH CLINIC'
   GL75_A_3= 'RECEIVE SERVICE/MILITARY/VA HOSPITAL'
   GL75_A_4= 'RECEIVE SERVICE/HEALTH COOPERATIVE'
   GL75_A_5= 'RECEIVE SERVICE/OTHER MEDICAL'
   GL75_A_6= 'RECEIVE SERVICE/OTHER'
   GL75B_1 = 'MEDICAL OTHER PLACE/LOCATION #1'
   GL75C_1 = 'WHO REFERRED YOU TO LOCATION #1'
   GL75D_1 = '#DAYS YOU RECEIVED SERVICES/LOC #1'
   GL75E_1 = 'HOW HELPFUL SERVICES/LOCATION #1'
   GL75F101= 'TALKED TO/REGULAR COUNSELOR/LOC #1'
   GL75F102= 'TALKED TO/CASE MANAGER/LOC #1'
   GL75F122= 'TALKED TO/PSYCHIATRIST/LOC #1'
   GL75F123= 'TALKED TO/NURSE/LOC #1'
   GL75F124= 'TALKED TO/PHYSICIAN/LOC #1'
   GL75F125= 'TALKED TO/PHYSICIAN''S ASSISTANT/LOC #1'
   GL75F126= 'TALKED TO/DENTIST/LOC #1'
   GL75F171= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #1'
   GL75F191= 'TALKED TO/OTHER/LOC #1'
   GL75G_1 = 'TALKED TO FOR SERVICES/LOCATION #1'
   GL75B_2 = 'MEDICAL OTHER PLACE/LOCATION #2'
   GL75C_2 = 'WHO REFERRED YOU TO LOCATION #2'
   GL75D_2 = '#DAYS YOU RECEIVED SERVICES/LOC #2'
   GL75E_2 = 'HOW HELPFUL SERVICES/LOCATION #2'
   GL75F201= 'TALKED TO/REGULAR COUNSELOR/LOC #2'
   GL75F202= 'TALKED TO/CASE MANAGER/LOC #2'
   GL75F222= 'TALKED TO/PSYCHIATRIST/LOC #2'
   GL75F223= 'TALKED TO/NURSE/LOC #2'
   GL75F224= 'TALKED TO/PHYSICIAN/LOC #2'
   GL75F225= 'TALKED TO/PHYSICIAN''S ASSISTANT/LOC #2'
   GL75F226= 'TALKED TO/DENTIST/LOC #2'
   GL75F271= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #2'
   GL75F291= 'TALKED TO/OTHER/LOC #2'
   GL75G_2 = 'TALKED TO FOR SERVICES/LOCATION #2'
   GL76    = 'DR. PRESCRIPTION METHADONE/TRANQUILIZER/FOR DRUG PROBLEM'
   GL76_A_1= 'MEDICINE DR. PRESCRIBED/METHADONE'
   GL76_A_2= 'MEDICINE DR. PRESCRIBED/NALTREXONE'
   GL76_A_3= 'MEDICINE DR. PRESCRIBED/TRANQUILIZERS'
   GL76_A_4= 'MEDICINE DR. PRESCRIBED/ANTABUSE'
   GL77    = 'HAD ANY CONCERN ABOUT PRESCRIBE MEDICINE'
   GL77_A  = 'HAD ANY SERVICES W/ONE ABOUT CONCERNS'
   GL77B_01= 'TALKED WITH REGULAR COUNSELOR'
   GL77B_02= 'TALKED WITH CASE MANAGER'
   GL77B_11= 'TALKED WITH OTHER COUNSELOR'
   GL77B_12= 'TALKED WITH OTHER CASE MANAGER'
   GL77B_13= 'TALKED WITH SOCIAL WORKER'
   GL77B_21= 'TALKED WITH PSYCHOLOGIST'
   GL77B_22= 'TALKED WITH PSYCHIATRIST'
   GL77B_23= 'TALKED WITH NURSE'
   GL77B_24= 'TALKED WITH PHYSICIAN'
   GL77B_25= 'TALKED WITH PHYSICIAN''S ASSISTANCE'
   GL77B_26= 'TALKED WITH DENTIST'
   GL77B_27= 'TALKED WITH VOCATIONAL COUNSELOR'
   GL77B_28= 'TALKED WITH CERTIFIED FAME COUNSELOR'
   GL77B_71= 'TALKED WITH STAFF FROM OTHER AGENCY'
   GL77B_91= 'TALKED WITH OTHER'
   GL77_C_1= 'CONCERNS/MEDICINE/DOSAGE TOO SMALL'
   GL77_C_2= 'CONCERNS/MEDICINE/DOSAGE TOO LARGE'
   GL77_C_3= 'CONCERNS/MEDICINE/PHYSICAL SYMPTOMS'
   GL77_C_4= 'CONCERNS/MEDICINE/SLEEP DISTURBANCES'
   GL77_C_5= 'CONCERNS/MEDICINE/UNABLE TO GET DRUG'
   GL77_C_6= 'CONCERNS/MEDICINE/DRUG COST TOO MUCH'
   GL77_C_7= 'CONCERNS/MEDICINE/DEPRESSION'
   GL77_C_8= 'CONCERNS/MEDICINE/OTHER'
   GL78    = 'RECEIVE SERVICE/RELATIONSHIP PROBLEM'
   GL79    = 'RECEIVED SERVICES AT THIS PROGRAM'
   GL80_01 = 'TALKED TO/REGULAR COUNSELOR'
   GL80_02 = 'TALKED TO/CASE MANAGER'
   GL80_11 = 'TALKED TO/OTHER COUNSELOR'
   GL80_12 = 'TALKED TO/OTHER CASE MANAGER'
   GL80_13 = 'TALKED TO/SOCIAL WORKER'
   GL80_21 = 'TALKED TO/PSYCHOLOGIST'
   GL80_22 = 'TALKED TO/PSYCHIATRIST'
   GL80_23 = 'TALKED TO/NURSE'
   GL80_28 = 'TALKED TO/CERTIFIED FAME COUNSELOR'
   GL80_71 = 'TALKED TO/STAFF FROM OTHER AGENCY'
   GL80_91 = 'TALKED TO/OTHER'
   GL80_A1 = 'TALKED TO MOST OFTEN - PROVIDER #1'
   GL80_A2 = 'TALKED TO MOST OFTEN - PROVIDER #2'
   GL81_01 = 'SESSIONS W/INDIVIDUAL/PRO #1'
   GL81_02 = 'SESSIONS W/FAMILY/PRO #1'
   GL81_03 = 'SESSIONS W/GROUP/PRO #1'
   GL81_A  = '#TIMES/MET INDIVIDUALLY WITH PRO #1'
   GL81_B  = '#MINUTES/SESSIONS LAST'
   GL81_C_1= 'INDIVIDUAL DEAL W/COUNSEL/PROBLEM W/SPOUSE/PRO #1'
   GL81_C_2= 'INDIVIDUAL DEAL W/PARENTING/CHILD CARE/PRO #1'
   GL81_C_3= 'INDIVIDUAL DEAL W/COUNSEL/PROBLEM W/PARENT/PRO #1'
   GL81_C_4= 'INDIVIDUALLY DEAL W/SEX EDUCATION/PRO #1'
   GL81_C_5= 'INDIVIDUAL DEAL W/DEATH/BEREAVEMENT/PRO #1'
   GL81_C_6= 'INDIVIDUALLY DEAL W/OTHER/PRO #1'
   GL81_D  = 'HOW HELPFUL THE SERVICES/PRO #1'
   GL81_E  = '#TIMES/MET AS A FAMILY WITH PRO #1'
   GL81_F  = '#MINUTES/SESSIONS LAST'
   GL81_G_1= 'ATTEND MEETING/SPOUSE/PRO #1'
   GL81_G_2= 'ATTEND MEETING/OTHER FAMILY MEMBER/PRO #1'
   GL81_G_3= 'ATTEND MEETING/OTHERS IN TREATMENT/PRO #1'
   GL81_G_4= 'ATTEND MEETING/FAME MEMBER OF OTHERS/PRO #1'
   GL81_G_5= 'ATTEND MEETING/OTHER/PRO #1'
   GL81_H_1= 'INDIVIDUAL MET/COUNSEL/PROBLEM W/SPOUSE/PRO #1'
   GL81_H_2= 'INDIVIDUAL MET/PARENTING/CHILD CARE/PRO #1'
   GL81_H_3= 'INDIVIDUAL MET/COUNSEL/PROBLEM W/PARENT/PRO #1'
   GL81_H_4= 'INDIVIDUALLY MET/SEX EDUCATION/PRO #1'
   GL81_H_5= 'INDIVIDUAL MET/DEATH/BEREAVEMENT/PRO #1'
   GL81_H_6= 'INDIVIDUALLY MET/OTHER/PRO #1'
   GL81_I  = 'HOW HELPFUL THE SERVICES/PRO #1'
   GL81_J  = '#TIMES/MET IN GROUP WITH PRO #1'
   GL81_K_1= 'ATTEND MEETING/SPOUSE/PRO #1'
   GL81_K_2= 'ATTEND MEETING/CHILDREN/PRO #1'
   GL81_K_3= 'ATTEND MEETING/OTHER FAMILY MEMBER/PRO #1'
   GL81_K_4= 'ATTEND MEETING/OTHER CLIENTS/PRO #1'
   GL81_K_5= 'MEETING/OTHER CLIENT''S SPOUSE/PRO #1'
   GL81_K_6= 'MEETING/OTHER CLIENT''S CHILDREN/PRO #1'
   GL81_K_7= 'MEETING/OTHER CLIENT''S FAME MEMBER/PRO #1'
   GL81_K_8= 'ATTEND MEETING/OTHERS/PRO #1'
   GL81_L_1= 'GROUP MET/COUNSEL/PROBLEM W/SPOUSE/PRO #1'
   GL81_L_2= 'GROUP MET/PARENTING/CHILD CARE/PRO #1'
   GL81_L_3= 'GROUP MET/COUNSEL/PROBLEM W/PARENT/PRO #1'
   GL81_L_4= 'GROUP MET/SEX EDUCATION/PRO #1'
   GL81_L_5= 'GROUP MET/DEATH/BEREAVEMENT/PRO #1'
   GL81_L_6= 'GROUP MET/OTHER/PRO #1'
   GL81_M  = 'HOW HELPFUL THE SERVICES/PRO #1'
   GL82_01 = 'SESSIONS W/PRO #2/INDIVIDUAL'
   GL82_02 = 'SESSIONS W/PRO #2/FAMILY'
   GL82_03 = 'SESSIONS W/PRO #2/GROUP'
   GL82_A  = '#TIMES/MET INDIVIDUALLY W/PRO #2'
   GL82_B  = '#MINUTES/SESSIONS LAST'
   GL82_C_1= 'DEALT W/COUNSELING SPOUSE PROBLEM/PRO #2'
   GL82_C_2= 'DEALT W/PARENTING/PRO #2'
   GL82_C_3= 'DEALT W/COUNSELING PARENTS PROBLEM/PRO #2'
   GL82_C_4= 'DEALT W/SEX EDUCATION/PRO #2'
   GL82_C_5= 'DEALT W/DEATH/PRO #2'
   GL82_C_6= 'DEALT W/OTHER/PRO #2'
   GL82_D  = 'HOW HELPFUL THE SERVICES/PRO #2'
   GL82_E  = '#TIMES/MET AS FAMILY WITH PRO #2'
   GL82_F  = '#MINUTES/SESSIONS LAST'
   GL82_G_1= 'ATTEND MEETING/SPOUSE/PRO #2'
   GL82_G_2= 'MEETING/OTHER FAME MEMBER OF CLIENT/PRO #2'
   GL82_G_3= 'ATTEND MEETING/OTHERS IN TREATMENT/PRO #2'
   GL82_G_4= 'ATTEND MEETING/FAMILY MEMBER OF OTHER/PR #2'
   GL82_G_5= 'ATTEND MEETING/OTHERS/PRO #2'
   GL82_H_1= 'FAME MET/COUNSEL/PROBLEM W/SPOUSE/PRO #2'
   GL82_H_2= 'FAME MET/PARENTING/CHILD CARE/PRO #2'
   GL82_H_3= 'FAME MET/COUNSEL/PROBLEM W/PARENT/PRO #2'
   GL82_H_4= 'FAME MET/SEX EDUCATION/PRO #2'
   GL82_H_5= 'FAME MET/DEATH/BEREAVEMENT/PRO #2'
   GL82_H_6= 'FAME MET/OTHER/PRO #2'
   GL82_I  = 'HOW HELPFUL THE SERVICES/PRO #2'
   GL82_J  = '#TIMES/MET IN GROUP WITH PRO #2'
   GL82_K_1= 'ATTEND MEETING/SPOUSE/PRO #2'
   GL82_K_2= 'ATTEND MEETING/CHILDREN/PRO #2'
   GL82_K_3= 'ATTEND MEETING/OTHER FAMILY MEMBER/PRO #2'
   GL82_K_4= 'ATTEND MEETING/OTHER CLIENTS/PRO #2'
   GL82_K_5= 'MEETING/OTHER CLIENT''S SPOUSE/PRO #2'
   GL82_K_6= 'MEETING/OTHER CLIENT''S CHILDREN/PRO #2'
   GL82_K_7= 'MEETING/OTHER CLIENT''S FAME MEMBER/PRO #2'
   GL82_K_8= 'ATTEND MEETING/OTHERS/PRO #2'
   GL82_L_1= 'GROUP MET/COUNSEL/PROBLEM W/SPOUSE/PRO #2'
   GL82_L_2= 'GROUP MET/PARENTING/CHILD CARE/PRO #2'
   GL82_L_3= 'GROUP MET/COUNSEL/PROBLEM W/PARENT/PRO #2'
   GL82_L_4= 'GROUP MET/SEX EDUCATION/PRO #2'
   GL82_L_5= 'GROUP MET/DEATH/BEREAVEMENT/PRO #2'
   GL82_L_6= 'GROUP MET/OTHER/PRO #2'
   GL82_M  = 'HOW HELPFUL THE SERVICES/PRO #2'
   GL83    = 'RECEIVED SERVICES/RELATIONSHIP PROBLEM'
   GL83A_1 = 'RECEIVE SERVICE/SOCIAL SERVICES'
   GL83A_2 = 'RECEIVE SERVICE/MENTAL HEALTH CENTER'
   GL83A_3 = 'RECEIVE SERVICE/CHURCH ORGANIZATION'
   GL83A_4 = 'RECEIVE SERVICE/PRIVATE FAME COUNSELOR'
   GL83A_5 = 'RECEIVE SERVICE/OTHER'
   GL83B_1 = 'FAMILY/RELATIONSHIP OTHER PLACE/LOC #1'
   GL83C_1 = 'WHO REFERRED YOU TO THIS LOCATION'
   GL83D_1 = '#DAYS RECEIVED SERVICES'
   GL83E_1 = 'HOW HELPFUL SERVICES/LOCATION #1'
   GL83F1_1= 'TALKED TO/REGULAR COUNSELOR/LOC #1'
   GL83F1_2= 'TALKED TO/CASE MANAGER/LOC #1'
   GL83F111= 'TALKED TO/OTHER COUNSELOR/LOC #1'
   GL83F112= 'TALKED TO/OTHER CASE MANAGER/LOC #1'
   GL83F113= 'TALKED TO/SOCIAL WORKER/LOC #1'
   GL83F121= 'TALKED TO/PSYCHOLOGIST/LOC #1'
   GL83F122= 'TALKED TO/PSYCHIATRIST/LOC #1'
   GL83F123= 'TALKED TO/NURSE/LOC #1'
   GL83F128= 'TALKED TO/CERTIFIED FAMILY COUNSELOR'
   GL83F171= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #1'
   GL83F191= 'TALKED TO/OTHER/LOC #1'
   GL83G_1 = 'TALKED TO FOR SERVICES/LOCATION #1'
   GL83B_2 = 'FAMILY/RELATIONSHIP OTHER PLACE/LOC #2'
   GL83C_2 = 'WHO REFERRED YOU TO THIS LOCATION'
   GL83D_2 = '#DAYS RECEIVED SERVICES'
   GL83E_2 = 'HOW HELPFUL SERVICES/LOCATION #2'
   GL83F2_1= 'TALKED TO/REGULAR COUNSELOR/LOC #2'
   GL83F2_2= 'TALKED TO/CASE MANAGER/LOC #2'
   GL83F211= 'TALKED TO/OTHER COUNSELOR/LOC #2'
   GL83F212= 'TALKED TO/OTHER CASE MANAGER/LOC #2'
   GL83F213= 'TALKED TO/SOCIAL WORKER/LOC #2'
   GL83F221= 'TALKED TO/PSYCHOLOGIST/LOC #2'
   GL83F222= 'TALKED TO/PSYCHIATRIST/LOC #2'
   GL83F223= 'TALKED TO/NURSE/LOC #2'
   GL83F228= 'TALKED TO/CERTIFIED FAMILY COUNSELOR'
   GL83F271= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #2'
   GL83F291= 'TALKED TO/OTHER/LOC #2'
   GL83G_2 = 'TALKED TO FOR SERVICES/LOCATION #2'
   GL84    = 'RECEIVED SERVICES/JOB TRAINING/FIND JOB'
   GL85    = 'RECEIVED SERVICES AT THIS PROGRAM'
   GL86_01 = 'TALKED TO/REGULAR COUNSELOR'
   GL86_02 = 'TALKED TO/CASE MANAGER'
   GL86_11 = 'TALKED TO/OTHER COUNSELOR'
   GL86_12 = 'TALKED TO/OTHER CASE MANAGER'
   GL86_13 = 'TALKED TO/SOCIAL WORKER'
   GL86_21 = 'TALKED TO/PSYCHOLOGIST'
   GL86_22 = 'TALKED TO/PSYCHIATRIST'
   GL86_23 = 'TALKED TO/NURSE'
   GL86_27 = 'TALKED TO/VOCATIONAL COUNSELOR'
   GL86_29 = 'TALKED TO/TEACHER'
   GL86_71 = 'TALKED TO/STAFF FROM OTHER AGENCY'
   GL86_91 = 'TALKED TO/OTHER'
   GL86_A1 = 'TALKED TO MOST/PROVIDER #1'
   GL86_A2 = 'TALKED TO MOST/PROVIDER #2'
   GL87_01 = 'DEALT W/TRAINING/SPECIFIC JOB/PRO #1'
   GL87_02 = 'DEALT W/HELP FIND A JOB/PRO #1'
   GL87_03 = 'DEALT W/SOMETHING ELSE/COUNSELING/PRO #1'
   GL87_B  = 'CURRENTLY ENROLLED IN THIS TRAINING'
   GL87_C  = 'RECEIVE A DEGREE/DIPLOMA/CERTIFIED'
   GL87_D  = 'WHICH WILL YOU RECEIVE'
   GL87_E  = '#TIMES/ATTEND TRAINING W/PRO #1'
   GL87_F  = 'HOW HELPFUL TRAINING/PRO #1'
   GL87_G_1= 'HELP FIND JOB/JOB SEARCH WORKSHOP/PRO #1'
   GL87_G_2= 'HELP FIND JOB/RESUME WRITING/PRO #1'
   GL87_G_3= 'HELP FIND JOB/INTERVIEW SKILLS/PRO #1'
   GL87_G_4= 'HELP FIND JOB/JOB REFERRAL/PRO #1'
   GL87_G_5= 'HELP FIND JOB/REFERRAL PUB AGENCY/PRO #1'
   GL87_G_6= 'HELP FIND JOB/REFERRAL PRIVATE AGENCY/PRO #1'
   GL87_G_7= 'HELP FIND JOB/PLACEMENT IN A JOB/PRO #1'
   GL87_G_8= 'HELP FIND JOB/OTHER/PRO #1'
   GL87_H  = '#TIMES/MET W/PRO #1/TO FIND A JOB'
   GL87_I  = '#MINUTES/MEETINGS LAST'
   GL87_J  = 'HOW HELPFUL SERVICES/PRO #1'
   GL87_K  = 'DID YOU FIND A JOB'
   GL87_L_1= 'TYPE HELP/VOCATIONAL TEST ASSES/PRO #1'
   GL87_L_2= 'TYPE HELP/VOCATIONAL COUNSELING/PRO #1'
   GL87_L_3= 'TYPE HELP/PUB AGENCY VOCATIONAL ASSES/PRO #1'
   GL87_L_4= 'TYPE HELP/PRIVATE AGENCY VOCATIONAL ASSES/PRO #1'
   GL87_L_5= 'TYPE HELP/PUB/PRIVATE AGENCY VOCATIONAL ASSES/PRO #1'
   GL87_L_6= 'TYPE HELP/OTHER/PRO #1'
   GL87_M  = 'SESSIONS W/PRO #1'
   GL87_N  = '#TIMES/MET FOR HELP/PRO #1'
   GL87_O  = '#MINUTES/MEETINGS LAST'
   GL87_P  = 'HOW HELPFUL SERVICES/PRO #1'
   GL88_01 = 'DEALT W/TRAIN FOR SPECIFIC JOB/PRO #2'
   GL88_02 = 'DEALT W/HELP FIND A JOB/PRO #2'
   GL88_03 = 'DEALT W/SOMETHING ELSE/COUNSELING/PRO #2'
   GL88_A  = 'TYPE OF JOB TRAINING - EDITOR CODE'
   GL88_B  = 'CURRENTLY ENROLLED IN THIS TRAINING'
   GL88_C  = 'RECEIVE A DEGREE/DIPLOMA/CERTIFIED'
   GL88_D  = 'WHICH WILL YOU RECEIVE'
   GL88_E  = '#TIMES/ATTEND TRAINING W/PRO #2'
   GL88_F  = 'HOW HELPFUL TRAINING/PRO #2'
   GL88_G_1= 'HELP FIND JOB/JOB SEARCH WORKSHOP/PRO #2'
   GL88_G_2= 'HELP FIND JOB/RESUME WRITING/PRO #2'
   GL88_G_3= 'HELP FIND JOB/INTERVIEW SKILLS/PRO #2'
   GL88_G_4= 'HELP FIND JOB/JOB REFERRAL/PRO #2'
   GL88_G_5= 'HELP FIND JOB/REFERRAL PUB AGENCY/PRO #2'
   GL88_G_6= 'HELP FIND JOB/REFERRAL PRIVATE AGENCY/PRO #2'
   GL88_G_7= 'HELP FIND JOB/PLACEMENT IN A JOB/PRO #2'
   GL88_G_8= 'HELP FIND JOB/OTHER/PRO #2'
   GL88_H  = '#TIMES/MET W/PRO #2/TO FIND A JOB'
   GL88_I  = '#MINUTES/MEETINGS LAST'
   GL88_J  = 'HOW HELPFUL SERVICES/PRO #2'
   GL88_K  = 'DID YOU FIND A JOB'
   GL88_L_1= 'TYPE HELP/VOCATIONAL TEST ASSES/PRO #2'
   GL88_L_2= 'TYPE HELP/VOCATIONAL COUNSELING/PRO #2'
   GL88_L_3= 'TYPE HELP/PUB AGENCY VOCATIONAL ASSES/PRO #2'
   GL88_L_4= 'TYPE HELP/PRIVATE AGENCY VOCATIONAL ASSES/PRO #2'
   GL88_L_5= 'TYPE HELP/PUB/PRIVATE AGENCY VOC ASSES/PRO #2'
   GL88_L_6= 'TYPE HELP/OTHER/PRO #2'
   GL88_M  = 'SESSIONS W/PRO #2'
   GL88_N  = '#TIMES/MET FOR HELP/PRO #2'
   GL88_O  = '#MINUTES/MEETINGS LAST'
   GL88_P  = 'HOW HELPFUL SERVICES/PRO #2'
   GL89    = 'RECEIVE SERVICES/GET TRAINING FOR JOB'
   GL89_A_1= 'RECEIVE SERVICE/EMPLOYMENT STATE OFFICE'
   GL89_A_2= 'RECEIVE SERVICE/DVR/OVR/VESID'
   GL89_A_3= 'RECEIVE SERVICE/JTPA/PIC'
   GL89_A_4= 'RECEIVE SERVICE/PUBLIC EMPLOYMENT'
   GL89_A_5= 'RECEIVE SERVICE/PRIVATE EMPLOYMENT'
   GL89_A_6= 'RECEIVE SERVICE/BUSINESS ORGANIZATION'
   GL89_A_7= 'RECEIVE SERVICE/TECH SCHOOL/COMMUNITY COLLEGE'
   GL89_A_8= 'RECEIVE SERVICE/CHARITABLE AGENCIES'
   GL89_A_9= 'RECEIVE SERVICE/OTHER'
   GL89B_1 = 'VOCATIONAL OTHER PLACE/LOCATION #1'
   GL89C_1 = 'WHO REFERRED YOU TO LOCATION #1'
   GL89D_1 = '#DAYS YOU RECEIVED SERVICES/LOC #1'
   GL89E_1 = 'HOW HELPFUL SERVICES/LOCATION #1'
   GL89F1_1= 'TALKED TO/REGULAR COUNSELOR/LOC #1'
   GL89F1_2= 'TALKED TO/CASE MANAGER/LOC #1'
   GL89F111= 'TALKED TO/OTHER COUNSELOR/LOC #1'
   GL89F112= 'TALKED TO/OTHER CASE MANAGER/LOC #1'
   GL89F113= 'TALKED TO/SOCIAL WORKER/LOC #1'
   GL89F121= 'TALKED TO/PSYCHOLOGIST/LOC #1'
   GL89F122= 'TALKED TO/PSYCHIATRIST/LOC #1'
   GL89F123= 'TALKED TO/NURSE/LOC #1'
   GL89F127= 'TALKED TO/VOCATIONAL COUNSELOR/LOC #1'
   GL89F129= 'TALKED TO/TEACHER/LOC #1'
   GL89F171= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #1'
   GL89F191= 'TALKED TO/OTHER/LOC #1'
   GL89G_1 = 'TALKED TO FOR SERVICES/LOCATION #1'
   GL89B_2 = 'VOCATIONAL OTHER PLACE/LOCATION #2'
   GL89C_2 = 'WHO REFERRED YOU TO LOCATION #2'
   GL89D_2 = '#DAYS YOU RECEIVED SERVICES/LOC #2'
   GL89E_2 = 'HOW HELPFUL THE SERVICES/LOCATION #2'
   GL89F2_1= 'TALKED TO/REGULAR COUNSELOR/LOC #2'
   GL89F2_2= 'TALKED TO/CASE MANAGER/LOC #2'
   GL89F211= 'TALKED TO/OTHER COUNSELOR/LOC #2'
   GL89F212= 'TALKED TO/OTHER CASE MANAGER/LOC #2'
   GL89F213= 'TALKED TO/SOCIAL WORKER/LOC #2'
   GL89F221= 'TALKED TO/PSYCHOLOGIST/LOC #2'
   GL89F222= 'TALKED TO/PSYCHIATRIST/LOC #2'
   GL89F223= 'TALKED TO/NURSE/LOC #2'
   GL89F227= 'TALKED TO/VOCATIONAL COUNSELOR/LOC #2'
   GL89F229= 'TALKED TO/TEACHER/LOC #2'
   GL89F271= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #2'
   GL89F291= 'TALKED TO/OTHER/LOC #2'
   GL89G_2 = 'TALKED TO FOR SERVICES/LOCATION #2'
   GL90    = 'RECEIVED COUNSELING/IMPROVE EDUCATION'
   GL91    = 'RECEIVED SERVICES AT THIS PROGRAM'
   GL92_01 = 'TALKED TO/PRIMARY/REGULAR COUNSELOR'
   GL92_02 = 'TALKED TO/CASE MANAGER'
   GL92_11 = 'TALKED TO/OTHER COUNSELOR'
   GL92_12 = 'TALKED TO/OTHER CASE MANAGER'
   GL92_13 = 'TALKED TO/SOCIAL WORKER'
   GL92_21 = 'TALKED TO/PSYCHOLOGIST'
   GL92_22 = 'TALKED TO/PSYCHIATRIST'
   GL92_23 = 'TALKED TO/NURSE'
   GL92_27 = 'TALKED TO/VOCATIONAL COUNSELOR'
   GL92_29 = 'TALKED TO/TEACHER'
   GL92_71 = 'TALKED TO/STAFF FROM OTHER AGENCY'
   GL92_91 = 'TALKED TO/OTHER'
   GL92A_1 = 'TALKED TO FOR SERVICES/PROVIDER #1'
   GL92A_2 = 'TALKED TO FOR SERVICES/PROVIDER #2'
   GL93    = '#TIMES YOU MET W/ YOUR PRO #1'
   GL93_A  = '#MINUTES SESSIONS LAST/PRO #1'
   GL93_B_1= 'DEALT W/EDUCATION NEEDS ASSESSMENT/PRO #1'
   GL93_B_2= 'DEALT W/ADULT BASIC EDUCATION/PRO #1'
   GL93_B_3= 'DEALT W/PREPARATION FOR GED/PRO #1'
   GL93_B_4= 'DEALT W/GED CLASSES/PRO #1'
   GL93_B_5= 'DEALT W/TUTORING IN BASIC SKILLS/PRO #1'
   GL93_B_6= 'DEALT W/REFERRAL TO SCHOOLS/PRO #1'
   GL93_B_7= 'DEALT W/GEN COUNSELING ABOUT EDUCATION/PRO #1'
   GL93_B_8= 'DEALT W/OTHER/PRO #1'
   GL93_C  = 'HOW HELPFUL SERVICES/PRO #1'
   GL94    = '#TIMES YOU MET W/ YOUR PRO #2'
   GL94_A  = '#MINUTES SESSIONS LAST/PRO #2'
   GL94_B_1= 'DEALT W/EDUCATION NEEDS ASSESSMENT/PRO #2'
   GL94_B_2= 'DEALT W/ADULT BASIC EDUCATION/PRO #2'
   GL94_B_3= 'DEALT W/PREPARATION FOR GED/PRO #2'
   GL94_B_4= 'DEALT W/GED CLASSES/PRO #2'
   GL94_B_5= 'DEALT W/TUTORING IN BASIC SKILLS/PRO #2'
   GL94_B_6= 'DEALT W/REFERRAL TO SCHOOLS/PRO #2'
   GL94_B_7= 'DEALT W/GEN COUNSELING ABOUT EDUCATION/PRO #2'
   GL94_B_8= 'DEALT W/OTHER/PRO #2'
   GL94_C  = 'HOW HELPFUL SERVICES/PRO #2'
   GL95    = 'RECEIVED HELP IMPROVE EDUCATION/OTHER PLACE'
   GL95_A_1= 'RECEIVED SERVICE/PUBLIC SCHOOL SYSTEM'
   GL95_A_2= 'RECEIVED SERVICE/JR. COMMUNITY COLLEGE'
   GL95_A_3= 'RECEIVED SERVICE/FOUR-YEAR COLLEGE PROGRAM'
   GL95_A_4= 'RECEIVED SERVICE/PRIVATE EDUCATION PROGRAM'
   GL95_A_5= 'RECEIVED SERVICE/PUBLIC AGENCIES'
   GL95_A_6= 'RECEIVED SERVICE/OTHER'
   GL95B_1 = 'EDUCATION OTHER PLACE/LOCATION #1'
   GL95C_1 = 'WHO REFERRED YOU TO LOCATION #1'
   GL95D_1 = '#DAYS YOU RECEIVED SERVICES/LOC #1'
   GL95E_1 = 'HOW HELPFUL THE SERVICES/LOCATION #1'
   GL95F1_1= 'TALKED TO/REGULAR COUNSELOR/LOC #1'
   GL95F1_2= 'TALKED TO/CASE MANAGER/LOC #1'
   GL95F127= 'TALKED TO/VOCATIONAL COUNSELOR/LOC #1'
   GL95F129= 'TALKED TO/TEACHERS IN PROGRAM/LOC #1'
   GL95F171= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #1'
   GL95F191= 'TALKED TO/OTHER/LOC #1'
   GL95G_1 = 'MOST FREQUENT PROVIDER/LOCATION #1'
   GL95B_2 = 'EDUCATION OTHER PLACE/LOCATION #2'
   GL95C_2 = 'WHO REFERRED YOU TO LOCATION #2'
   GL95D_2 = '#DAYS YOU RECEIVED SERVICES/LOC #2'
   GL95E_2 = 'HOW HELPFUL THE SERVICES/LOCATION #2'
   GL95F2_1= 'TALKED TO/REGULAR COUNSELOR/LOC #2'
   GL95F2_2= 'TALKED TO/CASE MANAGER/LOC #2'
   GL95F227= 'TALKED TO/VOCATIONAL COUNSELOR/LOC #2'
   GL95F229= 'TALKED TO/TEACHERS IN PROGRAM/LOC #2'
   GL95F271= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #2'
   GL95F291= 'TALKED TO/OTHER/LOC #2'
   GL95G_2 = 'MOST FREQUENT PROVIDER/LOCATION #2'
   GL96    = 'RECEIVED SERVICE/HELP W/LEGAL PROBLEM'
   GL97    = 'DID YOU GET SERVICES AT THIS PROGRAM'
   GL98_01 = 'TALKED TO/PRIMARY/REGULAR COUNSELOR'
   GL98_02 = 'TALKED TO/CASE MANAGER'
   GL98_11 = 'TALKED TO/OTHER COUNSELOR'
   GL98_12 = 'TALKED TO/OTHER CASE MANAGER'
   GL98_13 = 'TALKED TO/SOCIAL WORKER'
   GL98_21 = 'TALKED TO/PSYCHOLOGIST'
   GL98_22 = 'TALKED TO/PSYCHIATRIST'
   GL98_23 = 'TALKED TO/NURSE'
   GL98_27 = 'TALKED TO/VOCATIONAL COUNSELOR'
   GL98_28 = 'TALKED TO/CERTIFIED FAMILY COUNSELOR'
   GL98_29 = 'TALKED TO/TEACHER'
   GL98_30 = 'TALKED TO/TASC STAFF'
   GL98_71 = 'TALKED TO/STAFF FROM OTHER AGENCY'
   GL98_91 = 'TALKED TO/OTHER'
   GL98A_1 = 'TALKED TO FOR SERVICES/PROVIDER #1'
   GL98A_2 = 'TALKED TO FOR SERVICES/PROVIDER #2'
   GL99    = '#TIMES YOU MET W/PRO #1'
   GL99_A_1= 'SERVICE RECEIVE/REPRESENT IN CIVIL CASE'
   GL99_A_2= 'SERVICE RECEIVE/REPRESENT/CRIMINAL CASE'
   GL99_A_3= 'SERVICE RECEIVE/ASSISTANCE W/PROBATION'
   GL99_A_4= 'SERVICE RECEIVE/ASSIST W/NON COURT LEGAL'
   GL99_A_5= 'SERVICE RECEIVE/REFERRAL TO LAWYER AID'
   GL99_A_6= 'SERVICE RECEIVE/OTHER'
   GL99_B  = 'HOW HELPFUL THE SERVICES'
   GL100   = '#TIMES YOU MET W/PRO #2'
   GL100A_1= 'SERVICE RECEIVE/REPRESENT IN CIVIL CASE'
   GL100A_2= 'SERVICE RECEIVE/REPRESENT/CRIMINAL CASE'
   GL100A_3= 'SERVICE RECEIVE/ASSISTANCE W/PROBATION'
   GL100A_4= 'SERVICE RECEIVE/ASSIST W/NON COURT LEGAL'
   GL100A_5= 'SERVICE RECEIVE/REFERRAL TO LAWYER AID'
   GL100A_6= 'SERVICE RECEIVE/OTHER'
   GL100_B = 'HOW HELPFUL THE SERVICES'
   GL101   = 'RECEIVED SERVICE/OTHER PLACE/LEGAL PROBLEM'
   GL101A_1= 'TALKED TO/TASC PROGRAM STAFF'
   GL101A_2= 'TALKED TO/PAROLE/PROBATION OFFICER'
   GL101A_3= 'TALKED TO/PRIVATE LAWYER'
   GL101A_4= 'TALKED TO/LEGAL AID'
   GL101A_5= 'TALKED TO/PUBLIC DEFENDER'
   GL101A_6= 'TALKED TO/OTHER LEGAL'
   GL101B_1= 'LEGAL OTHER PLACE - PROVIDER #1'
   GL101C_1= 'WHO REFERRED YOU TO PROVIDER #1'
   GL101D_1= '#DAYS YOU RECEIVED SERVICES/PRO #1'
   GL101E_1= 'HOW HELPFUL THE SERVICES/PRO #1'
   GL101B_2= 'LEGAL OTHER PLACE - PROVIDER #2'
   GL101C_2= 'WHO REFERRED YOU TO PROVIDER #2'
   GL101D_2= '#DAYS YOU RECEIVED SERVICES/PRO #2'
   GL101E_2= 'HOW HELPFUL THE SERVICES/PRO #2'
   GL102   = 'RECEIVED SERVICE/HELP FINANCIAL PROBLEM'
   GL103   = 'DID YOU GET SERVICES AT PROGRAM'
   GL104_01= 'TALKED TO/PRIMARY/REGULAR COUNSELOR'
   GL104_02= 'TALKED TO/CASE MANAGER'
   GL104_11= 'TALKED TO/OTHER COUNSELOR'
   GL104_12= 'TALKED TO/OTHER CASE MANAGER'
   GL104_13= 'TALKED TO/SOCIAL WORKER'
   GL104_21= 'TALKED TO/PSYCHOLOGIST'
   GL104_22= 'TALKED TO/PSYCHIATRIST'
   GL104_23= 'TALKED TO/NURSE'
   GL104_27= 'TALKED TO/VOCATIONAL COUNSELOR'
   GL104_28= 'TALKED TO/CERTIFIED FAMILY COUNSELOR'
   GL104_29= 'TALKED TO/TEACHER'
   GL104_71= 'TALKED TO/STAFF FROM OTHER AGENCY'
   GL104_91= 'TALKED TO/OTHER'
   GL104A_1= 'TALKED TO MOST OFTEN/PROVIDER #1'
   GL104A_2= 'TALKED TO MOST OFTEN/PROVIDER #2'
   GL105   = '#TIMES MET W/YOUR PRO #1'
   GL105A_1= 'SERVICE RECEIVED/COUNSELING'
   GL105A_2= 'SERVICE RECEIVED/ASSIST W/BUDGET'
   GL105A_3= 'SERVICE RECEIVED/REFERRAL TO AGENCY'
   GL105A_4= 'SERVICE RECEIVED/EMERGENCY FUNDS'
   GL105A_5= 'SERVICE RECEIVED/CONCRETE SERVICES'
   GL105A_6= 'SERVICE RECEIVED/OTHER'
   GL105_B = 'HOW HELPFUL THE SERVICES'
   GL106   = '#TIMES YOU MET W/PRO #2'
   GL106A_1= 'SERVICE RECEIVED/COUNSELING'
   GL106A_2= 'SERVICE RECEIVED/ASSIST W/BUDGET'
   GL106A_3= 'SERVICE RECEIVED/REFERRAL TO AGENCY'
   GL106A_4= 'SERVICE RECEIVED/EMERGENCY FUNDS'
   GL106A_5= 'SERVICE RECEIVED/CONCRETE SERVICES'
   GL106A_6= 'SERVICE RECEIVED/OTHER'
   GL106_B = 'HOW HELPFUL THE SERVICES'
   GL107   = 'RECEIVED SERVICES AT OTHER PLACE'
   GL107A51= 'RECEIVE SERVICE/SOCIAL SERVICES'
   GL107A52= 'RECEIVE SERVICE/VOCATIONAL REHABILITATION'
   GL107A53= 'RECEIVE SERVICE/VETERANS AFFAIRS'
   GL107A54= 'RECEIVE SERVICE/SOCIAL SECURITY'
   GL107A91= 'RECEIVE SERVICE/OTHER'
   GL107B_1= 'FINANCIAL OTHER PLACE/LOCATION #1'
   GL107C_1= 'WHO REFERRED YOU TO LOCATION #1'
   GL107D_1= '#DAYS YOU RECEIVED SERVICES/LOC #1'
   GL107E_1= 'HOW HELPFUL THE SERVICES/LOCATION #1'
   GL107B_2= 'FINANCIAL OTHER PLACE/LOCATION #2'
   GL107C_2= 'WHO REFERRED YOU TO LOCATION #2'
   GL107D_2= '#DAYS YOU RECEIVED SERVICES/LOC #2'
   GL107E_2= 'HOW HELPFUL SERVICES/LOCATION #2'
   GL108   = 'HAD ANY COUNSELING BECAUSE OF CRISIS'
   GL108_A = '#SESSIONS YOU HAD BECAUSE OF CRISES'
   GL108_B = 'HOW HELPFUL THE SERVICES'
   GL109   = 'RECEIVED UNSCHEDULED HELP AT THIS PROGRAM'
   GL110   = 'RECEIVED UNSCHEDULED HELP/REFERRED TO'
   GL111_A = 'UNSCHEDULED HELP/STOP ON USE OF DRUGS'
   GL111_B = 'UNSCHEDULED HELP W/OTHER PROBLEMS'
   GL113_01= 'RECEIVED HELP FROM/REGULAR COUNSELOR'
   GL113_02= 'RECEIVED HELP FROM/CASE MANAGER'
   GL113_11= 'RECEIVED HELP FROM/OTHER COUNSELOR'
   GL113_12= 'RECEIVED HELP FROM/OTHER CASE MANAGER'
   GL113_13= 'RECEIVED HELP FROM/SOCIAL WORKER'
   GL113_21= 'RECEIVED HELP FROM/PSYCHOLOGIST'
   GL113_22= 'RECEIVED HELP FROM/PSYCHIATRIST'
   GL113_23= 'RECEIVED HELP FROM/NURSE'
   GL113_24= 'RECEIVED HELP FROM/PHYSICIAN'
   GL113_25= 'RECEIVED HELP FROM/PHYSICIAN''S ASSIST'
   GL113_26= 'RECEIVED HELP FROM/DENTIST'
   GL113_27= 'RECEIVED HELP FROM/VOCATIONAL COUNSELOR'
   GL113_28= 'RECEIVED HELP FROM/CERTIFIED COUNSELOR'
   GL113_29= 'RECEIVED HELP FROM/TEACHER'
   GL113_71= 'RECEIVED HELP FROM/STAFF FROM OTHER AGENCY'
   GL113_91= 'RECEIVED HELP FROM/OTHER'
   GL114_A = 'HOW OFTEN RECEIVE HELP/USE OF ALCOHOL'
   GL114_B = 'HOW OFTEN RECEIVE HELP/DRUG/CAUSE PROBLEM'
   GL114_C = 'HOW OFTEN RECEIVE HELP/EMOTIONAL HEALTH'
   GL114_D = 'HOW OFTEN RECEIVE HELP/RELATION W/FAMILY'
   GL114_E = 'HOW OFTEN RECEIVE HELP/YOUR PHYS HEALTH'
   GL114_F = 'HOW OFTEN RECEIVE HELP/EDUCATION/TRAINING'
   GL114_G = 'HOW OFTEN RECEIVE HELP/INVOLVE W/COURT'
   GL114_H = 'HOW OFTEN RECEIVE HELP/YOUR JOB'
   GL114_I = 'HOW OFTEN RECEIVE HELP/LIVING EXPENSES'
   GL114_J = 'HOW OFTEN RECEIVE HELP/REDUCE RISK/AIDS'
   GL114_K = 'HOW OFTEN RECEIVE HELP/OTHER IMPORTANT ISSUES'
   GL114K_1= 'HOW OFTEN RECEIVE HELP/FIRST SPECIFY'
   GL114K_2= 'HOW OFTEN RECEIVE HELP/SECOND SPECIFY'
   GL114K_3= 'HOW OFTEN RECEIVE HELP/THIRD SPECIFY'
   GL114K_4= 'HOW OFTEN RECEIVE HELP/FOURTH SPECIFY'
   GL115   = 'THE SERVICE MOST HELPFUL TO YOU'
   GL116   = 'THE SERVICE LEAST HELPFUL TO YOU'
   GL117   = 'NOTICED CHANGES IN YOUR THOUGHTS/FEELING'
   GL117_B1= 'FIRST CAUSE FOR CHANGE'
   GL117_B2= 'SECOND CAUSE FOR CHANGE'
   GL117_B3= 'THIRD CAUSE FOR CHANGE'
   GL117_B4= 'FOURTH CAUSE FOR CHANGE'
   GL117_B5= 'FIFTH CAUSE FOR CHANGE'
   GL118   = 'PROGRAM TREATMENT HELP STOP YOUR DRUG USE'
   GL118_A = 'HOW MUCH TREATMENT HAS HELPED YOU'
   GL119   = 'HOW MUCH PROGRAM HELPED YOU W/OTHER PROBLEM'
   GL120   = 'HOW MANY PEOPLE IN TREATMENT/TO BE HELPED'
   GL121_A = 'PRESSURE TO STAY IN PROGRAM/YOURSELF'
   GL121_B = 'PRESSURE TO STAY IN PROGRAM/HUSBAND/WIFE'
   GL121_C = 'PRESSURE TO STAY IN PROGRAM/FAMILY MEMBER'
   GL121_D = 'PRESSURE TO STAY IN PROGRAM/PEOPLE IN PROGRAM'
   GL121_E = 'PRESSURE TO STAY IN PROGRAM/FRIENDS'
   GL121_F = 'PRESSURE TO STAY IN PROGRAM/ANYONE ELSE'
   GL122   = 'HOW LIKELY/YOU TO STAY IN PROGRAM TREATMENT'
   GL123_W = '#WEEKS/FEEL YOU NEED TO STAY IN PROGRAM'
   GL124   = 'HOW MUCH/COUNSELOR AGREES W/YOU/GOALS'
   GL125   = 'HOW MUCH/COUNSELOR UNDERSTANDS/YOU/PROBLEM'
   GL126   = 'HOW MUCH/COUNSELOR & YOU WORK TOGETHER'
   GL127   = 'HOW MUCH/YOU FEEL SATISFIED W/TREATMENT'
   GL128   = 'HOW MUCH/PROGRAM TREATMENT MATCH W/YOUR IDEAS'
   GLDM    = 'DATE: MONTH'
   GLTH    = 'TIME: HOUR'
   GLTM    = 'TIME: MINUTE'
   GLAMPM  = 'TIME RECORDED AS AM OR PM'
   GM1     = 'EVER TALKED TO DOCTOR/MEMORY PROBLEM?'
   GM2     = 'WHAT IS THE YEAR?'
   GM3     = 'WHAT SEASON OF THE YEAR?'
   GM4     = 'WHAT IS THE DATE?'
   GM5     = 'WHAT IS THE DAY OF THE WEEK?'
   GM6     = 'WHAT IS THE MONTH?'
   GM7     = 'CAN YOU TELL WHERE WE ARE NOW?'
   GM8     = 'WHAT COUNTY ARE WE IN?'
   GM9     = 'WHAT CITY/TOWN ARE WE IN?'
   GM10A   = 'WHAT FLOOR OF BUILDING ARE WE ON?'
   GM10B   = 'WHAT IS THE NAME OF THIS PLACE?'
   GM11A   = 'APPLE/3 OBJECTS/REMEMBER OBJECTS'
   GM11B   = 'TABLE/3 OBJECTS/REMEMBER OBJECTS'
   GM11C   = 'PENNY/3 OBJECTS/ REMEMBER OBJECTS'
   GM12A   = 'WOULD YOU SUBTRACT 7 FROM 100'
   GM12B   = 'WOULD YOU SUBTRACT 7 FROM 93'
   GM12C   = 'WOULD YOU SUBTRACT 7 FROM 86'
   GM12D   = 'WOULD YOU SUBTRACT 7 FROM 79'
   GM12E   = 'WOULD YOU SUBTRACT 7 FROM 72'
   GM13    = 'CIRCLE NUMBER OF ERRORS/REFUSED'
   GM14A   = 'APPLE/3 OBJECTS/REMEMBER OBJECTS'
   GM14B   = 'TABLE/3 OBJECTS/REMEMBER OBJECTS'
   GM14C   = 'PENNY/3 OBJECTS/ REMEMBER OBJECTS'
   GM15A   = 'SHOW WRIST WATCH/ASK/WHAT IS THIS?'
   GM15B   = 'SHOW PENCIL/ASK/WHAT IS THIS?'
   GM16    = 'REPEAT A PHRASE AFTER ME'
   GM17    = 'HAND ''CLOSE YOUR EYES'' CARD TO RESPONDENT'
   GM18A   = 'TAKE PAPER IN YOUR RIGHT HAND'
   GM18B   = 'FOLD PAPER IN HALF'
   GM18C   = 'PUT PAPER DOWN ON YOUR LAP'
   GM19    = 'WRITE COMPLETE SENTENCE ON PAPER'
   GM20    = 'COPY THE DRAWING ON SAME PAPER'
   GM21    = '12/>12 05S CODED IN M2-M11/M14-M20?'
   GMDM    = 'DATE: MONTH'
   GMTH    = 'TIME: HOUR'
   GMTM    = 'TIME: MINUTE'
   GMAMPM  = 'TIME RECORDED AS AM OR PM'
   GN1     = 'WERE ALL APPLICABLE QUESTIONS ANSWERED?'
   GN2     = 'RESPONDENT UNDERSTOOD ALL QUESTION ASKED'
   GN2A    = '# OF QUESTIONS RESPONDENT DIDN''T UNDERSTAND'
   GN3_1_1 = 'NOT UNDERSTOOD: INTELLECTUALLY UNABLE'
   GN3_1_2 = 'SEVERITY OF INTELLECTUAL DIFFICULTY'
   GN3_2_1 = 'NOT UNDERSTOOD: LANGUAGE BARRIER'
   GN3_2_2 = 'SEVERITY OF LANGUAGE BARRIER'
   GN3_3_1 = 'NOT UNDERSTOOD: PHYSICALLY UNABLE'
   GN3_3_2 = 'SEVERITY OF PHYSICAL DIFFICULTY'
   GN3_4_1 = 'NOT UNDERSTOOD: OTHER'
   GN3_4_2 = 'SEVERITY OF OTHER PROBLEM'
   GN4     = 'WAS THE INTERVIEW A BREAK-OFF?'
   GN4A1   = 'BREAK-OFF: INTERVIEWER EMERGENCY'
   GN4A2   = 'BREAK-OFF: RESPONDENT EMERGENCY'
   GN4A3   = 'BREAK-OFF: RESPONDENT TIRED, BORED'
   GN4A4   = 'BREAK-OFF: RESPONDENT ANGRY ABOUT QUESTIONS'
   GN4A5   = 'BREAK-OFF: RESPONDENT UPSET ABOUT QUESTIONS'
   GN4A6   = 'BREAK-OFF: OTHER REASON'
   GN5     = 'RESPONSE TO POSSIBLE FUTURE INTERVIEW'
   GN6     = 'WAS INTERVIEW GIVEN IN MORE THAN 1 SESSION'
   GN6A1   = 'HOURS OF INTERVIEW BEFORE INTERRUPTED 1ST TIME'
   GN6A2   = 'MINUTES OF INTERVIEW BEFORE INTERRUPTED 1ST TIME'
   GIA1_1  = 'INVOLVED IN AGGRAVATED ASSAULT'
   GIA1_2  = '# OF DAYS HAVE DONE AGGRAVATED ASSAULT'
   GIA2_1  = 'INVOLVED IN BURGLARY'
   GIA2_2  = '# OF DAYS HAVE DONE BURGLARY'
   GIA3_1  = 'INVOLVED IN THEFT'
   GIA3_2  = '#OF DAYS HAVE DONE THEFT'
   GIA4_1  = 'INVOLVED IN ROBBERY'
   GIA4_2  = '# OF DAYS HAVE DONE ROBBERY'
   GIA5_1  = 'INVOLVED IN FORGERY'
   GIA5_2  = '# OF DAYS HAVE DONE FORGERY'
   GIA6_1  = 'INVOLVED DEALING IN STOLEN PROPERTY'
   GIA6_2  = '# OF DAYS HAVE DEALT WITH STOLEN PROPERTY'
   GIA7_1  = 'EVER INVOLVED IN GAMBLING'
   GIA7_2  = '# OF DAYS HAVE GAMBLED'
   GIA8_1  = 'INVOLVED IN PIMPING/PROSTITUTION'
   GIA8_2  = '# OF DAYS HAVE DONE PIMPING/PROSTITUTION'
   GIA9_1  = 'INVOLVED IN SELLING ILLEGAL DRUGS'
   GIA9_2  = '# OF DAYS HAVE SOLD ILLEGAL DRUGS'
   GIA10_1 = 'INVOLVED IN DRIVING WHILE INTOXICATED'
   GIA10_2 = '#DAYS DRIVEN WHILE INTOXICATED'
   GP1A    = 'FEELINGS FOR PEOPLE LESS FORTUNATE'
   GP1B    = 'FEELINGS FOR OTHERS POINT OF VIEW'
   GP1C    = 'DO NOT FEEL SORRY FOR OTHER PEOPLE'
   GP1D    = 'FEELING FOR OTHERS SIDE OF ARGUMENTS'
   GP1E    = 'PROTECTIVE FEELINGS FOR OTHERS'
   GP1F    = 'FEELING FOR OTHERS PERSPECTIVE'
   GP1G    = 'FEELINGS FOR OTHERS MISFORTUNES'
   GP1H    = 'FEELINGS FOR OTHERS ARGUMENTS'
   GP1I    = 'FEELINGS OF PITY FOR OTHERS'
   GP1J    = 'TOUCHED BY THINGS THAT HAPPEN'
   GP1K    = 'BELIEF THERE ARE 2 SIDES TO QUESTIONS'
   GP1L    = 'DESCRIBE MYSELF AS SOFT-HEARTED'
   GP1M    = 'WHEN UPSET TRY TO SEE OTHERS SIDE'
   GP1N    = 'FEELINGS FOR THOSE CRITICIZED'
   GP2A    = 'STATEMENT A FOR P2'
   GP3A    = 'STATEMENT A FOR P3'
   GP2B    = 'STATEMENT B FOR P2'
   GP3B    = 'STATEMENT B FOR P3'
   GP2C    = 'STATEMENT C FOR P2'
   GP3C    = 'STATEMENT C FOR P3'
   GP2D    = 'STATEMENT D FOR P2'
   GP3D    = 'STATEMENT D FOR P3'
   GP2E    = 'STATEMENT E FOR P2'
   GP3E    = 'STATEMENT E FOR P3'
   GP2F    = 'STATEMENT F FOR P2'
   GP3F    = 'STATEMENT F FOR P3'
   GP2G    = 'STATEMENT G FOR P2'
   GP3G    = 'STATEMENT G FOR P3'
   GP2H    = 'STATEMENT H FOR P2'
   GP3H    = 'STATEMENT H FOR P3'
   GP2I    = 'STATEMENT I FOR P2'
   GP3I    = 'STATEMENT I FOR P3'
   GP2J    = 'STATEMENT J FOR P2'
   GP3J    = 'STATEMENT J FOR P3'
   QU3     = '3MO IN TREATMENT QUESTIONNAIRE'
   IA3     = '3MO IN TREATMENT ILLEGAL ACTS'
   SU3     = '3MO IN TREATMENT SUPPLEMENTAL'
   MODALITY= 'DATOS TREATMENT MODALITY'
   SEX     = 'GENDER'
   AGE     = 'AGE AT INTAKE'
   HLTHINS = 'HEALTH INSURANCE'
   FTWORK  = 'WEEKS FULL-TIME WORK YEAR BEFORE TREATMENT'
   MSTAT   = 'MARITAL STATUS'
   INSCHOOL= 'CURRENTLY IN SCHOOL'
   RACE    = 'RACE & ETHNICITY'
   EDLEV   = 'HIGHEST GRADE ATTENDED'
   RACESEX = 'ETHNICITY & GENDER'
   HVY_ALC = 'HEAVY ALCOHOL USE'
   ALCR    = 'ALCOHOL USE YEAR BEFORE TREATMENT'
   MRJR    = 'MARIJUANA USE YEAR BEFORE TREATMENT'
   COCR    = 'COCAINE USE YEAR BEFORE TREATMENT'
   HERR    = 'HEROIN USE YEAR BEFORE TREATMENT'
   NARR    = 'OTHER OPIOID USE YEAR BEFORE TREATMENT'
   SEDR    = 'SEDATIVES YEAR BEFORE TREATMENT'
   AMPR    = 'AMPHETAMINE USE YEAR BEFORE TREATMENT'
   HALR    = 'HALLUCINOGENS YEAR BEFORE TREATMENT'
   INHR    = 'INHALANTS YEAR BEFORE TREATMENT'
   ALCWK   = 'ALCOHOL WEEKLY+ YEAR BEFORE TREATMENT'
   MRJWK   = 'MARIJUANA WEEKLY+ YEAR BEFORE TREATMENT'
   COCWK   = 'COCAINE WEEKLY+ YEAR BEFORE TREATMENT'
   HERWK   = 'HEROIN WEEKLY+ YEAR BEFORE TREATMENT'
   NARWK   = 'OTHER OPIOIDS WEEKLY+ YEAR BEFORE TREATMENT'
   SEDWK   = 'SEDATIVES WEEKLY+ YEAR BEFORE TREATMENT'
   AMPWK   = 'AMPHETAMINE WEEKLY+ YEAR BEFORE TREATMENT'
   HALWK   = 'HALLUCINOGEN WEEKLY+ YEAR BEFORE TREATMENT'
   INHWK   = 'INHALANTS WEEKLY+ YEAR BEFORE TREATMENT'
   MRJ_EV  = 'MARIJUANA - EVER USED'
   COC_EV  = 'COCAINE EVER USED'
   HER_EV  = 'HEROIN - EVER USED'
   NAR_EV  = 'OTHER OPIOIDS EVER USED'
   SED_EV  = 'SEDATIVES EVER USED'
   AMP_EV  = 'AMPHETAMINES EVER USED'
   HAL_EV  = 'HALLUCINOGENS - EVER USED'
   INH_EV  = 'INHALANTS - EVER USED'
   CJ_STAT = 'CRIMINAL JUSTICE STATUS'
   IAY_SIA = 'SERIOUS ILLEGAL ACTS YEAR BEFORE TREATMENT'
   MAJSRC  = 'MAJOR SOURCE OF INCOME'
   REFER   = 'REFERRAL SOURCE'
   RESTRICT= 'WEEKS RESTRICTED IN YEAR BEFORE TREATMENT'
   DRUGTX  = '# OF PRIOR DRUG TX'
   SCHOOL  = 'SCHOOL STATUS AT INTAKE'
   DEP_YR  = 'DEPRESSIVE SYMPTOMS YEAR BEFORE TREATMENT'
   EMPSTAT = 'EMPLOYMENT WEEK BF/ADMISSION'
   IAPY    = 'FREQUENCY OF ILLEGAL ACTIVITY YEAR BEFORE TREATMENT'
   PDT     = 'PRIOR DRUG TREATMENTS'
   CRKR    = 'CRACK USE YEAR BEFORE TREATMENT'
   CRKWK   = 'CRACK WEEKLY+ YEAR BEFORE TREATMENT'
        ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (CASEID <= -1) THEN CASEID = .;
   IF (GDC_M <= -1) THEN GDC_M = .;
   IF (GDC_Y <= -1) THEN GDC_Y = .;
   IF (GT_L_I <= -1) THEN GT_L_I = .;
   IF (GTIME1_H <= -1) THEN GTIME1_H = .;
   IF (GTIME1_M <= -1) THEN GTIME1_M = .;
   IF (GAM_PM_1 <= -1) THEN GAM_PM_1 = .;
   IF (GA3 <= -1) THEN GA3 = .;
   IF (GA3_A <= -1) THEN GA3_A = .;
   IF (GA3_B <= -1) THEN GA3_B = .;
   IF (GA4 <= -1) THEN GA4 = .;
   IF (GA4_A <= -1) THEN GA4_A = .;
   IF (GA5 <= -1) THEN GA5 = .;
   IF (GA6 <= -1) THEN GA6 = .;
   IF (GA7 <= -1) THEN GA7 = .;
   IF (GA8 <= -1) THEN GA8 = .;
   IF (GA8_A <= -1) THEN GA8_A = .;
   IF (GA8_B <= -1) THEN GA8_B = .;
   IF (GA8_C <= -1) THEN GA8_C = .;
   IF (GA8_D <= -1) THEN GA8_D = .;
   IF (GA8_E <= -1) THEN GA8_E = .;
   IF (GA9 <= -1) THEN GA9 = .;
   IF (GA10 <= -1) THEN GA10 = .;
   IF (GA11 <= -1) THEN GA11 = .;
   IF (GA12 <= -1) THEN GA12 = .;
   IF (GA13 <= -1) THEN GA13 = .;
   IF (GA13A_02 <= -1) THEN GA13A_02 = .;
   IF (GA13A_03 <= -1) THEN GA13A_03 = .;
   IF (GA13A_04 <= -1) THEN GA13A_04 = .;
   IF (GA13A_05 <= -1) THEN GA13A_05 = .;
   IF (GA13A_06 <= -1) THEN GA13A_06 = .;
   IF (GA14 <= -1) THEN GA14 = .;
   IF (GA14A_02 <= -1) THEN GA14A_02 = .;
   IF (GA14A_03 <= -1) THEN GA14A_03 = .;
   IF (GA14A_04 <= -1) THEN GA14A_04 = .;
   IF (GA14A_05 <= -1) THEN GA14A_05 = .;
   IF (GA14A_06 <= -1) THEN GA14A_06 = .;
   IF (GA15_00 <= -1) THEN GA15_00 = .;
   IF (GA15_01 <= -1) THEN GA15_01 = .;
   IF (GA15_02 <= -1) THEN GA15_02 = .;
   IF (GA15_03 <= -1) THEN GA15_03 = .;
   IF (GA16 <= -1) THEN GA16 = .;
   IF (GA17 <= -1) THEN GA17 = .;
   IF (GA18 <= -1) THEN GA18 = .;
   IF (GA19 <= -1) THEN GA19 = .;
   IF (GA19_A <= -1) THEN GA19_A = .;
   IF (GA19_B <= -1) THEN GA19_B = .;
   IF (GA20 <= -1) THEN GA20 = .;
   IF (GA21 <= -1) THEN GA21 = .;
   IF (GA22 <= -1) THEN GA22 = .;
   IF (GA23_A <= -1) THEN GA23_A = .;
   IF (GA23_B <= -1) THEN GA23_B = .;
   IF (GA23_C <= -1) THEN GA23_C = .;
   IF (GA24_A <= -1) THEN GA24_A = .;
   IF (GA24_B <= -1) THEN GA24_B = .;
   IF (GA24_C <= -1) THEN GA24_C = .;
   IF (GA24_D <= -1) THEN GA24_D = .;
   IF (GA24_E <= -1) THEN GA24_E = .;
   IF (GA24_F <= -1) THEN GA24_F = .;
   IF (GA25 <= -1) THEN GA25 = .;
   IF (GA26 <= -1) THEN GA26 = .;
   IF (GA27 <= -1) THEN GA27 = .;
   IF (GA27A <= -1) THEN GA27A = .;
   IF (GB1 <= -1) THEN GB1 = .;
   IF (GB1_A <= -1) THEN GB1_A = .;
   IF (GB1_B <= -1) THEN GB1_B = .;
   IF (GB1_C <= -1) THEN GB1_C = .;
   IF (GB1_D <= -1) THEN GB1_D = .;
   IF (GB1_E <= -1) THEN GB1_E = .;
   IF (GB1_F <= -1) THEN GB1_F = .;
   IF (GB1_G <= -1) THEN GB1_G = .;
   IF (GB2 <= -1) THEN GB2 = .;
   IF (GB2_A <= -1) THEN GB2_A = .;
   IF (GB3_0 <= -1) THEN GB3_0 = .;
   IF (GB3_1 <= -1) THEN GB3_1 = .;
   IF (GB3_2 <= -1) THEN GB3_2 = .;
   IF (GB3_3 <= -1) THEN GB3_3 = .;
   IF (GB3_4 <= -1) THEN GB3_4 = .;
   IF (GB3_5 <= -1) THEN GB3_5 = .;
   IF (GB3_6 <= -1) THEN GB3_6 = .;
   IF (GB4 <= -1) THEN GB4 = .;
   IF (GB4_A <= -1) THEN GB4_A = .;
   IF (GB5 <= -1) THEN GB5 = .;
   IF (GC1 <= -1) THEN GC1 = .;
   IF (GC1_A_02 <= -1) THEN GC1_A_02 = .;
   IF (GC1_A_03 <= -1) THEN GC1_A_03 = .;
   IF (GC1_A_04 <= -1) THEN GC1_A_04 = .;
   IF (GC1_A_05 <= -1) THEN GC1_A_05 = .;
   IF (GC1_A_06 <= -1) THEN GC1_A_06 = .;
   IF (GC1_A_07 <= -1) THEN GC1_A_07 = .;
   IF (GC1_B <= -1) THEN GC1_B = .;
   IF (GC1_C <= -1) THEN GC1_C = .;
   IF (GC1_D <= -1) THEN GC1_D = .;
   IF (GC1_E <= -1) THEN GC1_E = .;
   IF (GC2 <= -1) THEN GC2 = .;
   IF (GC3 <= -1) THEN GC3 = .;
   IF (GC3_A <= -1) THEN GC3_A = .;
   IF (GC3_B <= -1) THEN GC3_B = .;
   IF (GC4_00 <= -1) THEN GC4_00 = .;
   IF (GC4_01 <= -1) THEN GC4_01 = .;
   IF (GC4_02 <= -1) THEN GC4_02 = .;
   IF (GC4_03 <= -1) THEN GC4_03 = .;
   IF (GC4_04 <= -1) THEN GC4_04 = .;
   IF (GC4_05 <= -1) THEN GC4_05 = .;
   IF (GC4_06 <= -1) THEN GC4_06 = .;
   IF (GC4_07 <= -1) THEN GC4_07 = .;
   IF (GC4_08 <= -1) THEN GC4_08 = .;
   IF (GC4_09 <= -1) THEN GC4_09 = .;
   IF (GC5 <= -1) THEN GC5 = .;
   IF (GC5_A <= -1) THEN GC5_A = .;
   IF (GC6 <= -1) THEN GC6 = .;
   IF (GC6_A <= -1) THEN GC6_A = .;
   IF (GC7 <= -1) THEN GC7 = .;
   IF (GC7_A <= -1) THEN GC7_A = .;
   IF (GC7_B_1 <= -1) THEN GC7_B_1 = .;
   IF (GC7_B_2 <= -1) THEN GC7_B_2 = .;
   IF (GD1 <= -1) THEN GD1 = .;
   IF (GD1_A <= -1) THEN GD1_A = .;
   IF (GD1_B <= -1) THEN GD1_B = .;
   IF (GD1_B_2 <= -1) THEN GD1_B_2 = .;
   IF (GD1_C <= -1) THEN GD1_C = .;
   IF (GD2 <= -1) THEN GD2 = .;
   IF (GD2_A <= -1) THEN GD2_A = .;
   IF (GD2_B <= -1) THEN GD2_B = .;
   IF (GD2_C_1 <= -1) THEN GD2_C_1 = .;
   IF (GD2_C_2 <= -1) THEN GD2_C_2 = .;
   IF (GD2_D <= -1) THEN GD2_D = .;
   IF (GD3 <= -1) THEN GD3 = .;
   IF (GD3_A <= -1) THEN GD3_A = .;
   IF (GD4 <= -1) THEN GD4 = .;
   IF (GD4_A <= -1) THEN GD4_A = .;
   IF (GD5 <= -1) THEN GD5 = .;
   IF (GD5_A_1 <= -1) THEN GD5_A_1 = .;
   IF (GD5_A_2 <= -1) THEN GD5_A_2 = .;
   IF (GD5_B <= -1) THEN GD5_B = .;
   IF (GD6 <= -1) THEN GD6 = .;
   IF (GD6_A_1 <= -1) THEN GD6_A_1 = .;
   IF (GD6_A_2 <= -1) THEN GD6_A_2 = .;
   IF (GD6_B <= -1) THEN GD6_B = .;
   IF (GD7 <= -1) THEN GD7 = .;
   IF (GD7_A_1 <= -1) THEN GD7_A_1 = .;
   IF (GD7_A_2 <= -1) THEN GD7_A_2 = .;
   IF (GD7_B <= -1) THEN GD7_B = .;
   IF (GD8 <= -1) THEN GD8 = .;
   IF (GD8_A <= -1) THEN GD8_A = .;
   IF (GD9 <= -1) THEN GD9 = .;
   IF (GD10 <= -1) THEN GD10 = .;
   IF (GD10_A <= -1) THEN GD10_A = .;
   IF (GD11 <= -1) THEN GD11 = .;
   IF (GD11_A <= -1) THEN GD11_A = .;
   IF (GD12 <= -1) THEN GD12 = .;
   IF (GD13 <= -1) THEN GD13 = .;
   IF (GD14 <= -1) THEN GD14 = .;
   IF (GD15 <= -1) THEN GD15 = .;
   IF (GD16 <= -1) THEN GD16 = .;
   IF (GD17 <= -1) THEN GD17 = .;
   IF (GD18 <= -1) THEN GD18 = .;
   IF (GD19 <= -1) THEN GD19 = .;
   IF (GE1 <= -1) THEN GE1 = .;
   IF (GE2 <= -1) THEN GE2 = .;
   IF (GE3 <= -1) THEN GE3 = .;
   IF (GE4 <= -1) THEN GE4 = .;
   IF (GE5 <= -1) THEN GE5 = .;
   IF (GE6 <= -1) THEN GE6 = .;
   IF (GE7 <= -1) THEN GE7 = .;
   IF (GE8 <= -1) THEN GE8 = .;
   IF (GE9 <= -1) THEN GE9 = .;
   IF (GE10 <= -1) THEN GE10 = .;
   IF (GE11 <= -1) THEN GE11 = .;
   IF (GE12 <= -1) THEN GE12 = .;
   IF (GE12_A <= -1) THEN GE12_A = .;
   IF (GE13 <= -1) THEN GE13 = .;
   IF (GE13_A_1 <= -1) THEN GE13_A_1 = .;
   IF (GE13_A_2 <= -1) THEN GE13_A_2 = .;
   IF (GE13_A_3 <= -1) THEN GE13_A_3 = .;
   IF (GE14 <= -1) THEN GE14 = .;
   IF (GE14_A_1 <= -1) THEN GE14_A_1 = .;
   IF (GE14_A_2 <= -1) THEN GE14_A_2 = .;
   IF (GE14_B_1 <= -1) THEN GE14_B_1 = .;
   IF (GE14_B_2 <= -1) THEN GE14_B_2 = .;
   IF (GE14_C <= -1) THEN GE14_C = .;
   IF (GE15 <= -1) THEN GE15 = .;
   IF (GE15_A_1 <= -1) THEN GE15_A_1 = .;
   IF (GE15_A_2 <= -1) THEN GE15_A_2 = .;
   IF (GE15_B_1 <= -1) THEN GE15_B_1 = .;
   IF (GE15_B_2 <= -1) THEN GE15_B_2 = .;
   IF (GE15_C <= -1) THEN GE15_C = .;
   IF (GE15_D <= -1) THEN GE15_D = .;
   IF (GE15_E <= -1) THEN GE15_E = .;
   IF (GE16 <= -1) THEN GE16 = .;
   IF (GE16_A_1 <= -1) THEN GE16_A_1 = .;
   IF (GE16_A_2 <= -1) THEN GE16_A_2 = .;
   IF (GE16_B_1 <= -1) THEN GE16_B_1 = .;
   IF (GE16_B_2 <= -1) THEN GE16_B_2 = .;
   IF (GE16_C <= -1) THEN GE16_C = .;
   IF (GE16_D <= -1) THEN GE16_D = .;
   IF (GE16_E <= -1) THEN GE16_E = .;
   IF (GE16_F <= -1) THEN GE16_F = .;
   IF (GE17 <= -1) THEN GE17 = .;
   IF (GE17_A <= -1) THEN GE17_A = .;
   IF (GE17_B_1 <= -1) THEN GE17_B_1 = .;
   IF (GE17_B_2 <= -1) THEN GE17_B_2 = .;
   IF (GE17_B_3 <= -1) THEN GE17_B_3 = .;
   IF (GE17_C <= -1) THEN GE17_C = .;
   IF (GE18 <= -1) THEN GE18 = .;
   IF (GE18_A_1 <= -1) THEN GE18_A_1 = .;
   IF (GE18_A_2 <= -1) THEN GE18_A_2 = .;
   IF (GE18_B_1 <= -1) THEN GE18_B_1 = .;
   IF (GE18_B_2 <= -1) THEN GE18_B_2 = .;
   IF (GE18_C <= -1) THEN GE18_C = .;
   IF (GE18_D <= -1) THEN GE18_D = .;
   IF (GE18_E <= -1) THEN GE18_E = .;
   IF (GE19 <= -1) THEN GE19 = .;
   IF (GE19_A <= -1) THEN GE19_A = .;
   IF (GE19B1_1 <= -1) THEN GE19B1_1 = .;
   IF (GE19B1_2 <= -1) THEN GE19B1_2 = .;
   IF (GE19B2_1 <= -1) THEN GE19B2_1 = .;
   IF (GE19B2_2 <= -1) THEN GE19B2_2 = .;
   IF (GE19_C <= -1) THEN GE19_C = .;
   IF (GE20 <= -1) THEN GE20 = .;
   IF (GE20_A_1 <= -1) THEN GE20_A_1 = .;
   IF (GE20_A_2 <= -1) THEN GE20_A_2 = .;
   IF (GE20_B_1 <= -1) THEN GE20_B_1 = .;
   IF (GE20_B_2 <= -1) THEN GE20_B_2 = .;
   IF (GE20_C <= -1) THEN GE20_C = .;
   IF (GE20_D <= -1) THEN GE20_D = .;
   IF (GE20_E_1 <= -1) THEN GE20_E_1 = .;
   IF (GE20_E_2 <= -1) THEN GE20_E_2 = .;
   IF (GE20_E_3 <= -1) THEN GE20_E_3 = .;
   IF (GE20_E_4 <= -1) THEN GE20_E_4 = .;
   IF (GE20_F <= -1) THEN GE20_F = .;
   IF (GE21 <= -1) THEN GE21 = .;
   IF (GE21_A <= -1) THEN GE21_A = .;
   IF (GE21_B_1 <= -1) THEN GE21_B_1 = .;
   IF (GE21_B_2 <= -1) THEN GE21_B_2 = .;
   IF (GE21_B_3 <= -1) THEN GE21_B_3 = .;
   IF (GE21_C <= -1) THEN GE21_C = .;
   IF (GE22 <= -1) THEN GE22 = .;
   IF (GE22_A_1 <= -1) THEN GE22_A_1 = .;
   IF (GE22_A_2 <= -1) THEN GE22_A_2 = .;
   IF (GE22_B_1 <= -1) THEN GE22_B_1 = .;
   IF (GE22_B_2 <= -1) THEN GE22_B_2 = .;
   IF (GE22_C <= -1) THEN GE22_C = .;
   IF (GE22_D <= -1) THEN GE22_D = .;
   IF (GE22_E <= -1) THEN GE22_E = .;
   IF (GE23 <= -1) THEN GE23 = .;
   IF (GE23_A <= -1) THEN GE23_A = .;
   IF (GE24 <= -1) THEN GE24 = .;
   IF (GE24_A_1 <= -1) THEN GE24_A_1 = .;
   IF (GE24_A_2 <= -1) THEN GE24_A_2 = .;
   IF (GE24_B_1 <= -1) THEN GE24_B_1 = .;
   IF (GE24_B_2 <= -1) THEN GE24_B_2 = .;
   IF (GE24_C <= -1) THEN GE24_C = .;
   IF (GE24_D <= -1) THEN GE24_D = .;
   IF (GE24_E <= -1) THEN GE24_E = .;
   IF (GE25 <= -1) THEN GE25 = .;
   IF (GE25_A_1 <= -1) THEN GE25_A_1 = .;
   IF (GE25_A_2 <= -1) THEN GE25_A_2 = .;
   IF (GE25_B_1 <= -1) THEN GE25_B_1 = .;
   IF (GE25_B_2 <= -1) THEN GE25_B_2 = .;
   IF (GE25_C <= -1) THEN GE25_C = .;
   IF (GE26 <= -1) THEN GE26 = .;
   IF (GE26_A_1 <= -1) THEN GE26_A_1 = .;
   IF (GE26_A_2 <= -1) THEN GE26_A_2 = .;
   IF (GE26_B_1 <= -1) THEN GE26_B_1 = .;
   IF (GE26_B_2 <= -1) THEN GE26_B_2 = .;
   IF (GE26_C <= -1) THEN GE26_C = .;
   IF (GE26_D <= -1) THEN GE26_D = .;
   IF (GE27 <= -1) THEN GE27 = .;
   IF (GE27_A <= -1) THEN GE27_A = .;
   IF (GE27_B_1 <= -1) THEN GE27_B_1 = .;
   IF (GE27_B_2 <= -1) THEN GE27_B_2 = .;
   IF (GE27_C_1 <= -1) THEN GE27_C_1 = .;
   IF (GE27_C_2 <= -1) THEN GE27_C_2 = .;
   IF (GE27_D <= -1) THEN GE27_D = .;
   IF (GE27_E <= -1) THEN GE27_E = .;
   IF (GE28 <= -1) THEN GE28 = .;
   IF (GE28_A <= -1) THEN GE28_A = .;
   IF (GE28_B_1 <= -1) THEN GE28_B_1 = .;
   IF (GE28_B_2 <= -1) THEN GE28_B_2 = .;
   IF (GE28_C_1 <= -1) THEN GE28_C_1 = .;
   IF (GE28_C_2 <= -1) THEN GE28_C_2 = .;
   IF (GE28_D <= -1) THEN GE28_D = .;
   IF (GE28_E <= -1) THEN GE28_E = .;
   IF (GE29 <= -1) THEN GE29 = .;
   IF (GE30 <= -1) THEN GE30 = .;
   IF (GE30_A <= -1) THEN GE30_A = .;
   IF (GE31 <= -1) THEN GE31 = .;
   IF (GE31A_1 <= -1) THEN GE31A_1 = .;
   IF (GE31A_2 <= -1) THEN GE31A_2 = .;
   IF (GE31A_3 <= -1) THEN GE31A_3 = .;
   IF (GE31A_4 <= -1) THEN GE31A_4 = .;
   IF (GE31A_5 <= -1) THEN GE31A_5 = .;
   IF (GE31A_6 <= -1) THEN GE31A_6 = .;
   IF (GE32 <= -1) THEN GE32 = .;
   IF (GE33_A <= -1) THEN GE33_A = .;
   IF (GE33_B <= -1) THEN GE33_B = .;
   IF (GE33_C <= -1) THEN GE33_C = .;
   IF (GE33_D <= -1) THEN GE33_D = .;
   IF (GE33_E <= -1) THEN GE33_E = .;
   IF (GE33_F <= -1) THEN GE33_F = .;
   IF (GE34 <= -1) THEN GE34 = .;
   IF (GE35 <= -1) THEN GE35 = .;
   IF (GE36 <= -1) THEN GE36 = .;
   IF (GE37 <= -1) THEN GE37 = .;
   IF (GE38 <= -1) THEN GE38 = .;
   IF (GE39_A <= -1) THEN GE39_A = .;
   IF (GE39_B <= -1) THEN GE39_B = .;
   IF (GE39_C <= -1) THEN GE39_C = .;
   IF (GE39_D <= -1) THEN GE39_D = .;
   IF (GE39_E <= -1) THEN GE39_E = .;
   IF (GE39_F <= -1) THEN GE39_F = .;
   IF (GE39_G <= -1) THEN GE39_G = .;
   IF (GE39_H <= -1) THEN GE39_H = .;
   IF (GE39_I <= -1) THEN GE39_I = .;
   IF (GE39_J <= -1) THEN GE39_J = .;
   IF (GE39_K <= -1) THEN GE39_K = .;
   IF (GE39_L <= -1) THEN GE39_L = .;
   IF (GE39_M <= -1) THEN GE39_M = .;
   IF (GE39_N <= -1) THEN GE39_N = .;
   IF (GE39_O <= -1) THEN GE39_O = .;
   IF (GE39_P <= -1) THEN GE39_P = .;
   IF (GE39_Q <= -1) THEN GE39_Q = .;
   IF (GE39_R <= -1) THEN GE39_R = .;
   IF (GE39_S <= -1) THEN GE39_S = .;
   IF (GE39_T <= -1) THEN GE39_T = .;
   IF (GE40 <= -1) THEN GE40 = .;
   IF (GE40_B_1 <= -1) THEN GE40_B_1 = .;
   IF (GE40_B_2 <= -1) THEN GE40_B_2 = .;
   IF (GE40_B_3 <= -1) THEN GE40_B_3 = .;
   IF (GE41_A <= -1) THEN GE41_A = .;
   IF (GE41_B <= -1) THEN GE41_B = .;
   IF (GE42 <= -1) THEN GE42 = .;
   IF (GE43 <= -1) THEN GE43 = .;
   IF (GE44 <= -1) THEN GE44 = .;
   IF (GE45 <= -1) THEN GE45 = .;
   IF (GE46 <= -1) THEN GE46 = .;
   IF (GE47 <= -1) THEN GE47 = .;
   IF (GE48_A <= -1) THEN GE48_A = .;
   IF (GE48_B <= -1) THEN GE48_B = .;
   IF (GE48_C <= -1) THEN GE48_C = .;
   IF (GE48_D <= -1) THEN GE48_D = .;
   IF (GE48_E <= -1) THEN GE48_E = .;
   IF (GE48_F <= -1) THEN GE48_F = .;
   IF (GE48_G <= -1) THEN GE48_G = .;
   IF (GE48_H <= -1) THEN GE48_H = .;
   IF (GE48_I <= -1) THEN GE48_I = .;
   IF (GE48_J <= -1) THEN GE48_J = .;
   IF (GE48_K <= -1) THEN GE48_K = .;
   IF (GE48_L <= -1) THEN GE48_L = .;
   IF (GF1 <= -1) THEN GF1 = .;
   IF (GF1_A <= -1) THEN GF1_A = .;
   IF (GF2 <= -1) THEN GF2 = .;
   IF (GF2_A <= -1) THEN GF2_A = .;
   IF (GF3 <= -1) THEN GF3 = .;
   IF (GF4 <= -1) THEN GF4 = .;
   IF (GF5 <= -1) THEN GF5 = .;
   IF (GF5_A <= -1) THEN GF5_A = .;
   IF (GF6 <= -1) THEN GF6 = .;
   IF (GF7 <= -1) THEN GF7 = .;
   IF (GF8 <= -1) THEN GF8 = .;
   IF (GF9 <= -1) THEN GF9 = .;
   IF (GF9_A <= -1) THEN GF9_A = .;
   IF (GF10 <= -1) THEN GF10 = .;
   IF (GF10_A <= -1) THEN GF10_A = .;
   IF (GF11 <= -1) THEN GF11 = .;
   IF (GF11_A <= -1) THEN GF11_A = .;
   IF (GF12 <= -1) THEN GF12 = .;
   IF (GF13 <= -1) THEN GF13 = .;
   IF (GF14 <= -1) THEN GF14 = .;
   IF (GF15 <= -1) THEN GF15 = .;
   IF (GF16 <= -1) THEN GF16 = .;
   IF (GF16_A <= -1) THEN GF16_A = .;
   IF (GF17 <= -1) THEN GF17 = .;
   IF (GF17_A_1 <= -1) THEN GF17_A_1 = .;
   IF (GF17_A_2 <= -1) THEN GF17_A_2 = .;
   IF (GF17_A_3 <= -1) THEN GF17_A_3 = .;
   IF (GF17_A_4 <= -1) THEN GF17_A_4 = .;
   IF (GF17_B <= -1) THEN GF17_B = .;
   IF (GF17_C <= -1) THEN GF17_C = .;
   IF (GF17D_01 <= -1) THEN GF17D_01 = .;
   IF (GF17D_02 <= -1) THEN GF17D_02 = .;
   IF (GF17D_14 <= -1) THEN GF17D_14 = .;
   IF (GF17D_23 <= -1) THEN GF17D_23 = .;
   IF (GF17D_24 <= -1) THEN GF17D_24 = .;
   IF (GF17D_25 <= -1) THEN GF17D_25 = .;
   IF (GF17D_61 <= -1) THEN GF17D_61 = .;
   IF (GF17D_62 <= -1) THEN GF17D_62 = .;
   IF (GF17D_91 <= -1) THEN GF17D_91 = .;
   IF (GF17_E <= -1) THEN GF17_E = .;
   IF (GF18 <= -1) THEN GF18 = .;
   IF (GG1 <= -1) THEN GG1 = .;
   IF (GG2 <= -1) THEN GG2 = .;
   IF (GG3 <= -1) THEN GG3 = .;
   IF (GG4 <= -1) THEN GG4 = .;
   IF (GG4_A <= -1) THEN GG4_A = .;
   IF (GG4_B_1 <= -1) THEN GG4_B_1 = .;
   IF (GG4_B_2 <= -1) THEN GG4_B_2 = .;
   IF (GG4_B_3 <= -1) THEN GG4_B_3 = .;
   IF (GG4_B_4 <= -1) THEN GG4_B_4 = .;
   IF (GG4_C <= -1) THEN GG4_C = .;
   IF (GG4_D <= -1) THEN GG4_D = .;
   IF (GG4_E <= -1) THEN GG4_E = .;
   IF (GG4F_1 <= -1) THEN GG4F_1 = .;
   IF (GG4F_2 <= -1) THEN GG4F_2 = .;
   IF (GG4F_3 <= -1) THEN GG4F_3 = .;
   IF (GG4F_4 <= -1) THEN GG4F_4 = .;
   IF (GG4F_5 <= -1) THEN GG4F_5 = .;
   IF (GG4F_6 <= -1) THEN GG4F_6 = .;
   IF (GG4G <= -1) THEN GG4G = .;
   IF (GG5_A <= -1) THEN GG5_A = .;
   IF (GG5_B <= -1) THEN GG5_B = .;
   IF (GG5_C <= -1) THEN GG5_C = .;
   IF (GG5_D <= -1) THEN GG5_D = .;
   IF (GG5_E <= -1) THEN GG5_E = .;
   IF (GG5_F <= -1) THEN GG5_F = .;
   IF (GG7 <= -1) THEN GG7 = .;
   IF (GG7_A <= -1) THEN GG7_A = .;
   IF (GG8 <= -1) THEN GG8 = .;
   IF (GG9 <= -1) THEN GG9 = .;
   IF (GG10 <= -1) THEN GG10 = .;
   IF (GG11 <= -1) THEN GG11 = .;
   IF (GG12 <= -1) THEN GG12 = .;
   IF (GG12A_1 <= -1) THEN GG12A_1 = .;
   IF (GG12A_2 <= -1) THEN GG12A_2 = .;
   IF (GG12A_3 <= -1) THEN GG12A_3 = .;
   IF (GG12A_4 <= -1) THEN GG12A_4 = .;
   IF (GG12B_1 <= -1) THEN GG12B_1 = .;
   IF (GG12B_2 <= -1) THEN GG12B_2 = .;
   IF (GG12B_3 <= -1) THEN GG12B_3 = .;
   IF (GG13 <= -1) THEN GG13 = .;
   IF (GG14 <= -1) THEN GG14 = .;
   IF (GG15 <= -1) THEN GG15 = .;
   IF (GG15_A <= -1) THEN GG15_A = .;
   IF (GH1 <= -1) THEN GH1 = .;
   IF (GH1_A <= -1) THEN GH1_A = .;
   IF (GH2_A <= -1) THEN GH2_A = .;
   IF (GH3_A <= -1) THEN GH3_A = .;
   IF (GH2_B <= -1) THEN GH2_B = .;
   IF (GH3_B <= -1) THEN GH3_B = .;
   IF (GH2_C <= -1) THEN GH2_C = .;
   IF (GH3_C <= -1) THEN GH3_C = .;
   IF (GH2_D <= -1) THEN GH2_D = .;
   IF (GH3_D <= -1) THEN GH3_D = .;
   IF (GH2_E <= -1) THEN GH2_E = .;
   IF (GH3_E <= -1) THEN GH3_E = .;
   IF (GH2_F <= -1) THEN GH2_F = .;
   IF (GH3_F <= -1) THEN GH3_F = .;
   IF (GH2_G <= -1) THEN GH2_G = .;
   IF (GH3_G <= -1) THEN GH3_G = .;
   IF (GH2_H <= -1) THEN GH2_H = .;
   IF (GH3_H <= -1) THEN GH3_H = .;
   IF (GH2_I <= -1) THEN GH2_I = .;
   IF (GH3_I <= -1) THEN GH3_I = .;
   IF (GH2_J <= -1) THEN GH2_J = .;
   IF (GH3_J <= -1) THEN GH3_J = .;
   IF (GH2_K <= -1) THEN GH2_K = .;
   IF (GH3_K <= -1) THEN GH3_K = .;
   IF (GH2_L <= -1) THEN GH2_L = .;
   IF (GH3_L <= -1) THEN GH3_L = .;
   IF (GH4 <= -1) THEN GH4 = .;
   IF (GH5 <= -1) THEN GH5 = .;
   IF (GH6 <= -1) THEN GH6 = .;
   IF (GH6_A <= -1) THEN GH6_A = .;
   IF (GH7 <= -1) THEN GH7 = .;
   IF (GH8 <= -1) THEN GH8 = .;
   IF (GH8_A <= -1) THEN GH8_A = .;
   IF (GH9 <= -1) THEN GH9 = .;
   IF (GJ1 <= -1) THEN GJ1 = .;
   IF (GJ2 <= -1) THEN GJ2 = .;
   IF (GJ2_A <= -1) THEN GJ2_A = .;
   IF (GJ2_B <= -1) THEN GJ2_B = .;
   IF (GJ2_C <= -1) THEN GJ2_C = .;
   IF (GJ2_D <= -1) THEN GJ2_D = .;
   IF (GJ2_E <= -1) THEN GJ2_E = .;
   IF (GJ2_F <= -1) THEN GJ2_F = .;
   IF (GJ2_G <= -1) THEN GJ2_G = .;
   IF (GJ3 <= -1) THEN GJ3 = .;
   IF (GJ3_A_1 <= -1) THEN GJ3_A_1 = .;
   IF (GJ3_A_2 <= -1) THEN GJ3_A_2 = .;
   IF (GJ3_A_3 <= -1) THEN GJ3_A_3 = .;
   IF (GJ3_A_4 <= -1) THEN GJ3_A_4 = .;
   IF (GJ3_A_5 <= -1) THEN GJ3_A_5 = .;
   IF (GJ3_A_6 <= -1) THEN GJ3_A_6 = .;
   IF (GJ3_A_7 <= -1) THEN GJ3_A_7 = .;
   IF (GJ3_B <= -1) THEN GJ3_B = .;
   IF (GJ3_C_1 <= -1) THEN GJ3_C_1 = .;
   IF (GJ3_C_2 <= -1) THEN GJ3_C_2 = .;
   IF (GJ3_C_3 <= -1) THEN GJ3_C_3 = .;
   IF (GJ3_C_4 <= -1) THEN GJ3_C_4 = .;
   IF (GJ3_C_5 <= -1) THEN GJ3_C_5 = .;
   IF (GJ3_C_6 <= -1) THEN GJ3_C_6 = .;
   IF (GJ3_C_7 <= -1) THEN GJ3_C_7 = .;
   IF (GJ3_C_8 <= -1) THEN GJ3_C_8 = .;
   IF (GJ3_C_9 <= -1) THEN GJ3_C_9 = .;
   IF (GJ3_C_10 <= -1) THEN GJ3_C_10 = .;
   IF (GJ3_C_11 <= -1) THEN GJ3_C_11 = .;
   IF (GJ4_0 <= -1) THEN GJ4_0 = .;
   IF (GJ4_1 <= -1) THEN GJ4_1 = .;
   IF (GJ4_2 <= -1) THEN GJ4_2 = .;
   IF (GJ4_3 <= -1) THEN GJ4_3 = .;
   IF (GJ4_4 <= -1) THEN GJ4_4 = .;
   IF (GJ4_5 <= -1) THEN GJ4_5 = .;
   IF (GJ4_6 <= -1) THEN GJ4_6 = .;
   IF (GJ4_7 <= -1) THEN GJ4_7 = .;
   IF (GJ4_8 <= -1) THEN GJ4_8 = .;
   IF (GJ4_9 <= -1) THEN GJ4_9 = .;
   IF (GJ4_10 <= -1) THEN GJ4_10 = .;
   IF (GJ4_11 <= -1) THEN GJ4_11 = .;
   IF (GJ4_12 <= -1) THEN GJ4_12 = .;
   IF (GJ4_13 <= -1) THEN GJ4_13 = .;
   IF (GJ4_14 <= -1) THEN GJ4_14 = .;
   IF (GJ4_15 <= -1) THEN GJ4_15 = .;
   IF (GJ4_16 <= -1) THEN GJ4_16 = .;
   IF (GJ5 <= -1) THEN GJ5 = .;
   IF (GJ6 <= -1) THEN GJ6 = .;
   IF (GJ7 <= -1) THEN GJ7 = .;
   IF (GJ8 <= -1) THEN GJ8 = .;
   IF (GJ9 <= -1) THEN GJ9 = .;
   IF (GJ9_A <= -1) THEN GJ9_A = .;
   IF (GJ9_B <= -1) THEN GJ9_B = .;
   IF (GJ9_C_OC <= -1) THEN GJ9_C_OC = .;
   IF (GJ9_C <= -1.0000) THEN GJ9_C = .;
   IF (GJ9_COD <= -1) THEN GJ9_COD = .;
   IF (GJ10 <= -1) THEN GJ10 = .;
   IF (GJ11 <= -1) THEN GJ11 = .;
   IF (GJ12 <= -1) THEN GJ12 = .;
   IF (GJ12_A <= -1) THEN GJ12_A = .;
   IF (GK1_A <= -1) THEN GK1_A = .;
   IF (GK2_A <= -1) THEN GK2_A = .;
   IF (GK1_B <= -1) THEN GK1_B = .;
   IF (GK2_B <= -1) THEN GK2_B = .;
   IF (GK1_C <= -1) THEN GK1_C = .;
   IF (GK2_C <= -1) THEN GK2_C = .;
   IF (GK1_D <= -1) THEN GK1_D = .;
   IF (GK2_D <= -1) THEN GK2_D = .;
   IF (GK1_E <= -1) THEN GK1_E = .;
   IF (GK2_E <= -1) THEN GK2_E = .;
   IF (GK1_F <= -1) THEN GK1_F = .;
   IF (GK2_F <= -1) THEN GK2_F = .;
   IF (GK2_G <= -1) THEN GK2_G = .;
   IF (GK3 <= -1) THEN GK3 = .;
   IF (GK4 <= -1) THEN GK4 = .;
   IF (GK4_A <= -1) THEN GK4_A = .;
   IF (GK5 <= -1) THEN GK5 = .;
   IF (GK6_A <= -1) THEN GK6_A = .;
   IF (GK6_B <= -1) THEN GK6_B = .;
   IF (GK6_C <= -1) THEN GK6_C = .;
   IF (GK6_D <= -1) THEN GK6_D = .;
   IF (GK7 <= -1) THEN GK7 = .;
   IF (GK7_A <= -1) THEN GK7_A = .;
   IF (GK8 <= -1) THEN GK8 = .;
   IF (GK9 <= -1) THEN GK9 = .;
   IF (GL1 <= -1) THEN GL1 = .;
   IF (GL1_A <= -1) THEN GL1_A = .;
   IF (GL2 <= -1) THEN GL2 = .;
   IF (GL2_A <= -1) THEN GL2_A = .;
   IF (GL2_B <= -1) THEN GL2_B = .;
   IF (GL2_C <= -1) THEN GL2_C = .;
   IF (GL2_D <= -1) THEN GL2_D = .;
   IF (GL2_E <= -1) THEN GL2_E = .;
   IF (GL2_F_1 <= -1) THEN GL2_F_1 = .;
   IF (GL2_F_2 <= -1) THEN GL2_F_2 = .;
   IF (GL2_F_3 <= -1) THEN GL2_F_3 = .;
   IF (GL3 <= -1) THEN GL3 = .;
   IF (GL3_A <= -1) THEN GL3_A = .;
   IF (GL4 <= -1) THEN GL4 = .;
   IF (GL5 <= -1) THEN GL5 = .;
   IF (GL5_A_1 <= -1) THEN GL5_A_1 = .;
   IF (GL5_A_2 <= -1) THEN GL5_A_2 = .;
   IF (GL5_A_3 <= -1) THEN GL5_A_3 = .;
   IF (GL5_A_4 <= -1) THEN GL5_A_4 = .;
   IF (GL5_B_1 <= -1) THEN GL5_B_1 = .;
   IF (GL5_B_2 <= -1) THEN GL5_B_2 = .;
   IF (GL5_B_11 <= -1) THEN GL5_B_11 = .;
   IF (GL5_B_12 <= -1) THEN GL5_B_12 = .;
   IF (GL5_B_13 <= -1) THEN GL5_B_13 = .;
   IF (GL5_B_21 <= -1) THEN GL5_B_21 = .;
   IF (GL5_B_22 <= -1) THEN GL5_B_22 = .;
   IF (GL5_B_23 <= -1) THEN GL5_B_23 = .;
   IF (GL5_B_31 <= -1) THEN GL5_B_31 = .;
   IF (GL5_B_71 <= -1) THEN GL5_B_71 = .;
   IF (GL5_B_91 <= -1) THEN GL5_B_91 = .;
   IF (GL5_C <= -1) THEN GL5_C = .;
   IF (GL5_D <= -1) THEN GL5_D = .;
   IF (GL6 <= -1) THEN GL6 = .;
   IF (GL6_A_A <= -1) THEN GL6_A_A = .;
   IF (GL6_A_B <= -1) THEN GL6_A_B = .;
   IF (GL6_A_C <= -1) THEN GL6_A_C = .;
   IF (GL6_A_D <= -1) THEN GL6_A_D = .;
   IF (GL6_A_E <= -1) THEN GL6_A_E = .;
   IF (GL6_A_F <= -1) THEN GL6_A_F = .;
   IF (GL6_A_G <= -1) THEN GL6_A_G = .;
   IF (GL6_A_H <= -1) THEN GL6_A_H = .;
   IF (GL6_A_I <= -1) THEN GL6_A_I = .;
   IF (GL6_A_J <= -1) THEN GL6_A_J = .;
   IF (GL6_B_1 <= -1) THEN GL6_B_1 = .;
   IF (GL6_C_1 <= -1) THEN GL6_C_1 = .;
   IF (GL6_D_1 <= -1) THEN GL6_D_1 = .;
   IF (GL6_E_1 <= -1) THEN GL6_E_1 = .;
   IF (GL6_B_2 <= -1) THEN GL6_B_2 = .;
   IF (GL6_C_2 <= -1) THEN GL6_C_2 = .;
   IF (GL6_D_2 <= -1) THEN GL6_D_2 = .;
   IF (GL6_E_2 <= -1) THEN GL6_E_2 = .;
   IF (GL6_B_3 <= -1) THEN GL6_B_3 = .;
   IF (GL6_C_3 <= -1) THEN GL6_C_3 = .;
   IF (GL6_D_3 <= -1) THEN GL6_D_3 = .;
   IF (GL6_E_3 <= -1) THEN GL6_E_3 = .;
   IF (GL6_B_4 <= -1) THEN GL6_B_4 = .;
   IF (GL6_C_4 <= -1) THEN GL6_C_4 = .;
   IF (GL6_D_4 <= -1) THEN GL6_D_4 = .;
   IF (GL6_E_4 <= -1) THEN GL6_E_4 = .;
   IF (GL7 <= -1) THEN GL7 = .;
   IF (GL7_A_A <= -1) THEN GL7_A_A = .;
   IF (GL7_A_B <= -1) THEN GL7_A_B = .;
   IF (GL7_A_C <= -1) THEN GL7_A_C = .;
   IF (GL7_A_D <= -1) THEN GL7_A_D = .;
   IF (GL7_A_E <= -1) THEN GL7_A_E = .;
   IF (GL7_A_F <= -1) THEN GL7_A_F = .;
   IF (GL7_A_G <= -1) THEN GL7_A_G = .;
   IF (GL7_A_H <= -1) THEN GL7_A_H = .;
   IF (GL7_A_I <= -1) THEN GL7_A_I = .;
   IF (GL7_B_1 <= -1) THEN GL7_B_1 = .;
   IF (GL7_C_1 <= -1) THEN GL7_C_1 = .;
   IF (GL7_D_1 <= -1) THEN GL7_D_1 = .;
   IF (GL7_E_1 <= -1) THEN GL7_E_1 = .;
   IF (GL7_B_2 <= -1) THEN GL7_B_2 = .;
   IF (GL7_C_2 <= -1) THEN GL7_C_2 = .;
   IF (GL7_D_2 <= -1) THEN GL7_D_2 = .;
   IF (GL7_E_2 <= -1) THEN GL7_E_2 = .;
   IF (GL7_B_3 <= -1) THEN GL7_B_3 = .;
   IF (GL7_C_3 <= -1) THEN GL7_C_3 = .;
   IF (GL7_D_3 <= -1) THEN GL7_D_3 = .;
   IF (GL7_E_3 <= -1) THEN GL7_E_3 = .;
   IF (GL7_B_4 <= -1) THEN GL7_B_4 = .;
   IF (GL7_C_4 <= -1) THEN GL7_C_4 = .;
   IF (GL7_D_4 <= -1) THEN GL7_D_4 = .;
   IF (GL7_E_4 <= -1) THEN GL7_E_4 = .;
   IF (GL8_0 <= -1) THEN GL8_0 = .;
   IF (GL8_1 <= -1) THEN GL8_1 = .;
   IF (GL8_2 <= -1) THEN GL8_2 = .;
   IF (GL8_11 <= -1) THEN GL8_11 = .;
   IF (GL8_12 <= -1) THEN GL8_12 = .;
   IF (GL8_13 <= -1) THEN GL8_13 = .;
   IF (GL8_21 <= -1) THEN GL8_21 = .;
   IF (GL8_22 <= -1) THEN GL8_22 = .;
   IF (GL8_71 <= -1) THEN GL8_71 = .;
   IF (GL8_91 <= -1) THEN GL8_91 = .;
   IF (GL8_A_1 <= -1) THEN GL8_A_1 = .;
   IF (GL8_A_2 <= -1) THEN GL8_A_2 = .;
   IF (GL9 <= -1) THEN GL9 = .;
   IF (GL9_A <= -1) THEN GL9_A = .;
   IF (GL10 <= -1) THEN GL10 = .;
   IF (GL11 <= -1) THEN GL11 = .;
   IF (GL12 <= -1) THEN GL12 = .;
   IF (GL13_A <= -1) THEN GL13_A = .;
   IF (GL13_B <= -1) THEN GL13_B = .;
   IF (GL13_C <= -1) THEN GL13_C = .;
   IF (GL13_D <= -1) THEN GL13_D = .;
   IF (GL13_E <= -1) THEN GL13_E = .;
   IF (GL13_F <= -1) THEN GL13_F = .;
   IF (GL13_G <= -1) THEN GL13_G = .;
   IF (GL13_H <= -1) THEN GL13_H = .;
   IF (GL13_I <= -1) THEN GL13_I = .;
   IF (GL13_J <= -1) THEN GL13_J = .;
   IF (GL13_K <= -1) THEN GL13_K = .;
   IF (GL13_K_1 <= -1) THEN GL13_K_1 = .;
   IF (GL13_K_2 <= -1) THEN GL13_K_2 = .;
   IF (GL13_K_3 <= -1) THEN GL13_K_3 = .;
   IF (GL13_K_4 <= -1) THEN GL13_K_4 = .;
   IF (GL14_A <= -1) THEN GL14_A = .;
   IF (GL14_B <= -1) THEN GL14_B = .;
   IF (GL15_M <= -1) THEN GL15_M = .;
   IF (GL15_Y <= -1) THEN GL15_Y = .;
   IF (GL16 <= -1) THEN GL16 = .;
   IF (GL16_A <= -1) THEN GL16_A = .;
   IF (GL17 <= -1) THEN GL17 = .;
   IF (GL18 <= -1) THEN GL18 = .;
   IF (GL19 <= -1) THEN GL19 = .;
   IF (GL20_A <= -1) THEN GL20_A = .;
   IF (GL20_B <= -1) THEN GL20_B = .;
   IF (GL20_C <= -1) THEN GL20_C = .;
   IF (GL20_D <= -1) THEN GL20_D = .;
   IF (GL20_E <= -1) THEN GL20_E = .;
   IF (GL20_F <= -1) THEN GL20_F = .;
   IF (GL20_G <= -1) THEN GL20_G = .;
   IF (GL20_H <= -1) THEN GL20_H = .;
   IF (GL20_I <= -1) THEN GL20_I = .;
   IF (GL20_J <= -1) THEN GL20_J = .;
   IF (GL20_K <= -1) THEN GL20_K = .;
   IF (GL20_K_1 <= -1) THEN GL20_K_1 = .;
   IF (GL20_K_2 <= -1) THEN GL20_K_2 = .;
   IF (GL20_K_3 <= -1) THEN GL20_K_3 = .;
   IF (GL20_K_4 <= -1) THEN GL20_K_4 = .;
   IF (GL21_A <= -1) THEN GL21_A = .;
   IF (GL21_B <= -1) THEN GL21_B = .;
   IF (GL22_M <= -1) THEN GL22_M = .;
   IF (GL22_Y <= -1) THEN GL22_Y = .;
   IF (GL23 <= -1) THEN GL23 = .;
   IF (GL24 <= -1) THEN GL24 = .;
   IF (GL25 <= -1) THEN GL25 = .;
   IF (GL26_M <= -1) THEN GL26_M = .;
   IF (GL26_Y <= -1) THEN GL26_Y = .;
   IF (GL27 <= -1) THEN GL27 = .;
   IF (GL28 <= -1) THEN GL28 = .;
   IF (GL28A_00 <= -1) THEN GL28A_00 = .;
   IF (GL28A_01 <= -1) THEN GL28A_01 = .;
   IF (GL28A_02 <= -1) THEN GL28A_02 = .;
   IF (GL28A_11 <= -1) THEN GL28A_11 = .;
   IF (GL28A_12 <= -1) THEN GL28A_12 = .;
   IF (GL28A_13 <= -1) THEN GL28A_13 = .;
   IF (GL28A_21 <= -1) THEN GL28A_21 = .;
   IF (GL28A_22 <= -1) THEN GL28A_22 = .;
   IF (GL28A_23 <= -1) THEN GL28A_23 = .;
   IF (GL28A_24 <= -1) THEN GL28A_24 = .;
   IF (GL28A_25 <= -1) THEN GL28A_25 = .;
   IF (GL28A_26 <= -1) THEN GL28A_26 = .;
   IF (GL28A_71 <= -1) THEN GL28A_71 = .;
   IF (GL28A_91 <= -1) THEN GL28A_91 = .;
   IF (GL28B <= -1) THEN GL28B = .;
   IF (GL29 <= -1) THEN GL29 = .;
   IF (GL29_A <= -1) THEN GL29_A = .;
   IF (GL29_B_A <= -1) THEN GL29_B_A = .;
   IF (GL29_B_B <= -1) THEN GL29_B_B = .;
   IF (GL29_B_C <= -1) THEN GL29_B_C = .;
   IF (GL29_B_D <= -1) THEN GL29_B_D = .;
   IF (GL29_B_E <= -1) THEN GL29_B_E = .;
   IF (GL29_B_F <= -1) THEN GL29_B_F = .;
   IF (GL29_B_G <= -1) THEN GL29_B_G = .;
   IF (GL29_B_H <= -1) THEN GL29_B_H = .;
   IF (GL29_B_I <= -1) THEN GL29_B_I = .;
   IF (GL29_B_J <= -1) THEN GL29_B_J = .;
   IF (GL29_B_K <= -1) THEN GL29_B_K = .;
   IF (GL29B_K1 <= -1) THEN GL29B_K1 = .;
   IF (GL29B_K2 <= -1) THEN GL29B_K2 = .;
   IF (GL29B_K3 <= -1) THEN GL29B_K3 = .;
   IF (GL29B_K4 <= -1) THEN GL29B_K4 = .;
   IF (GL29_C <= -1) THEN GL29_C = .;
   IF (GL29_D <= -1) THEN GL29_D = .;
   IF (GL29_E <= -1) THEN GL29_E = .;
   IF (GL30 <= -1) THEN GL30 = .;
   IF (GL30_A <= -1) THEN GL30_A = .;
   IF (GL30_B_M <= -1) THEN GL30_B_M = .;
   IF (GL30C_00 <= -1) THEN GL30C_00 = .;
   IF (GL30C_01 <= -1) THEN GL30C_01 = .;
   IF (GL30C_02 <= -1) THEN GL30C_02 = .;
   IF (GL30C_11 <= -1) THEN GL30C_11 = .;
   IF (GL30C_12 <= -1) THEN GL30C_12 = .;
   IF (GL30C_13 <= -1) THEN GL30C_13 = .;
   IF (GL30C_21 <= -1) THEN GL30C_21 = .;
   IF (GL30C_22 <= -1) THEN GL30C_22 = .;
   IF (GL30C_23 <= -1) THEN GL30C_23 = .;
   IF (GL30C_24 <= -1) THEN GL30C_24 = .;
   IF (GL30C_25 <= -1) THEN GL30C_25 = .;
   IF (GL30C_26 <= -1) THEN GL30C_26 = .;
   IF (GL30C_27 <= -1) THEN GL30C_27 = .;
   IF (GL30C_71 <= -1) THEN GL30C_71 = .;
   IF (GL30C_91 <= -1) THEN GL30C_91 = .;
   IF (GL30_D <= -1) THEN GL30_D = .;
   IF (GL31 <= -1) THEN GL31 = .;
   IF (GL32 <= -1) THEN GL32 = .;
   IF (GL33 <= -1) THEN GL33 = .;
   IF (GL33_A <= -1) THEN GL33_A = .;
   IF (GL33_B <= -1) THEN GL33_B = .;
   IF (GL34 <= -1) THEN GL34 = .;
   IF (GL35 <= -1) THEN GL35 = .;
   IF (GL35_A <= -1) THEN GL35_A = .;
   IF (GL36 <= -1) THEN GL36 = .;
   IF (GL37 <= -1) THEN GL37 = .;
   IF (GL38 <= -1) THEN GL38 = .;
   IF (GL39 <= -1) THEN GL39 = .;
   IF (GL39_A <= -1) THEN GL39_A = .;
   IF (GL39_B <= -1) THEN GL39_B = .;
   IF (GL40 <= -1) THEN GL40 = .;
   IF (GL41 <= -1) THEN GL41 = .;
   IF (GL41_A <= -1) THEN GL41_A = .;
   IF (GL42 <= -1) THEN GL42 = .;
   IF (GL43 <= -1) THEN GL43 = .;
   IF (GL44_A <= -1) THEN GL44_A = .;
   IF (GL44_B <= -1) THEN GL44_B = .;
   IF (GL45_A <= -1) THEN GL45_A = .;
   IF (GL45_B <= -1) THEN GL45_B = .;
   IF (GL45_C <= -1) THEN GL45_C = .;
   IF (GL45_D <= -1) THEN GL45_D = .;
   IF (GL45_E <= -1) THEN GL45_E = .;
   IF (GL45_F <= -1) THEN GL45_F = .;
   IF (GL45_G <= -1) THEN GL45_G = .;
   IF (GL45_H <= -1) THEN GL45_H = .;
   IF (GL45_I <= -1) THEN GL45_I = .;
   IF (GL45_J <= -1) THEN GL45_J = .;
   IF (GL45_K <= -1) THEN GL45_K = .;
   IF (GL45_L <= -1) THEN GL45_L = .;
   IF (GL46 <= -1) THEN GL46 = .;
   IF (GL47_01 <= -1) THEN GL47_01 = .;
   IF (GL47_02 <= -1) THEN GL47_02 = .;
   IF (GL47_11 <= -1) THEN GL47_11 = .;
   IF (GL47_12 <= -1) THEN GL47_12 = .;
   IF (GL47_13 <= -1) THEN GL47_13 = .;
   IF (GL47_21 <= -1) THEN GL47_21 = .;
   IF (GL47_22 <= -1) THEN GL47_22 = .;
   IF (GL47_23 <= -1) THEN GL47_23 = .;
   IF (GL47_71 <= -1) THEN GL47_71 = .;
   IF (GL47_91 <= -1) THEN GL47_91 = .;
   IF (GL48_A <= -1) THEN GL48_A = .;
   IF (GL48_B <= -1) THEN GL48_B = .;
   IF (GL48_C <= -1) THEN GL48_C = .;
   IF (GL48_D <= -1) THEN GL48_D = .;
   IF (GL48_E <= -1) THEN GL48_E = .;
   IF (GL48_F <= -1) THEN GL48_F = .;
   IF (GL48_G <= -1) THEN GL48_G = .;
   IF (GL48_H <= -1) THEN GL48_H = .;
   IF (GL48_I <= -1) THEN GL48_I = .;
   IF (GL48_J <= -1) THEN GL48_J = .;
   IF (GL48_K <= -1) THEN GL48_K = .;
   IF (GL48_K_1 <= -1) THEN GL48_K_1 = .;
   IF (GL48_K_2 <= -1) THEN GL48_K_2 = .;
   IF (GL48_K_3 <= -1) THEN GL48_K_3 = .;
   IF (GL48_K_4 <= -1) THEN GL48_K_4 = .;
   IF (GL49_A <= -1) THEN GL49_A = .;
   IF (GL49_B <= -1) THEN GL49_B = .;
   IF (GL50 <= -1) THEN GL50 = .;
   IF (GL50_A <= -1) THEN GL50_A = .;
   IF (GL51 <= -1) THEN GL51 = .;
   IF (GL52 <= -1) THEN GL52 = .;
   IF (GL55 <= -1) THEN GL55 = .;
   IF (GL56 <= -1) THEN GL56 = .;
   IF (GL57 <= -1) THEN GL57 = .;
   IF (GL58 <= -1) THEN GL58 = .;
   IF (GL58_A_1 <= -1) THEN GL58_A_1 = .;
   IF (GL58_A_2 <= -1) THEN GL58_A_2 = .;
   IF (GL58_A_3 <= -1) THEN GL58_A_3 = .;
   IF (GL58_A_4 <= -1) THEN GL58_A_4 = .;
   IF (GL58_B <= -1) THEN GL58_B = .;
   IF (GL58_C_M <= -1) THEN GL58_C_M = .;
   IF (GL58_D <= -1) THEN GL58_D = .;
   IF (GL59_A <= -1) THEN GL59_A = .;
   IF (GL59_B <= -1) THEN GL59_B = .;
   IF (GL60 <= -1) THEN GL60 = .;
   IF (GL63 <= -1) THEN GL63 = .;
   IF (GL64 <= -1) THEN GL64 = .;
   IF (GL65_01 <= -1) THEN GL65_01 = .;
   IF (GL65_02 <= -1) THEN GL65_02 = .;
   IF (GL65_11 <= -1) THEN GL65_11 = .;
   IF (GL65_12 <= -1) THEN GL65_12 = .;
   IF (GL65_13 <= -1) THEN GL65_13 = .;
   IF (GL65_21 <= -1) THEN GL65_21 = .;
   IF (GL65_22 <= -1) THEN GL65_22 = .;
   IF (GL65_23 <= -1) THEN GL65_23 = .;
   IF (GL65_28 <= -1) THEN GL65_28 = .;
   IF (GL65_71 <= -1) THEN GL65_71 = .;
   IF (GL65_91 <= -1) THEN GL65_91 = .;
   IF (GL65_A_1 <= -1) THEN GL65_A_1 = .;
   IF (GL65_A_2 <= -1) THEN GL65_A_2 = .;
   IF (GL66 <= -1) THEN GL66 = .;
   IF (GL66_A <= -1) THEN GL66_A = .;
   IF (GL66_B <= -1) THEN GL66_B = .;
   IF (GL66_C_1 <= -1) THEN GL66_C_1 = .;
   IF (GL66_C_2 <= -1) THEN GL66_C_2 = .;
   IF (GL66_C_3 <= -1) THEN GL66_C_3 = .;
   IF (GL66_C_4 <= -1) THEN GL66_C_4 = .;
   IF (GL66_C_5 <= -1) THEN GL66_C_5 = .;
   IF (GL66_C_6 <= -1) THEN GL66_C_6 = .;
   IF (GL66_C_7 <= -1) THEN GL66_C_7 = .;
   IF (GL66_C_8 <= -1) THEN GL66_C_8 = .;
   IF (GL66_C_9 <= -1) THEN GL66_C_9 = .;
   IF (GL66_D <= -1) THEN GL66_D = .;
   IF (GL66_E <= -1) THEN GL66_E = .;
   IF (GL66_F <= -1) THEN GL66_F = .;
   IF (GL66_G_1 <= -1) THEN GL66_G_1 = .;
   IF (GL66_G_2 <= -1) THEN GL66_G_2 = .;
   IF (GL66_G_3 <= -1) THEN GL66_G_3 = .;
   IF (GL66_G_4 <= -1) THEN GL66_G_4 = .;
   IF (GL66_G_5 <= -1) THEN GL66_G_5 = .;
   IF (GL66_H_1 <= -1) THEN GL66_H_1 = .;
   IF (GL66_H_2 <= -1) THEN GL66_H_2 = .;
   IF (GL66_H_3 <= -1) THEN GL66_H_3 = .;
   IF (GL66_H_4 <= -1) THEN GL66_H_4 = .;
   IF (GL66_H_5 <= -1) THEN GL66_H_5 = .;
   IF (GL66_H_6 <= -1) THEN GL66_H_6 = .;
   IF (GL66_H_7 <= -1) THEN GL66_H_7 = .;
   IF (GL66_H_8 <= -1) THEN GL66_H_8 = .;
   IF (GL66_H_9 <= -1) THEN GL66_H_9 = .;
   IF (GL66_I <= -1) THEN GL66_I = .;
   IF (GL67 <= -1) THEN GL67 = .;
   IF (GL67_A <= -1) THEN GL67_A = .;
   IF (GL67_B <= -1) THEN GL67_B = .;
   IF (GL67_C_1 <= -1) THEN GL67_C_1 = .;
   IF (GL67_C_2 <= -1) THEN GL67_C_2 = .;
   IF (GL67_C_3 <= -1) THEN GL67_C_3 = .;
   IF (GL67_C_4 <= -1) THEN GL67_C_4 = .;
   IF (GL67_C_5 <= -1) THEN GL67_C_5 = .;
   IF (GL67_C_6 <= -1) THEN GL67_C_6 = .;
   IF (GL67_C_7 <= -1) THEN GL67_C_7 = .;
   IF (GL67_C_8 <= -1) THEN GL67_C_8 = .;
   IF (GL67_C_9 <= -1) THEN GL67_C_9 = .;
   IF (GL67_D <= -1) THEN GL67_D = .;
   IF (GL67_E <= -1) THEN GL67_E = .;
   IF (GL67_F <= -1) THEN GL67_F = .;
   IF (GL67_G_1 <= -1) THEN GL67_G_1 = .;
   IF (GL67_G_2 <= -1) THEN GL67_G_2 = .;
   IF (GL67_G_3 <= -1) THEN GL67_G_3 = .;
   IF (GL67_G_4 <= -1) THEN GL67_G_4 = .;
   IF (GL67_G_5 <= -1) THEN GL67_G_5 = .;
   IF (GL67_H_1 <= -1) THEN GL67_H_1 = .;
   IF (GL67_H_2 <= -1) THEN GL67_H_2 = .;
   IF (GL67_H_3 <= -1) THEN GL67_H_3 = .;
   IF (GL67_H_4 <= -1) THEN GL67_H_4 = .;
   IF (GL67_H_5 <= -1) THEN GL67_H_5 = .;
   IF (GL67_H_6 <= -1) THEN GL67_H_6 = .;
   IF (GL67_H_7 <= -1) THEN GL67_H_7 = .;
   IF (GL67_H_8 <= -1) THEN GL67_H_8 = .;
   IF (GL67_H_9 <= -1) THEN GL67_H_9 = .;
   IF (GL67_I <= -1) THEN GL67_I = .;
   IF (GL68 <= -1) THEN GL68 = .;
   IF (GL68A_1 <= -1) THEN GL68A_1 = .;
   IF (GL68A_2 <= -1) THEN GL68A_2 = .;
   IF (GL68A_3 <= -1) THEN GL68A_3 = .;
   IF (GL68A_4 <= -1) THEN GL68A_4 = .;
   IF (GL68A_5 <= -1) THEN GL68A_5 = .;
   IF (GL68A_6 <= -1) THEN GL68A_6 = .;
   IF (GL68B_1 <= -1) THEN GL68B_1 = .;
   IF (GL68C_1 <= -1) THEN GL68C_1 = .;
   IF (GL68D_1 <= -1) THEN GL68D_1 = .;
   IF (GL68E_1 <= -1) THEN GL68E_1 = .;
   IF (GL68F1_1 <= -1) THEN GL68F1_1 = .;
   IF (GL68F1_2 <= -1) THEN GL68F1_2 = .;
   IF (GL68F111 <= -1) THEN GL68F111 = .;
   IF (GL68F112 <= -1) THEN GL68F112 = .;
   IF (GL68F113 <= -1) THEN GL68F113 = .;
   IF (GL68F121 <= -1) THEN GL68F121 = .;
   IF (GL68F122 <= -1) THEN GL68F122 = .;
   IF (GL68F123 <= -1) THEN GL68F123 = .;
   IF (GL68F128 <= -1) THEN GL68F128 = .;
   IF (GL68F171 <= -1) THEN GL68F171 = .;
   IF (GL68F191 <= -1) THEN GL68F191 = .;
   IF (GL68G_1 <= -1) THEN GL68G_1 = .;
   IF (GL68B_2 <= -1) THEN GL68B_2 = .;
   IF (GL68C_2 <= -1) THEN GL68C_2 = .;
   IF (GL68D_2 <= -1) THEN GL68D_2 = .;
   IF (GL68E_2 <= -1) THEN GL68E_2 = .;
   IF (GL68F2_1 <= -1) THEN GL68F2_1 = .;
   IF (GL68F2_2 <= -1) THEN GL68F2_2 = .;
   IF (GL68F211 <= -1) THEN GL68F211 = .;
   IF (GL68F212 <= -1) THEN GL68F212 = .;
   IF (GL68F213 <= -1) THEN GL68F213 = .;
   IF (GL68F221 <= -1) THEN GL68F221 = .;
   IF (GL68F222 <= -1) THEN GL68F222 = .;
   IF (GL68F223 <= -1) THEN GL68F223 = .;
   IF (GL68F228 <= -1) THEN GL68F228 = .;
   IF (GL68F271 <= -1) THEN GL68F271 = .;
   IF (GL68F291 <= -1) THEN GL68F291 = .;
   IF (GL68G_2 <= -1) THEN GL68G_2 = .;
   IF (GL69 <= -1) THEN GL69 = .;
   IF (GL69_A_1 <= -1) THEN GL69_A_1 = .;
   IF (GL69_B_1 <= -1) THEN GL69_B_1 = .;
   IF (GL69_A_2 <= -1) THEN GL69_A_2 = .;
   IF (GL69_B_2 <= -1) THEN GL69_B_2 = .;
   IF (GL69_A_3 <= -1) THEN GL69_A_3 = .;
   IF (GL69_B_3 <= -1) THEN GL69_B_3 = .;
   IF (GL69_A_4 <= -1) THEN GL69_A_4 = .;
   IF (GL69_B_4 <= -1) THEN GL69_B_4 = .;
   IF (GL69_A_5 <= -1) THEN GL69_A_5 = .;
   IF (GL69_B_5 <= -1) THEN GL69_B_5 = .;
   IF (GL70 <= -1) THEN GL70 = .;
   IF (GL71 <= -1) THEN GL71 = .;
   IF (GL72_01 <= -1) THEN GL72_01 = .;
   IF (GL72_02 <= -1) THEN GL72_02 = .;
   IF (GL72_22 <= -1) THEN GL72_22 = .;
   IF (GL72_23 <= -1) THEN GL72_23 = .;
   IF (GL72_24 <= -1) THEN GL72_24 = .;
   IF (GL72_25 <= -1) THEN GL72_25 = .;
   IF (GL72_26 <= -1) THEN GL72_26 = .;
   IF (GL72_71 <= -1) THEN GL72_71 = .;
   IF (GL72_91 <= -1) THEN GL72_91 = .;
   IF (GL72_A1 <= -1) THEN GL72_A1 = .;
   IF (GL72_A2 <= -1) THEN GL72_A2 = .;
   IF (GL73 <= -1) THEN GL73 = .;
   IF (GL73_A <= -1) THEN GL73_A = .;
   IF (GL73_B01 <= -1) THEN GL73_B01 = .;
   IF (GL73_B02 <= -1) THEN GL73_B02 = .;
   IF (GL73_B03 <= -1) THEN GL73_B03 = .;
   IF (GL73_B04 <= -1) THEN GL73_B04 = .;
   IF (GL73_B05 <= -1) THEN GL73_B05 = .;
   IF (GL73_B06 <= -1) THEN GL73_B06 = .;
   IF (GL73_B07 <= -1) THEN GL73_B07 = .;
   IF (GL73_B08 <= -1) THEN GL73_B08 = .;
   IF (GL73_B09 <= -1) THEN GL73_B09 = .;
   IF (GL73_C <= -1) THEN GL73_C = .;
   IF (GL74 <= -1) THEN GL74 = .;
   IF (GL74_A <= -1) THEN GL74_A = .;
   IF (GL74_B01 <= -1) THEN GL74_B01 = .;
   IF (GL74_B02 <= -1) THEN GL74_B02 = .;
   IF (GL74_B03 <= -1) THEN GL74_B03 = .;
   IF (GL74_B04 <= -1) THEN GL74_B04 = .;
   IF (GL74_B05 <= -1) THEN GL74_B05 = .;
   IF (GL74_B06 <= -1) THEN GL74_B06 = .;
   IF (GL74_B07 <= -1) THEN GL74_B07 = .;
   IF (GL74_B08 <= -1) THEN GL74_B08 = .;
   IF (GL74_B09 <= -1) THEN GL74_B09 = .;
   IF (GL74_C <= -1) THEN GL74_C = .;
   IF (GL75 <= -1) THEN GL75 = .;
   IF (GL75_A_1 <= -1) THEN GL75_A_1 = .;
   IF (GL75_A_2 <= -1) THEN GL75_A_2 = .;
   IF (GL75_A_3 <= -1) THEN GL75_A_3 = .;
   IF (GL75_A_4 <= -1) THEN GL75_A_4 = .;
   IF (GL75_A_5 <= -1) THEN GL75_A_5 = .;
   IF (GL75_A_6 <= -1) THEN GL75_A_6 = .;
   IF (GL75B_1 <= -1) THEN GL75B_1 = .;
   IF (GL75C_1 <= -1) THEN GL75C_1 = .;
   IF (GL75D_1 <= -1) THEN GL75D_1 = .;
   IF (GL75E_1 <= -1) THEN GL75E_1 = .;
   IF (GL75F101 <= -1) THEN GL75F101 = .;
   IF (GL75F102 <= -1) THEN GL75F102 = .;
   IF (GL75F122 <= -1) THEN GL75F122 = .;
   IF (GL75F123 <= -1) THEN GL75F123 = .;
   IF (GL75F124 <= -1) THEN GL75F124 = .;
   IF (GL75F125 <= -1) THEN GL75F125 = .;
   IF (GL75F126 <= -1) THEN GL75F126 = .;
   IF (GL75F171 <= -1) THEN GL75F171 = .;
   IF (GL75F191 <= -1) THEN GL75F191 = .;
   IF (GL75G_1 <= -1) THEN GL75G_1 = .;
   IF (GL75B_2 <= -1) THEN GL75B_2 = .;
   IF (GL75C_2 <= -1) THEN GL75C_2 = .;
   IF (GL75D_2 <= -1) THEN GL75D_2 = .;
   IF (GL75E_2 <= -1) THEN GL75E_2 = .;
   IF (GL75F201 <= -1) THEN GL75F201 = .;
   IF (GL75F202 <= -1) THEN GL75F202 = .;
   IF (GL75F222 <= -1) THEN GL75F222 = .;
   IF (GL75F223 <= -1) THEN GL75F223 = .;
   IF (GL75F224 <= -1) THEN GL75F224 = .;
   IF (GL75F225 <= -1) THEN GL75F225 = .;
   IF (GL75F226 <= -1) THEN GL75F226 = .;
   IF (GL75F271 <= -1) THEN GL75F271 = .;
   IF (GL75F291 <= -1) THEN GL75F291 = .;
   IF (GL75G_2 <= -1) THEN GL75G_2 = .;
   IF (GL76 <= -1) THEN GL76 = .;
   IF (GL76_A_1 <= -1) THEN GL76_A_1 = .;
   IF (GL76_A_2 <= -1) THEN GL76_A_2 = .;
   IF (GL76_A_3 <= -1) THEN GL76_A_3 = .;
   IF (GL76_A_4 <= -1) THEN GL76_A_4 = .;
   IF (GL77 <= -1) THEN GL77 = .;
   IF (GL77_A <= -1) THEN GL77_A = .;
   IF (GL77B_01 <= -1) THEN GL77B_01 = .;
   IF (GL77B_02 <= -1) THEN GL77B_02 = .;
   IF (GL77B_11 <= -1) THEN GL77B_11 = .;
   IF (GL77B_12 <= -1) THEN GL77B_12 = .;
   IF (GL77B_13 <= -1) THEN GL77B_13 = .;
   IF (GL77B_21 <= -1) THEN GL77B_21 = .;
   IF (GL77B_22 <= -1) THEN GL77B_22 = .;
   IF (GL77B_23 <= -1) THEN GL77B_23 = .;
   IF (GL77B_24 <= -1) THEN GL77B_24 = .;
   IF (GL77B_25 <= -1) THEN GL77B_25 = .;
   IF (GL77B_26 <= -1) THEN GL77B_26 = .;
   IF (GL77B_27 <= -1) THEN GL77B_27 = .;
   IF (GL77B_28 <= -1) THEN GL77B_28 = .;
   IF (GL77B_71 <= -1) THEN GL77B_71 = .;
   IF (GL77B_91 <= -1) THEN GL77B_91 = .;
   IF (GL77_C_1 <= -1) THEN GL77_C_1 = .;
   IF (GL77_C_2 <= -1) THEN GL77_C_2 = .;
   IF (GL77_C_3 <= -1) THEN GL77_C_3 = .;
   IF (GL77_C_4 <= -1) THEN GL77_C_4 = .;
   IF (GL77_C_5 <= -1) THEN GL77_C_5 = .;
   IF (GL77_C_6 <= -1) THEN GL77_C_6 = .;
   IF (GL77_C_7 <= -1) THEN GL77_C_7 = .;
   IF (GL77_C_8 <= -1) THEN GL77_C_8 = .;
   IF (GL78 <= -1) THEN GL78 = .;
   IF (GL79 <= -1) THEN GL79 = .;
   IF (GL80_01 <= -1) THEN GL80_01 = .;
   IF (GL80_02 <= -1) THEN GL80_02 = .;
   IF (GL80_11 <= -1) THEN GL80_11 = .;
   IF (GL80_12 <= -1) THEN GL80_12 = .;
   IF (GL80_13 <= -1) THEN GL80_13 = .;
   IF (GL80_21 <= -1) THEN GL80_21 = .;
   IF (GL80_22 <= -1) THEN GL80_22 = .;
   IF (GL80_23 <= -1) THEN GL80_23 = .;
   IF (GL80_28 <= -1) THEN GL80_28 = .;
   IF (GL80_71 <= -1) THEN GL80_71 = .;
   IF (GL80_91 <= -1) THEN GL80_91 = .;
   IF (GL80_A1 <= -1) THEN GL80_A1 = .;
   IF (GL80_A2 <= -1) THEN GL80_A2 = .;
   IF (GL81_01 <= -1) THEN GL81_01 = .;
   IF (GL81_02 <= -1) THEN GL81_02 = .;
   IF (GL81_03 <= -1) THEN GL81_03 = .;
   IF (GL81_A <= -1) THEN GL81_A = .;
   IF (GL81_B <= -1) THEN GL81_B = .;
   IF (GL81_C_1 <= -1) THEN GL81_C_1 = .;
   IF (GL81_C_2 <= -1) THEN GL81_C_2 = .;
   IF (GL81_C_3 <= -1) THEN GL81_C_3 = .;
   IF (GL81_C_4 <= -1) THEN GL81_C_4 = .;
   IF (GL81_C_5 <= -1) THEN GL81_C_5 = .;
   IF (GL81_C_6 <= -1) THEN GL81_C_6 = .;
   IF (GL81_D <= -1) THEN GL81_D = .;
   IF (GL81_E <= -1) THEN GL81_E = .;
   IF (GL81_F <= -1) THEN GL81_F = .;
   IF (GL81_G_1 <= -1) THEN GL81_G_1 = .;
   IF (GL81_G_2 <= -1) THEN GL81_G_2 = .;
   IF (GL81_G_3 <= -1) THEN GL81_G_3 = .;
   IF (GL81_G_4 <= -1) THEN GL81_G_4 = .;
   IF (GL81_G_5 <= -1) THEN GL81_G_5 = .;
   IF (GL81_H_1 <= -1) THEN GL81_H_1 = .;
   IF (GL81_H_2 <= -1) THEN GL81_H_2 = .;
   IF (GL81_H_3 <= -1) THEN GL81_H_3 = .;
   IF (GL81_H_4 <= -1) THEN GL81_H_4 = .;
   IF (GL81_H_5 <= -1) THEN GL81_H_5 = .;
   IF (GL81_H_6 <= -1) THEN GL81_H_6 = .;
   IF (GL81_I <= -1) THEN GL81_I = .;
   IF (GL81_J <= -1) THEN GL81_J = .;
   IF (GL81_K_1 <= -1) THEN GL81_K_1 = .;
   IF (GL81_K_2 <= -1) THEN GL81_K_2 = .;
   IF (GL81_K_3 <= -1) THEN GL81_K_3 = .;
   IF (GL81_K_4 <= -1) THEN GL81_K_4 = .;
   IF (GL81_K_5 <= -1) THEN GL81_K_5 = .;
   IF (GL81_K_6 <= -1) THEN GL81_K_6 = .;
   IF (GL81_K_7 <= -1) THEN GL81_K_7 = .;
   IF (GL81_K_8 <= -1) THEN GL81_K_8 = .;
   IF (GL81_L_1 <= -1) THEN GL81_L_1 = .;
   IF (GL81_L_2 <= -1) THEN GL81_L_2 = .;
   IF (GL81_L_3 <= -1) THEN GL81_L_3 = .;
   IF (GL81_L_4 <= -1) THEN GL81_L_4 = .;
   IF (GL81_L_5 <= -1) THEN GL81_L_5 = .;
   IF (GL81_L_6 <= -1) THEN GL81_L_6 = .;
   IF (GL81_M <= -1) THEN GL81_M = .;
   IF (GL82_01 <= -1) THEN GL82_01 = .;
   IF (GL82_02 <= -1) THEN GL82_02 = .;
   IF (GL82_03 <= -1) THEN GL82_03 = .;
   IF (GL82_A <= -1) THEN GL82_A = .;
   IF (GL82_B <= -1) THEN GL82_B = .;
   IF (GL82_C_1 <= -1) THEN GL82_C_1 = .;
   IF (GL82_C_2 <= -1) THEN GL82_C_2 = .;
   IF (GL82_C_3 <= -1) THEN GL82_C_3 = .;
   IF (GL82_C_4 <= -1) THEN GL82_C_4 = .;
   IF (GL82_C_5 <= -1) THEN GL82_C_5 = .;
   IF (GL82_C_6 <= -1) THEN GL82_C_6 = .;
   IF (GL82_D <= -1) THEN GL82_D = .;
   IF (GL82_E <= -1) THEN GL82_E = .;
   IF (GL82_F <= -1) THEN GL82_F = .;
   IF (GL82_G_1 <= -1) THEN GL82_G_1 = .;
   IF (GL82_G_2 <= -1) THEN GL82_G_2 = .;
   IF (GL82_G_3 <= -1) THEN GL82_G_3 = .;
   IF (GL82_G_4 <= -1) THEN GL82_G_4 = .;
   IF (GL82_G_5 <= -1) THEN GL82_G_5 = .;
   IF (GL82_H_1 <= -1) THEN GL82_H_1 = .;
   IF (GL82_H_2 <= -1) THEN GL82_H_2 = .;
   IF (GL82_H_3 <= -1) THEN GL82_H_3 = .;
   IF (GL82_H_4 <= -1) THEN GL82_H_4 = .;
   IF (GL82_H_5 <= -1) THEN GL82_H_5 = .;
   IF (GL82_H_6 <= -1) THEN GL82_H_6 = .;
   IF (GL82_I <= -1) THEN GL82_I = .;
   IF (GL82_J <= -1) THEN GL82_J = .;
   IF (GL82_K_1 <= -1) THEN GL82_K_1 = .;
   IF (GL82_K_2 <= -1) THEN GL82_K_2 = .;
   IF (GL82_K_3 <= -1) THEN GL82_K_3 = .;
   IF (GL82_K_4 <= -1) THEN GL82_K_4 = .;
   IF (GL82_K_5 <= -1) THEN GL82_K_5 = .;
   IF (GL82_K_6 <= -1) THEN GL82_K_6 = .;
   IF (GL82_K_7 <= -1) THEN GL82_K_7 = .;
   IF (GL82_K_8 <= -1) THEN GL82_K_8 = .;
   IF (GL82_L_1 <= -1) THEN GL82_L_1 = .;
   IF (GL82_L_2 <= -1) THEN GL82_L_2 = .;
   IF (GL82_L_3 <= -1) THEN GL82_L_3 = .;
   IF (GL82_L_4 <= -1) THEN GL82_L_4 = .;
   IF (GL82_L_5 <= -1) THEN GL82_L_5 = .;
   IF (GL82_L_6 <= -1) THEN GL82_L_6 = .;
   IF (GL82_M <= -1) THEN GL82_M = .;
   IF (GL83 <= -1) THEN GL83 = .;
   IF (GL83A_1 <= -1) THEN GL83A_1 = .;
   IF (GL83A_2 <= -1) THEN GL83A_2 = .;
   IF (GL83A_3 <= -1) THEN GL83A_3 = .;
   IF (GL83A_4 <= -1) THEN GL83A_4 = .;
   IF (GL83A_5 <= -1) THEN GL83A_5 = .;
   IF (GL83B_1 <= -1) THEN GL83B_1 = .;
   IF (GL83C_1 <= -1) THEN GL83C_1 = .;
   IF (GL83D_1 <= -1) THEN GL83D_1 = .;
   IF (GL83E_1 <= -1) THEN GL83E_1 = .;
   IF (GL83F1_1 <= -1) THEN GL83F1_1 = .;
   IF (GL83F1_2 <= -1) THEN GL83F1_2 = .;
   IF (GL83F111 <= -1) THEN GL83F111 = .;
   IF (GL83F112 <= -1) THEN GL83F112 = .;
   IF (GL83F113 <= -1) THEN GL83F113 = .;
   IF (GL83F121 <= -1) THEN GL83F121 = .;
   IF (GL83F122 <= -1) THEN GL83F122 = .;
   IF (GL83F123 <= -1) THEN GL83F123 = .;
   IF (GL83F128 <= -1) THEN GL83F128 = .;
   IF (GL83F171 <= -1) THEN GL83F171 = .;
   IF (GL83F191 <= -1) THEN GL83F191 = .;
   IF (GL83G_1 <= -1) THEN GL83G_1 = .;
   IF (GL83B_2 <= -1) THEN GL83B_2 = .;
   IF (GL83C_2 <= -1) THEN GL83C_2 = .;
   IF (GL83D_2 <= -1) THEN GL83D_2 = .;
   IF (GL83E_2 <= -1) THEN GL83E_2 = .;
   IF (GL83F2_1 <= -1) THEN GL83F2_1 = .;
   IF (GL83F2_2 <= -1) THEN GL83F2_2 = .;
   IF (GL83F211 <= -1) THEN GL83F211 = .;
   IF (GL83F212 <= -1) THEN GL83F212 = .;
   IF (GL83F213 <= -1) THEN GL83F213 = .;
   IF (GL83F221 <= -1) THEN GL83F221 = .;
   IF (GL83F222 <= -1) THEN GL83F222 = .;
   IF (GL83F223 <= -1) THEN GL83F223 = .;
   IF (GL83F228 <= -1) THEN GL83F228 = .;
   IF (GL83F271 <= -1) THEN GL83F271 = .;
   IF (GL83F291 <= -1) THEN GL83F291 = .;
   IF (GL83G_2 <= -1) THEN GL83G_2 = .;
   IF (GL84 <= -1) THEN GL84 = .;
   IF (GL85 <= -1) THEN GL85 = .;
   IF (GL86_01 <= -1) THEN GL86_01 = .;
   IF (GL86_02 <= -1) THEN GL86_02 = .;
   IF (GL86_11 <= -1) THEN GL86_11 = .;
   IF (GL86_12 <= -1) THEN GL86_12 = .;
   IF (GL86_13 <= -1) THEN GL86_13 = .;
   IF (GL86_21 <= -1) THEN GL86_21 = .;
   IF (GL86_22 <= -1) THEN GL86_22 = .;
   IF (GL86_23 <= -1) THEN GL86_23 = .;
   IF (GL86_27 <= -1) THEN GL86_27 = .;
   IF (GL86_29 <= -1) THEN GL86_29 = .;
   IF (GL86_71 <= -1) THEN GL86_71 = .;
   IF (GL86_91 <= -1) THEN GL86_91 = .;
   IF (GL86_A1 <= -1) THEN GL86_A1 = .;
   IF (GL86_A2 <= -1) THEN GL86_A2 = .;
   IF (GL87_01 <= -1) THEN GL87_01 = .;
   IF (GL87_02 <= -1) THEN GL87_02 = .;
   IF (GL87_03 <= -1) THEN GL87_03 = .;
   IF (GL87_B <= -1) THEN GL87_B = .;
   IF (GL87_C <= -1) THEN GL87_C = .;
   IF (GL87_D <= -1) THEN GL87_D = .;
   IF (GL87_E <= -1) THEN GL87_E = .;
   IF (GL87_F <= -1) THEN GL87_F = .;
   IF (GL87_G_1 <= -1) THEN GL87_G_1 = .;
   IF (GL87_G_2 <= -1) THEN GL87_G_2 = .;
   IF (GL87_G_3 <= -1) THEN GL87_G_3 = .;
   IF (GL87_G_4 <= -1) THEN GL87_G_4 = .;
   IF (GL87_G_5 <= -1) THEN GL87_G_5 = .;
   IF (GL87_G_6 <= -1) THEN GL87_G_6 = .;
   IF (GL87_G_7 <= -1) THEN GL87_G_7 = .;
   IF (GL87_G_8 <= -1) THEN GL87_G_8 = .;
   IF (GL87_H <= -1) THEN GL87_H = .;
   IF (GL87_I <= -1) THEN GL87_I = .;
   IF (GL87_J <= -1) THEN GL87_J = .;
   IF (GL87_K <= -1) THEN GL87_K = .;
   IF (GL87_L_1 <= -1) THEN GL87_L_1 = .;
   IF (GL87_L_2 <= -1) THEN GL87_L_2 = .;
   IF (GL87_L_3 <= -1) THEN GL87_L_3 = .;
   IF (GL87_L_4 <= -1) THEN GL87_L_4 = .;
   IF (GL87_L_5 <= -1) THEN GL87_L_5 = .;
   IF (GL87_L_6 <= -1) THEN GL87_L_6 = .;
   IF (GL87_M <= -1) THEN GL87_M = .;
   IF (GL87_N <= -1) THEN GL87_N = .;
   IF (GL87_O <= -1) THEN GL87_O = .;
   IF (GL87_P <= -1) THEN GL87_P = .;
   IF (GL88_01 <= -1) THEN GL88_01 = .;
   IF (GL88_02 <= -1) THEN GL88_02 = .;
   IF (GL88_03 <= -1) THEN GL88_03 = .;
   IF (GL88_A <= -1) THEN GL88_A = .;
   IF (GL88_B <= -1) THEN GL88_B = .;
   IF (GL88_C <= -1) THEN GL88_C = .;
   IF (GL88_D <= -1) THEN GL88_D = .;
   IF (GL88_E <= -1) THEN GL88_E = .;
   IF (GL88_F <= -1) THEN GL88_F = .;
   IF (GL88_G_1 <= -1) THEN GL88_G_1 = .;
   IF (GL88_G_2 <= -1) THEN GL88_G_2 = .;
   IF (GL88_G_3 <= -1) THEN GL88_G_3 = .;
   IF (GL88_G_4 <= -1) THEN GL88_G_4 = .;
   IF (GL88_G_5 <= -1) THEN GL88_G_5 = .;
   IF (GL88_G_6 <= -1) THEN GL88_G_6 = .;
   IF (GL88_G_7 <= -1) THEN GL88_G_7 = .;
   IF (GL88_G_8 <= -1) THEN GL88_G_8 = .;
   IF (GL88_H <= -1) THEN GL88_H = .;
   IF (GL88_I <= -1) THEN GL88_I = .;
   IF (GL88_J <= -1) THEN GL88_J = .;
   IF (GL88_K <= -1) THEN GL88_K = .;
   IF (GL88_L_1 <= -1) THEN GL88_L_1 = .;
   IF (GL88_L_2 <= -1) THEN GL88_L_2 = .;
   IF (GL88_L_3 <= -1) THEN GL88_L_3 = .;
   IF (GL88_L_4 <= -1) THEN GL88_L_4 = .;
   IF (GL88_L_5 <= -1) THEN GL88_L_5 = .;
   IF (GL88_L_6 <= -1) THEN GL88_L_6 = .;
   IF (GL88_M <= -1) THEN GL88_M = .;
   IF (GL88_N <= -1) THEN GL88_N = .;
   IF (GL88_O <= -1) THEN GL88_O = .;
   IF (GL88_P <= -1) THEN GL88_P = .;
   IF (GL89 <= -1) THEN GL89 = .;
   IF (GL89_A_1 <= -1) THEN GL89_A_1 = .;
   IF (GL89_A_2 <= -1) THEN GL89_A_2 = .;
   IF (GL89_A_3 <= -1) THEN GL89_A_3 = .;
   IF (GL89_A_4 <= -1) THEN GL89_A_4 = .;
   IF (GL89_A_5 <= -1) THEN GL89_A_5 = .;
   IF (GL89_A_6 <= -1) THEN GL89_A_6 = .;
   IF (GL89_A_7 <= -1) THEN GL89_A_7 = .;
   IF (GL89_A_8 <= -1) THEN GL89_A_8 = .;
   IF (GL89_A_9 <= -1) THEN GL89_A_9 = .;
   IF (GL89B_1 <= -1) THEN GL89B_1 = .;
   IF (GL89C_1 <= -1) THEN GL89C_1 = .;
   IF (GL89D_1 <= -1) THEN GL89D_1 = .;
   IF (GL89E_1 <= -1) THEN GL89E_1 = .;
   IF (GL89F1_1 <= -1) THEN GL89F1_1 = .;
   IF (GL89F1_2 <= -1) THEN GL89F1_2 = .;
   IF (GL89F111 <= -1) THEN GL89F111 = .;
   IF (GL89F112 <= -1) THEN GL89F112 = .;
   IF (GL89F113 <= -1) THEN GL89F113 = .;
   IF (GL89F121 <= -1) THEN GL89F121 = .;
   IF (GL89F122 <= -1) THEN GL89F122 = .;
   IF (GL89F123 <= -1) THEN GL89F123 = .;
   IF (GL89F127 <= -1) THEN GL89F127 = .;
   IF (GL89F129 <= -1) THEN GL89F129 = .;
   IF (GL89F171 <= -1) THEN GL89F171 = .;
   IF (GL89F191 <= -1) THEN GL89F191 = .;
   IF (GL89G_1 <= -1) THEN GL89G_1 = .;
   IF (GL89B_2 <= -1) THEN GL89B_2 = .;
   IF (GL89C_2 <= -1) THEN GL89C_2 = .;
   IF (GL89D_2 <= -1) THEN GL89D_2 = .;
   IF (GL89E_2 <= -1) THEN GL89E_2 = .;
   IF (GL89F2_1 <= -1) THEN GL89F2_1 = .;
   IF (GL89F2_2 <= -1) THEN GL89F2_2 = .;
   IF (GL89F211 <= -1) THEN GL89F211 = .;
   IF (GL89F212 <= -1) THEN GL89F212 = .;
   IF (GL89F213 <= -1) THEN GL89F213 = .;
   IF (GL89F221 <= -1) THEN GL89F221 = .;
   IF (GL89F222 <= -1) THEN GL89F222 = .;
   IF (GL89F223 <= -1) THEN GL89F223 = .;
   IF (GL89F227 <= -1) THEN GL89F227 = .;
   IF (GL89F229 <= -1) THEN GL89F229 = .;
   IF (GL89F271 <= -1) THEN GL89F271 = .;
   IF (GL89F291 <= -1) THEN GL89F291 = .;
   IF (GL89G_2 <= -1) THEN GL89G_2 = .;
   IF (GL90 <= -1) THEN GL90 = .;
   IF (GL91 <= -1) THEN GL91 = .;
   IF (GL92_01 <= -1) THEN GL92_01 = .;
   IF (GL92_02 <= -1) THEN GL92_02 = .;
   IF (GL92_11 <= -1) THEN GL92_11 = .;
   IF (GL92_12 <= -1) THEN GL92_12 = .;
   IF (GL92_13 <= -1) THEN GL92_13 = .;
   IF (GL92_21 <= -1) THEN GL92_21 = .;
   IF (GL92_22 <= -1) THEN GL92_22 = .;
   IF (GL92_23 <= -1) THEN GL92_23 = .;
   IF (GL92_27 <= -1) THEN GL92_27 = .;
   IF (GL92_29 <= -1) THEN GL92_29 = .;
   IF (GL92_71 <= -1) THEN GL92_71 = .;
   IF (GL92_91 <= -1) THEN GL92_91 = .;
   IF (GL92A_1 <= -1) THEN GL92A_1 = .;
   IF (GL92A_2 <= -1) THEN GL92A_2 = .;
   IF (GL93 <= -1) THEN GL93 = .;
   IF (GL93_A <= -1) THEN GL93_A = .;
   IF (GL93_B_1 <= -1) THEN GL93_B_1 = .;
   IF (GL93_B_2 <= -1) THEN GL93_B_2 = .;
   IF (GL93_B_3 <= -1) THEN GL93_B_3 = .;
   IF (GL93_B_4 <= -1) THEN GL93_B_4 = .;
   IF (GL93_B_5 <= -1) THEN GL93_B_5 = .;
   IF (GL93_B_6 <= -1) THEN GL93_B_6 = .;
   IF (GL93_B_7 <= -1) THEN GL93_B_7 = .;
   IF (GL93_B_8 <= -1) THEN GL93_B_8 = .;
   IF (GL93_C <= -1) THEN GL93_C = .;
   IF (GL94 <= -1) THEN GL94 = .;
   IF (GL94_A <= -1) THEN GL94_A = .;
   IF (GL94_B_1 <= -1) THEN GL94_B_1 = .;
   IF (GL94_B_2 <= -1) THEN GL94_B_2 = .;
   IF (GL94_B_3 <= -1) THEN GL94_B_3 = .;
   IF (GL94_B_4 <= -1) THEN GL94_B_4 = .;
   IF (GL94_B_5 <= -1) THEN GL94_B_5 = .;
   IF (GL94_B_6 <= -1) THEN GL94_B_6 = .;
   IF (GL94_B_7 <= -1) THEN GL94_B_7 = .;
   IF (GL94_B_8 <= -1) THEN GL94_B_8 = .;
   IF (GL94_C <= -1) THEN GL94_C = .;
   IF (GL95 <= -1) THEN GL95 = .;
   IF (GL95_A_1 <= -1) THEN GL95_A_1 = .;
   IF (GL95_A_2 <= -1) THEN GL95_A_2 = .;
   IF (GL95_A_3 <= -1) THEN GL95_A_3 = .;
   IF (GL95_A_4 <= -1) THEN GL95_A_4 = .;
   IF (GL95_A_5 <= -1) THEN GL95_A_5 = .;
   IF (GL95_A_6 <= -1) THEN GL95_A_6 = .;
   IF (GL95B_1 <= -1) THEN GL95B_1 = .;
   IF (GL95C_1 <= -1) THEN GL95C_1 = .;
   IF (GL95D_1 <= -1) THEN GL95D_1 = .;
   IF (GL95E_1 <= -1) THEN GL95E_1 = .;
   IF (GL95F1_1 <= -1) THEN GL95F1_1 = .;
   IF (GL95F1_2 <= -1) THEN GL95F1_2 = .;
   IF (GL95F127 <= -1) THEN GL95F127 = .;
   IF (GL95F129 <= -1) THEN GL95F129 = .;
   IF (GL95F171 <= -1) THEN GL95F171 = .;
   IF (GL95F191 <= -1) THEN GL95F191 = .;
   IF (GL95G_1 <= -1) THEN GL95G_1 = .;
   IF (GL95B_2 <= -1) THEN GL95B_2 = .;
   IF (GL95C_2 <= -1) THEN GL95C_2 = .;
   IF (GL95D_2 <= -1) THEN GL95D_2 = .;
   IF (GL95E_2 <= -1) THEN GL95E_2 = .;
   IF (GL95F2_1 <= -1) THEN GL95F2_1 = .;
   IF (GL95F2_2 <= -1) THEN GL95F2_2 = .;
   IF (GL95F227 <= -1) THEN GL95F227 = .;
   IF (GL95F229 <= -1) THEN GL95F229 = .;
   IF (GL95F271 <= -1) THEN GL95F271 = .;
   IF (GL95F291 <= -1) THEN GL95F291 = .;
   IF (GL95G_2 <= -1) THEN GL95G_2 = .;
   IF (GL96 <= -1) THEN GL96 = .;
   IF (GL97 <= -1) THEN GL97 = .;
   IF (GL98_01 <= -1) THEN GL98_01 = .;
   IF (GL98_02 <= -1) THEN GL98_02 = .;
   IF (GL98_11 <= -1) THEN GL98_11 = .;
   IF (GL98_12 <= -1) THEN GL98_12 = .;
   IF (GL98_13 <= -1) THEN GL98_13 = .;
   IF (GL98_21 <= -1) THEN GL98_21 = .;
   IF (GL98_22 <= -1) THEN GL98_22 = .;
   IF (GL98_23 <= -1) THEN GL98_23 = .;
   IF (GL98_27 <= -1) THEN GL98_27 = .;
   IF (GL98_28 <= -1) THEN GL98_28 = .;
   IF (GL98_29 <= -1) THEN GL98_29 = .;
   IF (GL98_30 <= -1) THEN GL98_30 = .;
   IF (GL98_71 <= -1) THEN GL98_71 = .;
   IF (GL98_91 <= -1) THEN GL98_91 = .;
   IF (GL98A_1 <= -1) THEN GL98A_1 = .;
   IF (GL98A_2 <= -1) THEN GL98A_2 = .;
   IF (GL99 <= -1) THEN GL99 = .;
   IF (GL99_A_1 <= -1) THEN GL99_A_1 = .;
   IF (GL99_A_2 <= -1) THEN GL99_A_2 = .;
   IF (GL99_A_3 <= -1) THEN GL99_A_3 = .;
   IF (GL99_A_4 <= -1) THEN GL99_A_4 = .;
   IF (GL99_A_5 <= -1) THEN GL99_A_5 = .;
   IF (GL99_A_6 <= -1) THEN GL99_A_6 = .;
   IF (GL99_B <= -1) THEN GL99_B = .;
   IF (GL100 <= -1) THEN GL100 = .;
   IF (GL100A_1 <= -1) THEN GL100A_1 = .;
   IF (GL100A_2 <= -1) THEN GL100A_2 = .;
   IF (GL100A_3 <= -1) THEN GL100A_3 = .;
   IF (GL100A_4 <= -1) THEN GL100A_4 = .;
   IF (GL100A_5 <= -1) THEN GL100A_5 = .;
   IF (GL100A_6 <= -1) THEN GL100A_6 = .;
   IF (GL100_B <= -1) THEN GL100_B = .;
   IF (GL101 <= -1) THEN GL101 = .;
   IF (GL101A_1 <= -1) THEN GL101A_1 = .;
   IF (GL101A_2 <= -1) THEN GL101A_2 = .;
   IF (GL101A_3 <= -1) THEN GL101A_3 = .;
   IF (GL101A_4 <= -1) THEN GL101A_4 = .;
   IF (GL101A_5 <= -1) THEN GL101A_5 = .;
   IF (GL101A_6 <= -1) THEN GL101A_6 = .;
   IF (GL101B_1 <= -1) THEN GL101B_1 = .;
   IF (GL101C_1 <= -1) THEN GL101C_1 = .;
   IF (GL101D_1 <= -1) THEN GL101D_1 = .;
   IF (GL101E_1 <= -1) THEN GL101E_1 = .;
   IF (GL101B_2 <= -1) THEN GL101B_2 = .;
   IF (GL101C_2 <= -1) THEN GL101C_2 = .;
   IF (GL101D_2 <= -1) THEN GL101D_2 = .;
   IF (GL101E_2 <= -1) THEN GL101E_2 = .;
   IF (GL102 <= -1) THEN GL102 = .;
   IF (GL103 <= -1) THEN GL103 = .;
   IF (GL104_01 <= -1) THEN GL104_01 = .;
   IF (GL104_02 <= -1) THEN GL104_02 = .;
   IF (GL104_11 <= -1) THEN GL104_11 = .;
   IF (GL104_12 <= -1) THEN GL104_12 = .;
   IF (GL104_13 <= -1) THEN GL104_13 = .;
   IF (GL104_21 <= -1) THEN GL104_21 = .;
   IF (GL104_22 <= -1) THEN GL104_22 = .;
   IF (GL104_23 <= -1) THEN GL104_23 = .;
   IF (GL104_27 <= -1) THEN GL104_27 = .;
   IF (GL104_28 <= -1) THEN GL104_28 = .;
   IF (GL104_29 <= -1) THEN GL104_29 = .;
   IF (GL104_71 <= -1) THEN GL104_71 = .;
   IF (GL104_91 <= -1) THEN GL104_91 = .;
   IF (GL104A_1 <= -1) THEN GL104A_1 = .;
   IF (GL104A_2 <= -1) THEN GL104A_2 = .;
   IF (GL105 <= -1) THEN GL105 = .;
   IF (GL105A_1 <= -1) THEN GL105A_1 = .;
   IF (GL105A_2 <= -1) THEN GL105A_2 = .;
   IF (GL105A_3 <= -1) THEN GL105A_3 = .;
   IF (GL105A_4 <= -1) THEN GL105A_4 = .;
   IF (GL105A_5 <= -1) THEN GL105A_5 = .;
   IF (GL105A_6 <= -1) THEN GL105A_6 = .;
   IF (GL105_B <= -1) THEN GL105_B = .;
   IF (GL106 <= -1) THEN GL106 = .;
   IF (GL106A_1 <= -1) THEN GL106A_1 = .;
   IF (GL106A_2 <= -1) THEN GL106A_2 = .;
   IF (GL106A_3 <= -1) THEN GL106A_3 = .;
   IF (GL106A_4 <= -1) THEN GL106A_4 = .;
   IF (GL106A_5 <= -1) THEN GL106A_5 = .;
   IF (GL106A_6 <= -1) THEN GL106A_6 = .;
   IF (GL106_B <= -1) THEN GL106_B = .;
   IF (GL107 <= -1) THEN GL107 = .;
   IF (GL107A51 <= -1) THEN GL107A51 = .;
   IF (GL107A52 <= -1) THEN GL107A52 = .;
   IF (GL107A53 <= -1) THEN GL107A53 = .;
   IF (GL107A54 <= -1) THEN GL107A54 = .;
   IF (GL107A91 <= -1) THEN GL107A91 = .;
   IF (GL107B_1 <= -1) THEN GL107B_1 = .;
   IF (GL107C_1 <= -1) THEN GL107C_1 = .;
   IF (GL107D_1 <= -1) THEN GL107D_1 = .;
   IF (GL107E_1 <= -1) THEN GL107E_1 = .;
   IF (GL107B_2 <= -1) THEN GL107B_2 = .;
   IF (GL107C_2 <= -1) THEN GL107C_2 = .;
   IF (GL107D_2 <= -1) THEN GL107D_2 = .;
   IF (GL107E_2 <= -1) THEN GL107E_2 = .;
   IF (GL108 <= -1) THEN GL108 = .;
   IF (GL108_A <= -1) THEN GL108_A = .;
   IF (GL108_B <= -1) THEN GL108_B = .;
   IF (GL109 <= -1) THEN GL109 = .;
   IF (GL110 <= -1) THEN GL110 = .;
   IF (GL111_A <= -1) THEN GL111_A = .;
   IF (GL111_B <= -1) THEN GL111_B = .;
   IF (GL113_01 <= -1) THEN GL113_01 = .;
   IF (GL113_02 <= -1) THEN GL113_02 = .;
   IF (GL113_11 <= -1) THEN GL113_11 = .;
   IF (GL113_12 <= -1) THEN GL113_12 = .;
   IF (GL113_13 <= -1) THEN GL113_13 = .;
   IF (GL113_21 <= -1) THEN GL113_21 = .;
   IF (GL113_22 <= -1) THEN GL113_22 = .;
   IF (GL113_23 <= -1) THEN GL113_23 = .;
   IF (GL113_24 <= -1) THEN GL113_24 = .;
   IF (GL113_25 <= -1) THEN GL113_25 = .;
   IF (GL113_26 <= -1) THEN GL113_26 = .;
   IF (GL113_27 <= -1) THEN GL113_27 = .;
   IF (GL113_28 <= -1) THEN GL113_28 = .;
   IF (GL113_29 <= -1) THEN GL113_29 = .;
   IF (GL113_71 <= -1) THEN GL113_71 = .;
   IF (GL113_91 <= -1) THEN GL113_91 = .;
   IF (GL114_A <= -1) THEN GL114_A = .;
   IF (GL114_B <= -1) THEN GL114_B = .;
   IF (GL114_C <= -1) THEN GL114_C = .;
   IF (GL114_D <= -1) THEN GL114_D = .;
   IF (GL114_E <= -1) THEN GL114_E = .;
   IF (GL114_F <= -1) THEN GL114_F = .;
   IF (GL114_G <= -1) THEN GL114_G = .;
   IF (GL114_H <= -1) THEN GL114_H = .;
   IF (GL114_I <= -1) THEN GL114_I = .;
   IF (GL114_J <= -1) THEN GL114_J = .;
   IF (GL114_K <= -1) THEN GL114_K = .;
   IF (GL114K_1 <= -1) THEN GL114K_1 = .;
   IF (GL114K_2 <= -1) THEN GL114K_2 = .;
   IF (GL114K_3 <= -1) THEN GL114K_3 = .;
   IF (GL114K_4 <= -1) THEN GL114K_4 = .;
   IF (GL115 <= -1) THEN GL115 = .;
   IF (GL116 <= -1) THEN GL116 = .;
   IF (GL117 <= -1) THEN GL117 = .;
   IF (GL117_B1 <= -1) THEN GL117_B1 = .;
   IF (GL117_B2 <= -1) THEN GL117_B2 = .;
   IF (GL117_B3 <= -1) THEN GL117_B3 = .;
   IF (GL117_B4 <= -1) THEN GL117_B4 = .;
   IF (GL117_B5 <= -1) THEN GL117_B5 = .;
   IF (GL118 <= -1) THEN GL118 = .;
   IF (GL118_A <= -1) THEN GL118_A = .;
   IF (GL119 <= -1) THEN GL119 = .;
   IF (GL120 <= -1) THEN GL120 = .;
   IF (GL121_A <= -1) THEN GL121_A = .;
   IF (GL121_B <= -1) THEN GL121_B = .;
   IF (GL121_C <= -1) THEN GL121_C = .;
   IF (GL121_D <= -1) THEN GL121_D = .;
   IF (GL121_E <= -1) THEN GL121_E = .;
   IF (GL121_F <= -1) THEN GL121_F = .;
   IF (GL122 <= -1) THEN GL122 = .;
   IF (GL123_W <= -1) THEN GL123_W = .;
   IF (GL124 <= -1) THEN GL124 = .;
   IF (GL125 <= -1) THEN GL125 = .;
   IF (GL126 <= -1) THEN GL126 = .;
   IF (GL127 <= -1) THEN GL127 = .;
   IF (GL128 <= -1) THEN GL128 = .;
   IF (GLDM <= -1) THEN GLDM = .;
   IF (GLTH <= -1) THEN GLTH = .;
   IF (GLTM <= -1) THEN GLTM = .;
   IF (GLAMPM <= -1) THEN GLAMPM = .;
   IF (GM1 <= -1) THEN GM1 = .;
   IF (GM2 <= -1) THEN GM2 = .;
   IF (GM3 <= -1) THEN GM3 = .;
   IF (GM4 <= -1) THEN GM4 = .;
   IF (GM5 <= -1) THEN GM5 = .;
   IF (GM6 <= -1) THEN GM6 = .;
   IF (GM7 <= -1) THEN GM7 = .;
   IF (GM8 <= -1) THEN GM8 = .;
   IF (GM9 <= -1) THEN GM9 = .;
   IF (GM10A <= -1) THEN GM10A = .;
   IF (GM10B <= -1) THEN GM10B = .;
   IF (GM11A <= -1) THEN GM11A = .;
   IF (GM11B <= -1) THEN GM11B = .;
   IF (GM11C <= -1) THEN GM11C = .;
   IF (GM12A <= -1) THEN GM12A = .;
   IF (GM12B <= -1) THEN GM12B = .;
   IF (GM12C <= -1) THEN GM12C = .;
   IF (GM12D <= -1) THEN GM12D = .;
   IF (GM12E <= -1) THEN GM12E = .;
   IF (GM13 <= -1) THEN GM13 = .;
   IF (GM14A <= -1) THEN GM14A = .;
   IF (GM14B <= -1) THEN GM14B = .;
   IF (GM14C <= -1) THEN GM14C = .;
   IF (GM15A <= -1) THEN GM15A = .;
   IF (GM15B <= -1) THEN GM15B = .;
   IF (GM16 <= -1) THEN GM16 = .;
   IF (GM17 <= -1) THEN GM17 = .;
   IF (GM18A <= -1) THEN GM18A = .;
   IF (GM18B <= -1) THEN GM18B = .;
   IF (GM18C <= -1) THEN GM18C = .;
   IF (GM19 <= -1) THEN GM19 = .;
   IF (GM20 <= -1) THEN GM20 = .;
   IF (GM21 <= -1) THEN GM21 = .;
   IF (GMDM <= -1) THEN GMDM = .;
   IF (GMTH <= -1) THEN GMTH = .;
   IF (GMTM <= -1) THEN GMTM = .;
   IF (GMAMPM <= -1) THEN GMAMPM = .;
   IF (GN1 <= -1) THEN GN1 = .;
   IF (GN2 <= -1) THEN GN2 = .;
   IF (GN2A <= -1) THEN GN2A = .;
   IF (GN3_1_1 <= -1) THEN GN3_1_1 = .;
   IF (GN3_1_2 <= -1) THEN GN3_1_2 = .;
   IF (GN3_2_1 <= -1) THEN GN3_2_1 = .;
   IF (GN3_2_2 <= -1) THEN GN3_2_2 = .;
   IF (GN3_3_1 <= -1) THEN GN3_3_1 = .;
   IF (GN3_3_2 <= -1) THEN GN3_3_2 = .;
   IF (GN3_4_1 <= -1) THEN GN3_4_1 = .;
   IF (GN3_4_2 <= -1) THEN GN3_4_2 = .;
   IF (GN4 <= -1) THEN GN4 = .;
   IF (GN4A1 <= -1) THEN GN4A1 = .;
   IF (GN4A2 <= -1) THEN GN4A2 = .;
   IF (GN4A3 <= -1) THEN GN4A3 = .;
   IF (GN4A4 <= -1) THEN GN4A4 = .;
   IF (GN4A5 <= -1) THEN GN4A5 = .;
   IF (GN4A6 <= -1) THEN GN4A6 = .;
   IF (GN5 <= -1) THEN GN5 = .;
   IF (GN6 <= -1) THEN GN6 = .;
   IF (GN6A1 <= -1) THEN GN6A1 = .;
   IF (GN6A2 <= -1) THEN GN6A2 = .;
   IF (GIA1_1 <= -1) THEN GIA1_1 = .;
   IF (GIA1_2 <= -1) THEN GIA1_2 = .;
   IF (GIA2_1 <= -1) THEN GIA2_1 = .;
   IF (GIA2_2 <= -1) THEN GIA2_2 = .;
   IF (GIA3_1 <= -1) THEN GIA3_1 = .;
   IF (GIA3_2 <= -1) THEN GIA3_2 = .;
   IF (GIA4_1 <= -1) THEN GIA4_1 = .;
   IF (GIA4_2 <= -1) THEN GIA4_2 = .;
   IF (GIA5_1 <= -1) THEN GIA5_1 = .;
   IF (GIA5_2 <= -1) THEN GIA5_2 = .;
   IF (GIA6_1 <= -1) THEN GIA6_1 = .;
   IF (GIA6_2 <= -1) THEN GIA6_2 = .;
   IF (GIA7_1 <= -1) THEN GIA7_1 = .;
   IF (GIA7_2 <= -1) THEN GIA7_2 = .;
   IF (GIA8_1 <= -1) THEN GIA8_1 = .;
   IF (GIA8_2 <= -1) THEN GIA8_2 = .;
   IF (GIA9_1 <= -1) THEN GIA9_1 = .;
   IF (GIA9_2 <= -1) THEN GIA9_2 = .;
   IF (GIA10_1 <= -1) THEN GIA10_1 = .;
   IF (GIA10_2 <= -1) THEN GIA10_2 = .;
   IF (GP1A <= -1) THEN GP1A = .;
   IF (GP1B <= -1) THEN GP1B = .;
   IF (GP1C <= -1) THEN GP1C = .;
   IF (GP1D <= -1) THEN GP1D = .;
   IF (GP1E <= -1) THEN GP1E = .;
   IF (GP1F <= -1) THEN GP1F = .;
   IF (GP1G <= -1) THEN GP1G = .;
   IF (GP1H <= -1) THEN GP1H = .;
   IF (GP1I <= -1) THEN GP1I = .;
   IF (GP1J <= -1) THEN GP1J = .;
   IF (GP1K <= -1) THEN GP1K = .;
   IF (GP1L <= -1) THEN GP1L = .;
   IF (GP1M <= -1) THEN GP1M = .;
   IF (GP1N <= -1) THEN GP1N = .;
   IF (GP2A <= -1) THEN GP2A = .;
   IF (GP3A <= -1) THEN GP3A = .;
   IF (GP2B <= -1) THEN GP2B = .;
   IF (GP3B <= -1) THEN GP3B = .;
   IF (GP2C <= -1) THEN GP2C = .;
   IF (GP3C <= -1) THEN GP3C = .;
   IF (GP2D <= -1) THEN GP2D = .;
   IF (GP3D <= -1) THEN GP3D = .;
   IF (GP2E <= -1) THEN GP2E = .;
   IF (GP3E <= -1) THEN GP3E = .;
   IF (GP2F <= -1) THEN GP2F = .;
   IF (GP3F <= -1) THEN GP3F = .;
   IF (GP2G <= -1) THEN GP2G = .;
   IF (GP3G <= -1) THEN GP3G = .;
   IF (GP2H <= -1) THEN GP2H = .;
   IF (GP3H <= -1) THEN GP3H = .;
   IF (GP2I <= -1) THEN GP2I = .;
   IF (GP3I <= -1) THEN GP3I = .;
   IF (GP2J <= -1) THEN GP2J = .;
   IF (GP3J <= -1) THEN GP3J = .;
   IF (AGE <= -1) THEN AGE = .;
   IF (HLTHINS <= -1) THEN HLTHINS = .;
   IF (FTWORK <= -1) THEN FTWORK = .;
   IF (MSTAT <= -1) THEN MSTAT = .;
   IF (EDLEV <= -1) THEN EDLEV = .;
   IF (HVY_ALC <= -1) THEN HVY_ALC = .;
   IF (ALCR <= -1) THEN ALCR = .;
   IF (HERR <= -1) THEN HERR = .;
   IF (NARR <= -1) THEN NARR = .;
   IF (SEDR <= -1) THEN SEDR = .;
   IF (AMPR <= -1) THEN AMPR = .;
   IF (HALR <= -1) THEN HALR = .;
   IF (INHR <= -1) THEN INHR = .;
   IF (ALCWK <= -1) THEN ALCWK = .;
   IF (HERWK <= -1) THEN HERWK = .;
   IF (NARWK <= -1) THEN NARWK = .;
   IF (SEDWK <= -1) THEN SEDWK = .;
   IF (AMPWK <= -1) THEN AMPWK = .;
   IF (HALWK <= -1) THEN HALWK = .;
   IF (INHWK <= -1) THEN INHWK = .;
   IF (HER_EV <= -1) THEN HER_EV = .;
   IF (NAR_EV <= -1) THEN NAR_EV = .;
   IF (SED_EV <= -1) THEN SED_EV = .;
   IF (AMP_EV <= -1) THEN AMP_EV = .;
   IF (HAL_EV <= -1) THEN HAL_EV = .;
   IF (CJ_STAT <= -1) THEN CJ_STAT = .;
   IF (IAY_SIA <= -1) THEN IAY_SIA = .;
   IF (MAJSRC <= -1) THEN MAJSRC = .;
   IF (REFER <= -1) THEN REFER = .;
   IF (RESTRICT <= -1) THEN RESTRICT = .;
   IF (DRUGTX <= -1) THEN DRUGTX = .;
   IF (SCHOOL <= -1) THEN SCHOOL = .;
   IF (IAPY <= -1) THEN IAPY = .;
   IF (PDT <= -1) THEN PDT = .;
   IF (CRKR <= -1) THEN CRKR = .;
   IF (CRKWK <= -1) THEN CRKWK = .;
*/


* SAS FORMAT STATEMENT;

/*
  FORMAT CASEID caseid. GDC_M gdc_m. GDC_Y gdc_y.
         GT_L_I gt_l_i. GTIME1_H gtime1_h. GTIME1_M gtime1_m.
         GAM_PM_1 gam_pm_f. GA3 ga3fffff. GA3_A ga3_a.
         GA3_B ga3_b. GA4 ga4fffff. GA4_A ga4_a.
         GA5 ga5fffff. GA6 ga6fffff. GA7 ga7fffff.
         GA8 ga8fffff. GA8_A ga8_a. GA8_B ga8_b.
         GA8_C ga8_c. GA8_D ga8_d. GA8_E ga8_e.
         GA9 ga9fffff. GA10 ga10ffff. GA11 ga11ffff.
         GA12 ga12ffff. GA13 ga13ffff. GA13A_02 ga13a_0f.
         GA13A_03 ga13a_1f. GA13A_04 ga13a_2f. GA13A_05 ga13a_3f.
         GA13A_06 ga13a_4f. GA14 ga14ffff. GA14A_02 ga14a_0f.
         GA14A_03 ga14a_1f. GA14A_04 ga14a_2f. GA14A_05 ga14a_3f.
         GA14A_06 ga14a_4f. GA15_00 ga15_00f. GA15_01 ga15_01f.
         GA15_02 ga15_02f. GA15_03 ga15_03f. GA16 ga16ffff.
         GA17 ga17ffff. GA18 ga18ffff. GA19 ga19ffff.
         GA19_A ga19_a. GA19_B ga19_b. GA20 ga20ffff.
         GA21 ga21ffff. GA22 ga22ffff. GA23_A ga23_a.
         GA23_B ga23_b. GA23_C ga23_c. GA24_A ga24_a.
         GA24_B ga24_b. GA24_C ga24_c. GA24_D ga24_d.
         GA24_E ga24_e. GA24_F ga24_f. GA25 ga25ffff.
         GA26 ga26ffff. GA27 ga27ffff. GA27A ga27a.
         GB1 gb1fffff. GB1_A gb1_a. GB1_B gb1_b.
         GB1_C gb1_c. GB1_D gb1_d. GB1_E gb1_e.
         GB1_F gb1_f. GB1_G gb1_g. GB2 gb2fffff.
         GB2_A gb2_a. GB3_0 gb3_0fff. GB3_1 gb3_1fff.
         GB3_2 gb3_2fff. GB3_3 gb3_3fff. GB3_4 gb3_4fff.
         GB3_5 gb3_5fff. GB3_6 gb3_6fff. GB4 gb4fffff.
         GB4_A gb4_a. GB5 gb5fffff. GC1 gc1fffff.
         GC1_A_02 gc1_a_0f. GC1_A_03 gc1_a_1f. GC1_A_04 gc1_a_2f.
         GC1_A_05 gc1_a_3f. GC1_A_06 gc1_a_4f. GC1_A_07 gc1_a_5f.
         GC1_B gc1_b. GC1_C gc1_c. GC1_D gc1_d.
         GC1_E gc1_e. GC2 gc2fffff. GC3 gc3fffff.
         GC3_A gc3_a. GC3_B gc3_b. GC4_00 gc4_00ff.
         GC4_01 gc4_01ff. GC4_02 gc4_02ff. GC4_03 gc4_03ff.
         GC4_04 gc4_04ff. GC4_05 gc4_05ff. GC4_06 gc4_06ff.
         GC4_07 gc4_07ff. GC4_08 gc4_08ff. GC4_09 gc4_09ff.
         GC5 gc5fffff. GC5_A gc5_a. GC6 gc6fffff.
         GC6_A gc6_a. GC7 gc7fffff. GC7_A gc7_a.
         GC7_B_1 gc7_b_1f. GC7_B_2 gc7_b_2f. GD1 gd1fffff.
         GD1_A gd1_a. GD1_B gd1_b. GD1_B_2 gd1_b_2f.
         GD1_C gd1_c. GD2 gd2fffff. GD2_A gd2_a.
         GD2_B gd2_b. GD2_C_1 gd2_c_1f. GD2_C_2 gd2_c_2f.
         GD2_D gd2_d. GD3 gd3fffff. GD3_A gd3_a.
         GD4 gd4fffff. GD4_A gd4_a. GD5 gd5fffff.
         GD5_A_1 gd5_a_1f. GD5_A_2 gd5_a_2f. GD5_B gd5_b.
         GD6 gd6fffff. GD6_A_1 gd6_a_1f. GD6_A_2 gd6_a_2f.
         GD6_B gd6_b. GD7 gd7fffff. GD7_A_1 gd7_a_1f.
         GD7_A_2 gd7_a_2f. GD7_B gd7_b. GD8 gd8fffff.
         GD8_A gd8_a. GD9 gd9fffff. GD10 gd10ffff.
         GD10_A gd10_a. GD11 gd11ffff. GD11_A gd11_a.
         GD12 gd12ffff. GD13 gd13ffff. GD14 gd14ffff.
         GD15 gd15ffff. GD16 gd16ffff. GD17 gd17ffff.
         GD18 gd18ffff. GD19 gd19ffff. GE1 ge1fffff.
         GE2 ge2fffff. GE3 ge3fffff. GE4 ge4fffff.
         GE5 ge5fffff. GE6 ge6fffff. GE7 ge7fffff.
         GE8 ge8fffff. GE9 ge9fffff. GE10 ge10ffff.
         GE11 ge11ffff. GE12 ge12ffff. GE12_A ge12_a.
         GE13 ge13ffff. GE13_A_1 ge13_a_f. GE13_A_2 ge13_a0f.
         GE13_A_3 ge13_a1f. GE14 ge14ffff. GE14_A_1 ge14_a_f.
         GE14_A_2 ge14_a0f. GE14_B_1 ge14_b_f. GE14_B_2 ge14_b0f.
         GE14_C ge14_c. GE15 ge15ffff. GE15_A_1 ge15_a_f.
         GE15_A_2 ge15_a0f. GE15_B_1 ge15_b_f. GE15_B_2 ge15_b0f.
         GE15_C ge15_c. GE15_D ge15_d. GE15_E ge15_e.
         GE16 ge16ffff. GE16_A_1 ge16_a_f. GE16_A_2 ge16_a0f.
         GE16_B_1 ge16_b_f. GE16_B_2 ge16_b0f. GE16_C ge16_c.
         GE16_D ge16_d. GE16_E ge16_e. GE16_F ge16_f.
         GE17 ge17ffff. GE17_A ge17_a. GE17_B_1 ge17_b_f.
         GE17_B_2 ge17_b0f. GE17_B_3 ge17_b1f. GE17_C ge17_c.
         GE18 ge18ffff. GE18_A_1 ge18_a_f. GE18_A_2 ge18_a0f.
         GE18_B_1 ge18_b_f. GE18_B_2 ge18_b0f. GE18_C ge18_c.
         GE18_D ge18_d. GE18_E ge18_e. GE19 ge19ffff.
         GE19_A ge19_a. GE19B1_1 ge19b1_f. GE19B1_2 ge19b10f.
         GE19B2_1 ge19b2_f. GE19B2_2 ge19b20f. GE19_C ge19_c.
         GE20 ge20ffff. GE20_A_1 ge20_a_f. GE20_A_2 ge20_a0f.
         GE20_B_1 ge20_b_f. GE20_B_2 ge20_b0f. GE20_C ge20_c.
         GE20_D ge20_d. GE20_E_1 ge20_e_f. GE20_E_2 ge20_e0f.
         GE20_E_3 ge20_e1f. GE20_E_4 ge20_e2f. GE20_F ge20_f.
         GE21 ge21ffff. GE21_A ge21_a. GE21_B_1 ge21_b_f.
         GE21_B_2 ge21_b0f. GE21_B_3 ge21_b1f. GE21_C ge21_c.
         GE22 ge22ffff. GE22_A_1 ge22_a_f. GE22_A_2 ge22_a0f.
         GE22_B_1 ge22_b_f. GE22_B_2 ge22_b0f. GE22_C ge22_c.
         GE22_D ge22_d. GE22_E ge22_e. GE23 ge23ffff.
         GE23_A ge23_a. GE24 ge24ffff. GE24_A_1 ge24_a_f.
         GE24_A_2 ge24_a0f. GE24_B_1 ge24_b_f. GE24_B_2 ge24_b0f.
         GE24_C ge24_c. GE24_D ge24_d. GE24_E ge24_e.
         GE25 ge25ffff. GE25_A_1 ge25_a_f. GE25_A_2 ge25_a0f.
         GE25_B_1 ge25_b_f. GE25_B_2 ge25_b0f. GE25_C ge25_c.
         GE26 ge26ffff. GE26_A_1 ge26_a_f. GE26_A_2 ge26_a0f.
         GE26_B_1 ge26_b_f. GE26_B_2 ge26_b0f. GE26_C ge26_c.
         GE26_D ge26_d. GE27 ge27ffff. GE27_A ge27_a.
         GE27_B_1 ge27_b_f. GE27_B_2 ge27_b0f. GE27_C_1 ge27_c_f.
         GE27_C_2 ge27_c0f. GE27_D ge27_d. GE27_E ge27_e.
         GE28 ge28ffff. GE28_A ge28_a. GE28_B_1 ge28_b_f.
         GE28_B_2 ge28_b0f. GE28_C_1 ge28_c_f. GE28_C_2 ge28_c0f.
         GE28_D ge28_d. GE28_E ge28_e. GE29 ge29ffff.
         GE30 ge30ffff. GE30_A ge30_a. GE31 ge31ffff.
         GE31A_1 ge31a_1f. GE31A_2 ge31a_2f. GE31A_3 ge31a_3f.
         GE31A_4 ge31a_4f. GE31A_5 ge31a_5f. GE31A_6 ge31a_6f.
         GE32 ge32ffff. GE33_A ge33_a. GE33_B ge33_b.
         GE33_C ge33_c. GE33_D ge33_d. GE33_E ge33_e.
         GE33_F ge33_f. GE34 ge34ffff. GE35 ge35ffff.
         GE36 ge36ffff. GE37 ge37ffff. GE38 ge38ffff.
         GE39_A ge39_a. GE39_B ge39_b. GE39_C ge39_c.
         GE39_D ge39_d. GE39_E ge39_e. GE39_F ge39_f.
         GE39_G ge39_g. GE39_H ge39_h. GE39_I ge39_i.
         GE39_J ge39_j. GE39_K ge39_k. GE39_L ge39_l.
         GE39_M ge39_m. GE39_N ge39_n. GE39_O ge39_o.
         GE39_P ge39_p. GE39_Q ge39_q. GE39_R ge39_r.
         GE39_S ge39_s. GE39_T ge39_t. GE40 ge40ffff.
         GE40_B_1 ge40_b_f. GE40_B_2 ge40_b0f. GE40_B_3 ge40_b1f.
         GE41_A ge41_a. GE41_B ge41_b. GE42 ge42ffff.
         GE43 ge43ffff. GE44 ge44ffff. GE45 ge45ffff.
         GE46 ge46ffff. GE47 ge47ffff. GE48_A ge48_a.
         GE48_B ge48_b. GE48_C ge48_c. GE48_D ge48_d.
         GE48_E ge48_e. GE48_F ge48_f. GE48_G ge48_g.
         GE48_H ge48_h. GE48_I ge48_i. GE48_J ge48_j.
         GE48_K ge48_k. GE48_L ge48_l. GF1 gf1fffff.
         GF1_A gf1_a. GF2 gf2fffff. GF2_A gf2_a.
         GF3 gf3fffff. GF4 gf4fffff. GF5 gf5fffff.
         GF5_A gf5_a. GF6 gf6fffff. GF7 gf7fffff.
         GF8 gf8fffff. GF9 gf9fffff. GF9_A gf9_a.
         GF10 gf10ffff. GF10_A gf10_a. GF11 gf11ffff.
         GF11_A gf11_a. GF12 gf12ffff. GF13 gf13ffff.
         GF14 gf14ffff. GF15 gf15ffff. GF16 gf16ffff.
         GF16_A gf16_a. GF17 gf17ffff. GF17_A_1 gf17_a_f.
         GF17_A_2 gf17_a0f. GF17_A_3 gf17_a1f. GF17_A_4 gf17_a2f.
         GF17_B gf17_b. GF17_C gf17_c. GF17D_01 gf17d_0f.
         GF17D_02 gf17d_1f. GF17D_14 gf17d_2f. GF17D_23 gf17d_3f.
         GF17D_24 gf17d_4f. GF17D_25 gf17d_5f. GF17D_61 gf17d_6f.
         GF17D_62 gf17d_7f. GF17D_91 gf17d_9f. GF17_E gf17_e.
         GF18 gf18ffff. GG1 gg1fffff. GG2 gg2fffff.
         GG3 gg3fffff. GG4 gg4fffff. GG4_A gg4_a.
         GG4_B_1 gg4_b_1f. GG4_B_2 gg4_b_2f. GG4_B_3 gg4_b_3f.
         GG4_B_4 gg4_b_4f. GG4_C gg4_c. GG4_D gg4_d.
         GG4_E gg4_e. GG4F_1 gg4f_1ff. GG4F_2 gg4f_2ff.
         GG4F_3 gg4f_3ff. GG4F_4 gg4f_4ff. GG4F_5 gg4f_5ff.
         GG4F_6 gg4f_6ff. GG4G gg4g. GG5_A gg5_a.
         GG5_B gg5_b. GG5_C gg5_c. GG5_D gg5_d.
         GG5_E gg5_e. GG5_F gg5_f. GG7 gg7fffff.
         GG7_A gg7_a. GG8 gg8fffff. GG9 gg9fffff.
         GG10 gg10ffff. GG11 gg11ffff. GG12 gg12ffff.
         GG12A_1 gg12a_1f. GG12A_2 gg12a_2f. GG12A_3 gg12a_3f.
         GG12A_4 gg12a_4f. GG12B_1 gg12b_1f. GG12B_2 gg12b_2f.
         GG12B_3 gg12b_3f. GG13 gg13ffff. GG14 gg14ffff.
         GG15 gg15ffff. GG15_A gg15_a. GH1 gh1fffff.
         GH1_A gh1_a. GH2_A gh2_a. GH3_A gh3_a.
         GH2_B gh2_b. GH3_B gh3_b. GH2_C gh2_c.
         GH3_C gh3_c. GH2_D gh2_d. GH3_D gh3_d.
         GH2_E gh2_e. GH3_E gh3_e. GH2_F gh2_f.
         GH3_F gh3_f. GH2_G gh2_g. GH3_G gh3_g.
         GH2_H gh2_h. GH3_H gh3_h. GH2_I gh2_i.
         GH3_I gh3_i. GH2_J gh2_j. GH3_J gh3_j.
         GH2_K gh2_k. GH3_K gh3_k. GH2_L gh2_l.
         GH3_L gh3_l. GH4 gh4fffff. GH5 gh5fffff.
         GH6 gh6fffff. GH6_A gh6_a. GH7 gh7fffff.
         GH8 gh8fffff. GH8_A gh8_a. GH9 gh9fffff.
         GJ1 gj1fffff. GJ2 gj2fffff. GJ2_A gj2_a.
         GJ2_B gj2_b. GJ2_C gj2_c. GJ2_D gj2_d.
         GJ2_E gj2_e. GJ2_F gj2_f. GJ2_G gj2_g.
         GJ3 gj3fffff. GJ3_A_1 gj3_a_1f. GJ3_A_2 gj3_a_2f.
         GJ3_A_3 gj3_a_3f. GJ3_A_4 gj3_a_4f. GJ3_A_5 gj3_a_5f.
         GJ3_A_6 gj3_a_6f. GJ3_A_7 gj3_a_7f. GJ3_B gj3_b.
         GJ3_C_1 gj3_c_1f. GJ3_C_2 gj3_c_2f. GJ3_C_3 gj3_c_3f.
         GJ3_C_4 gj3_c_4f. GJ3_C_5 gj3_c_5f. GJ3_C_6 gj3_c_6f.
         GJ3_C_7 gj3_c_7f. GJ3_C_8 gj3_c_8f. GJ3_C_9 gj3_c_9f.
         GJ3_C_10 gj3_c_0f. GJ3_C_11 gj3_c10f. GJ4_0 gj4_0fff.
         GJ4_1 gj4_1fff. GJ4_2 gj4_2fff. GJ4_3 gj4_3fff.
         GJ4_4 gj4_4fff. GJ4_5 gj4_5fff. GJ4_6 gj4_6fff.
         GJ4_7 gj4_7fff. GJ4_8 gj4_8fff. GJ4_9 gj4_9fff.
         GJ4_10 gj4_10ff. GJ4_11 gj4_11ff. GJ4_12 gj4_12ff.
         GJ4_13 gj4_13ff. GJ4_14 gj4_14ff. GJ4_15 gj4_15ff.
         GJ4_16 gj4_16ff. GJ5 gj5fffff. GJ6 gj6fffff.
         GJ7 gj7fffff. GJ8 gj8fffff. GJ9 gj9fffff.
         GJ9_A gj9_a. GJ9_B gj9_b. GJ9_C_OC gj9_c_oc.
         GJ9_C gj9_c. GJ9_COD gj9_cod. GJ10 gj10ffff.
         GJ11 gj11ffff. GJ12 gj12ffff. GJ12_A gj12_a.
         GK1_A gk1_a. GK2_A gk2_a. GK1_B gk1_b.
         GK2_B gk2_b. GK1_C gk1_c. GK2_C gk2_c.
         GK1_D gk1_d. GK2_D gk2_d. GK1_E gk1_e.
         GK2_E gk2_e. GK1_F gk1_f. GK2_F gk2_f.
         GK2_G gk2_g. GK3 gk3fffff. GK4 gk4fffff.
         GK4_A gk4_a. GK5 gk5fffff. GK6_A gk6_a.
         GK6_B gk6_b. GK6_C gk6_c. GK6_D gk6_d.
         GK7 gk7fffff. GK7_A gk7_a. GK8 gk8fffff.
         GK9 gk9fffff. GL1 gl1fffff. GL1_A gl1_a.
         GL2 gl2fffff. GL2_A gl2_a. GL2_B gl2_b.
         GL2_C gl2_c. GL2_D gl2_d. GL2_E gl2_e.
         GL2_F_1 gl2_f_1f. GL2_F_2 gl2_f_2f. GL2_F_3 gl2_f_3f.
         GL3 gl3fffff. GL3_A gl3_a. GL4 gl4fffff.
         GL5 gl5fffff. GL5_A_1 gl5_a_1f. GL5_A_2 gl5_a_2f.
         GL5_A_3 gl5_a_3f. GL5_A_4 gl5_a_4f. GL5_B_1 gl5_b_1f.
         GL5_B_2 gl5_b_2f. GL5_B_11 gl5_b_0f. GL5_B_12 gl5_b_3f.
         GL5_B_13 gl5_b_4f. GL5_B_21 gl5_b_5f. GL5_B_22 gl5_b_6f.
         GL5_B_23 gl5_b_7f. GL5_B_31 gl5_b_8f. GL5_B_71 gl5_b_9f.
         GL5_B_91 gl5_b10f. GL5_C gl5_c. GL5_D gl5_d.
         GL6 gl6fffff. GL6_A_A gl6_a_a. GL6_A_B gl6_a_b.
         GL6_A_C gl6_a_c. GL6_A_D gl6_a_d. GL6_A_E gl6_a_e.
         GL6_A_F gl6_a_f. GL6_A_G gl6_a_g. GL6_A_H gl6_a_h.
         GL6_A_I gl6_a_i. GL6_A_J gl6_a_j. GL6_B_1 gl6_b_1f.
         GL6_C_1 gl6_c_1f. GL6_D_1 gl6_d_1f. GL6_E_1 gl6_e_1f.
         GL6_B_2 gl6_b_2f. GL6_C_2 gl6_c_2f. GL6_D_2 gl6_d_2f.
         GL6_E_2 gl6_e_2f. GL6_B_3 gl6_b_3f. GL6_C_3 gl6_c_3f.
         GL6_D_3 gl6_d_3f. GL6_E_3 gl6_e_3f. GL6_B_4 gl6_b_4f.
         GL6_C_4 gl6_c_4f. GL6_D_4 gl6_d_4f. GL6_E_4 gl6_e_4f.
         GL7 gl7fffff. GL7_A_A gl7_a_a. GL7_A_B gl7_a_b.
         GL7_A_C gl7_a_c. GL7_A_D gl7_a_d. GL7_A_E gl7_a_e.
         GL7_A_F gl7_a_f. GL7_A_G gl7_a_g. GL7_A_H gl7_a_h.
         GL7_A_I gl7_a_i. GL7_B_1 gl7_b_1f. GL7_C_1 gl7_c_1f.
         GL7_D_1 gl7_d_1f. GL7_E_1 gl7_e_1f. GL7_B_2 gl7_b_2f.
         GL7_C_2 gl7_c_2f. GL7_D_2 gl7_d_2f. GL7_E_2 gl7_e_2f.
         GL7_B_3 gl7_b_3f. GL7_C_3 gl7_c_3f. GL7_D_3 gl7_d_3f.
         GL7_E_3 gl7_e_3f. GL7_B_4 gl7_b_4f. GL7_C_4 gl7_c_4f.
         GL7_D_4 gl7_d_4f. GL7_E_4 gl7_e_4f. GL8_0 gl8_0fff.
         GL8_1 gl8_1fff. GL8_2 gl8_2fff. GL8_11 gl8_11ff.
         GL8_12 gl8_12ff. GL8_13 gl8_13ff. GL8_21 gl8_21ff.
         GL8_22 gl8_22ff. GL8_71 gl8_71ff. GL8_91 gl8_91ff.
         GL8_A_1 gl8_a_1f. GL8_A_2 gl8_a_2f. GL9 gl9fffff.
         GL9_A gl9_a. GL10 gl10ffff. GL11 gl11ffff.
         GL12 gl12ffff. GL13_A gl13_a. GL13_B gl13_b.
         GL13_C gl13_c. GL13_D gl13_d. GL13_E gl13_e.
         GL13_F gl13_f. GL13_G gl13_g. GL13_H gl13_h.
         GL13_I gl13_i. GL13_J gl13_j. GL13_K gl13_k.
         GL13_K_1 gl13_k_f. GL13_K_2 gl13_k0f. GL13_K_3 gl13_k1f.
         GL13_K_4 gl13_k2f. GL14_A gl14_a. GL14_B gl14_b.
         GL15_M gl15_m. GL15_Y gl15_y. GL16 gl16ffff.
         GL16_A gl16_a. GL17 gl17ffff. GL18 gl18ffff.
         GL19 gl19ffff. GL20_A gl20_a. GL20_B gl20_b.
         GL20_C gl20_c. GL20_D gl20_d. GL20_E gl20_e.
         GL20_F gl20_f. GL20_G gl20_g. GL20_H gl20_h.
         GL20_I gl20_i. GL20_J gl20_j. GL20_K gl20_k.
         GL20_K_1 gl20_k_f. GL20_K_2 gl20_k0f. GL20_K_3 gl20_k1f.
         GL20_K_4 gl20_k2f. GL21_A gl21_a. GL21_B gl21_b.
         GL22_M gl22_m. GL22_Y gl22_y. GL23 gl23ffff.
         GL24 gl24ffff. GL25 gl25ffff. GL26_M gl26_m.
         GL26_Y gl26_y. GL27 gl27ffff. GL28 gl28ffff.
         GL28A_00 gl28a_0f. GL28A_01 gl28a_1f. GL28A_02 gl28a_2f.
         GL28A_11 gl28a_3f. GL28A_12 gl28a_4f. GL28A_13 gl28a_5f.
         GL28A_21 gl28a_6f. GL28A_22 gl28a_7f. GL28A_23 gl28a_8f.
         GL28A_24 gl28a_9f. GL28A_25 gl28a10f. GL28A_26 gl28a11f.
         GL28A_71 gl28a12f. GL28A_91 gl28a13f. GL28B gl28b.
         GL29 gl29ffff. GL29_A gl29_a. GL29_B_A gl29_b_a.
         GL29_B_B gl29_b_b. GL29_B_C gl29_b_c. GL29_B_D gl29_b_d.
         GL29_B_E gl29_b_e. GL29_B_F gl29_b_f. GL29_B_G gl29_b_g.
         GL29_B_H gl29_b_h. GL29_B_I gl29_b_i. GL29_B_J gl29_b_j.
         GL29_B_K gl29_b_k. GL29B_K1 gl29b_kf. GL29B_K2 gl29b_0f.
         GL29B_K3 gl29b_1f. GL29B_K4 gl29b_2f. GL29_C gl29_c.
         GL29_D gl29_d. GL29_E gl29_e. GL30 gl30ffff.
         GL30_A gl30_a. GL30_B_M gl30_b_m. GL30C_00 gl30c_0f.
         GL30C_01 gl30c_1f. GL30C_02 gl30c_2f. GL30C_11 gl30c_3f.
         GL30C_12 gl30c_4f. GL30C_13 gl30c_5f. GL30C_21 gl30c_6f.
         GL30C_22 gl30c_7f. GL30C_23 gl30c_8f. GL30C_24 gl30c_9f.
         GL30C_25 gl30c10f. GL30C_26 gl30c11f. GL30C_27 gl30c12f.
         GL30C_71 gl30c13f. GL30C_91 gl30c14f. GL30_D gl30_d.
         GL31 gl31ffff. GL32 gl32ffff. GL33 gl33ffff.
         GL33_A gl33_a. GL33_B gl33_b. GL34 gl34ffff.
         GL35 gl35ffff. GL35_A gl35_a. GL36 gl36ffff.
         GL37 gl37ffff. GL38 gl38ffff. GL39 gl39ffff.
         GL39_A gl39_a. GL39_B gl39_b. GL40 gl40ffff.
         GL41 gl41ffff. GL41_A gl41_a. GL42 gl42ffff.
         GL43 gl43ffff. GL44_A gl44_a. GL44_B gl44_b.
         GL45_A gl45_a. GL45_B gl45_b. GL45_C gl45_c.
         GL45_D gl45_d. GL45_E gl45_e. GL45_F gl45_f.
         GL45_G gl45_g. GL45_H gl45_h. GL45_I gl45_i.
         GL45_J gl45_j. GL45_K gl45_k. GL45_L gl45_l.
         GL46 gl46ffff. GL47_01 gl47_01f. GL47_02 gl47_02f.
         GL47_11 gl47_11f. GL47_12 gl47_12f. GL47_13 gl47_13f.
         GL47_21 gl47_21f. GL47_22 gl47_22f. GL47_23 gl47_23f.
         GL47_71 gl47_71f. GL47_91 gl47_91f. GL48_A gl48_a.
         GL48_B gl48_b. GL48_C gl48_c. GL48_D gl48_d.
         GL48_E gl48_e. GL48_F gl48_f. GL48_G gl48_g.
         GL48_H gl48_h. GL48_I gl48_i. GL48_J gl48_j.
         GL48_K gl48_k. GL48_K_1 gl48_k_f. GL48_K_2 gl48_k0f.
         GL48_K_3 gl48_k1f. GL48_K_4 gl48_k2f. GL49_A gl49_a.
         GL49_B gl49_b. GL50 gl50ffff. GL50_A gl50_a.
         GL51 gl51ffff. GL52 gl52ffff. GL55 gl55ffff.
         GL56 gl56ffff. GL57 gl57ffff. GL58 gl58ffff.
         GL58_A_1 gl58_a_f. GL58_A_2 gl58_a0f. GL58_A_3 gl58_a1f.
         GL58_A_4 gl58_a2f. GL58_B gl58_b. GL58_C_M gl58_c_m.
         GL58_D gl58_d. GL59_A gl59_a. GL59_B gl59_b.
         GL60 gl60ffff. GL63 gl63ffff. GL64 gl64ffff.
         GL65_01 gl65_01f. GL65_02 gl65_02f. GL65_11 gl65_11f.
         GL65_12 gl65_12f. GL65_13 gl65_13f. GL65_21 gl65_21f.
         GL65_22 gl65_22f. GL65_23 gl65_23f. GL65_28 gl65_28f.
         GL65_71 gl65_71f. GL65_91 gl65_91f. GL65_A_1 gl65_a_f.
         GL65_A_2 gl65_a0f. GL66 gl66ffff. GL66_A gl66_a.
         GL66_B gl66_b. GL66_C_1 gl66_c_f. GL66_C_2 gl66_c0f.
         GL66_C_3 gl66_c1f. GL66_C_4 gl66_c2f. GL66_C_5 gl66_c3f.
         GL66_C_6 gl66_c4f. GL66_C_7 gl66_c5f. GL66_C_8 gl66_c6f.
         GL66_C_9 gl66_c7f. GL66_D gl66_d. GL66_E gl66_e.
         GL66_F gl66_f. GL66_G_1 gl66_g_f. GL66_G_2 gl66_g0f.
         GL66_G_3 gl66_g1f. GL66_G_4 gl66_g2f. GL66_G_5 gl66_g3f.
         GL66_H_1 gl66_h_f. GL66_H_2 gl66_h0f. GL66_H_3 gl66_h1f.
         GL66_H_4 gl66_h2f. GL66_H_5 gl66_h3f. GL66_H_6 gl66_h4f.
         GL66_H_7 gl66_h5f. GL66_H_8 gl66_h6f. GL66_H_9 gl66_h7f.
         GL66_I gl66_i. GL67 gl67ffff. GL67_A gl67_a.
         GL67_B gl67_b. GL67_C_1 gl67_c_f. GL67_C_2 gl67_c0f.
         GL67_C_3 gl67_c1f. GL67_C_4 gl67_c2f. GL67_C_5 gl67_c3f.
         GL67_C_6 gl67_c4f. GL67_C_7 gl67_c5f. GL67_C_8 gl67_c6f.
         GL67_C_9 gl67_c7f. GL67_D gl67_d. GL67_E gl67_e.
         GL67_F gl67_f. GL67_G_1 gl67_g_f. GL67_G_2 gl67_g0f.
         GL67_G_3 gl67_g1f. GL67_G_4 gl67_g2f. GL67_G_5 gl67_g3f.
         GL67_H_1 gl67_h_f. GL67_H_2 gl67_h0f. GL67_H_3 gl67_h1f.
         GL67_H_4 gl67_h2f. GL67_H_5 gl67_h3f. GL67_H_6 gl67_h4f.
         GL67_H_7 gl67_h5f. GL67_H_8 gl67_h6f. GL67_H_9 gl67_h7f.
         GL67_I gl67_i. GL68 gl68ffff. GL68A_1 gl68a_1f.
         GL68A_2 gl68a_2f. GL68A_3 gl68a_3f. GL68A_4 gl68a_4f.
         GL68A_5 gl68a_5f. GL68A_6 gl68a_6f. GL68B_1 gl68b_1f.
         GL68C_1 gl68c_1f. GL68D_1 gl68d_1f. GL68E_1 gl68e_1f.
         GL68F1_1 gl68f1_f. GL68F1_2 gl68f10f. GL68F111 gl68f11f.
         GL68F112 gl68f12f. GL68F113 gl68f13f. GL68F121 gl68f14f.
         GL68F122 gl68f15f. GL68F123 gl68f16f. GL68F128 gl68f17f.
         GL68F171 gl68f18f. GL68F191 gl68f19f. GL68G_1 gl68g_1f.
         GL68B_2 gl68b_2f. GL68C_2 gl68c_2f. GL68D_2 gl68d_2f.
         GL68E_2 gl68e_2f. GL68F2_1 gl68f2_f. GL68F2_2 gl68f20f.
         GL68F211 gl68f21f. GL68F212 gl68f22f. GL68F213 gl68f23f.
         GL68F221 gl68f24f. GL68F222 gl68f25f. GL68F223 gl68f26f.
         GL68F228 gl68f27f. GL68F271 gl68f28f. GL68F291 gl68f29f.
         GL68G_2 gl68g_2f. GL69 gl69ffff. GL69_A_1 gl69_a_f.
         GL69_B_1 gl69_b_f. GL69_A_2 gl69_a0f. GL69_B_2 gl69_b0f.
         GL69_A_3 gl69_a1f. GL69_B_3 gl69_b1f. GL69_A_4 gl69_a2f.
         GL69_B_4 gl69_b2f. GL69_A_5 gl69_a3f. GL69_B_5 gl69_b3f.
         GL70 gl70ffff. GL71 gl71ffff. GL72_01 gl72_01f.
         GL72_02 gl72_02f. GL72_22 gl72_22f. GL72_23 gl72_23f.
         GL72_24 gl72_24f. GL72_25 gl72_25f. GL72_26 gl72_26f.
         GL72_71 gl72_71f. GL72_91 gl72_91f. GL72_A1 gl72_a1f.
         GL72_A2 gl72_a2f. GL73 gl73ffff. GL73_A gl73_a.
         GL73_B01 gl73_b0f. GL73_B02 gl73_b1f. GL73_B03 gl73_b2f.
         GL73_B04 gl73_b3f. GL73_B05 gl73_b4f. GL73_B06 gl73_b5f.
         GL73_B07 gl73_b6f. GL73_B08 gl73_b7f. GL73_B09 gl73_b8f.
         GL73_C gl73_c. GL74 gl74ffff. GL74_A gl74_a.
         GL74_B01 gl74_b0f. GL74_B02 gl74_b1f. GL74_B03 gl74_b2f.
         GL74_B04 gl74_b3f. GL74_B05 gl74_b4f. GL74_B06 gl74_b5f.
         GL74_B07 gl74_b6f. GL74_B08 gl74_b7f. GL74_B09 gl74_b8f.
         GL74_C gl74_c. GL75 gl75ffff. GL75_A_1 gl75_a_f.
         GL75_A_2 gl75_a0f. GL75_A_3 gl75_a1f. GL75_A_4 gl75_a2f.
         GL75_A_5 gl75_a3f. GL75_A_6 gl75_a4f. GL75B_1 gl75b_1f.
         GL75C_1 gl75c_1f. GL75D_1 gl75d_1f. GL75E_1 gl75e_1f.
         GL75F101 gl75f10f. GL75F102 gl75f11f. GL75F122 gl75f12f.
         GL75F123 gl75f13f. GL75F124 gl75f14f. GL75F125 gl75f15f.
         GL75F126 gl75f16f. GL75F171 gl75f17f. GL75F191 gl75f19f.
         GL75G_1 gl75g_1f. GL75B_2 gl75b_2f. GL75C_2 gl75c_2f.
         GL75D_2 gl75d_2f. GL75E_2 gl75e_2f. GL75F201 gl75f20f.
         GL75F202 gl75f21f. GL75F222 gl75f22f. GL75F223 gl75f23f.
         GL75F224 gl75f24f. GL75F225 gl75f25f. GL75F226 gl75f26f.
         GL75F271 gl75f27f. GL75F291 gl75f29f. GL75G_2 gl75g_2f.
         GL76 gl76ffff. GL76_A_1 gl76_a_f. GL76_A_2 gl76_a0f.
         GL76_A_3 gl76_a1f. GL76_A_4 gl76_a2f. GL77 gl77ffff.
         GL77_A gl77_a. GL77B_01 gl77b_0f. GL77B_02 gl77b_1f.
         GL77B_11 gl77b_2f. GL77B_12 gl77b_3f. GL77B_13 gl77b_4f.
         GL77B_21 gl77b_5f. GL77B_22 gl77b_6f. GL77B_23 gl77b_7f.
         GL77B_24 gl77b_8f. GL77B_25 gl77b_9f. GL77B_26 gl77b10f.
         GL77B_27 gl77b11f. GL77B_28 gl77b12f. GL77B_71 gl77b13f.
         GL77B_91 gl77b14f. GL77_C_1 gl77_c_f. GL77_C_2 gl77_c0f.
         GL77_C_3 gl77_c1f. GL77_C_4 gl77_c2f. GL77_C_5 gl77_c3f.
         GL77_C_6 gl77_c4f. GL77_C_7 gl77_c5f. GL77_C_8 gl77_c6f.
         GL78 gl78ffff. GL79 gl79ffff. GL80_01 gl80_01f.
         GL80_02 gl80_02f. GL80_11 gl80_11f. GL80_12 gl80_12f.
         GL80_13 gl80_13f. GL80_21 gl80_21f. GL80_22 gl80_22f.
         GL80_23 gl80_23f. GL80_28 gl80_28f. GL80_71 gl80_71f.
         GL80_91 gl80_91f. GL80_A1 gl80_a1f. GL80_A2 gl80_a2f.
         GL81_01 gl81_01f. GL81_02 gl81_02f. GL81_03 gl81_03f.
         GL81_A gl81_a. GL81_B gl81_b. GL81_C_1 gl81_c_f.
         GL81_C_2 gl81_c0f. GL81_C_3 gl81_c1f. GL81_C_4 gl81_c2f.
         GL81_C_5 gl81_c3f. GL81_C_6 gl81_c4f. GL81_D gl81_d.
         GL81_E gl81_e. GL81_F gl81_f. GL81_G_1 gl81_g_f.
         GL81_G_2 gl81_g0f. GL81_G_3 gl81_g1f. GL81_G_4 gl81_g2f.
         GL81_G_5 gl81_g3f. GL81_H_1 gl81_h_f. GL81_H_2 gl81_h0f.
         GL81_H_3 gl81_h1f. GL81_H_4 gl81_h2f. GL81_H_5 gl81_h3f.
         GL81_H_6 gl81_h4f. GL81_I gl81_i. GL81_J gl81_j.
         GL81_K_1 gl81_k_f. GL81_K_2 gl81_k0f. GL81_K_3 gl81_k1f.
         GL81_K_4 gl81_k2f. GL81_K_5 gl81_k3f. GL81_K_6 gl81_k4f.
         GL81_K_7 gl81_k5f. GL81_K_8 gl81_k6f. GL81_L_1 gl81_l_f.
         GL81_L_2 gl81_l0f. GL81_L_3 gl81_l1f. GL81_L_4 gl81_l2f.
         GL81_L_5 gl81_l3f. GL81_L_6 gl81_l4f. GL81_M gl81_m.
         GL82_01 gl82_01f. GL82_02 gl82_02f. GL82_03 gl82_03f.
         GL82_A gl82_a. GL82_B gl82_b. GL82_C_1 gl82_c_f.
         GL82_C_2 gl82_c0f. GL82_C_3 gl82_c1f. GL82_C_4 gl82_c2f.
         GL82_C_5 gl82_c3f. GL82_C_6 gl82_c4f. GL82_D gl82_d.
         GL82_E gl82_e. GL82_F gl82_f. GL82_G_1 gl82_g_f.
         GL82_G_2 gl82_g0f. GL82_G_3 gl82_g1f. GL82_G_4 gl82_g2f.
         GL82_G_5 gl82_g3f. GL82_H_1 gl82_h_f. GL82_H_2 gl82_h0f.
         GL82_H_3 gl82_h1f. GL82_H_4 gl82_h2f. GL82_H_5 gl82_h3f.
         GL82_H_6 gl82_h4f. GL82_I gl82_i. GL82_J gl82_j.
         GL82_K_1 gl82_k_f. GL82_K_2 gl82_k0f. GL82_K_3 gl82_k1f.
         GL82_K_4 gl82_k2f. GL82_K_5 gl82_k3f. GL82_K_6 gl82_k4f.
         GL82_K_7 gl82_k5f. GL82_K_8 gl82_k6f. GL82_L_1 gl82_l_f.
         GL82_L_2 gl82_l0f. GL82_L_3 gl82_l1f. GL82_L_4 gl82_l2f.
         GL82_L_5 gl82_l3f. GL82_L_6 gl82_l4f. GL82_M gl82_m.
         GL83 gl83ffff. GL83A_1 gl83a_1f. GL83A_2 gl83a_2f.
         GL83A_3 gl83a_3f. GL83A_4 gl83a_4f. GL83A_5 gl83a_5f.
         GL83B_1 gl83b_1f. GL83C_1 gl83c_1f. GL83D_1 gl83d_1f.
         GL83E_1 gl83e_1f. GL83F1_1 gl83f1_f. GL83F1_2 gl83f10f.
         GL83F111 gl83f11f. GL83F112 gl83f12f. GL83F113 gl83f13f.
         GL83F121 gl83f14f. GL83F122 gl83f15f. GL83F123 gl83f16f.
         GL83F128 gl83f17f. GL83F171 gl83f18f. GL83F191 gl83f19f.
         GL83G_1 gl83g_1f. GL83B_2 gl83b_2f. GL83C_2 gl83c_2f.
         GL83D_2 gl83d_2f. GL83E_2 gl83e_2f. GL83F2_1 gl83f2_f.
         GL83F2_2 gl83f20f. GL83F211 gl83f21f. GL83F212 gl83f22f.
         GL83F213 gl83f23f. GL83F221 gl83f24f. GL83F222 gl83f25f.
         GL83F223 gl83f26f. GL83F228 gl83f27f. GL83F271 gl83f28f.
         GL83F291 gl83f29f. GL83G_2 gl83g_2f. GL84 gl84ffff.
         GL85 gl85ffff. GL86_01 gl86_01f. GL86_02 gl86_02f.
         GL86_11 gl86_11f. GL86_12 gl86_12f. GL86_13 gl86_13f.
         GL86_21 gl86_21f. GL86_22 gl86_22f. GL86_23 gl86_23f.
         GL86_27 gl86_27f. GL86_29 gl86_29f. GL86_71 gl86_71f.
         GL86_91 gl86_91f. GL86_A1 gl86_a1f. GL86_A2 gl86_a2f.
         GL87_01 gl87_01f. GL87_02 gl87_02f. GL87_03 gl87_03f.
         GL87_B gl87_b. GL87_C gl87_c. GL87_D gl87_d.
         GL87_E gl87_e. GL87_F gl87_f. GL87_G_1 gl87_g_f.
         GL87_G_2 gl87_g0f. GL87_G_3 gl87_g1f. GL87_G_4 gl87_g2f.
         GL87_G_5 gl87_g3f. GL87_G_6 gl87_g4f. GL87_G_7 gl87_g5f.
         GL87_G_8 gl87_g6f. GL87_H gl87_h. GL87_I gl87_i.
         GL87_J gl87_j. GL87_K gl87_k. GL87_L_1 gl87_l_f.
         GL87_L_2 gl87_l0f. GL87_L_3 gl87_l1f. GL87_L_4 gl87_l2f.
         GL87_L_5 gl87_l3f. GL87_L_6 gl87_l4f. GL87_M gl87_m.
         GL87_N gl87_n. GL87_O gl87_o. GL87_P gl87_p.
         GL88_01 gl88_01f. GL88_02 gl88_02f. GL88_03 gl88_03f.
         GL88_A gl88_a. GL88_B gl88_b. GL88_C gl88_c.
         GL88_D gl88_d. GL88_E gl88_e. GL88_F gl88_f.
         GL88_G_1 gl88_g_f. GL88_G_2 gl88_g0f. GL88_G_3 gl88_g1f.
         GL88_G_4 gl88_g2f. GL88_G_5 gl88_g3f. GL88_G_6 gl88_g4f.
         GL88_G_7 gl88_g5f. GL88_G_8 gl88_g6f. GL88_H gl88_h.
         GL88_I gl88_i. GL88_J gl88_j. GL88_K gl88_k.
         GL88_L_1 gl88_l_f. GL88_L_2 gl88_l0f. GL88_L_3 gl88_l1f.
         GL88_L_4 gl88_l2f. GL88_L_5 gl88_l3f. GL88_L_6 gl88_l4f.
         GL88_M gl88_m. GL88_N gl88_n. GL88_O gl88_o.
         GL88_P gl88_p. GL89 gl89ffff. GL89_A_1 gl89_a_f.
         GL89_A_2 gl89_a0f. GL89_A_3 gl89_a1f. GL89_A_4 gl89_a2f.
         GL89_A_5 gl89_a3f. GL89_A_6 gl89_a4f. GL89_A_7 gl89_a5f.
         GL89_A_8 gl89_a6f. GL89_A_9 gl89_a7f. GL89B_1 gl89b_1f.
         GL89C_1 gl89c_1f. GL89D_1 gl89d_1f. GL89E_1 gl89e_1f.
         GL89F1_1 gl89f1_f. GL89F1_2 gl89f10f. GL89F111 gl89f11f.
         GL89F112 gl89f12f. GL89F113 gl89f13f. GL89F121 gl89f14f.
         GL89F122 gl89f15f. GL89F123 gl89f16f. GL89F127 gl89f17f.
         GL89F129 gl89f18f. GL89F171 gl89f19f. GL89F191 gl89f20f.
         GL89G_1 gl89g_1f. GL89B_2 gl89b_2f. GL89C_2 gl89c_2f.
         GL89D_2 gl89d_2f. GL89E_2 gl89e_2f. GL89F2_1 gl89f2_f.
         GL89F2_2 gl89f21f. GL89F211 gl89f22f. GL89F212 gl89f23f.
         GL89F213 gl89f24f. GL89F221 gl89f25f. GL89F222 gl89f26f.
         GL89F223 gl89f27f. GL89F227 gl89f28f. GL89F229 gl89f29f.
         GL89F271 gl89f30f. GL89F291 gl89f31f. GL89G_2 gl89g_2f.
         GL90 gl90ffff. GL91 gl91ffff. GL92_01 gl92_01f.
         GL92_02 gl92_02f. GL92_11 gl92_11f. GL92_12 gl92_12f.
         GL92_13 gl92_13f. GL92_21 gl92_21f. GL92_22 gl92_22f.
         GL92_23 gl92_23f. GL92_27 gl92_27f. GL92_29 gl92_29f.
         GL92_71 gl92_71f. GL92_91 gl92_91f. GL92A_1 gl92a_1f.
         GL92A_2 gl92a_2f. GL93 gl93ffff. GL93_A gl93_a.
         GL93_B_1 gl93_b_f. GL93_B_2 gl93_b0f. GL93_B_3 gl93_b1f.
         GL93_B_4 gl93_b2f. GL93_B_5 gl93_b3f. GL93_B_6 gl93_b4f.
         GL93_B_7 gl93_b5f. GL93_B_8 gl93_b6f. GL93_C gl93_c.
         GL94 gl94ffff. GL94_A gl94_a. GL94_B_1 gl94_b_f.
         GL94_B_2 gl94_b0f. GL94_B_3 gl94_b1f. GL94_B_4 gl94_b2f.
         GL94_B_5 gl94_b3f. GL94_B_6 gl94_b4f. GL94_B_7 gl94_b5f.
         GL94_B_8 gl94_b6f. GL94_C gl94_c. GL95 gl95ffff.
         GL95_A_1 gl95_a_f. GL95_A_2 gl95_a0f. GL95_A_3 gl95_a1f.
         GL95_A_4 gl95_a2f. GL95_A_5 gl95_a3f. GL95_A_6 gl95_a4f.
         GL95B_1 gl95b_1f. GL95C_1 gl95c_1f. GL95D_1 gl95d_1f.
         GL95E_1 gl95e_1f. GL95F1_1 gl95f1_f. GL95F1_2 gl95f10f.
         GL95F127 gl95f12f. GL95F129 gl95f11f. GL95F171 gl95f17f.
         GL95F191 gl95f19f. GL95G_1 gl95g_1f. GL95B_2 gl95b_2f.
         GL95C_2 gl95c_2f. GL95D_2 gl95d_2f. GL95E_2 gl95e_2f.
         GL95F2_1 gl95f2_f. GL95F2_2 gl95f20f. GL95F227 gl95f22f.
         GL95F229 gl95f21f. GL95F271 gl95f27f. GL95F291 gl95f29f.
         GL95G_2 gl95g_2f. GL96 gl96ffff. GL97 gl97ffff.
         GL98_01 gl98_01f. GL98_02 gl98_02f. GL98_11 gl98_11f.
         GL98_12 gl98_12f. GL98_13 gl98_13f. GL98_21 gl98_21f.
         GL98_22 gl98_22f. GL98_23 gl98_23f. GL98_27 gl98_27f.
         GL98_28 gl98_28f. GL98_29 gl98_29f. GL98_30 gl98_30f.
         GL98_71 gl98_71f. GL98_91 gl98_91f. GL98A_1 gl98a_1f.
         GL98A_2 gl98a_2f. GL99 gl99ffff. GL99_A_1 gl99_a_f.
         GL99_A_2 gl99_a0f. GL99_A_3 gl99_a1f. GL99_A_4 gl99_a2f.
         GL99_A_5 gl99_a3f. GL99_A_6 gl99_a4f. GL99_B gl99_b.
         GL100 gl100fff. GL100A_1 gl100a_f. GL100A_2 gl100a0f.
         GL100A_3 gl100a1f. GL100A_4 gl100a2f. GL100A_5 gl100a3f.
         GL100A_6 gl100a4f. GL100_B gl100_b. GL101 gl101fff.
         GL101A_1 gl101a_f. GL101A_2 gl101a0f. GL101A_3 gl101a1f.
         GL101A_4 gl101a2f. GL101A_5 gl101a3f. GL101A_6 gl101a4f.
         GL101B_1 gl101b_f. GL101C_1 gl101c_f. GL101D_1 gl101d_f.
         GL101E_1 gl101e_f. GL101B_2 gl101b0f. GL101C_2 gl101c0f.
         GL101D_2 gl101d0f. GL101E_2 gl101e0f. GL102 gl102fff.
         GL103 gl103fff. GL104_01 gl104_0f. GL104_02 gl104_1f.
         GL104_11 gl104_2f. GL104_12 gl104_3f. GL104_13 gl104_4f.
         GL104_21 gl104_5f. GL104_22 gl104_6f. GL104_23 gl104_7f.
         GL104_27 gl104_8f. GL104_28 gl104_9f. GL104_29 gl10410f.
         GL104_71 gl10411f. GL104_91 gl10412f. GL104A_1 gl104a_f.
         GL104A_2 gl104a0f. GL105 gl105fff. GL105A_1 gl105a_f.
         GL105A_2 gl105a0f. GL105A_3 gl105a1f. GL105A_4 gl105a2f.
         GL105A_5 gl105a3f. GL105A_6 gl105a4f. GL105_B gl105_b.
         GL106 gl106fff. GL106A_1 gl106a_f. GL106A_2 gl106a0f.
         GL106A_3 gl106a1f. GL106A_4 gl106a2f. GL106A_5 gl106a3f.
         GL106A_6 gl106a4f. GL106_B gl106_b. GL107 gl107fff.
         GL107A51 gl107a5f. GL107A52 gl107a0f. GL107A53 gl107a1f.
         GL107A54 gl107a2f. GL107A91 gl107a9f. GL107B_1 gl107b_f.
         GL107C_1 gl107c_f. GL107D_1 gl107d_f. GL107E_1 gl107e_f.
         GL107B_2 gl107b0f. GL107C_2 gl107c0f. GL107D_2 gl107d0f.
         GL107E_2 gl107e0f. GL108 gl108fff. GL108_A gl108_a.
         GL108_B gl108_b. GL109 gl109fff. GL110 gl110fff.
         GL111_A gl111_a. GL111_B gl111_b. GL113_01 gl113_0f.
         GL113_02 gl113_1f. GL113_11 gl113_2f. GL113_12 gl113_3f.
         GL113_13 gl113_4f. GL113_21 gl113_5f. GL113_22 gl113_6f.
         GL113_23 gl113_7f. GL113_24 gl113_8f. GL113_25 gl113_9f.
         GL113_26 gl11310f. GL113_27 gl11311f. GL113_28 gl11312f.
         GL113_29 gl11313f. GL113_71 gl11314f. GL113_91 gl11315f.
         GL114_A gl114_a. GL114_B gl114_b. GL114_C gl114_c.
         GL114_D gl114_d. GL114_E gl114_e. GL114_F gl114_f.
         GL114_G gl114_g. GL114_H gl114_h. GL114_I gl114_i.
         GL114_J gl114_j. GL114_K gl114_k. GL114K_1 gl114k_f.
         GL114K_2 gl114k0f. GL114K_3 gl114k1f. GL114K_4 gl114k2f.
         GL115 gl115fff. GL116 gl116fff. GL117 gl117fff.
         GL117_B1 gl117_bf. GL117_B2 gl117_0f. GL117_B3 gl117_1f.
         GL117_B4 gl117_2f. GL117_B5 gl117_3f. GL118 gl118fff.
         GL118_A gl118_a. GL119 gl119fff. GL120 gl120fff.
         GL121_A gl121_a. GL121_B gl121_b. GL121_C gl121_c.
         GL121_D gl121_d. GL121_E gl121_e. GL121_F gl121_f.
         GL122 gl122fff. GL123_W gl123_w. GL124 gl124fff.
         GL125 gl125fff. GL126 gl126fff. GL127 gl127fff.
         GL128 gl128fff. GLDM gldm. GLTH glth.
         GLTM gltm. GLAMPM glampm. GM1 gm1fffff.
         GM2 gm2fffff. GM3 gm3fffff. GM4 gm4fffff.
         GM5 gm5fffff. GM6 gm6fffff. GM7 gm7fffff.
         GM8 gm8fffff. GM9 gm9fffff. GM10A gm10a.
         GM10B gm10b. GM11A gm11a. GM11B gm11b.
         GM11C gm11c. GM12A gm12a. GM12B gm12b.
         GM12C gm12c. GM12D gm12d. GM12E gm12e.
         GM13 gm13ffff. GM14A gm14a. GM14B gm14b.
         GM14C gm14c. GM15A gm15a. GM15B gm15b.
         GM16 gm16ffff. GM17 gm17ffff. GM18A gm18a.
         GM18B gm18b. GM18C gm18c. GM19 gm19ffff.
         GM20 gm20ffff. GM21 gm21ffff. GMDM gmdm.
         GMTH gmth. GMTM gmtm. GMAMPM gmampm.
         GN1 gn1fffff. GN2 gn2fffff. GN2A gn2a.
         GN3_1_1 gn3_1_1f. GN3_1_2 gn3_1_2f. GN3_2_1 gn3_2_1f.
         GN3_2_2 gn3_2_2f. GN3_3_1 gn3_3_1f. GN3_3_2 gn3_3_2f.
         GN3_4_1 gn3_4_1f. GN3_4_2 gn3_4_2f. GN4 gn4fffff.
         GN4A1 gn4a1fff. GN4A2 gn4a2fff. GN4A3 gn4a3fff.
         GN4A4 gn4a4fff. GN4A5 gn4a5fff. GN4A6 gn4a6fff.
         GN5 gn5fffff. GN6 gn6fffff. GN6A1 gn6a1fff.
         GN6A2 gn6a2fff. GIA1_1 gia1_1ff. GIA1_2 gia1_2ff.
         GIA2_1 gia2_1ff. GIA2_2 gia2_2ff. GIA3_1 gia3_1ff.
         GIA3_2 gia3_2ff. GIA4_1 gia4_1ff. GIA4_2 gia4_2ff.
         GIA5_1 gia5_1ff. GIA5_2 gia5_2ff. GIA6_1 gia6_1ff.
         GIA6_2 gia6_2ff. GIA7_1 gia7_1ff. GIA7_2 gia7_2ff.
         GIA8_1 gia8_1ff. GIA8_2 gia8_2ff. GIA9_1 gia9_1ff.
         GIA9_2 gia9_2ff. GIA10_1 gia10_1f. GIA10_2 gia10_2f.
         GP1A gp1a. GP1B gp1b. GP1C gp1c.
         GP1D gp1d. GP1E gp1e. GP1F gp1f.
         GP1G gp1g. GP1H gp1h. GP1I gp1i.
         GP1J gp1j. GP1K gp1k. GP1L gp1l.
         GP1M gp1m. GP1N gp1n. GP2A gp2a.
         GP3A gp3a. GP2B gp2b. GP3B gp3b.
         GP2C gp2c. GP3C gp3c. GP2D gp2d.
         GP3D gp3d. GP2E gp2e. GP3E gp3e.
         GP2F gp2f. GP3F gp3f. GP2G gp2g.
         GP3G gp3g. GP2H gp2h. GP3H gp3h.
         GP2I gp2i. GP3I gp3i. GP2J gp2j.
         GP3J gp3j. QU3 qu3fffff. IA3 ia3fffff.
         SU3 su3fffff. MODALITY modality. SEX sex.
         AGE age. HLTHINS hlthins. FTWORK ftwork.
         MSTAT mstat. INSCHOOL inschool. RACE race.
         EDLEV edlev. RACESEX racesex. HVY_ALC hvy_alc.
         ALCR alcr. MRJR mrjr. COCR cocr.
         HERR herr. NARR narr. SEDR sedr.
         AMPR ampr. HALR halr. INHR inhr.
         ALCWK alcwk. MRJWK mrjwk. COCWK cocwk.
         HERWK herwk. NARWK narwk. SEDWK sedwk.
         AMPWK ampwk. HALWK halwk. INHWK inhwk.
         MRJ_EV mrj_ev. COC_EV coc_ev. HER_EV her_ev.
         NAR_EV nar_ev. SED_EV sed_ev. AMP_EV amp_ev.
         HAL_EV hal_ev. INH_EV inh_ev. CJ_STAT cj_stat.
         IAY_SIA iay_sia. MAJSRC majsrc. REFER refer.
         RESTRICT restrict. DRUGTX drugtx. SCHOOL school.
         DEP_YR dep_yr. EMPSTAT empstat. IAPY iapy.
         PDT pdt. CRKR crkr. CRKWK crkwk.
          ;
*/

RUN ;
